#line 1 "lib/network/McAsciiParser.rl"
/*
* Copyright (c) Facebook, Inc. and its affiliates.
*
* This source code is licensed under the MIT license found in the
* LICENSE file in the root directory of this source tree.
*/

#include "mcrouter/lib/network/McAsciiParser.h"

#include "mcrouter/lib/mc/msg.h"
#include "mcrouter/lib/network/gen/MemcacheMessages.h"
#include "mcrouter/lib/network/gen/MemcacheRoutingGroups.h"

namespace facebook { namespace memcache {
		
		/**
		* %%{}%% blocks are going to be processed by Ragel.
		* A lot of different building blocks are used here, their complete
		* documentation can be found on the official webpage of Ragel.
		* The most important constructs are actions and code snippets.
		* There are 4 base types of them used here:
		*   >name or >{} - execute action with name 'name', or code snippet before
		*                  entering machine.
		*   $name or ${} - on each transition of machine.
		*   %name or %{} - on each transition from machine via final state.
		*   @name or @{} - on each transition into final state.
		*/
		
		
#line 202 "lib/network/McAsciiParser.rl"

		
		// McGet reply.

#line 34 "lib/network/McAsciiParser-gen.cpp"
static const int mc_ascii_get_reply_start = 1;
		static const int mc_ascii_get_reply_first_final = 59;
		static const int mc_ascii_get_reply_error = 0;
		
		static const int mc_ascii_get_reply_en_get_reply = 1;
		
		
#line 212 "lib/network/McAsciiParser.rl"

		
		template <>
		void McClientAsciiParser::consumeMessage<McGetRequest>(folly::IOBuf& buffer) {
			auto& message = currentMessage_.get<McGetReply>();

#line 46 "lib/network/McAsciiParser-gen.cpp"
	{
			}

#line 48 "lib/network/McAsciiParser-gen.cpp"
{
				
				_resume: {}
				if ( ( p_) == ( pe_) )
					goto _out;
				switch ( ( savedCs_) ) {
					case 1:
					switch( ( (*( ( p_)))) ) {
						case 67: {
							goto _ctr2;
						}
						case 69: {
							goto _ctr3;
						}
						case 83: {
							goto _ctr4;
						}
						case 86: {
							goto _ctr5;
						}
					}
					goto _ctr0;
					case 0:
					goto _again;
					case 2:
					if ( ( (*( ( p_)))) == 76 ) {
						goto _ctr6;
					}
					goto _ctr0;
					case 3:
					if ( ( (*( ( p_)))) == 73 ) {
						goto _ctr7;
					}
					goto _ctr0;
					case 4:
					if ( ( (*( ( p_)))) == 69 ) {
						goto _ctr8;
					}
					goto _ctr0;
					case 5:
					if ( ( (*( ( p_)))) == 78 ) {
						goto _ctr9;
					}
					goto _ctr0;
					case 6:
					if ( ( (*( ( p_)))) == 84 ) {
						goto _ctr10;
					}
					goto _ctr0;
					case 7:
					if ( ( (*( ( p_)))) == 95 ) {
						goto _ctr11;
					}
					goto _ctr0;
					case 8:
					if ( ( (*( ( p_)))) == 69 ) {
						goto _ctr12;
					}
					goto _ctr0;
					case 9:
					if ( ( (*( ( p_)))) == 82 ) {
						goto _ctr13;
					}
					goto _ctr0;
					case 10:
					if ( ( (*( ( p_)))) == 82 ) {
						goto _ctr14;
					}
					goto _ctr0;
					case 11:
					if ( ( (*( ( p_)))) == 79 ) {
						goto _ctr15;
					}
					goto _ctr0;
					case 12:
					if ( ( (*( ( p_)))) == 82 ) {
						goto _ctr16;
					}
					goto _ctr0;
					case 13:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr18;
						}
						case 13: {
							goto _ctr19;
						}
						case 32: {
							goto _ctr20;
						}
					}
					goto _ctr17;
					case 14:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr23;
						}
						case 13: {
							goto _ctr24;
						}
					}
					goto _ctr22;
					case 59:
					goto _ctr0;
					case 15:
					if ( ( (*( ( p_)))) == 10 ) {
						goto _ctr26;
					}
					goto _ctr0;
					case 16:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr18;
						}
						case 13: {
							goto _ctr19;
						}
					}
					if ( 48 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 57 ) {
						goto _ctr28;
					}
					goto _ctr17;
					case 17:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr23;
						}
						case 13: {
							goto _ctr24;
						}
						case 32: {
							goto _ctr30;
						}
					}
					if ( 48 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 57 ) {
						goto _ctr31;
					}
					goto _ctr22;
					case 18:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr18;
						}
						case 13: {
							goto _ctr19;
						}
						case 32: {
							goto _ctr33;
						}
					}
					goto _ctr17;
					case 19:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr18;
						}
						case 13: {
							goto _ctr19;
						}
					}
					goto _ctr17;
					case 20:
					switch( ( (*( ( p_)))) ) {
						case 78: {
							goto _ctr36;
						}
						case 82: {
							goto _ctr37;
						}
					}
					goto _ctr0;
					case 21:
					if ( ( (*( ( p_)))) == 68 ) {
						goto _ctr38;
					}
					goto _ctr0;
					case 22:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr26;
						}
						case 13: {
							goto _ctr25;
						}
					}
					goto _ctr0;
					case 23:
					if ( ( (*( ( p_)))) == 82 ) {
						goto _ctr39;
					}
					goto _ctr0;
					case 24:
					if ( ( (*( ( p_)))) == 79 ) {
						goto _ctr40;
					}
					goto _ctr0;
					case 25:
					if ( ( (*( ( p_)))) == 82 ) {
						goto _ctr41;
					}
					goto _ctr0;
					case 26:
					if ( ( (*( ( p_)))) == 69 ) {
						goto _ctr42;
					}
					goto _ctr0;
					case 27:
					if ( ( (*( ( p_)))) == 82 ) {
						goto _ctr43;
					}
					goto _ctr0;
					case 28:
					if ( ( (*( ( p_)))) == 86 ) {
						goto _ctr44;
					}
					goto _ctr0;
					case 29:
					if ( ( (*( ( p_)))) == 69 ) {
						goto _ctr45;
					}
					goto _ctr0;
					case 30:
					if ( ( (*( ( p_)))) == 82 ) {
						goto _ctr46;
					}
					goto _ctr0;
					case 31:
					if ( ( (*( ( p_)))) == 95 ) {
						goto _ctr47;
					}
					goto _ctr0;
					case 32:
					if ( ( (*( ( p_)))) == 69 ) {
						goto _ctr48;
					}
					goto _ctr0;
					case 33:
					if ( ( (*( ( p_)))) == 82 ) {
						goto _ctr49;
					}
					goto _ctr0;
					case 34:
					if ( ( (*( ( p_)))) == 82 ) {
						goto _ctr50;
					}
					goto _ctr0;
					case 35:
					if ( ( (*( ( p_)))) == 79 ) {
						goto _ctr51;
					}
					goto _ctr0;
					case 36:
					if ( ( (*( ( p_)))) == 82 ) {
						goto _ctr52;
					}
					goto _ctr0;
					case 37:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr54;
						}
						case 13: {
							goto _ctr55;
						}
						case 32: {
							goto _ctr56;
						}
					}
					goto _ctr53;
					case 38:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr59;
						}
						case 13: {
							goto _ctr60;
						}
					}
					goto _ctr58;
					case 39:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr54;
						}
						case 13: {
							goto _ctr55;
						}
					}
					if ( 48 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 57 ) {
						goto _ctr62;
					}
					goto _ctr53;
					case 40:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr59;
						}
						case 13: {
							goto _ctr60;
						}
						case 32: {
							goto _ctr64;
						}
					}
					if ( 48 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 57 ) {
						goto _ctr65;
					}
					goto _ctr58;
					case 41:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr54;
						}
						case 13: {
							goto _ctr55;
						}
						case 32: {
							goto _ctr67;
						}
					}
					goto _ctr53;
					case 42:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr54;
						}
						case 13: {
							goto _ctr55;
						}
					}
					goto _ctr53;
					case 43:
					if ( ( (*( ( p_)))) == 65 ) {
						goto _ctr70;
					}
					goto _ctr0;
					case 44:
					if ( ( (*( ( p_)))) == 76 ) {
						goto _ctr71;
					}
					goto _ctr0;
					case 45:
					if ( ( (*( ( p_)))) == 85 ) {
						goto _ctr72;
					}
					goto _ctr0;
					case 46:
					if ( ( (*( ( p_)))) == 69 ) {
						goto _ctr73;
					}
					goto _ctr0;
					case 47:
					if ( ( (*( ( p_)))) == 32 ) {
						goto _ctr74;
					}
					goto _ctr0;
					case 48:
					switch( ( (*( ( p_)))) ) {
						case 32: {
							goto _ctr75;
						}
						case 127: {
							goto _ctr0;
						}
					}
					if ( 0 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 31 ) {
						goto _ctr0;
					}
					goto _ctr76;
					case 49:
					switch( ( (*( ( p_)))) ) {
						case 32: {
							goto _ctr77;
						}
						case 127: {
							goto _ctr0;
						}
					}
					if ( 0 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 31 ) {
						goto _ctr0;
					}
					goto _ctr76;
					case 50:
					if ( ( (*( ( p_)))) == 32 ) {
						goto _ctr77;
					}
					if ( 48 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 57 ) {
						goto _ctr78;
					}
					goto _ctr0;
					case 51:
					if ( ( (*( ( p_)))) == 32 ) {
						goto _ctr80;
					}
					if ( 48 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 57 ) {
						goto _ctr81;
					}
					goto _ctr0;
					case 52:
					if ( ( (*( ( p_)))) == 32 ) {
						goto _ctr82;
					}
					if ( 48 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 57 ) {
						goto _ctr83;
					}
					goto _ctr0;
					case 53:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr85;
						}
						case 13: {
							goto _ctr86;
						}
					}
					if ( 48 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 57 ) {
						goto _ctr87;
					}
					goto _ctr0;
					case 54:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr89;
						}
						case 13: {
							goto _ctr90;
						}
					}
					goto _ctr0;
					case 55:
					if ( ( (*( ( p_)))) == 69 ) {
						goto _ctr91;
					}
					goto _ctr0;
					case 56:
					if ( ( (*( ( p_)))) == 78 ) {
						goto _ctr36;
					}
					goto _ctr0;
					case 57:
					if ( ( (*( ( p_)))) == 10 ) {
						goto _ctr89;
					}
					goto _ctr0;
					case 58:
					if ( ( (*( ( p_)))) == 10 ) {
						goto _ctr93;
					}
					goto _ctr0;
				}
				
				_ctr0: ( savedCs_) = 0; goto _again;
				( savedCs_) = 1; goto _again;
				_ctr2: ( savedCs_) = 2; goto _again;
				_ctr6: ( savedCs_) = 3; goto _again;
				_ctr7: ( savedCs_) = 4; goto _again;
				_ctr8: ( savedCs_) = 5; goto _again;
				_ctr9: ( savedCs_) = 6; goto _again;
				_ctr10: ( savedCs_) = 7; goto _again;
				_ctr11: ( savedCs_) = 8; goto _again;
				_ctr12: ( savedCs_) = 9; goto _again;
				_ctr13: ( savedCs_) = 10; goto _again;
				_ctr14: ( savedCs_) = 11; goto _again;
				_ctr15: ( savedCs_) = 12; goto _again;
				_ctr16: ( savedCs_) = 13; goto _again;
				( savedCs_) = 14; goto _again;
				_ctr17: ( savedCs_) = 14; goto f1;
				_ctr22: ( savedCs_) = 14; goto f4;
				_ctr25: ( savedCs_) = 15; goto _again;
				_ctr19: ( savedCs_) = 15; goto f3;
				_ctr24: ( savedCs_) = 15; goto f6;
				_ctr55: ( savedCs_) = 15; goto f13;
				_ctr60: ( savedCs_) = 15; goto f15;
				( savedCs_) = 16; goto _again;
				_ctr20: ( savedCs_) = 16; goto f1;
				( savedCs_) = 17; goto _again;
				_ctr28: ( savedCs_) = 17; goto f8;
				_ctr31: ( savedCs_) = 17; goto f10;
				( savedCs_) = 18; goto _again;
				_ctr30: ( savedCs_) = 18; goto f9;
				( savedCs_) = 19; goto _again;
				_ctr33: ( savedCs_) = 19; goto f1;
				( savedCs_) = 20; goto _again;
				_ctr3: ( savedCs_) = 20; goto f0;
				_ctr36: ( savedCs_) = 21; goto _again;
				_ctr38: ( savedCs_) = 22; goto _again;
				_ctr41: ( savedCs_) = 22; goto f11;
				_ctr37: ( savedCs_) = 23; goto _again;
				_ctr39: ( savedCs_) = 24; goto _again;
				_ctr40: ( savedCs_) = 25; goto _again;
				_ctr4: ( savedCs_) = 26; goto _again;
				_ctr42: ( savedCs_) = 27; goto _again;
				_ctr43: ( savedCs_) = 28; goto _again;
				_ctr44: ( savedCs_) = 29; goto _again;
				_ctr45: ( savedCs_) = 30; goto _again;
				_ctr46: ( savedCs_) = 31; goto _again;
				_ctr47: ( savedCs_) = 32; goto _again;
				_ctr48: ( savedCs_) = 33; goto _again;
				_ctr49: ( savedCs_) = 34; goto _again;
				_ctr50: ( savedCs_) = 35; goto _again;
				_ctr51: ( savedCs_) = 36; goto _again;
				_ctr52: ( savedCs_) = 37; goto _again;
				( savedCs_) = 38; goto _again;
				_ctr53: ( savedCs_) = 38; goto f1;
				_ctr58: ( savedCs_) = 38; goto f4;
				( savedCs_) = 39; goto _again;
				_ctr56: ( savedCs_) = 39; goto f1;
				( savedCs_) = 40; goto _again;
				_ctr62: ( savedCs_) = 40; goto f8;
				_ctr65: ( savedCs_) = 40; goto f10;
				( savedCs_) = 41; goto _again;
				_ctr64: ( savedCs_) = 41; goto f9;
				( savedCs_) = 42; goto _again;
				_ctr67: ( savedCs_) = 42; goto f1;
				( savedCs_) = 43; goto _again;
				_ctr5: ( savedCs_) = 43; goto f0;
				_ctr70: ( savedCs_) = 44; goto _again;
				_ctr71: ( savedCs_) = 45; goto _again;
				_ctr72: ( savedCs_) = 46; goto _again;
				_ctr73: ( savedCs_) = 47; goto _again;
				_ctr75: ( savedCs_) = 48; goto _again;
				_ctr74: ( savedCs_) = 48; goto f16;
				_ctr76: ( savedCs_) = 49; goto _again;
				_ctr77: ( savedCs_) = 50; goto _again;
				( savedCs_) = 51; goto _again;
				_ctr78: ( savedCs_) = 51; goto f17;
				_ctr81: ( savedCs_) = 51; goto f19;
				_ctr82: ( savedCs_) = 52; goto _again;
				_ctr80: ( savedCs_) = 52; goto f18;
				( savedCs_) = 53; goto _again;
				_ctr83: ( savedCs_) = 53; goto f17;
				_ctr87: ( savedCs_) = 53; goto f19;
				( savedCs_) = 54; goto _again;
				_ctr85: ( savedCs_) = 54; goto f20;
				_ctr93: ( savedCs_) = 54; goto f22;
				_ctr89: ( savedCs_) = 55; goto _again;
				_ctr91: ( savedCs_) = 56; goto _again;
				_ctr90: ( savedCs_) = 57; goto _again;
				( savedCs_) = 58; goto _again;
				_ctr86: ( savedCs_) = 58; goto f21;
				( savedCs_) = 59; goto _again;
				_ctr18: ( savedCs_) = 59; goto f2;
				_ctr23: ( savedCs_) = 59; goto f5;
				_ctr26: ( savedCs_) = 59; goto f7;
				_ctr54: ( savedCs_) = 59; goto f12;
				_ctr59: ( savedCs_) = 59; goto f14;
				
				f22:
					{
#line 38 "lib/network/McAsciiParser.rl"
					
					// We must ensure message.value_ref() is nonempty for ASCII get-like replies
					message.value_ref() = folly::IOBuf();
					if (!readValue(buffer, *message.value_ref())) {
						{( p_) += 1; goto _out; }
					}
				}
				
#line 606 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f7:
					{
#line 74 "lib/network/McAsciiParser.rl"
					
					// Message is complete, so exit the state machine and return to the caller.
					state_ = State::COMPLETE;
					{( p_) += 1; goto _out; }
				}
				
#line 616 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f19:
					{
#line 111 "lib/network/McAsciiParser.rl"
					
					currentUInt_ = currentUInt_ * 10 + ((( (*( ( p_))))) - '0');
				}
				
#line 624 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f18:
					{
#line 120 "lib/network/McAsciiParser.rl"
					
					message.flags_ref() = currentUInt_;
				}
				
#line 632 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f21:
					{
#line 138 "lib/network/McAsciiParser.rl"
					
					remainingIOBufLength_ = static_cast<size_t>(currentUInt_);
					// Enforce maximum on value size obtained from parser                       
					if (remainingIOBufLength_ > maxValueBytes) {
						remainingIOBufLength_ = maxValueBytes;                                    
					}
				}
				
#line 644 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f16:
					{
#line 168 "lib/network/McAsciiParser.rl"
					message.result_ref() = carbon::Result::FOUND; }
				
#line 650 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f11:
					{
#line 176 "lib/network/McAsciiParser.rl"
					
					// This is unexpected error reply, just put ourself into error state.
					state_ = State::ERROR;
					currentErrorDescription_ = "ERROR reply received from server.";
					{( p_) += 1; goto _out; }
				}
				
#line 661 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f4:
					{
#line 183 "lib/network/McAsciiParser.rl"
					
					using MsgT = typename std::decay<decltype(message)>::type;
					consumeErrorMessage<MsgT>(buffer);
				}
				
#line 670 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f15:
					{
#line 189 "lib/network/McAsciiParser.rl"
					
					uint32_t errorCode = currentUInt_;
					if (errorCode == SERVER_ERROR_BUSY) {
						message.result_ref() = carbon::Result::BUSY;
					} else {
						message.result_ref() = carbon::Result::REMOTE_ERROR;
					}
				}
				
#line 683 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f6:
					{
#line 199 "lib/network/McAsciiParser.rl"
					message.result_ref() = carbon::Result::CLIENT_ERROR; }
				
#line 689 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f0:
					{
#line 209 "lib/network/McAsciiParser.rl"
					message.result_ref() = carbon::Result::NOTFOUND; }
				
#line 695 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f1:
					{
#line 54 "lib/network/McAsciiParser.rl"
					
					using MsgT = typename std::decay<decltype(message)>::type;
					resetErrorMessage<MsgT>(message);
				}
				
#line 704 "lib/network/McAsciiParser-gen.cpp"
	{
#line 183 "lib/network/McAsciiParser.rl"
					
					using MsgT = typename std::decay<decltype(message)>::type;
					consumeErrorMessage<MsgT>(buffer);
				}
				
#line 711 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f13:
					{
#line 54 "lib/network/McAsciiParser.rl"
					
					using MsgT = typename std::decay<decltype(message)>::type;
					resetErrorMessage<MsgT>(message);
				}
				
#line 720 "lib/network/McAsciiParser-gen.cpp"
	{
#line 189 "lib/network/McAsciiParser.rl"
					
					uint32_t errorCode = currentUInt_;
					if (errorCode == SERVER_ERROR_BUSY) {
						message.result_ref() = carbon::Result::BUSY;
					} else {
						message.result_ref() = carbon::Result::REMOTE_ERROR;
					}
				}
				
#line 731 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f3:
					{
#line 54 "lib/network/McAsciiParser.rl"
					
					using MsgT = typename std::decay<decltype(message)>::type;
					resetErrorMessage<MsgT>(message);
				}
				
#line 740 "lib/network/McAsciiParser-gen.cpp"
	{
#line 199 "lib/network/McAsciiParser.rl"
					message.result_ref() = carbon::Result::CLIENT_ERROR; }
				
#line 744 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f17:
					{
#line 111 "lib/network/McAsciiParser.rl"
					currentUInt_ = 0; }
				
#line 750 "lib/network/McAsciiParser-gen.cpp"
	{
#line 111 "lib/network/McAsciiParser.rl"
					
					currentUInt_ = currentUInt_ * 10 + ((( (*( ( p_))))) - '0');
				}
				
#line 756 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f10:
					{
#line 111 "lib/network/McAsciiParser.rl"
					
					currentUInt_ = currentUInt_ * 10 + ((( (*( ( p_))))) - '0');
				}
				
#line 764 "lib/network/McAsciiParser-gen.cpp"
	{
#line 183 "lib/network/McAsciiParser.rl"
					
					using MsgT = typename std::decay<decltype(message)>::type;
					consumeErrorMessage<MsgT>(buffer);
				}
				
#line 771 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f20:
					{
#line 138 "lib/network/McAsciiParser.rl"
					
					remainingIOBufLength_ = static_cast<size_t>(currentUInt_);
					// Enforce maximum on value size obtained from parser                       
					if (remainingIOBufLength_ > maxValueBytes) {
						remainingIOBufLength_ = maxValueBytes;                                    
					}
				}
				
#line 783 "lib/network/McAsciiParser-gen.cpp"
	{
#line 38 "lib/network/McAsciiParser.rl"
					
					// We must ensure message.value_ref() is nonempty for ASCII get-like replies
					message.value_ref() = folly::IOBuf();
					if (!readValue(buffer, *message.value_ref())) {
						{( p_) += 1; goto _out; }
					}
				}
				
#line 793 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f9:
					{
#line 159 "lib/network/McAsciiParser.rl"
					
					message.appSpecificErrorCode_ref() = static_cast<uint16_t>(currentUInt_);
				}
				
#line 801 "lib/network/McAsciiParser-gen.cpp"
	{
#line 183 "lib/network/McAsciiParser.rl"
					
					using MsgT = typename std::decay<decltype(message)>::type;
					consumeErrorMessage<MsgT>(buffer);
				}
				
#line 808 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f14:
					{
#line 189 "lib/network/McAsciiParser.rl"
					
					uint32_t errorCode = currentUInt_;
					if (errorCode == SERVER_ERROR_BUSY) {
						message.result_ref() = carbon::Result::BUSY;
					} else {
						message.result_ref() = carbon::Result::REMOTE_ERROR;
					}
				}
				
#line 821 "lib/network/McAsciiParser-gen.cpp"
	{
#line 74 "lib/network/McAsciiParser.rl"
					
					// Message is complete, so exit the state machine and return to the caller.
					state_ = State::COMPLETE;
					{( p_) += 1; goto _out; }
				}
				
#line 829 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f5:
					{
#line 199 "lib/network/McAsciiParser.rl"
					message.result_ref() = carbon::Result::CLIENT_ERROR; }
				
#line 835 "lib/network/McAsciiParser-gen.cpp"
	{
#line 74 "lib/network/McAsciiParser.rl"
					
					// Message is complete, so exit the state machine and return to the caller.
					state_ = State::COMPLETE;
					{( p_) += 1; goto _out; }
				}
				
#line 843 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f12:
					{
#line 54 "lib/network/McAsciiParser.rl"
					
					using MsgT = typename std::decay<decltype(message)>::type;
					resetErrorMessage<MsgT>(message);
				}
				
#line 852 "lib/network/McAsciiParser-gen.cpp"
	{
#line 189 "lib/network/McAsciiParser.rl"
					
					uint32_t errorCode = currentUInt_;
					if (errorCode == SERVER_ERROR_BUSY) {
						message.result_ref() = carbon::Result::BUSY;
					} else {
						message.result_ref() = carbon::Result::REMOTE_ERROR;
					}
				}
				
#line 863 "lib/network/McAsciiParser-gen.cpp"
	{
#line 74 "lib/network/McAsciiParser.rl"
					
					// Message is complete, so exit the state machine and return to the caller.
					state_ = State::COMPLETE;
					{( p_) += 1; goto _out; }
				}
				
#line 871 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f2:
					{
#line 54 "lib/network/McAsciiParser.rl"
					
					using MsgT = typename std::decay<decltype(message)>::type;
					resetErrorMessage<MsgT>(message);
				}
				
#line 880 "lib/network/McAsciiParser-gen.cpp"
	{
#line 199 "lib/network/McAsciiParser.rl"
					message.result_ref() = carbon::Result::CLIENT_ERROR; }
				
#line 884 "lib/network/McAsciiParser-gen.cpp"
	{
#line 74 "lib/network/McAsciiParser.rl"
					
					// Message is complete, so exit the state machine and return to the caller.
					state_ = State::COMPLETE;
					{( p_) += 1; goto _out; }
				}
				
#line 892 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f8:
					{
#line 111 "lib/network/McAsciiParser.rl"
					currentUInt_ = 0; }
				
#line 898 "lib/network/McAsciiParser-gen.cpp"
	{
#line 111 "lib/network/McAsciiParser.rl"
					
					currentUInt_ = currentUInt_ * 10 + ((( (*( ( p_))))) - '0');
				}
				
#line 904 "lib/network/McAsciiParser-gen.cpp"
	{
#line 54 "lib/network/McAsciiParser.rl"
					
					using MsgT = typename std::decay<decltype(message)>::type;
					resetErrorMessage<MsgT>(message);
				}
				
#line 911 "lib/network/McAsciiParser-gen.cpp"
	{
#line 183 "lib/network/McAsciiParser.rl"
					
					using MsgT = typename std::decay<decltype(message)>::type;
					consumeErrorMessage<MsgT>(buffer);
				}
				
#line 918 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				
				_again: {}
				if ( ( savedCs_) != 0 ) {
					( p_) += 1;
					goto _resume;
				}
				_out: {}
			}
			
#line 221 "lib/network/McAsciiParser.rl"

		}
		
		// McGets reply.

#line 932 "lib/network/McAsciiParser-gen.cpp"
static const int mc_ascii_gets_reply_start = 1;
		static const int mc_ascii_gets_reply_first_final = 61;
		static const int mc_ascii_gets_reply_error = 0;
		
		static const int mc_ascii_gets_reply_en_gets_reply = 1;
		
		
#line 232 "lib/network/McAsciiParser.rl"

		
		template <>
		void McClientAsciiParser::consumeMessage<McGetsRequest>(folly::IOBuf& buffer) {
			auto& message = currentMessage_.get<McGetsReply>();

#line 944 "lib/network/McAsciiParser-gen.cpp"
	{
			}

#line 946 "lib/network/McAsciiParser-gen.cpp"
{
				
				_resume: {}
				if ( ( p_) == ( pe_) )
					goto _out;
				switch ( ( savedCs_) ) {
					case 1:
					switch( ( (*( ( p_)))) ) {
						case 67: {
							goto _ctr2;
						}
						case 69: {
							goto _ctr3;
						}
						case 83: {
							goto _ctr4;
						}
						case 86: {
							goto _ctr5;
						}
					}
					goto _ctr0;
					case 0:
					goto _again;
					case 2:
					if ( ( (*( ( p_)))) == 76 ) {
						goto _ctr6;
					}
					goto _ctr0;
					case 3:
					if ( ( (*( ( p_)))) == 73 ) {
						goto _ctr7;
					}
					goto _ctr0;
					case 4:
					if ( ( (*( ( p_)))) == 69 ) {
						goto _ctr8;
					}
					goto _ctr0;
					case 5:
					if ( ( (*( ( p_)))) == 78 ) {
						goto _ctr9;
					}
					goto _ctr0;
					case 6:
					if ( ( (*( ( p_)))) == 84 ) {
						goto _ctr10;
					}
					goto _ctr0;
					case 7:
					if ( ( (*( ( p_)))) == 95 ) {
						goto _ctr11;
					}
					goto _ctr0;
					case 8:
					if ( ( (*( ( p_)))) == 69 ) {
						goto _ctr12;
					}
					goto _ctr0;
					case 9:
					if ( ( (*( ( p_)))) == 82 ) {
						goto _ctr13;
					}
					goto _ctr0;
					case 10:
					if ( ( (*( ( p_)))) == 82 ) {
						goto _ctr14;
					}
					goto _ctr0;
					case 11:
					if ( ( (*( ( p_)))) == 79 ) {
						goto _ctr15;
					}
					goto _ctr0;
					case 12:
					if ( ( (*( ( p_)))) == 82 ) {
						goto _ctr16;
					}
					goto _ctr0;
					case 13:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr18;
						}
						case 13: {
							goto _ctr19;
						}
						case 32: {
							goto _ctr20;
						}
					}
					goto _ctr17;
					case 14:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr23;
						}
						case 13: {
							goto _ctr24;
						}
					}
					goto _ctr22;
					case 61:
					goto _ctr0;
					case 15:
					if ( ( (*( ( p_)))) == 10 ) {
						goto _ctr26;
					}
					goto _ctr0;
					case 16:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr18;
						}
						case 13: {
							goto _ctr19;
						}
					}
					if ( 48 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 57 ) {
						goto _ctr28;
					}
					goto _ctr17;
					case 17:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr23;
						}
						case 13: {
							goto _ctr24;
						}
						case 32: {
							goto _ctr30;
						}
					}
					if ( 48 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 57 ) {
						goto _ctr31;
					}
					goto _ctr22;
					case 18:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr18;
						}
						case 13: {
							goto _ctr19;
						}
						case 32: {
							goto _ctr33;
						}
					}
					goto _ctr17;
					case 19:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr18;
						}
						case 13: {
							goto _ctr19;
						}
					}
					goto _ctr17;
					case 20:
					switch( ( (*( ( p_)))) ) {
						case 78: {
							goto _ctr36;
						}
						case 82: {
							goto _ctr37;
						}
					}
					goto _ctr0;
					case 21:
					if ( ( (*( ( p_)))) == 68 ) {
						goto _ctr38;
					}
					goto _ctr0;
					case 22:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr26;
						}
						case 13: {
							goto _ctr25;
						}
					}
					goto _ctr0;
					case 23:
					if ( ( (*( ( p_)))) == 82 ) {
						goto _ctr39;
					}
					goto _ctr0;
					case 24:
					if ( ( (*( ( p_)))) == 79 ) {
						goto _ctr40;
					}
					goto _ctr0;
					case 25:
					if ( ( (*( ( p_)))) == 82 ) {
						goto _ctr41;
					}
					goto _ctr0;
					case 26:
					if ( ( (*( ( p_)))) == 69 ) {
						goto _ctr42;
					}
					goto _ctr0;
					case 27:
					if ( ( (*( ( p_)))) == 82 ) {
						goto _ctr43;
					}
					goto _ctr0;
					case 28:
					if ( ( (*( ( p_)))) == 86 ) {
						goto _ctr44;
					}
					goto _ctr0;
					case 29:
					if ( ( (*( ( p_)))) == 69 ) {
						goto _ctr45;
					}
					goto _ctr0;
					case 30:
					if ( ( (*( ( p_)))) == 82 ) {
						goto _ctr46;
					}
					goto _ctr0;
					case 31:
					if ( ( (*( ( p_)))) == 95 ) {
						goto _ctr47;
					}
					goto _ctr0;
					case 32:
					if ( ( (*( ( p_)))) == 69 ) {
						goto _ctr48;
					}
					goto _ctr0;
					case 33:
					if ( ( (*( ( p_)))) == 82 ) {
						goto _ctr49;
					}
					goto _ctr0;
					case 34:
					if ( ( (*( ( p_)))) == 82 ) {
						goto _ctr50;
					}
					goto _ctr0;
					case 35:
					if ( ( (*( ( p_)))) == 79 ) {
						goto _ctr51;
					}
					goto _ctr0;
					case 36:
					if ( ( (*( ( p_)))) == 82 ) {
						goto _ctr52;
					}
					goto _ctr0;
					case 37:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr54;
						}
						case 13: {
							goto _ctr55;
						}
						case 32: {
							goto _ctr56;
						}
					}
					goto _ctr53;
					case 38:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr59;
						}
						case 13: {
							goto _ctr60;
						}
					}
					goto _ctr58;
					case 39:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr54;
						}
						case 13: {
							goto _ctr55;
						}
					}
					if ( 48 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 57 ) {
						goto _ctr62;
					}
					goto _ctr53;
					case 40:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr59;
						}
						case 13: {
							goto _ctr60;
						}
						case 32: {
							goto _ctr64;
						}
					}
					if ( 48 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 57 ) {
						goto _ctr65;
					}
					goto _ctr58;
					case 41:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr54;
						}
						case 13: {
							goto _ctr55;
						}
						case 32: {
							goto _ctr67;
						}
					}
					goto _ctr53;
					case 42:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr54;
						}
						case 13: {
							goto _ctr55;
						}
					}
					goto _ctr53;
					case 43:
					if ( ( (*( ( p_)))) == 65 ) {
						goto _ctr70;
					}
					goto _ctr0;
					case 44:
					if ( ( (*( ( p_)))) == 76 ) {
						goto _ctr71;
					}
					goto _ctr0;
					case 45:
					if ( ( (*( ( p_)))) == 85 ) {
						goto _ctr72;
					}
					goto _ctr0;
					case 46:
					if ( ( (*( ( p_)))) == 69 ) {
						goto _ctr73;
					}
					goto _ctr0;
					case 47:
					if ( ( (*( ( p_)))) == 32 ) {
						goto _ctr74;
					}
					goto _ctr0;
					case 48:
					switch( ( (*( ( p_)))) ) {
						case 32: {
							goto _ctr75;
						}
						case 127: {
							goto _ctr0;
						}
					}
					if ( 0 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 31 ) {
						goto _ctr0;
					}
					goto _ctr76;
					case 49:
					switch( ( (*( ( p_)))) ) {
						case 32: {
							goto _ctr77;
						}
						case 127: {
							goto _ctr0;
						}
					}
					if ( 0 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 31 ) {
						goto _ctr0;
					}
					goto _ctr76;
					case 50:
					if ( ( (*( ( p_)))) == 32 ) {
						goto _ctr77;
					}
					if ( 48 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 57 ) {
						goto _ctr78;
					}
					goto _ctr0;
					case 51:
					if ( ( (*( ( p_)))) == 32 ) {
						goto _ctr80;
					}
					if ( 48 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 57 ) {
						goto _ctr81;
					}
					goto _ctr0;
					case 52:
					if ( ( (*( ( p_)))) == 32 ) {
						goto _ctr82;
					}
					if ( 48 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 57 ) {
						goto _ctr83;
					}
					goto _ctr0;
					case 53:
					if ( ( (*( ( p_)))) == 32 ) {
						goto _ctr85;
					}
					if ( 48 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 57 ) {
						goto _ctr86;
					}
					goto _ctr0;
					case 54:
					if ( ( (*( ( p_)))) == 32 ) {
						goto _ctr87;
					}
					if ( 48 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 57 ) {
						goto _ctr88;
					}
					goto _ctr0;
					case 55:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr90;
						}
						case 13: {
							goto _ctr91;
						}
					}
					if ( 48 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 57 ) {
						goto _ctr92;
					}
					goto _ctr0;
					case 56:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr94;
						}
						case 13: {
							goto _ctr95;
						}
					}
					goto _ctr0;
					case 57:
					if ( ( (*( ( p_)))) == 69 ) {
						goto _ctr96;
					}
					goto _ctr0;
					case 58:
					if ( ( (*( ( p_)))) == 78 ) {
						goto _ctr36;
					}
					goto _ctr0;
					case 59:
					if ( ( (*( ( p_)))) == 10 ) {
						goto _ctr94;
					}
					goto _ctr0;
					case 60:
					if ( ( (*( ( p_)))) == 10 ) {
						goto _ctr98;
					}
					goto _ctr0;
				}
				
				_ctr0: ( savedCs_) = 0; goto _again;
				( savedCs_) = 1; goto _again;
				_ctr2: ( savedCs_) = 2; goto _again;
				_ctr6: ( savedCs_) = 3; goto _again;
				_ctr7: ( savedCs_) = 4; goto _again;
				_ctr8: ( savedCs_) = 5; goto _again;
				_ctr9: ( savedCs_) = 6; goto _again;
				_ctr10: ( savedCs_) = 7; goto _again;
				_ctr11: ( savedCs_) = 8; goto _again;
				_ctr12: ( savedCs_) = 9; goto _again;
				_ctr13: ( savedCs_) = 10; goto _again;
				_ctr14: ( savedCs_) = 11; goto _again;
				_ctr15: ( savedCs_) = 12; goto _again;
				_ctr16: ( savedCs_) = 13; goto _again;
				( savedCs_) = 14; goto _again;
				_ctr17: ( savedCs_) = 14; goto f1;
				_ctr22: ( savedCs_) = 14; goto f4;
				_ctr25: ( savedCs_) = 15; goto _again;
				_ctr19: ( savedCs_) = 15; goto f3;
				_ctr24: ( savedCs_) = 15; goto f6;
				_ctr55: ( savedCs_) = 15; goto f13;
				_ctr60: ( savedCs_) = 15; goto f15;
				( savedCs_) = 16; goto _again;
				_ctr20: ( savedCs_) = 16; goto f1;
				( savedCs_) = 17; goto _again;
				_ctr28: ( savedCs_) = 17; goto f8;
				_ctr31: ( savedCs_) = 17; goto f10;
				( savedCs_) = 18; goto _again;
				_ctr30: ( savedCs_) = 18; goto f9;
				( savedCs_) = 19; goto _again;
				_ctr33: ( savedCs_) = 19; goto f1;
				( savedCs_) = 20; goto _again;
				_ctr3: ( savedCs_) = 20; goto f0;
				_ctr36: ( savedCs_) = 21; goto _again;
				_ctr38: ( savedCs_) = 22; goto _again;
				_ctr41: ( savedCs_) = 22; goto f11;
				_ctr37: ( savedCs_) = 23; goto _again;
				_ctr39: ( savedCs_) = 24; goto _again;
				_ctr40: ( savedCs_) = 25; goto _again;
				_ctr4: ( savedCs_) = 26; goto _again;
				_ctr42: ( savedCs_) = 27; goto _again;
				_ctr43: ( savedCs_) = 28; goto _again;
				_ctr44: ( savedCs_) = 29; goto _again;
				_ctr45: ( savedCs_) = 30; goto _again;
				_ctr46: ( savedCs_) = 31; goto _again;
				_ctr47: ( savedCs_) = 32; goto _again;
				_ctr48: ( savedCs_) = 33; goto _again;
				_ctr49: ( savedCs_) = 34; goto _again;
				_ctr50: ( savedCs_) = 35; goto _again;
				_ctr51: ( savedCs_) = 36; goto _again;
				_ctr52: ( savedCs_) = 37; goto _again;
				( savedCs_) = 38; goto _again;
				_ctr53: ( savedCs_) = 38; goto f1;
				_ctr58: ( savedCs_) = 38; goto f4;
				( savedCs_) = 39; goto _again;
				_ctr56: ( savedCs_) = 39; goto f1;
				( savedCs_) = 40; goto _again;
				_ctr62: ( savedCs_) = 40; goto f8;
				_ctr65: ( savedCs_) = 40; goto f10;
				( savedCs_) = 41; goto _again;
				_ctr64: ( savedCs_) = 41; goto f9;
				( savedCs_) = 42; goto _again;
				_ctr67: ( savedCs_) = 42; goto f1;
				( savedCs_) = 43; goto _again;
				_ctr5: ( savedCs_) = 43; goto f0;
				_ctr70: ( savedCs_) = 44; goto _again;
				_ctr71: ( savedCs_) = 45; goto _again;
				_ctr72: ( savedCs_) = 46; goto _again;
				_ctr73: ( savedCs_) = 47; goto _again;
				_ctr75: ( savedCs_) = 48; goto _again;
				_ctr74: ( savedCs_) = 48; goto f16;
				_ctr76: ( savedCs_) = 49; goto _again;
				_ctr77: ( savedCs_) = 50; goto _again;
				( savedCs_) = 51; goto _again;
				_ctr78: ( savedCs_) = 51; goto f17;
				_ctr81: ( savedCs_) = 51; goto f19;
				_ctr82: ( savedCs_) = 52; goto _again;
				_ctr80: ( savedCs_) = 52; goto f18;
				( savedCs_) = 53; goto _again;
				_ctr83: ( savedCs_) = 53; goto f17;
				_ctr86: ( savedCs_) = 53; goto f19;
				_ctr87: ( savedCs_) = 54; goto _again;
				_ctr85: ( savedCs_) = 54; goto f20;
				( savedCs_) = 55; goto _again;
				_ctr88: ( savedCs_) = 55; goto f17;
				_ctr92: ( savedCs_) = 55; goto f19;
				( savedCs_) = 56; goto _again;
				_ctr90: ( savedCs_) = 56; goto f21;
				_ctr98: ( savedCs_) = 56; goto f23;
				_ctr94: ( savedCs_) = 57; goto _again;
				_ctr96: ( savedCs_) = 58; goto _again;
				_ctr95: ( savedCs_) = 59; goto _again;
				( savedCs_) = 60; goto _again;
				_ctr91: ( savedCs_) = 60; goto f22;
				( savedCs_) = 61; goto _again;
				_ctr18: ( savedCs_) = 61; goto f2;
				_ctr23: ( savedCs_) = 61; goto f5;
				_ctr26: ( savedCs_) = 61; goto f7;
				_ctr54: ( savedCs_) = 61; goto f12;
				_ctr59: ( savedCs_) = 61; goto f14;
				
				f23:
					{
#line 38 "lib/network/McAsciiParser.rl"
					
					// We must ensure message.value_ref() is nonempty for ASCII get-like replies
					message.value_ref() = folly::IOBuf();
					if (!readValue(buffer, *message.value_ref())) {
						{( p_) += 1; goto _out; }
					}
				}
				
#line 1525 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f7:
					{
#line 74 "lib/network/McAsciiParser.rl"
					
					// Message is complete, so exit the state machine and return to the caller.
					state_ = State::COMPLETE;
					{( p_) += 1; goto _out; }
				}
				
#line 1535 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f19:
					{
#line 111 "lib/network/McAsciiParser.rl"
					
					currentUInt_ = currentUInt_ * 10 + ((( (*( ( p_))))) - '0');
				}
				
#line 1543 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f18:
					{
#line 120 "lib/network/McAsciiParser.rl"
					
					message.flags_ref() = currentUInt_;
				}
				
#line 1551 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f20:
					{
#line 138 "lib/network/McAsciiParser.rl"
					
					remainingIOBufLength_ = static_cast<size_t>(currentUInt_);
					// Enforce maximum on value size obtained from parser                       
					if (remainingIOBufLength_ > maxValueBytes) {
						remainingIOBufLength_ = maxValueBytes;                                    
					}
				}
				
#line 1563 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f22:
					{
#line 146 "lib/network/McAsciiParser.rl"
					
					message.casToken_ref() = currentUInt_;
				}
				
#line 1571 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f16:
					{
#line 168 "lib/network/McAsciiParser.rl"
					message.result_ref() = carbon::Result::FOUND; }
				
#line 1577 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f11:
					{
#line 176 "lib/network/McAsciiParser.rl"
					
					// This is unexpected error reply, just put ourself into error state.
					state_ = State::ERROR;
					currentErrorDescription_ = "ERROR reply received from server.";
					{( p_) += 1; goto _out; }
				}
				
#line 1588 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f4:
					{
#line 183 "lib/network/McAsciiParser.rl"
					
					using MsgT = typename std::decay<decltype(message)>::type;
					consumeErrorMessage<MsgT>(buffer);
				}
				
#line 1597 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f15:
					{
#line 189 "lib/network/McAsciiParser.rl"
					
					uint32_t errorCode = currentUInt_;
					if (errorCode == SERVER_ERROR_BUSY) {
						message.result_ref() = carbon::Result::BUSY;
					} else {
						message.result_ref() = carbon::Result::REMOTE_ERROR;
					}
				}
				
#line 1610 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f6:
					{
#line 199 "lib/network/McAsciiParser.rl"
					message.result_ref() = carbon::Result::CLIENT_ERROR; }
				
#line 1616 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f0:
					{
#line 229 "lib/network/McAsciiParser.rl"
					message.result_ref() = carbon::Result::NOTFOUND; }
				
#line 1622 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f1:
					{
#line 54 "lib/network/McAsciiParser.rl"
					
					using MsgT = typename std::decay<decltype(message)>::type;
					resetErrorMessage<MsgT>(message);
				}
				
#line 1631 "lib/network/McAsciiParser-gen.cpp"
	{
#line 183 "lib/network/McAsciiParser.rl"
					
					using MsgT = typename std::decay<decltype(message)>::type;
					consumeErrorMessage<MsgT>(buffer);
				}
				
#line 1638 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f13:
					{
#line 54 "lib/network/McAsciiParser.rl"
					
					using MsgT = typename std::decay<decltype(message)>::type;
					resetErrorMessage<MsgT>(message);
				}
				
#line 1647 "lib/network/McAsciiParser-gen.cpp"
	{
#line 189 "lib/network/McAsciiParser.rl"
					
					uint32_t errorCode = currentUInt_;
					if (errorCode == SERVER_ERROR_BUSY) {
						message.result_ref() = carbon::Result::BUSY;
					} else {
						message.result_ref() = carbon::Result::REMOTE_ERROR;
					}
				}
				
#line 1658 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f3:
					{
#line 54 "lib/network/McAsciiParser.rl"
					
					using MsgT = typename std::decay<decltype(message)>::type;
					resetErrorMessage<MsgT>(message);
				}
				
#line 1667 "lib/network/McAsciiParser-gen.cpp"
	{
#line 199 "lib/network/McAsciiParser.rl"
					message.result_ref() = carbon::Result::CLIENT_ERROR; }
				
#line 1671 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f17:
					{
#line 111 "lib/network/McAsciiParser.rl"
					currentUInt_ = 0; }
				
#line 1677 "lib/network/McAsciiParser-gen.cpp"
	{
#line 111 "lib/network/McAsciiParser.rl"
					
					currentUInt_ = currentUInt_ * 10 + ((( (*( ( p_))))) - '0');
				}
				
#line 1683 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f10:
					{
#line 111 "lib/network/McAsciiParser.rl"
					
					currentUInt_ = currentUInt_ * 10 + ((( (*( ( p_))))) - '0');
				}
				
#line 1691 "lib/network/McAsciiParser-gen.cpp"
	{
#line 183 "lib/network/McAsciiParser.rl"
					
					using MsgT = typename std::decay<decltype(message)>::type;
					consumeErrorMessage<MsgT>(buffer);
				}
				
#line 1698 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f21:
					{
#line 146 "lib/network/McAsciiParser.rl"
					
					message.casToken_ref() = currentUInt_;
				}
				
#line 1706 "lib/network/McAsciiParser-gen.cpp"
	{
#line 38 "lib/network/McAsciiParser.rl"
					
					// We must ensure message.value_ref() is nonempty for ASCII get-like replies
					message.value_ref() = folly::IOBuf();
					if (!readValue(buffer, *message.value_ref())) {
						{( p_) += 1; goto _out; }
					}
				}
				
#line 1716 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f9:
					{
#line 159 "lib/network/McAsciiParser.rl"
					
					message.appSpecificErrorCode_ref() = static_cast<uint16_t>(currentUInt_);
				}
				
#line 1724 "lib/network/McAsciiParser-gen.cpp"
	{
#line 183 "lib/network/McAsciiParser.rl"
					
					using MsgT = typename std::decay<decltype(message)>::type;
					consumeErrorMessage<MsgT>(buffer);
				}
				
#line 1731 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f14:
					{
#line 189 "lib/network/McAsciiParser.rl"
					
					uint32_t errorCode = currentUInt_;
					if (errorCode == SERVER_ERROR_BUSY) {
						message.result_ref() = carbon::Result::BUSY;
					} else {
						message.result_ref() = carbon::Result::REMOTE_ERROR;
					}
				}
				
#line 1744 "lib/network/McAsciiParser-gen.cpp"
	{
#line 74 "lib/network/McAsciiParser.rl"
					
					// Message is complete, so exit the state machine and return to the caller.
					state_ = State::COMPLETE;
					{( p_) += 1; goto _out; }
				}
				
#line 1752 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f5:
					{
#line 199 "lib/network/McAsciiParser.rl"
					message.result_ref() = carbon::Result::CLIENT_ERROR; }
				
#line 1758 "lib/network/McAsciiParser-gen.cpp"
	{
#line 74 "lib/network/McAsciiParser.rl"
					
					// Message is complete, so exit the state machine and return to the caller.
					state_ = State::COMPLETE;
					{( p_) += 1; goto _out; }
				}
				
#line 1766 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f12:
					{
#line 54 "lib/network/McAsciiParser.rl"
					
					using MsgT = typename std::decay<decltype(message)>::type;
					resetErrorMessage<MsgT>(message);
				}
				
#line 1775 "lib/network/McAsciiParser-gen.cpp"
	{
#line 189 "lib/network/McAsciiParser.rl"
					
					uint32_t errorCode = currentUInt_;
					if (errorCode == SERVER_ERROR_BUSY) {
						message.result_ref() = carbon::Result::BUSY;
					} else {
						message.result_ref() = carbon::Result::REMOTE_ERROR;
					}
				}
				
#line 1786 "lib/network/McAsciiParser-gen.cpp"
	{
#line 74 "lib/network/McAsciiParser.rl"
					
					// Message is complete, so exit the state machine and return to the caller.
					state_ = State::COMPLETE;
					{( p_) += 1; goto _out; }
				}
				
#line 1794 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f2:
					{
#line 54 "lib/network/McAsciiParser.rl"
					
					using MsgT = typename std::decay<decltype(message)>::type;
					resetErrorMessage<MsgT>(message);
				}
				
#line 1803 "lib/network/McAsciiParser-gen.cpp"
	{
#line 199 "lib/network/McAsciiParser.rl"
					message.result_ref() = carbon::Result::CLIENT_ERROR; }
				
#line 1807 "lib/network/McAsciiParser-gen.cpp"
	{
#line 74 "lib/network/McAsciiParser.rl"
					
					// Message is complete, so exit the state machine and return to the caller.
					state_ = State::COMPLETE;
					{( p_) += 1; goto _out; }
				}
				
#line 1815 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f8:
					{
#line 111 "lib/network/McAsciiParser.rl"
					currentUInt_ = 0; }
				
#line 1821 "lib/network/McAsciiParser-gen.cpp"
	{
#line 111 "lib/network/McAsciiParser.rl"
					
					currentUInt_ = currentUInt_ * 10 + ((( (*( ( p_))))) - '0');
				}
				
#line 1827 "lib/network/McAsciiParser-gen.cpp"
	{
#line 54 "lib/network/McAsciiParser.rl"
					
					using MsgT = typename std::decay<decltype(message)>::type;
					resetErrorMessage<MsgT>(message);
				}
				
#line 1834 "lib/network/McAsciiParser-gen.cpp"
	{
#line 183 "lib/network/McAsciiParser.rl"
					
					using MsgT = typename std::decay<decltype(message)>::type;
					consumeErrorMessage<MsgT>(buffer);
				}
				
#line 1841 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				
				_again: {}
				if ( ( savedCs_) != 0 ) {
					( p_) += 1;
					goto _resume;
				}
				_out: {}
			}
			
#line 241 "lib/network/McAsciiParser.rl"

		}
		
		// McGat reply.

#line 1855 "lib/network/McAsciiParser-gen.cpp"
static const int mc_ascii_gat_reply_start = 1;
		static const int mc_ascii_gat_reply_first_final = 59;
		static const int mc_ascii_gat_reply_error = 0;
		
		static const int mc_ascii_gat_reply_en_gat_reply = 1;
		
		
#line 252 "lib/network/McAsciiParser.rl"

		
		template <>
		void McClientAsciiParser::consumeMessage<McGatRequest>(folly::IOBuf& buffer) {
			auto& message = currentMessage_.get<McGatReply>();

#line 1867 "lib/network/McAsciiParser-gen.cpp"
	{
			}

#line 1869 "lib/network/McAsciiParser-gen.cpp"
{
				
				_resume: {}
				if ( ( p_) == ( pe_) )
					goto _out;
				switch ( ( savedCs_) ) {
					case 1:
					switch( ( (*( ( p_)))) ) {
						case 67: {
							goto _ctr2;
						}
						case 69: {
							goto _ctr3;
						}
						case 83: {
							goto _ctr4;
						}
						case 86: {
							goto _ctr5;
						}
					}
					goto _ctr0;
					case 0:
					goto _again;
					case 2:
					if ( ( (*( ( p_)))) == 76 ) {
						goto _ctr6;
					}
					goto _ctr0;
					case 3:
					if ( ( (*( ( p_)))) == 73 ) {
						goto _ctr7;
					}
					goto _ctr0;
					case 4:
					if ( ( (*( ( p_)))) == 69 ) {
						goto _ctr8;
					}
					goto _ctr0;
					case 5:
					if ( ( (*( ( p_)))) == 78 ) {
						goto _ctr9;
					}
					goto _ctr0;
					case 6:
					if ( ( (*( ( p_)))) == 84 ) {
						goto _ctr10;
					}
					goto _ctr0;
					case 7:
					if ( ( (*( ( p_)))) == 95 ) {
						goto _ctr11;
					}
					goto _ctr0;
					case 8:
					if ( ( (*( ( p_)))) == 69 ) {
						goto _ctr12;
					}
					goto _ctr0;
					case 9:
					if ( ( (*( ( p_)))) == 82 ) {
						goto _ctr13;
					}
					goto _ctr0;
					case 10:
					if ( ( (*( ( p_)))) == 82 ) {
						goto _ctr14;
					}
					goto _ctr0;
					case 11:
					if ( ( (*( ( p_)))) == 79 ) {
						goto _ctr15;
					}
					goto _ctr0;
					case 12:
					if ( ( (*( ( p_)))) == 82 ) {
						goto _ctr16;
					}
					goto _ctr0;
					case 13:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr18;
						}
						case 13: {
							goto _ctr19;
						}
						case 32: {
							goto _ctr20;
						}
					}
					goto _ctr17;
					case 14:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr23;
						}
						case 13: {
							goto _ctr24;
						}
					}
					goto _ctr22;
					case 59:
					goto _ctr0;
					case 15:
					if ( ( (*( ( p_)))) == 10 ) {
						goto _ctr26;
					}
					goto _ctr0;
					case 16:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr18;
						}
						case 13: {
							goto _ctr19;
						}
					}
					if ( 48 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 57 ) {
						goto _ctr28;
					}
					goto _ctr17;
					case 17:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr23;
						}
						case 13: {
							goto _ctr24;
						}
						case 32: {
							goto _ctr30;
						}
					}
					if ( 48 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 57 ) {
						goto _ctr31;
					}
					goto _ctr22;
					case 18:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr18;
						}
						case 13: {
							goto _ctr19;
						}
						case 32: {
							goto _ctr33;
						}
					}
					goto _ctr17;
					case 19:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr18;
						}
						case 13: {
							goto _ctr19;
						}
					}
					goto _ctr17;
					case 20:
					switch( ( (*( ( p_)))) ) {
						case 78: {
							goto _ctr36;
						}
						case 82: {
							goto _ctr37;
						}
					}
					goto _ctr0;
					case 21:
					if ( ( (*( ( p_)))) == 68 ) {
						goto _ctr38;
					}
					goto _ctr0;
					case 22:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr26;
						}
						case 13: {
							goto _ctr25;
						}
					}
					goto _ctr0;
					case 23:
					if ( ( (*( ( p_)))) == 82 ) {
						goto _ctr39;
					}
					goto _ctr0;
					case 24:
					if ( ( (*( ( p_)))) == 79 ) {
						goto _ctr40;
					}
					goto _ctr0;
					case 25:
					if ( ( (*( ( p_)))) == 82 ) {
						goto _ctr41;
					}
					goto _ctr0;
					case 26:
					if ( ( (*( ( p_)))) == 69 ) {
						goto _ctr42;
					}
					goto _ctr0;
					case 27:
					if ( ( (*( ( p_)))) == 82 ) {
						goto _ctr43;
					}
					goto _ctr0;
					case 28:
					if ( ( (*( ( p_)))) == 86 ) {
						goto _ctr44;
					}
					goto _ctr0;
					case 29:
					if ( ( (*( ( p_)))) == 69 ) {
						goto _ctr45;
					}
					goto _ctr0;
					case 30:
					if ( ( (*( ( p_)))) == 82 ) {
						goto _ctr46;
					}
					goto _ctr0;
					case 31:
					if ( ( (*( ( p_)))) == 95 ) {
						goto _ctr47;
					}
					goto _ctr0;
					case 32:
					if ( ( (*( ( p_)))) == 69 ) {
						goto _ctr48;
					}
					goto _ctr0;
					case 33:
					if ( ( (*( ( p_)))) == 82 ) {
						goto _ctr49;
					}
					goto _ctr0;
					case 34:
					if ( ( (*( ( p_)))) == 82 ) {
						goto _ctr50;
					}
					goto _ctr0;
					case 35:
					if ( ( (*( ( p_)))) == 79 ) {
						goto _ctr51;
					}
					goto _ctr0;
					case 36:
					if ( ( (*( ( p_)))) == 82 ) {
						goto _ctr52;
					}
					goto _ctr0;
					case 37:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr54;
						}
						case 13: {
							goto _ctr55;
						}
						case 32: {
							goto _ctr56;
						}
					}
					goto _ctr53;
					case 38:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr59;
						}
						case 13: {
							goto _ctr60;
						}
					}
					goto _ctr58;
					case 39:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr54;
						}
						case 13: {
							goto _ctr55;
						}
					}
					if ( 48 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 57 ) {
						goto _ctr62;
					}
					goto _ctr53;
					case 40:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr59;
						}
						case 13: {
							goto _ctr60;
						}
						case 32: {
							goto _ctr64;
						}
					}
					if ( 48 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 57 ) {
						goto _ctr65;
					}
					goto _ctr58;
					case 41:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr54;
						}
						case 13: {
							goto _ctr55;
						}
						case 32: {
							goto _ctr67;
						}
					}
					goto _ctr53;
					case 42:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr54;
						}
						case 13: {
							goto _ctr55;
						}
					}
					goto _ctr53;
					case 43:
					if ( ( (*( ( p_)))) == 65 ) {
						goto _ctr70;
					}
					goto _ctr0;
					case 44:
					if ( ( (*( ( p_)))) == 76 ) {
						goto _ctr71;
					}
					goto _ctr0;
					case 45:
					if ( ( (*( ( p_)))) == 85 ) {
						goto _ctr72;
					}
					goto _ctr0;
					case 46:
					if ( ( (*( ( p_)))) == 69 ) {
						goto _ctr73;
					}
					goto _ctr0;
					case 47:
					if ( ( (*( ( p_)))) == 32 ) {
						goto _ctr74;
					}
					goto _ctr0;
					case 48:
					switch( ( (*( ( p_)))) ) {
						case 32: {
							goto _ctr75;
						}
						case 127: {
							goto _ctr0;
						}
					}
					if ( 0 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 31 ) {
						goto _ctr0;
					}
					goto _ctr76;
					case 49:
					switch( ( (*( ( p_)))) ) {
						case 32: {
							goto _ctr77;
						}
						case 127: {
							goto _ctr0;
						}
					}
					if ( 0 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 31 ) {
						goto _ctr0;
					}
					goto _ctr76;
					case 50:
					if ( ( (*( ( p_)))) == 32 ) {
						goto _ctr77;
					}
					if ( 48 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 57 ) {
						goto _ctr78;
					}
					goto _ctr0;
					case 51:
					if ( ( (*( ( p_)))) == 32 ) {
						goto _ctr80;
					}
					if ( 48 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 57 ) {
						goto _ctr81;
					}
					goto _ctr0;
					case 52:
					if ( ( (*( ( p_)))) == 32 ) {
						goto _ctr82;
					}
					if ( 48 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 57 ) {
						goto _ctr83;
					}
					goto _ctr0;
					case 53:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr85;
						}
						case 13: {
							goto _ctr86;
						}
					}
					if ( 48 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 57 ) {
						goto _ctr87;
					}
					goto _ctr0;
					case 54:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr89;
						}
						case 13: {
							goto _ctr90;
						}
					}
					goto _ctr0;
					case 55:
					if ( ( (*( ( p_)))) == 69 ) {
						goto _ctr91;
					}
					goto _ctr0;
					case 56:
					if ( ( (*( ( p_)))) == 78 ) {
						goto _ctr36;
					}
					goto _ctr0;
					case 57:
					if ( ( (*( ( p_)))) == 10 ) {
						goto _ctr89;
					}
					goto _ctr0;
					case 58:
					if ( ( (*( ( p_)))) == 10 ) {
						goto _ctr93;
					}
					goto _ctr0;
				}
				
				_ctr0: ( savedCs_) = 0; goto _again;
				( savedCs_) = 1; goto _again;
				_ctr2: ( savedCs_) = 2; goto _again;
				_ctr6: ( savedCs_) = 3; goto _again;
				_ctr7: ( savedCs_) = 4; goto _again;
				_ctr8: ( savedCs_) = 5; goto _again;
				_ctr9: ( savedCs_) = 6; goto _again;
				_ctr10: ( savedCs_) = 7; goto _again;
				_ctr11: ( savedCs_) = 8; goto _again;
				_ctr12: ( savedCs_) = 9; goto _again;
				_ctr13: ( savedCs_) = 10; goto _again;
				_ctr14: ( savedCs_) = 11; goto _again;
				_ctr15: ( savedCs_) = 12; goto _again;
				_ctr16: ( savedCs_) = 13; goto _again;
				( savedCs_) = 14; goto _again;
				_ctr17: ( savedCs_) = 14; goto f1;
				_ctr22: ( savedCs_) = 14; goto f4;
				_ctr25: ( savedCs_) = 15; goto _again;
				_ctr19: ( savedCs_) = 15; goto f3;
				_ctr24: ( savedCs_) = 15; goto f6;
				_ctr55: ( savedCs_) = 15; goto f13;
				_ctr60: ( savedCs_) = 15; goto f15;
				( savedCs_) = 16; goto _again;
				_ctr20: ( savedCs_) = 16; goto f1;
				( savedCs_) = 17; goto _again;
				_ctr28: ( savedCs_) = 17; goto f8;
				_ctr31: ( savedCs_) = 17; goto f10;
				( savedCs_) = 18; goto _again;
				_ctr30: ( savedCs_) = 18; goto f9;
				( savedCs_) = 19; goto _again;
				_ctr33: ( savedCs_) = 19; goto f1;
				( savedCs_) = 20; goto _again;
				_ctr3: ( savedCs_) = 20; goto f0;
				_ctr36: ( savedCs_) = 21; goto _again;
				_ctr38: ( savedCs_) = 22; goto _again;
				_ctr41: ( savedCs_) = 22; goto f11;
				_ctr37: ( savedCs_) = 23; goto _again;
				_ctr39: ( savedCs_) = 24; goto _again;
				_ctr40: ( savedCs_) = 25; goto _again;
				_ctr4: ( savedCs_) = 26; goto _again;
				_ctr42: ( savedCs_) = 27; goto _again;
				_ctr43: ( savedCs_) = 28; goto _again;
				_ctr44: ( savedCs_) = 29; goto _again;
				_ctr45: ( savedCs_) = 30; goto _again;
				_ctr46: ( savedCs_) = 31; goto _again;
				_ctr47: ( savedCs_) = 32; goto _again;
				_ctr48: ( savedCs_) = 33; goto _again;
				_ctr49: ( savedCs_) = 34; goto _again;
				_ctr50: ( savedCs_) = 35; goto _again;
				_ctr51: ( savedCs_) = 36; goto _again;
				_ctr52: ( savedCs_) = 37; goto _again;
				( savedCs_) = 38; goto _again;
				_ctr53: ( savedCs_) = 38; goto f1;
				_ctr58: ( savedCs_) = 38; goto f4;
				( savedCs_) = 39; goto _again;
				_ctr56: ( savedCs_) = 39; goto f1;
				( savedCs_) = 40; goto _again;
				_ctr62: ( savedCs_) = 40; goto f8;
				_ctr65: ( savedCs_) = 40; goto f10;
				( savedCs_) = 41; goto _again;
				_ctr64: ( savedCs_) = 41; goto f9;
				( savedCs_) = 42; goto _again;
				_ctr67: ( savedCs_) = 42; goto f1;
				( savedCs_) = 43; goto _again;
				_ctr5: ( savedCs_) = 43; goto f0;
				_ctr70: ( savedCs_) = 44; goto _again;
				_ctr71: ( savedCs_) = 45; goto _again;
				_ctr72: ( savedCs_) = 46; goto _again;
				_ctr73: ( savedCs_) = 47; goto _again;
				_ctr75: ( savedCs_) = 48; goto _again;
				_ctr74: ( savedCs_) = 48; goto f16;
				_ctr76: ( savedCs_) = 49; goto _again;
				_ctr77: ( savedCs_) = 50; goto _again;
				( savedCs_) = 51; goto _again;
				_ctr78: ( savedCs_) = 51; goto f17;
				_ctr81: ( savedCs_) = 51; goto f19;
				_ctr82: ( savedCs_) = 52; goto _again;
				_ctr80: ( savedCs_) = 52; goto f18;
				( savedCs_) = 53; goto _again;
				_ctr83: ( savedCs_) = 53; goto f17;
				_ctr87: ( savedCs_) = 53; goto f19;
				( savedCs_) = 54; goto _again;
				_ctr85: ( savedCs_) = 54; goto f20;
				_ctr93: ( savedCs_) = 54; goto f22;
				_ctr89: ( savedCs_) = 55; goto _again;
				_ctr91: ( savedCs_) = 56; goto _again;
				_ctr90: ( savedCs_) = 57; goto _again;
				( savedCs_) = 58; goto _again;
				_ctr86: ( savedCs_) = 58; goto f21;
				( savedCs_) = 59; goto _again;
				_ctr18: ( savedCs_) = 59; goto f2;
				_ctr23: ( savedCs_) = 59; goto f5;
				_ctr26: ( savedCs_) = 59; goto f7;
				_ctr54: ( savedCs_) = 59; goto f12;
				_ctr59: ( savedCs_) = 59; goto f14;
				
				f22:
					{
#line 38 "lib/network/McAsciiParser.rl"
					
					// We must ensure message.value_ref() is nonempty for ASCII get-like replies
					message.value_ref() = folly::IOBuf();
					if (!readValue(buffer, *message.value_ref())) {
						{( p_) += 1; goto _out; }
					}
				}
				
#line 2427 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f7:
					{
#line 74 "lib/network/McAsciiParser.rl"
					
					// Message is complete, so exit the state machine and return to the caller.
					state_ = State::COMPLETE;
					{( p_) += 1; goto _out; }
				}
				
#line 2437 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f19:
					{
#line 111 "lib/network/McAsciiParser.rl"
					
					currentUInt_ = currentUInt_ * 10 + ((( (*( ( p_))))) - '0');
				}
				
#line 2445 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f18:
					{
#line 120 "lib/network/McAsciiParser.rl"
					
					message.flags_ref() = currentUInt_;
				}
				
#line 2453 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f21:
					{
#line 138 "lib/network/McAsciiParser.rl"
					
					remainingIOBufLength_ = static_cast<size_t>(currentUInt_);
					// Enforce maximum on value size obtained from parser                       
					if (remainingIOBufLength_ > maxValueBytes) {
						remainingIOBufLength_ = maxValueBytes;                                    
					}
				}
				
#line 2465 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f16:
					{
#line 168 "lib/network/McAsciiParser.rl"
					message.result_ref() = carbon::Result::FOUND; }
				
#line 2471 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f11:
					{
#line 176 "lib/network/McAsciiParser.rl"
					
					// This is unexpected error reply, just put ourself into error state.
					state_ = State::ERROR;
					currentErrorDescription_ = "ERROR reply received from server.";
					{( p_) += 1; goto _out; }
				}
				
#line 2482 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f4:
					{
#line 183 "lib/network/McAsciiParser.rl"
					
					using MsgT = typename std::decay<decltype(message)>::type;
					consumeErrorMessage<MsgT>(buffer);
				}
				
#line 2491 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f15:
					{
#line 189 "lib/network/McAsciiParser.rl"
					
					uint32_t errorCode = currentUInt_;
					if (errorCode == SERVER_ERROR_BUSY) {
						message.result_ref() = carbon::Result::BUSY;
					} else {
						message.result_ref() = carbon::Result::REMOTE_ERROR;
					}
				}
				
#line 2504 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f6:
					{
#line 199 "lib/network/McAsciiParser.rl"
					message.result_ref() = carbon::Result::CLIENT_ERROR; }
				
#line 2510 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f0:
					{
#line 249 "lib/network/McAsciiParser.rl"
					message.result_ref() = carbon::Result::NOTFOUND; }
				
#line 2516 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f1:
					{
#line 54 "lib/network/McAsciiParser.rl"
					
					using MsgT = typename std::decay<decltype(message)>::type;
					resetErrorMessage<MsgT>(message);
				}
				
#line 2525 "lib/network/McAsciiParser-gen.cpp"
	{
#line 183 "lib/network/McAsciiParser.rl"
					
					using MsgT = typename std::decay<decltype(message)>::type;
					consumeErrorMessage<MsgT>(buffer);
				}
				
#line 2532 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f13:
					{
#line 54 "lib/network/McAsciiParser.rl"
					
					using MsgT = typename std::decay<decltype(message)>::type;
					resetErrorMessage<MsgT>(message);
				}
				
#line 2541 "lib/network/McAsciiParser-gen.cpp"
	{
#line 189 "lib/network/McAsciiParser.rl"
					
					uint32_t errorCode = currentUInt_;
					if (errorCode == SERVER_ERROR_BUSY) {
						message.result_ref() = carbon::Result::BUSY;
					} else {
						message.result_ref() = carbon::Result::REMOTE_ERROR;
					}
				}
				
#line 2552 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f3:
					{
#line 54 "lib/network/McAsciiParser.rl"
					
					using MsgT = typename std::decay<decltype(message)>::type;
					resetErrorMessage<MsgT>(message);
				}
				
#line 2561 "lib/network/McAsciiParser-gen.cpp"
	{
#line 199 "lib/network/McAsciiParser.rl"
					message.result_ref() = carbon::Result::CLIENT_ERROR; }
				
#line 2565 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f17:
					{
#line 111 "lib/network/McAsciiParser.rl"
					currentUInt_ = 0; }
				
#line 2571 "lib/network/McAsciiParser-gen.cpp"
	{
#line 111 "lib/network/McAsciiParser.rl"
					
					currentUInt_ = currentUInt_ * 10 + ((( (*( ( p_))))) - '0');
				}
				
#line 2577 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f10:
					{
#line 111 "lib/network/McAsciiParser.rl"
					
					currentUInt_ = currentUInt_ * 10 + ((( (*( ( p_))))) - '0');
				}
				
#line 2585 "lib/network/McAsciiParser-gen.cpp"
	{
#line 183 "lib/network/McAsciiParser.rl"
					
					using MsgT = typename std::decay<decltype(message)>::type;
					consumeErrorMessage<MsgT>(buffer);
				}
				
#line 2592 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f20:
					{
#line 138 "lib/network/McAsciiParser.rl"
					
					remainingIOBufLength_ = static_cast<size_t>(currentUInt_);
					// Enforce maximum on value size obtained from parser                       
					if (remainingIOBufLength_ > maxValueBytes) {
						remainingIOBufLength_ = maxValueBytes;                                    
					}
				}
				
#line 2604 "lib/network/McAsciiParser-gen.cpp"
	{
#line 38 "lib/network/McAsciiParser.rl"
					
					// We must ensure message.value_ref() is nonempty for ASCII get-like replies
					message.value_ref() = folly::IOBuf();
					if (!readValue(buffer, *message.value_ref())) {
						{( p_) += 1; goto _out; }
					}
				}
				
#line 2614 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f9:
					{
#line 159 "lib/network/McAsciiParser.rl"
					
					message.appSpecificErrorCode_ref() = static_cast<uint16_t>(currentUInt_);
				}
				
#line 2622 "lib/network/McAsciiParser-gen.cpp"
	{
#line 183 "lib/network/McAsciiParser.rl"
					
					using MsgT = typename std::decay<decltype(message)>::type;
					consumeErrorMessage<MsgT>(buffer);
				}
				
#line 2629 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f14:
					{
#line 189 "lib/network/McAsciiParser.rl"
					
					uint32_t errorCode = currentUInt_;
					if (errorCode == SERVER_ERROR_BUSY) {
						message.result_ref() = carbon::Result::BUSY;
					} else {
						message.result_ref() = carbon::Result::REMOTE_ERROR;
					}
				}
				
#line 2642 "lib/network/McAsciiParser-gen.cpp"
	{
#line 74 "lib/network/McAsciiParser.rl"
					
					// Message is complete, so exit the state machine and return to the caller.
					state_ = State::COMPLETE;
					{( p_) += 1; goto _out; }
				}
				
#line 2650 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f5:
					{
#line 199 "lib/network/McAsciiParser.rl"
					message.result_ref() = carbon::Result::CLIENT_ERROR; }
				
#line 2656 "lib/network/McAsciiParser-gen.cpp"
	{
#line 74 "lib/network/McAsciiParser.rl"
					
					// Message is complete, so exit the state machine and return to the caller.
					state_ = State::COMPLETE;
					{( p_) += 1; goto _out; }
				}
				
#line 2664 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f12:
					{
#line 54 "lib/network/McAsciiParser.rl"
					
					using MsgT = typename std::decay<decltype(message)>::type;
					resetErrorMessage<MsgT>(message);
				}
				
#line 2673 "lib/network/McAsciiParser-gen.cpp"
	{
#line 189 "lib/network/McAsciiParser.rl"
					
					uint32_t errorCode = currentUInt_;
					if (errorCode == SERVER_ERROR_BUSY) {
						message.result_ref() = carbon::Result::BUSY;
					} else {
						message.result_ref() = carbon::Result::REMOTE_ERROR;
					}
				}
				
#line 2684 "lib/network/McAsciiParser-gen.cpp"
	{
#line 74 "lib/network/McAsciiParser.rl"
					
					// Message is complete, so exit the state machine and return to the caller.
					state_ = State::COMPLETE;
					{( p_) += 1; goto _out; }
				}
				
#line 2692 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f2:
					{
#line 54 "lib/network/McAsciiParser.rl"
					
					using MsgT = typename std::decay<decltype(message)>::type;
					resetErrorMessage<MsgT>(message);
				}
				
#line 2701 "lib/network/McAsciiParser-gen.cpp"
	{
#line 199 "lib/network/McAsciiParser.rl"
					message.result_ref() = carbon::Result::CLIENT_ERROR; }
				
#line 2705 "lib/network/McAsciiParser-gen.cpp"
	{
#line 74 "lib/network/McAsciiParser.rl"
					
					// Message is complete, so exit the state machine and return to the caller.
					state_ = State::COMPLETE;
					{( p_) += 1; goto _out; }
				}
				
#line 2713 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f8:
					{
#line 111 "lib/network/McAsciiParser.rl"
					currentUInt_ = 0; }
				
#line 2719 "lib/network/McAsciiParser-gen.cpp"
	{
#line 111 "lib/network/McAsciiParser.rl"
					
					currentUInt_ = currentUInt_ * 10 + ((( (*( ( p_))))) - '0');
				}
				
#line 2725 "lib/network/McAsciiParser-gen.cpp"
	{
#line 54 "lib/network/McAsciiParser.rl"
					
					using MsgT = typename std::decay<decltype(message)>::type;
					resetErrorMessage<MsgT>(message);
				}
				
#line 2732 "lib/network/McAsciiParser-gen.cpp"
	{
#line 183 "lib/network/McAsciiParser.rl"
					
					using MsgT = typename std::decay<decltype(message)>::type;
					consumeErrorMessage<MsgT>(buffer);
				}
				
#line 2739 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				
				_again: {}
				if ( ( savedCs_) != 0 ) {
					( p_) += 1;
					goto _resume;
				}
				_out: {}
			}
			
#line 261 "lib/network/McAsciiParser.rl"

		}
		
		// McGats reply.

#line 2753 "lib/network/McAsciiParser-gen.cpp"
static const int mc_ascii_gats_reply_start = 1;
		static const int mc_ascii_gats_reply_first_final = 61;
		static const int mc_ascii_gats_reply_error = 0;
		
		static const int mc_ascii_gats_reply_en_gats_reply = 1;
		
		
#line 272 "lib/network/McAsciiParser.rl"

		
		template <>
		void McClientAsciiParser::consumeMessage<McGatsRequest>(folly::IOBuf& buffer) {
			auto& message = currentMessage_.get<McGatsReply>();

#line 2765 "lib/network/McAsciiParser-gen.cpp"
	{
			}

#line 2767 "lib/network/McAsciiParser-gen.cpp"
{
				
				_resume: {}
				if ( ( p_) == ( pe_) )
					goto _out;
				switch ( ( savedCs_) ) {
					case 1:
					switch( ( (*( ( p_)))) ) {
						case 67: {
							goto _ctr2;
						}
						case 69: {
							goto _ctr3;
						}
						case 83: {
							goto _ctr4;
						}
						case 86: {
							goto _ctr5;
						}
					}
					goto _ctr0;
					case 0:
					goto _again;
					case 2:
					if ( ( (*( ( p_)))) == 76 ) {
						goto _ctr6;
					}
					goto _ctr0;
					case 3:
					if ( ( (*( ( p_)))) == 73 ) {
						goto _ctr7;
					}
					goto _ctr0;
					case 4:
					if ( ( (*( ( p_)))) == 69 ) {
						goto _ctr8;
					}
					goto _ctr0;
					case 5:
					if ( ( (*( ( p_)))) == 78 ) {
						goto _ctr9;
					}
					goto _ctr0;
					case 6:
					if ( ( (*( ( p_)))) == 84 ) {
						goto _ctr10;
					}
					goto _ctr0;
					case 7:
					if ( ( (*( ( p_)))) == 95 ) {
						goto _ctr11;
					}
					goto _ctr0;
					case 8:
					if ( ( (*( ( p_)))) == 69 ) {
						goto _ctr12;
					}
					goto _ctr0;
					case 9:
					if ( ( (*( ( p_)))) == 82 ) {
						goto _ctr13;
					}
					goto _ctr0;
					case 10:
					if ( ( (*( ( p_)))) == 82 ) {
						goto _ctr14;
					}
					goto _ctr0;
					case 11:
					if ( ( (*( ( p_)))) == 79 ) {
						goto _ctr15;
					}
					goto _ctr0;
					case 12:
					if ( ( (*( ( p_)))) == 82 ) {
						goto _ctr16;
					}
					goto _ctr0;
					case 13:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr18;
						}
						case 13: {
							goto _ctr19;
						}
						case 32: {
							goto _ctr20;
						}
					}
					goto _ctr17;
					case 14:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr23;
						}
						case 13: {
							goto _ctr24;
						}
					}
					goto _ctr22;
					case 61:
					goto _ctr0;
					case 15:
					if ( ( (*( ( p_)))) == 10 ) {
						goto _ctr26;
					}
					goto _ctr0;
					case 16:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr18;
						}
						case 13: {
							goto _ctr19;
						}
					}
					if ( 48 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 57 ) {
						goto _ctr28;
					}
					goto _ctr17;
					case 17:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr23;
						}
						case 13: {
							goto _ctr24;
						}
						case 32: {
							goto _ctr30;
						}
					}
					if ( 48 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 57 ) {
						goto _ctr31;
					}
					goto _ctr22;
					case 18:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr18;
						}
						case 13: {
							goto _ctr19;
						}
						case 32: {
							goto _ctr33;
						}
					}
					goto _ctr17;
					case 19:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr18;
						}
						case 13: {
							goto _ctr19;
						}
					}
					goto _ctr17;
					case 20:
					switch( ( (*( ( p_)))) ) {
						case 78: {
							goto _ctr36;
						}
						case 82: {
							goto _ctr37;
						}
					}
					goto _ctr0;
					case 21:
					if ( ( (*( ( p_)))) == 68 ) {
						goto _ctr38;
					}
					goto _ctr0;
					case 22:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr26;
						}
						case 13: {
							goto _ctr25;
						}
					}
					goto _ctr0;
					case 23:
					if ( ( (*( ( p_)))) == 82 ) {
						goto _ctr39;
					}
					goto _ctr0;
					case 24:
					if ( ( (*( ( p_)))) == 79 ) {
						goto _ctr40;
					}
					goto _ctr0;
					case 25:
					if ( ( (*( ( p_)))) == 82 ) {
						goto _ctr41;
					}
					goto _ctr0;
					case 26:
					if ( ( (*( ( p_)))) == 69 ) {
						goto _ctr42;
					}
					goto _ctr0;
					case 27:
					if ( ( (*( ( p_)))) == 82 ) {
						goto _ctr43;
					}
					goto _ctr0;
					case 28:
					if ( ( (*( ( p_)))) == 86 ) {
						goto _ctr44;
					}
					goto _ctr0;
					case 29:
					if ( ( (*( ( p_)))) == 69 ) {
						goto _ctr45;
					}
					goto _ctr0;
					case 30:
					if ( ( (*( ( p_)))) == 82 ) {
						goto _ctr46;
					}
					goto _ctr0;
					case 31:
					if ( ( (*( ( p_)))) == 95 ) {
						goto _ctr47;
					}
					goto _ctr0;
					case 32:
					if ( ( (*( ( p_)))) == 69 ) {
						goto _ctr48;
					}
					goto _ctr0;
					case 33:
					if ( ( (*( ( p_)))) == 82 ) {
						goto _ctr49;
					}
					goto _ctr0;
					case 34:
					if ( ( (*( ( p_)))) == 82 ) {
						goto _ctr50;
					}
					goto _ctr0;
					case 35:
					if ( ( (*( ( p_)))) == 79 ) {
						goto _ctr51;
					}
					goto _ctr0;
					case 36:
					if ( ( (*( ( p_)))) == 82 ) {
						goto _ctr52;
					}
					goto _ctr0;
					case 37:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr54;
						}
						case 13: {
							goto _ctr55;
						}
						case 32: {
							goto _ctr56;
						}
					}
					goto _ctr53;
					case 38:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr59;
						}
						case 13: {
							goto _ctr60;
						}
					}
					goto _ctr58;
					case 39:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr54;
						}
						case 13: {
							goto _ctr55;
						}
					}
					if ( 48 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 57 ) {
						goto _ctr62;
					}
					goto _ctr53;
					case 40:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr59;
						}
						case 13: {
							goto _ctr60;
						}
						case 32: {
							goto _ctr64;
						}
					}
					if ( 48 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 57 ) {
						goto _ctr65;
					}
					goto _ctr58;
					case 41:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr54;
						}
						case 13: {
							goto _ctr55;
						}
						case 32: {
							goto _ctr67;
						}
					}
					goto _ctr53;
					case 42:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr54;
						}
						case 13: {
							goto _ctr55;
						}
					}
					goto _ctr53;
					case 43:
					if ( ( (*( ( p_)))) == 65 ) {
						goto _ctr70;
					}
					goto _ctr0;
					case 44:
					if ( ( (*( ( p_)))) == 76 ) {
						goto _ctr71;
					}
					goto _ctr0;
					case 45:
					if ( ( (*( ( p_)))) == 85 ) {
						goto _ctr72;
					}
					goto _ctr0;
					case 46:
					if ( ( (*( ( p_)))) == 69 ) {
						goto _ctr73;
					}
					goto _ctr0;
					case 47:
					if ( ( (*( ( p_)))) == 32 ) {
						goto _ctr74;
					}
					goto _ctr0;
					case 48:
					switch( ( (*( ( p_)))) ) {
						case 32: {
							goto _ctr75;
						}
						case 127: {
							goto _ctr0;
						}
					}
					if ( 0 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 31 ) {
						goto _ctr0;
					}
					goto _ctr76;
					case 49:
					switch( ( (*( ( p_)))) ) {
						case 32: {
							goto _ctr77;
						}
						case 127: {
							goto _ctr0;
						}
					}
					if ( 0 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 31 ) {
						goto _ctr0;
					}
					goto _ctr76;
					case 50:
					if ( ( (*( ( p_)))) == 32 ) {
						goto _ctr77;
					}
					if ( 48 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 57 ) {
						goto _ctr78;
					}
					goto _ctr0;
					case 51:
					if ( ( (*( ( p_)))) == 32 ) {
						goto _ctr80;
					}
					if ( 48 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 57 ) {
						goto _ctr81;
					}
					goto _ctr0;
					case 52:
					if ( ( (*( ( p_)))) == 32 ) {
						goto _ctr82;
					}
					if ( 48 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 57 ) {
						goto _ctr83;
					}
					goto _ctr0;
					case 53:
					if ( ( (*( ( p_)))) == 32 ) {
						goto _ctr85;
					}
					if ( 48 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 57 ) {
						goto _ctr86;
					}
					goto _ctr0;
					case 54:
					if ( ( (*( ( p_)))) == 32 ) {
						goto _ctr87;
					}
					if ( 48 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 57 ) {
						goto _ctr88;
					}
					goto _ctr0;
					case 55:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr90;
						}
						case 13: {
							goto _ctr91;
						}
					}
					if ( 48 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 57 ) {
						goto _ctr92;
					}
					goto _ctr0;
					case 56:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr94;
						}
						case 13: {
							goto _ctr95;
						}
					}
					goto _ctr0;
					case 57:
					if ( ( (*( ( p_)))) == 69 ) {
						goto _ctr96;
					}
					goto _ctr0;
					case 58:
					if ( ( (*( ( p_)))) == 78 ) {
						goto _ctr36;
					}
					goto _ctr0;
					case 59:
					if ( ( (*( ( p_)))) == 10 ) {
						goto _ctr94;
					}
					goto _ctr0;
					case 60:
					if ( ( (*( ( p_)))) == 10 ) {
						goto _ctr98;
					}
					goto _ctr0;
				}
				
				_ctr0: ( savedCs_) = 0; goto _again;
				( savedCs_) = 1; goto _again;
				_ctr2: ( savedCs_) = 2; goto _again;
				_ctr6: ( savedCs_) = 3; goto _again;
				_ctr7: ( savedCs_) = 4; goto _again;
				_ctr8: ( savedCs_) = 5; goto _again;
				_ctr9: ( savedCs_) = 6; goto _again;
				_ctr10: ( savedCs_) = 7; goto _again;
				_ctr11: ( savedCs_) = 8; goto _again;
				_ctr12: ( savedCs_) = 9; goto _again;
				_ctr13: ( savedCs_) = 10; goto _again;
				_ctr14: ( savedCs_) = 11; goto _again;
				_ctr15: ( savedCs_) = 12; goto _again;
				_ctr16: ( savedCs_) = 13; goto _again;
				( savedCs_) = 14; goto _again;
				_ctr17: ( savedCs_) = 14; goto f1;
				_ctr22: ( savedCs_) = 14; goto f4;
				_ctr25: ( savedCs_) = 15; goto _again;
				_ctr19: ( savedCs_) = 15; goto f3;
				_ctr24: ( savedCs_) = 15; goto f6;
				_ctr55: ( savedCs_) = 15; goto f13;
				_ctr60: ( savedCs_) = 15; goto f15;
				( savedCs_) = 16; goto _again;
				_ctr20: ( savedCs_) = 16; goto f1;
				( savedCs_) = 17; goto _again;
				_ctr28: ( savedCs_) = 17; goto f8;
				_ctr31: ( savedCs_) = 17; goto f10;
				( savedCs_) = 18; goto _again;
				_ctr30: ( savedCs_) = 18; goto f9;
				( savedCs_) = 19; goto _again;
				_ctr33: ( savedCs_) = 19; goto f1;
				( savedCs_) = 20; goto _again;
				_ctr3: ( savedCs_) = 20; goto f0;
				_ctr36: ( savedCs_) = 21; goto _again;
				_ctr38: ( savedCs_) = 22; goto _again;
				_ctr41: ( savedCs_) = 22; goto f11;
				_ctr37: ( savedCs_) = 23; goto _again;
				_ctr39: ( savedCs_) = 24; goto _again;
				_ctr40: ( savedCs_) = 25; goto _again;
				_ctr4: ( savedCs_) = 26; goto _again;
				_ctr42: ( savedCs_) = 27; goto _again;
				_ctr43: ( savedCs_) = 28; goto _again;
				_ctr44: ( savedCs_) = 29; goto _again;
				_ctr45: ( savedCs_) = 30; goto _again;
				_ctr46: ( savedCs_) = 31; goto _again;
				_ctr47: ( savedCs_) = 32; goto _again;
				_ctr48: ( savedCs_) = 33; goto _again;
				_ctr49: ( savedCs_) = 34; goto _again;
				_ctr50: ( savedCs_) = 35; goto _again;
				_ctr51: ( savedCs_) = 36; goto _again;
				_ctr52: ( savedCs_) = 37; goto _again;
				( savedCs_) = 38; goto _again;
				_ctr53: ( savedCs_) = 38; goto f1;
				_ctr58: ( savedCs_) = 38; goto f4;
				( savedCs_) = 39; goto _again;
				_ctr56: ( savedCs_) = 39; goto f1;
				( savedCs_) = 40; goto _again;
				_ctr62: ( savedCs_) = 40; goto f8;
				_ctr65: ( savedCs_) = 40; goto f10;
				( savedCs_) = 41; goto _again;
				_ctr64: ( savedCs_) = 41; goto f9;
				( savedCs_) = 42; goto _again;
				_ctr67: ( savedCs_) = 42; goto f1;
				( savedCs_) = 43; goto _again;
				_ctr5: ( savedCs_) = 43; goto f0;
				_ctr70: ( savedCs_) = 44; goto _again;
				_ctr71: ( savedCs_) = 45; goto _again;
				_ctr72: ( savedCs_) = 46; goto _again;
				_ctr73: ( savedCs_) = 47; goto _again;
				_ctr75: ( savedCs_) = 48; goto _again;
				_ctr74: ( savedCs_) = 48; goto f16;
				_ctr76: ( savedCs_) = 49; goto _again;
				_ctr77: ( savedCs_) = 50; goto _again;
				( savedCs_) = 51; goto _again;
				_ctr78: ( savedCs_) = 51; goto f17;
				_ctr81: ( savedCs_) = 51; goto f19;
				_ctr82: ( savedCs_) = 52; goto _again;
				_ctr80: ( savedCs_) = 52; goto f18;
				( savedCs_) = 53; goto _again;
				_ctr83: ( savedCs_) = 53; goto f17;
				_ctr86: ( savedCs_) = 53; goto f19;
				_ctr87: ( savedCs_) = 54; goto _again;
				_ctr85: ( savedCs_) = 54; goto f20;
				( savedCs_) = 55; goto _again;
				_ctr88: ( savedCs_) = 55; goto f17;
				_ctr92: ( savedCs_) = 55; goto f19;
				( savedCs_) = 56; goto _again;
				_ctr90: ( savedCs_) = 56; goto f21;
				_ctr98: ( savedCs_) = 56; goto f23;
				_ctr94: ( savedCs_) = 57; goto _again;
				_ctr96: ( savedCs_) = 58; goto _again;
				_ctr95: ( savedCs_) = 59; goto _again;
				( savedCs_) = 60; goto _again;
				_ctr91: ( savedCs_) = 60; goto f22;
				( savedCs_) = 61; goto _again;
				_ctr18: ( savedCs_) = 61; goto f2;
				_ctr23: ( savedCs_) = 61; goto f5;
				_ctr26: ( savedCs_) = 61; goto f7;
				_ctr54: ( savedCs_) = 61; goto f12;
				_ctr59: ( savedCs_) = 61; goto f14;
				
				f23:
					{
#line 38 "lib/network/McAsciiParser.rl"
					
					// We must ensure message.value_ref() is nonempty for ASCII get-like replies
					message.value_ref() = folly::IOBuf();
					if (!readValue(buffer, *message.value_ref())) {
						{( p_) += 1; goto _out; }
					}
				}
				
#line 3346 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f7:
					{
#line 74 "lib/network/McAsciiParser.rl"
					
					// Message is complete, so exit the state machine and return to the caller.
					state_ = State::COMPLETE;
					{( p_) += 1; goto _out; }
				}
				
#line 3356 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f19:
					{
#line 111 "lib/network/McAsciiParser.rl"
					
					currentUInt_ = currentUInt_ * 10 + ((( (*( ( p_))))) - '0');
				}
				
#line 3364 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f18:
					{
#line 120 "lib/network/McAsciiParser.rl"
					
					message.flags_ref() = currentUInt_;
				}
				
#line 3372 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f20:
					{
#line 138 "lib/network/McAsciiParser.rl"
					
					remainingIOBufLength_ = static_cast<size_t>(currentUInt_);
					// Enforce maximum on value size obtained from parser                       
					if (remainingIOBufLength_ > maxValueBytes) {
						remainingIOBufLength_ = maxValueBytes;                                    
					}
				}
				
#line 3384 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f22:
					{
#line 146 "lib/network/McAsciiParser.rl"
					
					message.casToken_ref() = currentUInt_;
				}
				
#line 3392 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f16:
					{
#line 168 "lib/network/McAsciiParser.rl"
					message.result_ref() = carbon::Result::FOUND; }
				
#line 3398 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f11:
					{
#line 176 "lib/network/McAsciiParser.rl"
					
					// This is unexpected error reply, just put ourself into error state.
					state_ = State::ERROR;
					currentErrorDescription_ = "ERROR reply received from server.";
					{( p_) += 1; goto _out; }
				}
				
#line 3409 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f4:
					{
#line 183 "lib/network/McAsciiParser.rl"
					
					using MsgT = typename std::decay<decltype(message)>::type;
					consumeErrorMessage<MsgT>(buffer);
				}
				
#line 3418 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f15:
					{
#line 189 "lib/network/McAsciiParser.rl"
					
					uint32_t errorCode = currentUInt_;
					if (errorCode == SERVER_ERROR_BUSY) {
						message.result_ref() = carbon::Result::BUSY;
					} else {
						message.result_ref() = carbon::Result::REMOTE_ERROR;
					}
				}
				
#line 3431 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f6:
					{
#line 199 "lib/network/McAsciiParser.rl"
					message.result_ref() = carbon::Result::CLIENT_ERROR; }
				
#line 3437 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f0:
					{
#line 269 "lib/network/McAsciiParser.rl"
					message.result_ref() = carbon::Result::NOTFOUND; }
				
#line 3443 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f1:
					{
#line 54 "lib/network/McAsciiParser.rl"
					
					using MsgT = typename std::decay<decltype(message)>::type;
					resetErrorMessage<MsgT>(message);
				}
				
#line 3452 "lib/network/McAsciiParser-gen.cpp"
	{
#line 183 "lib/network/McAsciiParser.rl"
					
					using MsgT = typename std::decay<decltype(message)>::type;
					consumeErrorMessage<MsgT>(buffer);
				}
				
#line 3459 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f13:
					{
#line 54 "lib/network/McAsciiParser.rl"
					
					using MsgT = typename std::decay<decltype(message)>::type;
					resetErrorMessage<MsgT>(message);
				}
				
#line 3468 "lib/network/McAsciiParser-gen.cpp"
	{
#line 189 "lib/network/McAsciiParser.rl"
					
					uint32_t errorCode = currentUInt_;
					if (errorCode == SERVER_ERROR_BUSY) {
						message.result_ref() = carbon::Result::BUSY;
					} else {
						message.result_ref() = carbon::Result::REMOTE_ERROR;
					}
				}
				
#line 3479 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f3:
					{
#line 54 "lib/network/McAsciiParser.rl"
					
					using MsgT = typename std::decay<decltype(message)>::type;
					resetErrorMessage<MsgT>(message);
				}
				
#line 3488 "lib/network/McAsciiParser-gen.cpp"
	{
#line 199 "lib/network/McAsciiParser.rl"
					message.result_ref() = carbon::Result::CLIENT_ERROR; }
				
#line 3492 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f17:
					{
#line 111 "lib/network/McAsciiParser.rl"
					currentUInt_ = 0; }
				
#line 3498 "lib/network/McAsciiParser-gen.cpp"
	{
#line 111 "lib/network/McAsciiParser.rl"
					
					currentUInt_ = currentUInt_ * 10 + ((( (*( ( p_))))) - '0');
				}
				
#line 3504 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f10:
					{
#line 111 "lib/network/McAsciiParser.rl"
					
					currentUInt_ = currentUInt_ * 10 + ((( (*( ( p_))))) - '0');
				}
				
#line 3512 "lib/network/McAsciiParser-gen.cpp"
	{
#line 183 "lib/network/McAsciiParser.rl"
					
					using MsgT = typename std::decay<decltype(message)>::type;
					consumeErrorMessage<MsgT>(buffer);
				}
				
#line 3519 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f21:
					{
#line 146 "lib/network/McAsciiParser.rl"
					
					message.casToken_ref() = currentUInt_;
				}
				
#line 3527 "lib/network/McAsciiParser-gen.cpp"
	{
#line 38 "lib/network/McAsciiParser.rl"
					
					// We must ensure message.value_ref() is nonempty for ASCII get-like replies
					message.value_ref() = folly::IOBuf();
					if (!readValue(buffer, *message.value_ref())) {
						{( p_) += 1; goto _out; }
					}
				}
				
#line 3537 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f9:
					{
#line 159 "lib/network/McAsciiParser.rl"
					
					message.appSpecificErrorCode_ref() = static_cast<uint16_t>(currentUInt_);
				}
				
#line 3545 "lib/network/McAsciiParser-gen.cpp"
	{
#line 183 "lib/network/McAsciiParser.rl"
					
					using MsgT = typename std::decay<decltype(message)>::type;
					consumeErrorMessage<MsgT>(buffer);
				}
				
#line 3552 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f14:
					{
#line 189 "lib/network/McAsciiParser.rl"
					
					uint32_t errorCode = currentUInt_;
					if (errorCode == SERVER_ERROR_BUSY) {
						message.result_ref() = carbon::Result::BUSY;
					} else {
						message.result_ref() = carbon::Result::REMOTE_ERROR;
					}
				}
				
#line 3565 "lib/network/McAsciiParser-gen.cpp"
	{
#line 74 "lib/network/McAsciiParser.rl"
					
					// Message is complete, so exit the state machine and return to the caller.
					state_ = State::COMPLETE;
					{( p_) += 1; goto _out; }
				}
				
#line 3573 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f5:
					{
#line 199 "lib/network/McAsciiParser.rl"
					message.result_ref() = carbon::Result::CLIENT_ERROR; }
				
#line 3579 "lib/network/McAsciiParser-gen.cpp"
	{
#line 74 "lib/network/McAsciiParser.rl"
					
					// Message is complete, so exit the state machine and return to the caller.
					state_ = State::COMPLETE;
					{( p_) += 1; goto _out; }
				}
				
#line 3587 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f12:
					{
#line 54 "lib/network/McAsciiParser.rl"
					
					using MsgT = typename std::decay<decltype(message)>::type;
					resetErrorMessage<MsgT>(message);
				}
				
#line 3596 "lib/network/McAsciiParser-gen.cpp"
	{
#line 189 "lib/network/McAsciiParser.rl"
					
					uint32_t errorCode = currentUInt_;
					if (errorCode == SERVER_ERROR_BUSY) {
						message.result_ref() = carbon::Result::BUSY;
					} else {
						message.result_ref() = carbon::Result::REMOTE_ERROR;
					}
				}
				
#line 3607 "lib/network/McAsciiParser-gen.cpp"
	{
#line 74 "lib/network/McAsciiParser.rl"
					
					// Message is complete, so exit the state machine and return to the caller.
					state_ = State::COMPLETE;
					{( p_) += 1; goto _out; }
				}
				
#line 3615 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f2:
					{
#line 54 "lib/network/McAsciiParser.rl"
					
					using MsgT = typename std::decay<decltype(message)>::type;
					resetErrorMessage<MsgT>(message);
				}
				
#line 3624 "lib/network/McAsciiParser-gen.cpp"
	{
#line 199 "lib/network/McAsciiParser.rl"
					message.result_ref() = carbon::Result::CLIENT_ERROR; }
				
#line 3628 "lib/network/McAsciiParser-gen.cpp"
	{
#line 74 "lib/network/McAsciiParser.rl"
					
					// Message is complete, so exit the state machine and return to the caller.
					state_ = State::COMPLETE;
					{( p_) += 1; goto _out; }
				}
				
#line 3636 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f8:
					{
#line 111 "lib/network/McAsciiParser.rl"
					currentUInt_ = 0; }
				
#line 3642 "lib/network/McAsciiParser-gen.cpp"
	{
#line 111 "lib/network/McAsciiParser.rl"
					
					currentUInt_ = currentUInt_ * 10 + ((( (*( ( p_))))) - '0');
				}
				
#line 3648 "lib/network/McAsciiParser-gen.cpp"
	{
#line 54 "lib/network/McAsciiParser.rl"
					
					using MsgT = typename std::decay<decltype(message)>::type;
					resetErrorMessage<MsgT>(message);
				}
				
#line 3655 "lib/network/McAsciiParser-gen.cpp"
	{
#line 183 "lib/network/McAsciiParser.rl"
					
					using MsgT = typename std::decay<decltype(message)>::type;
					consumeErrorMessage<MsgT>(buffer);
				}
				
#line 3662 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				
				_again: {}
				if ( ( savedCs_) != 0 ) {
					( p_) += 1;
					goto _resume;
				}
				_out: {}
			}
			
#line 281 "lib/network/McAsciiParser.rl"

		}
		
		// McLeaseGet reply.

#line 3676 "lib/network/McAsciiParser-gen.cpp"
static const int mc_ascii_lease_get_reply_start = 1;
		static const int mc_ascii_lease_get_reply_first_final = 76;
		static const int mc_ascii_lease_get_reply_error = 0;
		
		static const int mc_ascii_lease_get_reply_en_lease_get_reply = 1;
		
		
#line 298 "lib/network/McAsciiParser.rl"

		
		template <>
		void McClientAsciiParser::consumeMessage<
		McLeaseGetRequest>(folly::IOBuf& buffer) {
			auto& message = currentMessage_.get<McLeaseGetReply>();

#line 3689 "lib/network/McAsciiParser-gen.cpp"
	{
			}

#line 3691 "lib/network/McAsciiParser-gen.cpp"
{
				
				_resume: {}
				if ( ( p_) == ( pe_) )
					goto _out;
				switch ( ( savedCs_) ) {
					case 1:
					switch( ( (*( ( p_)))) ) {
						case 67: {
							goto _ctr2;
						}
						case 69: {
							goto _ctr3;
						}
						case 76: {
							goto _ctr4;
						}
						case 83: {
							goto _ctr5;
						}
						case 86: {
							goto _ctr6;
						}
					}
					goto _ctr0;
					case 0:
					goto _again;
					case 2:
					if ( ( (*( ( p_)))) == 76 ) {
						goto _ctr7;
					}
					goto _ctr0;
					case 3:
					if ( ( (*( ( p_)))) == 73 ) {
						goto _ctr8;
					}
					goto _ctr0;
					case 4:
					if ( ( (*( ( p_)))) == 69 ) {
						goto _ctr9;
					}
					goto _ctr0;
					case 5:
					if ( ( (*( ( p_)))) == 78 ) {
						goto _ctr10;
					}
					goto _ctr0;
					case 6:
					if ( ( (*( ( p_)))) == 84 ) {
						goto _ctr11;
					}
					goto _ctr0;
					case 7:
					if ( ( (*( ( p_)))) == 95 ) {
						goto _ctr12;
					}
					goto _ctr0;
					case 8:
					if ( ( (*( ( p_)))) == 69 ) {
						goto _ctr13;
					}
					goto _ctr0;
					case 9:
					if ( ( (*( ( p_)))) == 82 ) {
						goto _ctr14;
					}
					goto _ctr0;
					case 10:
					if ( ( (*( ( p_)))) == 82 ) {
						goto _ctr15;
					}
					goto _ctr0;
					case 11:
					if ( ( (*( ( p_)))) == 79 ) {
						goto _ctr16;
					}
					goto _ctr0;
					case 12:
					if ( ( (*( ( p_)))) == 82 ) {
						goto _ctr17;
					}
					goto _ctr0;
					case 13:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr19;
						}
						case 13: {
							goto _ctr20;
						}
						case 32: {
							goto _ctr21;
						}
					}
					goto _ctr18;
					case 14:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr24;
						}
						case 13: {
							goto _ctr25;
						}
					}
					goto _ctr23;
					case 76:
					goto _ctr0;
					case 15:
					if ( ( (*( ( p_)))) == 10 ) {
						goto _ctr27;
					}
					goto _ctr0;
					case 16:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr19;
						}
						case 13: {
							goto _ctr20;
						}
					}
					if ( 48 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 57 ) {
						goto _ctr29;
					}
					goto _ctr18;
					case 17:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr24;
						}
						case 13: {
							goto _ctr25;
						}
						case 32: {
							goto _ctr31;
						}
					}
					if ( 48 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 57 ) {
						goto _ctr32;
					}
					goto _ctr23;
					case 18:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr19;
						}
						case 13: {
							goto _ctr20;
						}
						case 32: {
							goto _ctr34;
						}
					}
					goto _ctr18;
					case 19:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr19;
						}
						case 13: {
							goto _ctr20;
						}
					}
					goto _ctr18;
					case 20:
					if ( ( (*( ( p_)))) == 82 ) {
						goto _ctr36;
					}
					goto _ctr0;
					case 21:
					if ( ( (*( ( p_)))) == 82 ) {
						goto _ctr37;
					}
					goto _ctr0;
					case 22:
					if ( ( (*( ( p_)))) == 79 ) {
						goto _ctr38;
					}
					goto _ctr0;
					case 23:
					if ( ( (*( ( p_)))) == 82 ) {
						goto _ctr39;
					}
					goto _ctr0;
					case 24:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr27;
						}
						case 13: {
							goto _ctr26;
						}
					}
					goto _ctr0;
					case 25:
					if ( ( (*( ( p_)))) == 86 ) {
						goto _ctr41;
					}
					goto _ctr0;
					case 26:
					if ( ( (*( ( p_)))) == 65 ) {
						goto _ctr42;
					}
					goto _ctr0;
					case 27:
					if ( ( (*( ( p_)))) == 76 ) {
						goto _ctr43;
					}
					goto _ctr0;
					case 28:
					if ( ( (*( ( p_)))) == 85 ) {
						goto _ctr44;
					}
					goto _ctr0;
					case 29:
					if ( ( (*( ( p_)))) == 69 ) {
						goto _ctr45;
					}
					goto _ctr0;
					case 30:
					if ( ( (*( ( p_)))) == 32 ) {
						goto _ctr46;
					}
					goto _ctr0;
					case 31:
					switch( ( (*( ( p_)))) ) {
						case 32: {
							goto _ctr46;
						}
						case 127: {
							goto _ctr0;
						}
					}
					if ( 0 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 31 ) {
						goto _ctr0;
					}
					goto _ctr47;
					case 32:
					switch( ( (*( ( p_)))) ) {
						case 32: {
							goto _ctr48;
						}
						case 127: {
							goto _ctr0;
						}
					}
					if ( 0 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 31 ) {
						goto _ctr0;
					}
					goto _ctr47;
					case 33:
					if ( ( (*( ( p_)))) == 32 ) {
						goto _ctr48;
					}
					if ( 48 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 57 ) {
						goto _ctr49;
					}
					goto _ctr0;
					case 34:
					if ( ( (*( ( p_)))) == 32 ) {
						goto _ctr51;
					}
					if ( 48 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 57 ) {
						goto _ctr52;
					}
					goto _ctr0;
					case 35:
					if ( ( (*( ( p_)))) == 32 ) {
						goto _ctr53;
					}
					if ( 48 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 57 ) {
						goto _ctr54;
					}
					goto _ctr0;
					case 36:
					if ( ( (*( ( p_)))) == 32 ) {
						goto _ctr56;
					}
					if ( 48 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 57 ) {
						goto _ctr57;
					}
					goto _ctr0;
					case 37:
					if ( ( (*( ( p_)))) == 32 ) {
						goto _ctr58;
					}
					if ( 48 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 57 ) {
						goto _ctr59;
					}
					goto _ctr0;
					case 38:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr61;
						}
						case 13: {
							goto _ctr62;
						}
					}
					if ( 48 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 57 ) {
						goto _ctr63;
					}
					goto _ctr0;
					case 39:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr65;
						}
						case 13: {
							goto _ctr66;
						}
					}
					goto _ctr0;
					case 40:
					if ( ( (*( ( p_)))) == 69 ) {
						goto _ctr68;
					}
					goto _ctr0;
					case 41:
					if ( ( (*( ( p_)))) == 78 ) {
						goto _ctr69;
					}
					goto _ctr0;
					case 42:
					if ( ( (*( ( p_)))) == 68 ) {
						goto _ctr40;
					}
					goto _ctr0;
					case 43:
					if ( ( (*( ( p_)))) == 10 ) {
						goto _ctr65;
					}
					goto _ctr0;
					case 44:
					if ( ( (*( ( p_)))) == 10 ) {
						goto _ctr71;
					}
					goto _ctr0;
					case 45:
					if ( ( (*( ( p_)))) == 69 ) {
						goto _ctr72;
					}
					goto _ctr0;
					case 46:
					if ( ( (*( ( p_)))) == 82 ) {
						goto _ctr73;
					}
					goto _ctr0;
					case 47:
					if ( ( (*( ( p_)))) == 86 ) {
						goto _ctr74;
					}
					goto _ctr0;
					case 48:
					if ( ( (*( ( p_)))) == 69 ) {
						goto _ctr75;
					}
					goto _ctr0;
					case 49:
					if ( ( (*( ( p_)))) == 82 ) {
						goto _ctr76;
					}
					goto _ctr0;
					case 50:
					if ( ( (*( ( p_)))) == 95 ) {
						goto _ctr77;
					}
					goto _ctr0;
					case 51:
					if ( ( (*( ( p_)))) == 69 ) {
						goto _ctr78;
					}
					goto _ctr0;
					case 52:
					if ( ( (*( ( p_)))) == 82 ) {
						goto _ctr79;
					}
					goto _ctr0;
					case 53:
					if ( ( (*( ( p_)))) == 82 ) {
						goto _ctr80;
					}
					goto _ctr0;
					case 54:
					if ( ( (*( ( p_)))) == 79 ) {
						goto _ctr81;
					}
					goto _ctr0;
					case 55:
					if ( ( (*( ( p_)))) == 82 ) {
						goto _ctr82;
					}
					goto _ctr0;
					case 56:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr84;
						}
						case 13: {
							goto _ctr85;
						}
						case 32: {
							goto _ctr86;
						}
					}
					goto _ctr83;
					case 57:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr89;
						}
						case 13: {
							goto _ctr90;
						}
					}
					goto _ctr88;
					case 58:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr84;
						}
						case 13: {
							goto _ctr85;
						}
					}
					if ( 48 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 57 ) {
						goto _ctr92;
					}
					goto _ctr83;
					case 59:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr89;
						}
						case 13: {
							goto _ctr90;
						}
						case 32: {
							goto _ctr94;
						}
					}
					if ( 48 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 57 ) {
						goto _ctr95;
					}
					goto _ctr88;
					case 60:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr84;
						}
						case 13: {
							goto _ctr85;
						}
						case 32: {
							goto _ctr97;
						}
					}
					goto _ctr83;
					case 61:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr84;
						}
						case 13: {
							goto _ctr85;
						}
					}
					goto _ctr83;
					case 62:
					if ( ( (*( ( p_)))) == 65 ) {
						goto _ctr99;
					}
					goto _ctr0;
					case 63:
					if ( ( (*( ( p_)))) == 76 ) {
						goto _ctr100;
					}
					goto _ctr0;
					case 64:
					if ( ( (*( ( p_)))) == 85 ) {
						goto _ctr101;
					}
					goto _ctr0;
					case 65:
					if ( ( (*( ( p_)))) == 69 ) {
						goto _ctr102;
					}
					goto _ctr0;
					case 66:
					if ( ( (*( ( p_)))) == 32 ) {
						goto _ctr103;
					}
					goto _ctr0;
					case 67:
					switch( ( (*( ( p_)))) ) {
						case 32: {
							goto _ctr104;
						}
						case 127: {
							goto _ctr0;
						}
					}
					if ( 0 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 31 ) {
						goto _ctr0;
					}
					goto _ctr105;
					case 68:
					switch( ( (*( ( p_)))) ) {
						case 32: {
							goto _ctr106;
						}
						case 127: {
							goto _ctr0;
						}
					}
					if ( 0 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 31 ) {
						goto _ctr0;
					}
					goto _ctr105;
					case 69:
					if ( ( (*( ( p_)))) == 32 ) {
						goto _ctr106;
					}
					if ( 48 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 57 ) {
						goto _ctr107;
					}
					goto _ctr0;
					case 70:
					if ( ( (*( ( p_)))) == 32 ) {
						goto _ctr109;
					}
					if ( 48 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 57 ) {
						goto _ctr110;
					}
					goto _ctr0;
					case 71:
					if ( ( (*( ( p_)))) == 32 ) {
						goto _ctr111;
					}
					if ( 48 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 57 ) {
						goto _ctr112;
					}
					goto _ctr0;
					case 72:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr114;
						}
						case 13: {
							goto _ctr115;
						}
					}
					if ( 48 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 57 ) {
						goto _ctr116;
					}
					goto _ctr0;
					case 73:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr67;
						}
						case 13: {
							goto _ctr118;
						}
					}
					goto _ctr0;
					case 74:
					if ( ( (*( ( p_)))) == 10 ) {
						goto _ctr67;
					}
					goto _ctr0;
					case 75:
					if ( ( (*( ( p_)))) == 10 ) {
						goto _ctr120;
					}
					goto _ctr0;
				}
				
				_ctr0: ( savedCs_) = 0; goto _again;
				( savedCs_) = 1; goto _again;
				_ctr2: ( savedCs_) = 2; goto _again;
				_ctr7: ( savedCs_) = 3; goto _again;
				_ctr8: ( savedCs_) = 4; goto _again;
				_ctr9: ( savedCs_) = 5; goto _again;
				_ctr10: ( savedCs_) = 6; goto _again;
				_ctr11: ( savedCs_) = 7; goto _again;
				_ctr12: ( savedCs_) = 8; goto _again;
				_ctr13: ( savedCs_) = 9; goto _again;
				_ctr14: ( savedCs_) = 10; goto _again;
				_ctr15: ( savedCs_) = 11; goto _again;
				_ctr16: ( savedCs_) = 12; goto _again;
				_ctr17: ( savedCs_) = 13; goto _again;
				( savedCs_) = 14; goto _again;
				_ctr18: ( savedCs_) = 14; goto f0;
				_ctr23: ( savedCs_) = 14; goto f3;
				_ctr26: ( savedCs_) = 15; goto _again;
				_ctr20: ( savedCs_) = 15; goto f2;
				_ctr25: ( savedCs_) = 15; goto f5;
				_ctr85: ( savedCs_) = 15; goto f20;
				_ctr90: ( savedCs_) = 15; goto f22;
				( savedCs_) = 16; goto _again;
				_ctr21: ( savedCs_) = 16; goto f0;
				( savedCs_) = 17; goto _again;
				_ctr29: ( savedCs_) = 17; goto f7;
				_ctr32: ( savedCs_) = 17; goto f9;
				( savedCs_) = 18; goto _again;
				_ctr31: ( savedCs_) = 18; goto f8;
				( savedCs_) = 19; goto _again;
				_ctr34: ( savedCs_) = 19; goto f0;
				_ctr3: ( savedCs_) = 20; goto _again;
				_ctr36: ( savedCs_) = 21; goto _again;
				_ctr37: ( savedCs_) = 22; goto _again;
				_ctr38: ( savedCs_) = 23; goto _again;
				_ctr40: ( savedCs_) = 24; goto _again;
				_ctr39: ( savedCs_) = 24; goto f10;
				_ctr4: ( savedCs_) = 25; goto _again;
				_ctr41: ( savedCs_) = 26; goto _again;
				_ctr42: ( savedCs_) = 27; goto _again;
				_ctr43: ( savedCs_) = 28; goto _again;
				_ctr44: ( savedCs_) = 29; goto _again;
				_ctr45: ( savedCs_) = 30; goto _again;
				_ctr46: ( savedCs_) = 31; goto _again;
				_ctr47: ( savedCs_) = 32; goto _again;
				_ctr48: ( savedCs_) = 33; goto _again;
				( savedCs_) = 34; goto _again;
				_ctr49: ( savedCs_) = 34; goto f11;
				_ctr52: ( savedCs_) = 34; goto f13;
				_ctr53: ( savedCs_) = 35; goto _again;
				_ctr51: ( savedCs_) = 35; goto f12;
				( savedCs_) = 36; goto _again;
				_ctr54: ( savedCs_) = 36; goto f11;
				_ctr57: ( savedCs_) = 36; goto f13;
				_ctr58: ( savedCs_) = 37; goto _again;
				_ctr56: ( savedCs_) = 37; goto f14;
				( savedCs_) = 38; goto _again;
				_ctr59: ( savedCs_) = 38; goto f11;
				_ctr63: ( savedCs_) = 38; goto f13;
				( savedCs_) = 39; goto _again;
				_ctr61: ( savedCs_) = 39; goto f15;
				_ctr71: ( savedCs_) = 39; goto f18;
				_ctr67: ( savedCs_) = 40; goto _again;
				_ctr65: ( savedCs_) = 40; goto f17;
				_ctr68: ( savedCs_) = 41; goto _again;
				_ctr69: ( savedCs_) = 42; goto _again;
				_ctr66: ( savedCs_) = 43; goto _again;
				( savedCs_) = 44; goto _again;
				_ctr62: ( savedCs_) = 44; goto f16;
				_ctr5: ( savedCs_) = 45; goto _again;
				_ctr72: ( savedCs_) = 46; goto _again;
				_ctr73: ( savedCs_) = 47; goto _again;
				_ctr74: ( savedCs_) = 48; goto _again;
				_ctr75: ( savedCs_) = 49; goto _again;
				_ctr76: ( savedCs_) = 50; goto _again;
				_ctr77: ( savedCs_) = 51; goto _again;
				_ctr78: ( savedCs_) = 52; goto _again;
				_ctr79: ( savedCs_) = 53; goto _again;
				_ctr80: ( savedCs_) = 54; goto _again;
				_ctr81: ( savedCs_) = 55; goto _again;
				_ctr82: ( savedCs_) = 56; goto _again;
				( savedCs_) = 57; goto _again;
				_ctr83: ( savedCs_) = 57; goto f0;
				_ctr88: ( savedCs_) = 57; goto f3;
				( savedCs_) = 58; goto _again;
				_ctr86: ( savedCs_) = 58; goto f0;
				( savedCs_) = 59; goto _again;
				_ctr92: ( savedCs_) = 59; goto f7;
				_ctr95: ( savedCs_) = 59; goto f9;
				( savedCs_) = 60; goto _again;
				_ctr94: ( savedCs_) = 60; goto f8;
				( savedCs_) = 61; goto _again;
				_ctr97: ( savedCs_) = 61; goto f0;
				_ctr6: ( savedCs_) = 62; goto _again;
				_ctr99: ( savedCs_) = 63; goto _again;
				_ctr100: ( savedCs_) = 64; goto _again;
				_ctr101: ( savedCs_) = 65; goto _again;
				_ctr102: ( savedCs_) = 66; goto _again;
				_ctr104: ( savedCs_) = 67; goto _again;
				_ctr103: ( savedCs_) = 67; goto f23;
				_ctr105: ( savedCs_) = 68; goto _again;
				_ctr106: ( savedCs_) = 69; goto _again;
				( savedCs_) = 70; goto _again;
				_ctr107: ( savedCs_) = 70; goto f11;
				_ctr110: ( savedCs_) = 70; goto f13;
				_ctr111: ( savedCs_) = 71; goto _again;
				_ctr109: ( savedCs_) = 71; goto f14;
				( savedCs_) = 72; goto _again;
				_ctr112: ( savedCs_) = 72; goto f11;
				_ctr116: ( savedCs_) = 72; goto f13;
				( savedCs_) = 73; goto _again;
				_ctr114: ( savedCs_) = 73; goto f15;
				_ctr120: ( savedCs_) = 73; goto f18;
				_ctr118: ( savedCs_) = 74; goto _again;
				( savedCs_) = 75; goto _again;
				_ctr115: ( savedCs_) = 75; goto f16;
				( savedCs_) = 76; goto _again;
				_ctr19: ( savedCs_) = 76; goto f1;
				_ctr24: ( savedCs_) = 76; goto f4;
				_ctr27: ( savedCs_) = 76; goto f6;
				_ctr84: ( savedCs_) = 76; goto f19;
				_ctr89: ( savedCs_) = 76; goto f21;
				
				f18:
					{
#line 38 "lib/network/McAsciiParser.rl"
					
					// We must ensure message.value_ref() is nonempty for ASCII get-like replies
					message.value_ref() = folly::IOBuf();
					if (!readValue(buffer, *message.value_ref())) {
						{( p_) += 1; goto _out; }
					}
				}
				
#line 4403 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f6:
					{
#line 74 "lib/network/McAsciiParser.rl"
					
					// Message is complete, so exit the state machine and return to the caller.
					state_ = State::COMPLETE;
					{( p_) += 1; goto _out; }
				}
				
#line 4413 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f13:
					{
#line 111 "lib/network/McAsciiParser.rl"
					
					currentUInt_ = currentUInt_ * 10 + ((( (*( ( p_))))) - '0');
				}
				
#line 4421 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f14:
					{
#line 120 "lib/network/McAsciiParser.rl"
					
					message.flags_ref() = currentUInt_;
				}
				
#line 4429 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f16:
					{
#line 138 "lib/network/McAsciiParser.rl"
					
					remainingIOBufLength_ = static_cast<size_t>(currentUInt_);
					// Enforce maximum on value size obtained from parser                       
					if (remainingIOBufLength_ > maxValueBytes) {
						remainingIOBufLength_ = maxValueBytes;                                    
					}
				}
				
#line 4441 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f12:
					{
#line 154 "lib/network/McAsciiParser.rl"
					
					// NOTE: we don't support -1 lease token.
					message.leaseToken_ref() = currentUInt_;
				}
				
#line 4450 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f23:
					{
#line 168 "lib/network/McAsciiParser.rl"
					message.result_ref() = carbon::Result::FOUND; }
				
#line 4456 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f10:
					{
#line 176 "lib/network/McAsciiParser.rl"
					
					// This is unexpected error reply, just put ourself into error state.
					state_ = State::ERROR;
					currentErrorDescription_ = "ERROR reply received from server.";
					{( p_) += 1; goto _out; }
				}
				
#line 4467 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f3:
					{
#line 183 "lib/network/McAsciiParser.rl"
					
					using MsgT = typename std::decay<decltype(message)>::type;
					consumeErrorMessage<MsgT>(buffer);
				}
				
#line 4476 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f22:
					{
#line 189 "lib/network/McAsciiParser.rl"
					
					uint32_t errorCode = currentUInt_;
					if (errorCode == SERVER_ERROR_BUSY) {
						message.result_ref() = carbon::Result::BUSY;
					} else {
						message.result_ref() = carbon::Result::REMOTE_ERROR;
					}
				}
				
#line 4489 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f5:
					{
#line 199 "lib/network/McAsciiParser.rl"
					message.result_ref() = carbon::Result::CLIENT_ERROR; }
				
#line 4495 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f17:
					{
#line 292 "lib/network/McAsciiParser.rl"
					message.result_ref() = carbon::Result::NOTFOUND; }
				
#line 4501 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f0:
					{
#line 54 "lib/network/McAsciiParser.rl"
					
					using MsgT = typename std::decay<decltype(message)>::type;
					resetErrorMessage<MsgT>(message);
				}
				
#line 4510 "lib/network/McAsciiParser-gen.cpp"
	{
#line 183 "lib/network/McAsciiParser.rl"
					
					using MsgT = typename std::decay<decltype(message)>::type;
					consumeErrorMessage<MsgT>(buffer);
				}
				
#line 4517 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f20:
					{
#line 54 "lib/network/McAsciiParser.rl"
					
					using MsgT = typename std::decay<decltype(message)>::type;
					resetErrorMessage<MsgT>(message);
				}
				
#line 4526 "lib/network/McAsciiParser-gen.cpp"
	{
#line 189 "lib/network/McAsciiParser.rl"
					
					uint32_t errorCode = currentUInt_;
					if (errorCode == SERVER_ERROR_BUSY) {
						message.result_ref() = carbon::Result::BUSY;
					} else {
						message.result_ref() = carbon::Result::REMOTE_ERROR;
					}
				}
				
#line 4537 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f2:
					{
#line 54 "lib/network/McAsciiParser.rl"
					
					using MsgT = typename std::decay<decltype(message)>::type;
					resetErrorMessage<MsgT>(message);
				}
				
#line 4546 "lib/network/McAsciiParser-gen.cpp"
	{
#line 199 "lib/network/McAsciiParser.rl"
					message.result_ref() = carbon::Result::CLIENT_ERROR; }
				
#line 4550 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f11:
					{
#line 111 "lib/network/McAsciiParser.rl"
					currentUInt_ = 0; }
				
#line 4556 "lib/network/McAsciiParser-gen.cpp"
	{
#line 111 "lib/network/McAsciiParser.rl"
					
					currentUInt_ = currentUInt_ * 10 + ((( (*( ( p_))))) - '0');
				}
				
#line 4562 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f9:
					{
#line 111 "lib/network/McAsciiParser.rl"
					
					currentUInt_ = currentUInt_ * 10 + ((( (*( ( p_))))) - '0');
				}
				
#line 4570 "lib/network/McAsciiParser-gen.cpp"
	{
#line 183 "lib/network/McAsciiParser.rl"
					
					using MsgT = typename std::decay<decltype(message)>::type;
					consumeErrorMessage<MsgT>(buffer);
				}
				
#line 4577 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f15:
					{
#line 138 "lib/network/McAsciiParser.rl"
					
					remainingIOBufLength_ = static_cast<size_t>(currentUInt_);
					// Enforce maximum on value size obtained from parser                       
					if (remainingIOBufLength_ > maxValueBytes) {
						remainingIOBufLength_ = maxValueBytes;                                    
					}
				}
				
#line 4589 "lib/network/McAsciiParser-gen.cpp"
	{
#line 38 "lib/network/McAsciiParser.rl"
					
					// We must ensure message.value_ref() is nonempty for ASCII get-like replies
					message.value_ref() = folly::IOBuf();
					if (!readValue(buffer, *message.value_ref())) {
						{( p_) += 1; goto _out; }
					}
				}
				
#line 4599 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f8:
					{
#line 159 "lib/network/McAsciiParser.rl"
					
					message.appSpecificErrorCode_ref() = static_cast<uint16_t>(currentUInt_);
				}
				
#line 4607 "lib/network/McAsciiParser-gen.cpp"
	{
#line 183 "lib/network/McAsciiParser.rl"
					
					using MsgT = typename std::decay<decltype(message)>::type;
					consumeErrorMessage<MsgT>(buffer);
				}
				
#line 4614 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f21:
					{
#line 189 "lib/network/McAsciiParser.rl"
					
					uint32_t errorCode = currentUInt_;
					if (errorCode == SERVER_ERROR_BUSY) {
						message.result_ref() = carbon::Result::BUSY;
					} else {
						message.result_ref() = carbon::Result::REMOTE_ERROR;
					}
				}
				
#line 4627 "lib/network/McAsciiParser-gen.cpp"
	{
#line 74 "lib/network/McAsciiParser.rl"
					
					// Message is complete, so exit the state machine and return to the caller.
					state_ = State::COMPLETE;
					{( p_) += 1; goto _out; }
				}
				
#line 4635 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f4:
					{
#line 199 "lib/network/McAsciiParser.rl"
					message.result_ref() = carbon::Result::CLIENT_ERROR; }
				
#line 4641 "lib/network/McAsciiParser-gen.cpp"
	{
#line 74 "lib/network/McAsciiParser.rl"
					
					// Message is complete, so exit the state machine and return to the caller.
					state_ = State::COMPLETE;
					{( p_) += 1; goto _out; }
				}
				
#line 4649 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f19:
					{
#line 54 "lib/network/McAsciiParser.rl"
					
					using MsgT = typename std::decay<decltype(message)>::type;
					resetErrorMessage<MsgT>(message);
				}
				
#line 4658 "lib/network/McAsciiParser-gen.cpp"
	{
#line 189 "lib/network/McAsciiParser.rl"
					
					uint32_t errorCode = currentUInt_;
					if (errorCode == SERVER_ERROR_BUSY) {
						message.result_ref() = carbon::Result::BUSY;
					} else {
						message.result_ref() = carbon::Result::REMOTE_ERROR;
					}
				}
				
#line 4669 "lib/network/McAsciiParser-gen.cpp"
	{
#line 74 "lib/network/McAsciiParser.rl"
					
					// Message is complete, so exit the state machine and return to the caller.
					state_ = State::COMPLETE;
					{( p_) += 1; goto _out; }
				}
				
#line 4677 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f1:
					{
#line 54 "lib/network/McAsciiParser.rl"
					
					using MsgT = typename std::decay<decltype(message)>::type;
					resetErrorMessage<MsgT>(message);
				}
				
#line 4686 "lib/network/McAsciiParser-gen.cpp"
	{
#line 199 "lib/network/McAsciiParser.rl"
					message.result_ref() = carbon::Result::CLIENT_ERROR; }
				
#line 4690 "lib/network/McAsciiParser-gen.cpp"
	{
#line 74 "lib/network/McAsciiParser.rl"
					
					// Message is complete, so exit the state machine and return to the caller.
					state_ = State::COMPLETE;
					{( p_) += 1; goto _out; }
				}
				
#line 4698 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f7:
					{
#line 111 "lib/network/McAsciiParser.rl"
					currentUInt_ = 0; }
				
#line 4704 "lib/network/McAsciiParser-gen.cpp"
	{
#line 111 "lib/network/McAsciiParser.rl"
					
					currentUInt_ = currentUInt_ * 10 + ((( (*( ( p_))))) - '0');
				}
				
#line 4710 "lib/network/McAsciiParser-gen.cpp"
	{
#line 54 "lib/network/McAsciiParser.rl"
					
					using MsgT = typename std::decay<decltype(message)>::type;
					resetErrorMessage<MsgT>(message);
				}
				
#line 4717 "lib/network/McAsciiParser-gen.cpp"
	{
#line 183 "lib/network/McAsciiParser.rl"
					
					using MsgT = typename std::decay<decltype(message)>::type;
					consumeErrorMessage<MsgT>(buffer);
				}
				
#line 4724 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				
				_again: {}
				if ( ( savedCs_) != 0 ) {
					( p_) += 1;
					goto _resume;
				}
				_out: {}
			}
			
#line 308 "lib/network/McAsciiParser.rl"

		}
		
		// McStorage reply.

#line 4738 "lib/network/McAsciiParser-gen.cpp"
static const int mc_ascii_storage_reply_start = 1;
		static const int mc_ascii_storage_reply_first_final = 78;
		static const int mc_ascii_storage_reply_error = 0;
		
		static const int mc_ascii_storage_reply_en_storage_reply = 1;
		
		
#line 325 "lib/network/McAsciiParser.rl"

		
		template <class Reply>
		void McClientAsciiParser::consumeStorageReplyCommon(folly::IOBuf& buffer) {
			auto& message = currentMessage_.get<Reply>();

#line 4750 "lib/network/McAsciiParser-gen.cpp"
	{
			}

#line 4752 "lib/network/McAsciiParser-gen.cpp"
{
				
				_resume: {}
				if ( ( p_) == ( pe_) )
					goto _out;
				switch ( ( savedCs_) ) {
					case 1:
					switch( ( (*( ( p_)))) ) {
						case 67: {
							goto _ctr2;
						}
						case 68: {
							goto _ctr3;
						}
						case 69: {
							goto _ctr4;
						}
						case 78: {
							goto _ctr5;
						}
						case 83: {
							goto _ctr6;
						}
					}
					goto _ctr0;
					case 0:
					goto _again;
					case 2:
					if ( ( (*( ( p_)))) == 76 ) {
						goto _ctr7;
					}
					goto _ctr0;
					case 3:
					if ( ( (*( ( p_)))) == 73 ) {
						goto _ctr8;
					}
					goto _ctr0;
					case 4:
					if ( ( (*( ( p_)))) == 69 ) {
						goto _ctr9;
					}
					goto _ctr0;
					case 5:
					if ( ( (*( ( p_)))) == 78 ) {
						goto _ctr10;
					}
					goto _ctr0;
					case 6:
					if ( ( (*( ( p_)))) == 84 ) {
						goto _ctr11;
					}
					goto _ctr0;
					case 7:
					if ( ( (*( ( p_)))) == 95 ) {
						goto _ctr12;
					}
					goto _ctr0;
					case 8:
					if ( ( (*( ( p_)))) == 69 ) {
						goto _ctr13;
					}
					goto _ctr0;
					case 9:
					if ( ( (*( ( p_)))) == 82 ) {
						goto _ctr14;
					}
					goto _ctr0;
					case 10:
					if ( ( (*( ( p_)))) == 82 ) {
						goto _ctr15;
					}
					goto _ctr0;
					case 11:
					if ( ( (*( ( p_)))) == 79 ) {
						goto _ctr16;
					}
					goto _ctr0;
					case 12:
					if ( ( (*( ( p_)))) == 82 ) {
						goto _ctr17;
					}
					goto _ctr0;
					case 13:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr19;
						}
						case 13: {
							goto _ctr20;
						}
						case 32: {
							goto _ctr21;
						}
					}
					goto _ctr18;
					case 14:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr24;
						}
						case 13: {
							goto _ctr25;
						}
					}
					goto _ctr23;
					case 78:
					goto _ctr0;
					case 15:
					if ( ( (*( ( p_)))) == 10 ) {
						goto _ctr27;
					}
					goto _ctr0;
					case 16:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr19;
						}
						case 13: {
							goto _ctr20;
						}
					}
					if ( 48 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 57 ) {
						goto _ctr29;
					}
					goto _ctr18;
					case 17:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr24;
						}
						case 13: {
							goto _ctr25;
						}
						case 32: {
							goto _ctr31;
						}
					}
					if ( 48 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 57 ) {
						goto _ctr32;
					}
					goto _ctr23;
					case 18:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr19;
						}
						case 13: {
							goto _ctr20;
						}
						case 32: {
							goto _ctr34;
						}
					}
					goto _ctr18;
					case 19:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr19;
						}
						case 13: {
							goto _ctr20;
						}
					}
					goto _ctr18;
					case 20:
					if ( ( (*( ( p_)))) == 69 ) {
						goto _ctr36;
					}
					goto _ctr0;
					case 21:
					if ( ( (*( ( p_)))) == 76 ) {
						goto _ctr37;
					}
					goto _ctr0;
					case 22:
					if ( ( (*( ( p_)))) == 69 ) {
						goto _ctr38;
					}
					goto _ctr0;
					case 23:
					if ( ( (*( ( p_)))) == 84 ) {
						goto _ctr39;
					}
					goto _ctr0;
					case 24:
					if ( ( (*( ( p_)))) == 69 ) {
						goto _ctr40;
					}
					goto _ctr0;
					case 25:
					if ( ( (*( ( p_)))) == 68 ) {
						goto _ctr41;
					}
					goto _ctr0;
					case 26:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr27;
						}
						case 13: {
							goto _ctr26;
						}
					}
					goto _ctr0;
					case 27:
					switch( ( (*( ( p_)))) ) {
						case 82: {
							goto _ctr43;
						}
						case 88: {
							goto _ctr44;
						}
					}
					goto _ctr0;
					case 28:
					if ( ( (*( ( p_)))) == 82 ) {
						goto _ctr45;
					}
					goto _ctr0;
					case 29:
					if ( ( (*( ( p_)))) == 79 ) {
						goto _ctr46;
					}
					goto _ctr0;
					case 30:
					if ( ( (*( ( p_)))) == 82 ) {
						goto _ctr47;
					}
					goto _ctr0;
					case 31:
					if ( ( (*( ( p_)))) == 73 ) {
						goto _ctr48;
					}
					goto _ctr0;
					case 32:
					if ( ( (*( ( p_)))) == 83 ) {
						goto _ctr49;
					}
					goto _ctr0;
					case 33:
					if ( ( (*( ( p_)))) == 84 ) {
						goto _ctr50;
					}
					goto _ctr0;
					case 34:
					if ( ( (*( ( p_)))) == 83 ) {
						goto _ctr51;
					}
					goto _ctr0;
					case 35:
					if ( ( (*( ( p_)))) == 79 ) {
						goto _ctr52;
					}
					goto _ctr0;
					case 36:
					if ( ( (*( ( p_)))) == 84 ) {
						goto _ctr53;
					}
					goto _ctr0;
					case 37:
					if ( ( (*( ( p_)))) == 95 ) {
						goto _ctr54;
					}
					goto _ctr0;
					case 38:
					switch( ( (*( ( p_)))) ) {
						case 70: {
							goto _ctr55;
						}
						case 83: {
							goto _ctr56;
						}
					}
					goto _ctr0;
					case 39:
					if ( ( (*( ( p_)))) == 79 ) {
						goto _ctr57;
					}
					goto _ctr0;
					case 40:
					if ( ( (*( ( p_)))) == 85 ) {
						goto _ctr58;
					}
					goto _ctr0;
					case 41:
					if ( ( (*( ( p_)))) == 78 ) {
						goto _ctr59;
					}
					goto _ctr0;
					case 42:
					if ( ( (*( ( p_)))) == 68 ) {
						goto _ctr60;
					}
					goto _ctr0;
					case 43:
					if ( ( (*( ( p_)))) == 84 ) {
						goto _ctr61;
					}
					goto _ctr0;
					case 44:
					if ( ( (*( ( p_)))) == 79 ) {
						goto _ctr62;
					}
					goto _ctr0;
					case 45:
					if ( ( (*( ( p_)))) == 82 ) {
						goto _ctr63;
					}
					goto _ctr0;
					case 46:
					if ( ( (*( ( p_)))) == 69 ) {
						goto _ctr64;
					}
					goto _ctr0;
					case 47:
					if ( ( (*( ( p_)))) == 68 ) {
						goto _ctr65;
					}
					goto _ctr0;
					case 48:
					switch( ( (*( ( p_)))) ) {
						case 69: {
							goto _ctr66;
						}
						case 84: {
							goto _ctr67;
						}
					}
					goto _ctr0;
					case 49:
					if ( ( (*( ( p_)))) == 82 ) {
						goto _ctr68;
					}
					goto _ctr0;
					case 50:
					if ( ( (*( ( p_)))) == 86 ) {
						goto _ctr69;
					}
					goto _ctr0;
					case 51:
					if ( ( (*( ( p_)))) == 69 ) {
						goto _ctr70;
					}
					goto _ctr0;
					case 52:
					if ( ( (*( ( p_)))) == 82 ) {
						goto _ctr71;
					}
					goto _ctr0;
					case 53:
					if ( ( (*( ( p_)))) == 95 ) {
						goto _ctr72;
					}
					goto _ctr0;
					case 54:
					if ( ( (*( ( p_)))) == 69 ) {
						goto _ctr73;
					}
					goto _ctr0;
					case 55:
					if ( ( (*( ( p_)))) == 82 ) {
						goto _ctr74;
					}
					goto _ctr0;
					case 56:
					if ( ( (*( ( p_)))) == 82 ) {
						goto _ctr75;
					}
					goto _ctr0;
					case 57:
					if ( ( (*( ( p_)))) == 79 ) {
						goto _ctr76;
					}
					goto _ctr0;
					case 58:
					if ( ( (*( ( p_)))) == 82 ) {
						goto _ctr77;
					}
					goto _ctr0;
					case 59:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr79;
						}
						case 13: {
							goto _ctr80;
						}
						case 32: {
							goto _ctr81;
						}
					}
					goto _ctr78;
					case 60:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr84;
						}
						case 13: {
							goto _ctr85;
						}
					}
					goto _ctr83;
					case 61:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr79;
						}
						case 13: {
							goto _ctr80;
						}
					}
					if ( 48 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 57 ) {
						goto _ctr87;
					}
					goto _ctr78;
					case 62:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr84;
						}
						case 13: {
							goto _ctr85;
						}
						case 32: {
							goto _ctr89;
						}
					}
					if ( 48 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 57 ) {
						goto _ctr90;
					}
					goto _ctr83;
					case 63:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr79;
						}
						case 13: {
							goto _ctr80;
						}
						case 32: {
							goto _ctr92;
						}
					}
					goto _ctr78;
					case 64:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr79;
						}
						case 13: {
							goto _ctr80;
						}
					}
					goto _ctr78;
					case 65:
					switch( ( (*( ( p_)))) ) {
						case 65: {
							goto _ctr94;
						}
						case 79: {
							goto _ctr95;
						}
					}
					goto _ctr0;
					case 66:
					if ( ( (*( ( p_)))) == 76 ) {
						goto _ctr96;
					}
					goto _ctr0;
					case 67:
					if ( ( (*( ( p_)))) == 69 ) {
						goto _ctr97;
					}
					goto _ctr0;
					case 68:
					if ( ( (*( ( p_)))) == 95 ) {
						goto _ctr98;
					}
					goto _ctr0;
					case 69:
					if ( ( (*( ( p_)))) == 83 ) {
						goto _ctr99;
					}
					goto _ctr0;
					case 70:
					if ( ( (*( ( p_)))) == 84 ) {
						goto _ctr100;
					}
					goto _ctr0;
					case 71:
					if ( ( (*( ( p_)))) == 79 ) {
						goto _ctr101;
					}
					goto _ctr0;
					case 72:
					if ( ( (*( ( p_)))) == 82 ) {
						goto _ctr102;
					}
					goto _ctr0;
					case 73:
					if ( ( (*( ( p_)))) == 69 ) {
						goto _ctr103;
					}
					goto _ctr0;
					case 74:
					if ( ( (*( ( p_)))) == 68 ) {
						goto _ctr104;
					}
					goto _ctr0;
					case 75:
					if ( ( (*( ( p_)))) == 82 ) {
						goto _ctr105;
					}
					goto _ctr0;
					case 76:
					if ( ( (*( ( p_)))) == 69 ) {
						goto _ctr106;
					}
					goto _ctr0;
					case 77:
					if ( ( (*( ( p_)))) == 68 ) {
						goto _ctr107;
					}
					goto _ctr0;
				}
				
				_ctr0: ( savedCs_) = 0; goto _again;
				( savedCs_) = 1; goto _again;
				_ctr2: ( savedCs_) = 2; goto _again;
				_ctr7: ( savedCs_) = 3; goto _again;
				_ctr8: ( savedCs_) = 4; goto _again;
				_ctr9: ( savedCs_) = 5; goto _again;
				_ctr10: ( savedCs_) = 6; goto _again;
				_ctr11: ( savedCs_) = 7; goto _again;
				_ctr12: ( savedCs_) = 8; goto _again;
				_ctr13: ( savedCs_) = 9; goto _again;
				_ctr14: ( savedCs_) = 10; goto _again;
				_ctr15: ( savedCs_) = 11; goto _again;
				_ctr16: ( savedCs_) = 12; goto _again;
				_ctr17: ( savedCs_) = 13; goto _again;
				( savedCs_) = 14; goto _again;
				_ctr18: ( savedCs_) = 14; goto f0;
				_ctr23: ( savedCs_) = 14; goto f3;
				_ctr26: ( savedCs_) = 15; goto _again;
				_ctr20: ( savedCs_) = 15; goto f2;
				_ctr25: ( savedCs_) = 15; goto f5;
				_ctr80: ( savedCs_) = 15; goto f16;
				_ctr85: ( savedCs_) = 15; goto f18;
				( savedCs_) = 16; goto _again;
				_ctr21: ( savedCs_) = 16; goto f0;
				( savedCs_) = 17; goto _again;
				_ctr29: ( savedCs_) = 17; goto f7;
				_ctr32: ( savedCs_) = 17; goto f9;
				( savedCs_) = 18; goto _again;
				_ctr31: ( savedCs_) = 18; goto f8;
				( savedCs_) = 19; goto _again;
				_ctr34: ( savedCs_) = 19; goto f0;
				_ctr3: ( savedCs_) = 20; goto _again;
				_ctr36: ( savedCs_) = 21; goto _again;
				_ctr37: ( savedCs_) = 22; goto _again;
				_ctr38: ( savedCs_) = 23; goto _again;
				_ctr39: ( savedCs_) = 24; goto _again;
				_ctr40: ( savedCs_) = 25; goto _again;
				( savedCs_) = 26; goto _again;
				_ctr41: ( savedCs_) = 26; goto f10;
				_ctr47: ( savedCs_) = 26; goto f11;
				_ctr51: ( savedCs_) = 26; goto f12;
				_ctr60: ( savedCs_) = 26; goto f13;
				_ctr65: ( savedCs_) = 26; goto f14;
				_ctr104: ( savedCs_) = 26; goto f19;
				_ctr107: ( savedCs_) = 26; goto f20;
				_ctr4: ( savedCs_) = 27; goto _again;
				_ctr43: ( savedCs_) = 28; goto _again;
				_ctr45: ( savedCs_) = 29; goto _again;
				_ctr46: ( savedCs_) = 30; goto _again;
				_ctr44: ( savedCs_) = 31; goto _again;
				_ctr48: ( savedCs_) = 32; goto _again;
				_ctr49: ( savedCs_) = 33; goto _again;
				_ctr50: ( savedCs_) = 34; goto _again;
				_ctr5: ( savedCs_) = 35; goto _again;
				_ctr52: ( savedCs_) = 36; goto _again;
				_ctr53: ( savedCs_) = 37; goto _again;
				_ctr54: ( savedCs_) = 38; goto _again;
				_ctr55: ( savedCs_) = 39; goto _again;
				_ctr57: ( savedCs_) = 40; goto _again;
				_ctr58: ( savedCs_) = 41; goto _again;
				_ctr59: ( savedCs_) = 42; goto _again;
				_ctr56: ( savedCs_) = 43; goto _again;
				_ctr61: ( savedCs_) = 44; goto _again;
				_ctr62: ( savedCs_) = 45; goto _again;
				_ctr63: ( savedCs_) = 46; goto _again;
				_ctr64: ( savedCs_) = 47; goto _again;
				_ctr6: ( savedCs_) = 48; goto _again;
				_ctr66: ( savedCs_) = 49; goto _again;
				_ctr68: ( savedCs_) = 50; goto _again;
				_ctr69: ( savedCs_) = 51; goto _again;
				_ctr70: ( savedCs_) = 52; goto _again;
				_ctr71: ( savedCs_) = 53; goto _again;
				_ctr72: ( savedCs_) = 54; goto _again;
				_ctr73: ( savedCs_) = 55; goto _again;
				_ctr74: ( savedCs_) = 56; goto _again;
				_ctr75: ( savedCs_) = 57; goto _again;
				_ctr76: ( savedCs_) = 58; goto _again;
				_ctr77: ( savedCs_) = 59; goto _again;
				( savedCs_) = 60; goto _again;
				_ctr78: ( savedCs_) = 60; goto f0;
				_ctr83: ( savedCs_) = 60; goto f3;
				( savedCs_) = 61; goto _again;
				_ctr81: ( savedCs_) = 61; goto f0;
				( savedCs_) = 62; goto _again;
				_ctr87: ( savedCs_) = 62; goto f7;
				_ctr90: ( savedCs_) = 62; goto f9;
				( savedCs_) = 63; goto _again;
				_ctr89: ( savedCs_) = 63; goto f8;
				( savedCs_) = 64; goto _again;
				_ctr92: ( savedCs_) = 64; goto f0;
				_ctr67: ( savedCs_) = 65; goto _again;
				_ctr94: ( savedCs_) = 66; goto _again;
				_ctr96: ( savedCs_) = 67; goto _again;
				_ctr97: ( savedCs_) = 68; goto _again;
				_ctr98: ( savedCs_) = 69; goto _again;
				_ctr99: ( savedCs_) = 70; goto _again;
				_ctr100: ( savedCs_) = 71; goto _again;
				_ctr101: ( savedCs_) = 72; goto _again;
				_ctr102: ( savedCs_) = 73; goto _again;
				_ctr103: ( savedCs_) = 74; goto _again;
				_ctr95: ( savedCs_) = 75; goto _again;
				_ctr105: ( savedCs_) = 76; goto _again;
				_ctr106: ( savedCs_) = 77; goto _again;
				( savedCs_) = 78; goto _again;
				_ctr19: ( savedCs_) = 78; goto f1;
				_ctr24: ( savedCs_) = 78; goto f4;
				_ctr27: ( savedCs_) = 78; goto f6;
				_ctr79: ( savedCs_) = 78; goto f15;
				_ctr84: ( savedCs_) = 78; goto f17;
				
				f6:
					{
#line 74 "lib/network/McAsciiParser.rl"
					
					// Message is complete, so exit the state machine and return to the caller.
					state_ = State::COMPLETE;
					{( p_) += 1; goto _out; }
				}
				
#line 5397 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f13:
					{
#line 164 "lib/network/McAsciiParser.rl"
					message.result_ref() = carbon::Result::NOTFOUND; }
				
#line 5403 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f10:
					{
#line 165 "lib/network/McAsciiParser.rl"
					message.result_ref() = carbon::Result::DELETED; }
				
#line 5409 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f11:
					{
#line 176 "lib/network/McAsciiParser.rl"
					
					// This is unexpected error reply, just put ourself into error state.
					state_ = State::ERROR;
					currentErrorDescription_ = "ERROR reply received from server.";
					{( p_) += 1; goto _out; }
				}
				
#line 5420 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f3:
					{
#line 183 "lib/network/McAsciiParser.rl"
					
					using MsgT = typename std::decay<decltype(message)>::type;
					consumeErrorMessage<MsgT>(buffer);
				}
				
#line 5429 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f18:
					{
#line 189 "lib/network/McAsciiParser.rl"
					
					uint32_t errorCode = currentUInt_;
					if (errorCode == SERVER_ERROR_BUSY) {
						message.result_ref() = carbon::Result::BUSY;
					} else {
						message.result_ref() = carbon::Result::REMOTE_ERROR;
					}
				}
				
#line 5442 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f5:
					{
#line 199 "lib/network/McAsciiParser.rl"
					message.result_ref() = carbon::Result::CLIENT_ERROR; }
				
#line 5448 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f20:
					{
#line 316 "lib/network/McAsciiParser.rl"
					message.result_ref() = carbon::Result::STORED; }
				
#line 5454 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f19:
					{
#line 317 "lib/network/McAsciiParser.rl"
					message.result_ref() = carbon::Result::STALESTORED; }
				
#line 5460 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f14:
					{
#line 318 "lib/network/McAsciiParser.rl"
					message.result_ref() = carbon::Result::NOTSTORED; }
				
#line 5466 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f12:
					{
#line 319 "lib/network/McAsciiParser.rl"
					message.result_ref() = carbon::Result::EXISTS; }
				
#line 5472 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f0:
					{
#line 54 "lib/network/McAsciiParser.rl"
					
					using MsgT = typename std::decay<decltype(message)>::type;
					resetErrorMessage<MsgT>(message);
				}
				
#line 5481 "lib/network/McAsciiParser-gen.cpp"
	{
#line 183 "lib/network/McAsciiParser.rl"
					
					using MsgT = typename std::decay<decltype(message)>::type;
					consumeErrorMessage<MsgT>(buffer);
				}
				
#line 5488 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f16:
					{
#line 54 "lib/network/McAsciiParser.rl"
					
					using MsgT = typename std::decay<decltype(message)>::type;
					resetErrorMessage<MsgT>(message);
				}
				
#line 5497 "lib/network/McAsciiParser-gen.cpp"
	{
#line 189 "lib/network/McAsciiParser.rl"
					
					uint32_t errorCode = currentUInt_;
					if (errorCode == SERVER_ERROR_BUSY) {
						message.result_ref() = carbon::Result::BUSY;
					} else {
						message.result_ref() = carbon::Result::REMOTE_ERROR;
					}
				}
				
#line 5508 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f2:
					{
#line 54 "lib/network/McAsciiParser.rl"
					
					using MsgT = typename std::decay<decltype(message)>::type;
					resetErrorMessage<MsgT>(message);
				}
				
#line 5517 "lib/network/McAsciiParser-gen.cpp"
	{
#line 199 "lib/network/McAsciiParser.rl"
					message.result_ref() = carbon::Result::CLIENT_ERROR; }
				
#line 5521 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f9:
					{
#line 111 "lib/network/McAsciiParser.rl"
					
					currentUInt_ = currentUInt_ * 10 + ((( (*( ( p_))))) - '0');
				}
				
#line 5529 "lib/network/McAsciiParser-gen.cpp"
	{
#line 183 "lib/network/McAsciiParser.rl"
					
					using MsgT = typename std::decay<decltype(message)>::type;
					consumeErrorMessage<MsgT>(buffer);
				}
				
#line 5536 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f8:
					{
#line 159 "lib/network/McAsciiParser.rl"
					
					message.appSpecificErrorCode_ref() = static_cast<uint16_t>(currentUInt_);
				}
				
#line 5544 "lib/network/McAsciiParser-gen.cpp"
	{
#line 183 "lib/network/McAsciiParser.rl"
					
					using MsgT = typename std::decay<decltype(message)>::type;
					consumeErrorMessage<MsgT>(buffer);
				}
				
#line 5551 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f17:
					{
#line 189 "lib/network/McAsciiParser.rl"
					
					uint32_t errorCode = currentUInt_;
					if (errorCode == SERVER_ERROR_BUSY) {
						message.result_ref() = carbon::Result::BUSY;
					} else {
						message.result_ref() = carbon::Result::REMOTE_ERROR;
					}
				}
				
#line 5564 "lib/network/McAsciiParser-gen.cpp"
	{
#line 74 "lib/network/McAsciiParser.rl"
					
					// Message is complete, so exit the state machine and return to the caller.
					state_ = State::COMPLETE;
					{( p_) += 1; goto _out; }
				}
				
#line 5572 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f4:
					{
#line 199 "lib/network/McAsciiParser.rl"
					message.result_ref() = carbon::Result::CLIENT_ERROR; }
				
#line 5578 "lib/network/McAsciiParser-gen.cpp"
	{
#line 74 "lib/network/McAsciiParser.rl"
					
					// Message is complete, so exit the state machine and return to the caller.
					state_ = State::COMPLETE;
					{( p_) += 1; goto _out; }
				}
				
#line 5586 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f15:
					{
#line 54 "lib/network/McAsciiParser.rl"
					
					using MsgT = typename std::decay<decltype(message)>::type;
					resetErrorMessage<MsgT>(message);
				}
				
#line 5595 "lib/network/McAsciiParser-gen.cpp"
	{
#line 189 "lib/network/McAsciiParser.rl"
					
					uint32_t errorCode = currentUInt_;
					if (errorCode == SERVER_ERROR_BUSY) {
						message.result_ref() = carbon::Result::BUSY;
					} else {
						message.result_ref() = carbon::Result::REMOTE_ERROR;
					}
				}
				
#line 5606 "lib/network/McAsciiParser-gen.cpp"
	{
#line 74 "lib/network/McAsciiParser.rl"
					
					// Message is complete, so exit the state machine and return to the caller.
					state_ = State::COMPLETE;
					{( p_) += 1; goto _out; }
				}
				
#line 5614 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f1:
					{
#line 54 "lib/network/McAsciiParser.rl"
					
					using MsgT = typename std::decay<decltype(message)>::type;
					resetErrorMessage<MsgT>(message);
				}
				
#line 5623 "lib/network/McAsciiParser-gen.cpp"
	{
#line 199 "lib/network/McAsciiParser.rl"
					message.result_ref() = carbon::Result::CLIENT_ERROR; }
				
#line 5627 "lib/network/McAsciiParser-gen.cpp"
	{
#line 74 "lib/network/McAsciiParser.rl"
					
					// Message is complete, so exit the state machine and return to the caller.
					state_ = State::COMPLETE;
					{( p_) += 1; goto _out; }
				}
				
#line 5635 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f7:
					{
#line 111 "lib/network/McAsciiParser.rl"
					currentUInt_ = 0; }
				
#line 5641 "lib/network/McAsciiParser-gen.cpp"
	{
#line 111 "lib/network/McAsciiParser.rl"
					
					currentUInt_ = currentUInt_ * 10 + ((( (*( ( p_))))) - '0');
				}
				
#line 5647 "lib/network/McAsciiParser-gen.cpp"
	{
#line 54 "lib/network/McAsciiParser.rl"
					
					using MsgT = typename std::decay<decltype(message)>::type;
					resetErrorMessage<MsgT>(message);
				}
				
#line 5654 "lib/network/McAsciiParser-gen.cpp"
	{
#line 183 "lib/network/McAsciiParser.rl"
					
					using MsgT = typename std::decay<decltype(message)>::type;
					consumeErrorMessage<MsgT>(buffer);
				}
				
#line 5661 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				
				_again: {}
				if ( ( savedCs_) != 0 ) {
					( p_) += 1;
					goto _resume;
				}
				_out: {}
			}
			
#line 334 "lib/network/McAsciiParser.rl"

		}
		
		// McArithm reply.

#line 5675 "lib/network/McAsciiParser-gen.cpp"
static const int mc_ascii_arithm_reply_start = 1;
		static const int mc_ascii_arithm_reply_first_final = 52;
		static const int mc_ascii_arithm_reply_error = 0;
		
		static const int mc_ascii_arithm_reply_en_arithm_reply = 1;
		
		
#line 346 "lib/network/McAsciiParser.rl"

		
		template <class Reply>
		void McClientAsciiParser::consumeArithmReplyCommon(folly::IOBuf& buffer) {
			auto& message = currentMessage_.get<Reply>();

#line 5687 "lib/network/McAsciiParser-gen.cpp"
	{
			}

#line 5689 "lib/network/McAsciiParser-gen.cpp"
{
				
				_resume: {}
				if ( ( p_) == ( pe_) )
					goto _out;
				switch ( ( savedCs_) ) {
					case 1:
					switch( ( (*( ( p_)))) ) {
						case 67: {
							goto _ctr3;
						}
						case 69: {
							goto _ctr4;
						}
						case 78: {
							goto _ctr5;
						}
						case 83: {
							goto _ctr6;
						}
					}
					if ( 48 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 57 ) {
						goto _ctr2;
					}
					goto _ctr0;
					case 0:
					goto _again;
					case 2:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr8;
						}
						case 13: {
							goto _ctr9;
						}
						case 32: {
							goto _ctr10;
						}
					}
					if ( 48 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 57 ) {
						goto _ctr11;
					}
					goto _ctr0;
					case 52:
					goto _ctr0;
					case 3:
					if ( ( (*( ( p_)))) == 10 ) {
						goto _ctr13;
					}
					goto _ctr0;
					case 4:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr13;
						}
						case 13: {
							goto _ctr12;
						}
						case 32: {
							goto _ctr14;
						}
					}
					goto _ctr0;
					case 5:
					if ( ( (*( ( p_)))) == 76 ) {
						goto _ctr15;
					}
					goto _ctr0;
					case 6:
					if ( ( (*( ( p_)))) == 73 ) {
						goto _ctr16;
					}
					goto _ctr0;
					case 7:
					if ( ( (*( ( p_)))) == 69 ) {
						goto _ctr17;
					}
					goto _ctr0;
					case 8:
					if ( ( (*( ( p_)))) == 78 ) {
						goto _ctr18;
					}
					goto _ctr0;
					case 9:
					if ( ( (*( ( p_)))) == 84 ) {
						goto _ctr19;
					}
					goto _ctr0;
					case 10:
					if ( ( (*( ( p_)))) == 95 ) {
						goto _ctr20;
					}
					goto _ctr0;
					case 11:
					if ( ( (*( ( p_)))) == 69 ) {
						goto _ctr21;
					}
					goto _ctr0;
					case 12:
					if ( ( (*( ( p_)))) == 82 ) {
						goto _ctr22;
					}
					goto _ctr0;
					case 13:
					if ( ( (*( ( p_)))) == 82 ) {
						goto _ctr23;
					}
					goto _ctr0;
					case 14:
					if ( ( (*( ( p_)))) == 79 ) {
						goto _ctr24;
					}
					goto _ctr0;
					case 15:
					if ( ( (*( ( p_)))) == 82 ) {
						goto _ctr25;
					}
					goto _ctr0;
					case 16:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr27;
						}
						case 13: {
							goto _ctr28;
						}
						case 32: {
							goto _ctr29;
						}
					}
					goto _ctr26;
					case 17:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr32;
						}
						case 13: {
							goto _ctr33;
						}
					}
					goto _ctr31;
					case 18:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr27;
						}
						case 13: {
							goto _ctr28;
						}
					}
					if ( 48 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 57 ) {
						goto _ctr35;
					}
					goto _ctr26;
					case 19:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr32;
						}
						case 13: {
							goto _ctr33;
						}
						case 32: {
							goto _ctr37;
						}
					}
					if ( 48 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 57 ) {
						goto _ctr38;
					}
					goto _ctr31;
					case 20:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr27;
						}
						case 13: {
							goto _ctr28;
						}
						case 32: {
							goto _ctr40;
						}
					}
					goto _ctr26;
					case 21:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr27;
						}
						case 13: {
							goto _ctr28;
						}
					}
					goto _ctr26;
					case 22:
					if ( ( (*( ( p_)))) == 82 ) {
						goto _ctr42;
					}
					goto _ctr0;
					case 23:
					if ( ( (*( ( p_)))) == 82 ) {
						goto _ctr43;
					}
					goto _ctr0;
					case 24:
					if ( ( (*( ( p_)))) == 79 ) {
						goto _ctr44;
					}
					goto _ctr0;
					case 25:
					if ( ( (*( ( p_)))) == 82 ) {
						goto _ctr45;
					}
					goto _ctr0;
					case 26:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr13;
						}
						case 13: {
							goto _ctr12;
						}
					}
					goto _ctr0;
					case 27:
					if ( ( (*( ( p_)))) == 79 ) {
						goto _ctr47;
					}
					goto _ctr0;
					case 28:
					if ( ( (*( ( p_)))) == 84 ) {
						goto _ctr48;
					}
					goto _ctr0;
					case 29:
					if ( ( (*( ( p_)))) == 95 ) {
						goto _ctr49;
					}
					goto _ctr0;
					case 30:
					if ( ( (*( ( p_)))) == 70 ) {
						goto _ctr50;
					}
					goto _ctr0;
					case 31:
					if ( ( (*( ( p_)))) == 79 ) {
						goto _ctr51;
					}
					goto _ctr0;
					case 32:
					if ( ( (*( ( p_)))) == 85 ) {
						goto _ctr52;
					}
					goto _ctr0;
					case 33:
					if ( ( (*( ( p_)))) == 78 ) {
						goto _ctr53;
					}
					goto _ctr0;
					case 34:
					if ( ( (*( ( p_)))) == 68 ) {
						goto _ctr54;
					}
					goto _ctr0;
					case 35:
					if ( ( (*( ( p_)))) == 69 ) {
						goto _ctr55;
					}
					goto _ctr0;
					case 36:
					if ( ( (*( ( p_)))) == 82 ) {
						goto _ctr56;
					}
					goto _ctr0;
					case 37:
					if ( ( (*( ( p_)))) == 86 ) {
						goto _ctr57;
					}
					goto _ctr0;
					case 38:
					if ( ( (*( ( p_)))) == 69 ) {
						goto _ctr58;
					}
					goto _ctr0;
					case 39:
					if ( ( (*( ( p_)))) == 82 ) {
						goto _ctr59;
					}
					goto _ctr0;
					case 40:
					if ( ( (*( ( p_)))) == 95 ) {
						goto _ctr60;
					}
					goto _ctr0;
					case 41:
					if ( ( (*( ( p_)))) == 69 ) {
						goto _ctr61;
					}
					goto _ctr0;
					case 42:
					if ( ( (*( ( p_)))) == 82 ) {
						goto _ctr62;
					}
					goto _ctr0;
					case 43:
					if ( ( (*( ( p_)))) == 82 ) {
						goto _ctr63;
					}
					goto _ctr0;
					case 44:
					if ( ( (*( ( p_)))) == 79 ) {
						goto _ctr64;
					}
					goto _ctr0;
					case 45:
					if ( ( (*( ( p_)))) == 82 ) {
						goto _ctr65;
					}
					goto _ctr0;
					case 46:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr67;
						}
						case 13: {
							goto _ctr68;
						}
						case 32: {
							goto _ctr69;
						}
					}
					goto _ctr66;
					case 47:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr72;
						}
						case 13: {
							goto _ctr73;
						}
					}
					goto _ctr71;
					case 48:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr67;
						}
						case 13: {
							goto _ctr68;
						}
					}
					if ( 48 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 57 ) {
						goto _ctr75;
					}
					goto _ctr66;
					case 49:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr72;
						}
						case 13: {
							goto _ctr73;
						}
						case 32: {
							goto _ctr77;
						}
					}
					if ( 48 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 57 ) {
						goto _ctr78;
					}
					goto _ctr71;
					case 50:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr67;
						}
						case 13: {
							goto _ctr68;
						}
						case 32: {
							goto _ctr80;
						}
					}
					goto _ctr66;
					case 51:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr67;
						}
						case 13: {
							goto _ctr68;
						}
					}
					goto _ctr66;
				}
				
				_ctr0: ( savedCs_) = 0; goto _again;
				( savedCs_) = 1; goto _again;
				( savedCs_) = 2; goto _again;
				_ctr2: ( savedCs_) = 2; goto f0;
				_ctr11: ( savedCs_) = 2; goto f3;
				_ctr12: ( savedCs_) = 3; goto _again;
				_ctr9: ( savedCs_) = 3; goto f2;
				_ctr28: ( savedCs_) = 3; goto f7;
				_ctr33: ( savedCs_) = 3; goto f10;
				_ctr68: ( savedCs_) = 3; goto f17;
				_ctr73: ( savedCs_) = 3; goto f19;
				_ctr14: ( savedCs_) = 4; goto _again;
				_ctr10: ( savedCs_) = 4; goto f2;
				_ctr3: ( savedCs_) = 5; goto _again;
				_ctr15: ( savedCs_) = 6; goto _again;
				_ctr16: ( savedCs_) = 7; goto _again;
				_ctr17: ( savedCs_) = 8; goto _again;
				_ctr18: ( savedCs_) = 9; goto _again;
				_ctr19: ( savedCs_) = 10; goto _again;
				_ctr20: ( savedCs_) = 11; goto _again;
				_ctr21: ( savedCs_) = 12; goto _again;
				_ctr22: ( savedCs_) = 13; goto _again;
				_ctr23: ( savedCs_) = 14; goto _again;
				_ctr24: ( savedCs_) = 15; goto _again;
				_ctr25: ( savedCs_) = 16; goto _again;
				( savedCs_) = 17; goto _again;
				_ctr26: ( savedCs_) = 17; goto f5;
				_ctr31: ( savedCs_) = 17; goto f8;
				( savedCs_) = 18; goto _again;
				_ctr29: ( savedCs_) = 18; goto f5;
				( savedCs_) = 19; goto _again;
				_ctr35: ( savedCs_) = 19; goto f11;
				_ctr38: ( savedCs_) = 19; goto f13;
				( savedCs_) = 20; goto _again;
				_ctr37: ( savedCs_) = 20; goto f12;
				( savedCs_) = 21; goto _again;
				_ctr40: ( savedCs_) = 21; goto f5;
				_ctr4: ( savedCs_) = 22; goto _again;
				_ctr42: ( savedCs_) = 23; goto _again;
				_ctr43: ( savedCs_) = 24; goto _again;
				_ctr44: ( savedCs_) = 25; goto _again;
				( savedCs_) = 26; goto _again;
				_ctr45: ( savedCs_) = 26; goto f14;
				_ctr54: ( savedCs_) = 26; goto f15;
				_ctr5: ( savedCs_) = 27; goto _again;
				_ctr47: ( savedCs_) = 28; goto _again;
				_ctr48: ( savedCs_) = 29; goto _again;
				_ctr49: ( savedCs_) = 30; goto _again;
				_ctr50: ( savedCs_) = 31; goto _again;
				_ctr51: ( savedCs_) = 32; goto _again;
				_ctr52: ( savedCs_) = 33; goto _again;
				_ctr53: ( savedCs_) = 34; goto _again;
				_ctr6: ( savedCs_) = 35; goto _again;
				_ctr55: ( savedCs_) = 36; goto _again;
				_ctr56: ( savedCs_) = 37; goto _again;
				_ctr57: ( savedCs_) = 38; goto _again;
				_ctr58: ( savedCs_) = 39; goto _again;
				_ctr59: ( savedCs_) = 40; goto _again;
				_ctr60: ( savedCs_) = 41; goto _again;
				_ctr61: ( savedCs_) = 42; goto _again;
				_ctr62: ( savedCs_) = 43; goto _again;
				_ctr63: ( savedCs_) = 44; goto _again;
				_ctr64: ( savedCs_) = 45; goto _again;
				_ctr65: ( savedCs_) = 46; goto _again;
				( savedCs_) = 47; goto _again;
				_ctr66: ( savedCs_) = 47; goto f5;
				_ctr71: ( savedCs_) = 47; goto f8;
				( savedCs_) = 48; goto _again;
				_ctr69: ( savedCs_) = 48; goto f5;
				( savedCs_) = 49; goto _again;
				_ctr75: ( savedCs_) = 49; goto f11;
				_ctr78: ( savedCs_) = 49; goto f13;
				( savedCs_) = 50; goto _again;
				_ctr77: ( savedCs_) = 50; goto f12;
				( savedCs_) = 51; goto _again;
				_ctr80: ( savedCs_) = 51; goto f5;
				( savedCs_) = 52; goto _again;
				_ctr8: ( savedCs_) = 52; goto f1;
				_ctr13: ( savedCs_) = 52; goto f4;
				_ctr27: ( savedCs_) = 52; goto f6;
				_ctr32: ( savedCs_) = 52; goto f9;
				_ctr67: ( savedCs_) = 52; goto f16;
				_ctr72: ( savedCs_) = 52; goto f18;
				
				f4:
					{
#line 74 "lib/network/McAsciiParser.rl"
					
					// Message is complete, so exit the state machine and return to the caller.
					state_ = State::COMPLETE;
					{( p_) += 1; goto _out; }
				}
				
#line 6177 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f2:
					{
#line 150 "lib/network/McAsciiParser.rl"
					
					message.delta_ref() = currentUInt_;
				}
				
#line 6185 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f15:
					{
#line 164 "lib/network/McAsciiParser.rl"
					message.result_ref() = carbon::Result::NOTFOUND; }
				
#line 6191 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f14:
					{
#line 176 "lib/network/McAsciiParser.rl"
					
					// This is unexpected error reply, just put ourself into error state.
					state_ = State::ERROR;
					currentErrorDescription_ = "ERROR reply received from server.";
					{( p_) += 1; goto _out; }
				}
				
#line 6202 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f8:
					{
#line 183 "lib/network/McAsciiParser.rl"
					
					using MsgT = typename std::decay<decltype(message)>::type;
					consumeErrorMessage<MsgT>(buffer);
				}
				
#line 6211 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f19:
					{
#line 189 "lib/network/McAsciiParser.rl"
					
					uint32_t errorCode = currentUInt_;
					if (errorCode == SERVER_ERROR_BUSY) {
						message.result_ref() = carbon::Result::BUSY;
					} else {
						message.result_ref() = carbon::Result::REMOTE_ERROR;
					}
				}
				
#line 6224 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f10:
					{
#line 199 "lib/network/McAsciiParser.rl"
					message.result_ref() = carbon::Result::CLIENT_ERROR; }
				
#line 6230 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f5:
					{
#line 54 "lib/network/McAsciiParser.rl"
					
					using MsgT = typename std::decay<decltype(message)>::type;
					resetErrorMessage<MsgT>(message);
				}
				
#line 6239 "lib/network/McAsciiParser-gen.cpp"
	{
#line 183 "lib/network/McAsciiParser.rl"
					
					using MsgT = typename std::decay<decltype(message)>::type;
					consumeErrorMessage<MsgT>(buffer);
				}
				
#line 6246 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f17:
					{
#line 54 "lib/network/McAsciiParser.rl"
					
					using MsgT = typename std::decay<decltype(message)>::type;
					resetErrorMessage<MsgT>(message);
				}
				
#line 6255 "lib/network/McAsciiParser-gen.cpp"
	{
#line 189 "lib/network/McAsciiParser.rl"
					
					uint32_t errorCode = currentUInt_;
					if (errorCode == SERVER_ERROR_BUSY) {
						message.result_ref() = carbon::Result::BUSY;
					} else {
						message.result_ref() = carbon::Result::REMOTE_ERROR;
					}
				}
				
#line 6266 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f7:
					{
#line 54 "lib/network/McAsciiParser.rl"
					
					using MsgT = typename std::decay<decltype(message)>::type;
					resetErrorMessage<MsgT>(message);
				}
				
#line 6275 "lib/network/McAsciiParser-gen.cpp"
	{
#line 199 "lib/network/McAsciiParser.rl"
					message.result_ref() = carbon::Result::CLIENT_ERROR; }
				
#line 6279 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f13:
					{
#line 111 "lib/network/McAsciiParser.rl"
					
					currentUInt_ = currentUInt_ * 10 + ((( (*( ( p_))))) - '0');
				}
				
#line 6287 "lib/network/McAsciiParser-gen.cpp"
	{
#line 183 "lib/network/McAsciiParser.rl"
					
					using MsgT = typename std::decay<decltype(message)>::type;
					consumeErrorMessage<MsgT>(buffer);
				}
				
#line 6294 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f3:
					{
#line 111 "lib/network/McAsciiParser.rl"
					
					currentUInt_ = currentUInt_ * 10 + ((( (*( ( p_))))) - '0');
				}
				
#line 6302 "lib/network/McAsciiParser-gen.cpp"
	{
#line 342 "lib/network/McAsciiParser.rl"
					message.result_ref() = carbon::Result::STORED; }
				
#line 6306 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f1:
					{
#line 150 "lib/network/McAsciiParser.rl"
					
					message.delta_ref() = currentUInt_;
				}
				
#line 6314 "lib/network/McAsciiParser-gen.cpp"
	{
#line 74 "lib/network/McAsciiParser.rl"
					
					// Message is complete, so exit the state machine and return to the caller.
					state_ = State::COMPLETE;
					{( p_) += 1; goto _out; }
				}
				
#line 6322 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f12:
					{
#line 159 "lib/network/McAsciiParser.rl"
					
					message.appSpecificErrorCode_ref() = static_cast<uint16_t>(currentUInt_);
				}
				
#line 6330 "lib/network/McAsciiParser-gen.cpp"
	{
#line 183 "lib/network/McAsciiParser.rl"
					
					using MsgT = typename std::decay<decltype(message)>::type;
					consumeErrorMessage<MsgT>(buffer);
				}
				
#line 6337 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f18:
					{
#line 189 "lib/network/McAsciiParser.rl"
					
					uint32_t errorCode = currentUInt_;
					if (errorCode == SERVER_ERROR_BUSY) {
						message.result_ref() = carbon::Result::BUSY;
					} else {
						message.result_ref() = carbon::Result::REMOTE_ERROR;
					}
				}
				
#line 6350 "lib/network/McAsciiParser-gen.cpp"
	{
#line 74 "lib/network/McAsciiParser.rl"
					
					// Message is complete, so exit the state machine and return to the caller.
					state_ = State::COMPLETE;
					{( p_) += 1; goto _out; }
				}
				
#line 6358 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f9:
					{
#line 199 "lib/network/McAsciiParser.rl"
					message.result_ref() = carbon::Result::CLIENT_ERROR; }
				
#line 6364 "lib/network/McAsciiParser-gen.cpp"
	{
#line 74 "lib/network/McAsciiParser.rl"
					
					// Message is complete, so exit the state machine and return to the caller.
					state_ = State::COMPLETE;
					{( p_) += 1; goto _out; }
				}
				
#line 6372 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f16:
					{
#line 54 "lib/network/McAsciiParser.rl"
					
					using MsgT = typename std::decay<decltype(message)>::type;
					resetErrorMessage<MsgT>(message);
				}
				
#line 6381 "lib/network/McAsciiParser-gen.cpp"
	{
#line 189 "lib/network/McAsciiParser.rl"
					
					uint32_t errorCode = currentUInt_;
					if (errorCode == SERVER_ERROR_BUSY) {
						message.result_ref() = carbon::Result::BUSY;
					} else {
						message.result_ref() = carbon::Result::REMOTE_ERROR;
					}
				}
				
#line 6392 "lib/network/McAsciiParser-gen.cpp"
	{
#line 74 "lib/network/McAsciiParser.rl"
					
					// Message is complete, so exit the state machine and return to the caller.
					state_ = State::COMPLETE;
					{( p_) += 1; goto _out; }
				}
				
#line 6400 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f6:
					{
#line 54 "lib/network/McAsciiParser.rl"
					
					using MsgT = typename std::decay<decltype(message)>::type;
					resetErrorMessage<MsgT>(message);
				}
				
#line 6409 "lib/network/McAsciiParser-gen.cpp"
	{
#line 199 "lib/network/McAsciiParser.rl"
					message.result_ref() = carbon::Result::CLIENT_ERROR; }
				
#line 6413 "lib/network/McAsciiParser-gen.cpp"
	{
#line 74 "lib/network/McAsciiParser.rl"
					
					// Message is complete, so exit the state machine and return to the caller.
					state_ = State::COMPLETE;
					{( p_) += 1; goto _out; }
				}
				
#line 6421 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f0:
					{
#line 111 "lib/network/McAsciiParser.rl"
					currentUInt_ = 0; }
				
#line 6427 "lib/network/McAsciiParser-gen.cpp"
	{
#line 111 "lib/network/McAsciiParser.rl"
					
					currentUInt_ = currentUInt_ * 10 + ((( (*( ( p_))))) - '0');
				}
				
#line 6433 "lib/network/McAsciiParser-gen.cpp"
	{
#line 342 "lib/network/McAsciiParser.rl"
					message.result_ref() = carbon::Result::STORED; }
				
#line 6437 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f11:
					{
#line 111 "lib/network/McAsciiParser.rl"
					currentUInt_ = 0; }
				
#line 6443 "lib/network/McAsciiParser-gen.cpp"
	{
#line 111 "lib/network/McAsciiParser.rl"
					
					currentUInt_ = currentUInt_ * 10 + ((( (*( ( p_))))) - '0');
				}
				
#line 6449 "lib/network/McAsciiParser-gen.cpp"
	{
#line 54 "lib/network/McAsciiParser.rl"
					
					using MsgT = typename std::decay<decltype(message)>::type;
					resetErrorMessage<MsgT>(message);
				}
				
#line 6456 "lib/network/McAsciiParser-gen.cpp"
	{
#line 183 "lib/network/McAsciiParser.rl"
					
					using MsgT = typename std::decay<decltype(message)>::type;
					consumeErrorMessage<MsgT>(buffer);
				}
				
#line 6463 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				
				_again: {}
				if ( ( savedCs_) != 0 ) {
					( p_) += 1;
					goto _resume;
				}
				_out: {}
			}
			
#line 355 "lib/network/McAsciiParser.rl"

		}
		
		// McVersion reply.

#line 6477 "lib/network/McAsciiParser-gen.cpp"
static const int mc_ascii_version_reply_start = 1;
		static const int mc_ascii_version_reply_first_final = 50;
		static const int mc_ascii_version_reply_error = 0;
		
		static const int mc_ascii_version_reply_en_version_reply = 1;
		
		
#line 371 "lib/network/McAsciiParser.rl"

		
		template <>
		void McClientAsciiParser::consumeMessage<McVersionRequest>(
		folly::IOBuf& buffer) {
			auto& message = currentMessage_.get<McVersionReply>();

#line 6490 "lib/network/McAsciiParser-gen.cpp"
	{
			}

#line 6492 "lib/network/McAsciiParser-gen.cpp"
{
				
				_resume: {}
				if ( ( p_) == ( pe_) )
					goto _out;
				switch ( ( savedCs_) ) {
					case 1:
					switch( ( (*( ( p_)))) ) {
						case 67: {
							goto _ctr2;
						}
						case 69: {
							goto _ctr3;
						}
						case 83: {
							goto _ctr4;
						}
						case 86: {
							goto _ctr5;
						}
					}
					goto _ctr0;
					case 0:
					goto _again;
					case 2:
					if ( ( (*( ( p_)))) == 76 ) {
						goto _ctr6;
					}
					goto _ctr0;
					case 3:
					if ( ( (*( ( p_)))) == 73 ) {
						goto _ctr7;
					}
					goto _ctr0;
					case 4:
					if ( ( (*( ( p_)))) == 69 ) {
						goto _ctr8;
					}
					goto _ctr0;
					case 5:
					if ( ( (*( ( p_)))) == 78 ) {
						goto _ctr9;
					}
					goto _ctr0;
					case 6:
					if ( ( (*( ( p_)))) == 84 ) {
						goto _ctr10;
					}
					goto _ctr0;
					case 7:
					if ( ( (*( ( p_)))) == 95 ) {
						goto _ctr11;
					}
					goto _ctr0;
					case 8:
					if ( ( (*( ( p_)))) == 69 ) {
						goto _ctr12;
					}
					goto _ctr0;
					case 9:
					if ( ( (*( ( p_)))) == 82 ) {
						goto _ctr13;
					}
					goto _ctr0;
					case 10:
					if ( ( (*( ( p_)))) == 82 ) {
						goto _ctr14;
					}
					goto _ctr0;
					case 11:
					if ( ( (*( ( p_)))) == 79 ) {
						goto _ctr15;
					}
					goto _ctr0;
					case 12:
					if ( ( (*( ( p_)))) == 82 ) {
						goto _ctr16;
					}
					goto _ctr0;
					case 13:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr18;
						}
						case 13: {
							goto _ctr19;
						}
						case 32: {
							goto _ctr20;
						}
					}
					goto _ctr17;
					case 14:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr23;
						}
						case 13: {
							goto _ctr24;
						}
					}
					goto _ctr22;
					case 50:
					goto _ctr0;
					case 15:
					if ( ( (*( ( p_)))) == 10 ) {
						goto _ctr26;
					}
					goto _ctr0;
					case 16:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr18;
						}
						case 13: {
							goto _ctr19;
						}
					}
					if ( 48 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 57 ) {
						goto _ctr28;
					}
					goto _ctr17;
					case 17:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr23;
						}
						case 13: {
							goto _ctr24;
						}
						case 32: {
							goto _ctr30;
						}
					}
					if ( 48 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 57 ) {
						goto _ctr31;
					}
					goto _ctr22;
					case 18:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr18;
						}
						case 13: {
							goto _ctr19;
						}
						case 32: {
							goto _ctr33;
						}
					}
					goto _ctr17;
					case 19:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr18;
						}
						case 13: {
							goto _ctr19;
						}
					}
					goto _ctr17;
					case 20:
					if ( ( (*( ( p_)))) == 82 ) {
						goto _ctr35;
					}
					goto _ctr0;
					case 21:
					if ( ( (*( ( p_)))) == 82 ) {
						goto _ctr36;
					}
					goto _ctr0;
					case 22:
					if ( ( (*( ( p_)))) == 79 ) {
						goto _ctr37;
					}
					goto _ctr0;
					case 23:
					if ( ( (*( ( p_)))) == 82 ) {
						goto _ctr38;
					}
					goto _ctr0;
					case 24:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr26;
						}
						case 13: {
							goto _ctr25;
						}
					}
					goto _ctr0;
					case 25:
					if ( ( (*( ( p_)))) == 69 ) {
						goto _ctr40;
					}
					goto _ctr0;
					case 26:
					if ( ( (*( ( p_)))) == 82 ) {
						goto _ctr41;
					}
					goto _ctr0;
					case 27:
					if ( ( (*( ( p_)))) == 86 ) {
						goto _ctr42;
					}
					goto _ctr0;
					case 28:
					if ( ( (*( ( p_)))) == 69 ) {
						goto _ctr43;
					}
					goto _ctr0;
					case 29:
					if ( ( (*( ( p_)))) == 82 ) {
						goto _ctr44;
					}
					goto _ctr0;
					case 30:
					if ( ( (*( ( p_)))) == 95 ) {
						goto _ctr45;
					}
					goto _ctr0;
					case 31:
					if ( ( (*( ( p_)))) == 69 ) {
						goto _ctr46;
					}
					goto _ctr0;
					case 32:
					if ( ( (*( ( p_)))) == 82 ) {
						goto _ctr47;
					}
					goto _ctr0;
					case 33:
					if ( ( (*( ( p_)))) == 82 ) {
						goto _ctr48;
					}
					goto _ctr0;
					case 34:
					if ( ( (*( ( p_)))) == 79 ) {
						goto _ctr49;
					}
					goto _ctr0;
					case 35:
					if ( ( (*( ( p_)))) == 82 ) {
						goto _ctr50;
					}
					goto _ctr0;
					case 36:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr52;
						}
						case 13: {
							goto _ctr53;
						}
						case 32: {
							goto _ctr54;
						}
					}
					goto _ctr51;
					case 37:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr57;
						}
						case 13: {
							goto _ctr58;
						}
					}
					goto _ctr56;
					case 38:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr52;
						}
						case 13: {
							goto _ctr53;
						}
					}
					if ( 48 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 57 ) {
						goto _ctr60;
					}
					goto _ctr51;
					case 39:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr57;
						}
						case 13: {
							goto _ctr58;
						}
						case 32: {
							goto _ctr62;
						}
					}
					if ( 48 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 57 ) {
						goto _ctr63;
					}
					goto _ctr56;
					case 40:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr52;
						}
						case 13: {
							goto _ctr53;
						}
						case 32: {
							goto _ctr65;
						}
					}
					goto _ctr51;
					case 41:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr52;
						}
						case 13: {
							goto _ctr53;
						}
					}
					goto _ctr51;
					case 42:
					if ( ( (*( ( p_)))) == 69 ) {
						goto _ctr67;
					}
					goto _ctr0;
					case 43:
					if ( ( (*( ( p_)))) == 82 ) {
						goto _ctr68;
					}
					goto _ctr0;
					case 44:
					if ( ( (*( ( p_)))) == 83 ) {
						goto _ctr69;
					}
					goto _ctr0;
					case 45:
					if ( ( (*( ( p_)))) == 73 ) {
						goto _ctr70;
					}
					goto _ctr0;
					case 46:
					if ( ( (*( ( p_)))) == 79 ) {
						goto _ctr71;
					}
					goto _ctr0;
					case 47:
					if ( ( (*( ( p_)))) == 78 ) {
						goto _ctr72;
					}
					goto _ctr0;
					case 48:
					if ( ( (*( ( p_)))) == 32 ) {
						goto _ctr73;
					}
					goto _ctr0;
					case 49:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr26;
						}
						case 13: {
							goto _ctr25;
						}
					}
					goto _ctr75;
				}
				
				_ctr0: ( savedCs_) = 0; goto _again;
				( savedCs_) = 1; goto _again;
				_ctr2: ( savedCs_) = 2; goto _again;
				_ctr6: ( savedCs_) = 3; goto _again;
				_ctr7: ( savedCs_) = 4; goto _again;
				_ctr8: ( savedCs_) = 5; goto _again;
				_ctr9: ( savedCs_) = 6; goto _again;
				_ctr10: ( savedCs_) = 7; goto _again;
				_ctr11: ( savedCs_) = 8; goto _again;
				_ctr12: ( savedCs_) = 9; goto _again;
				_ctr13: ( savedCs_) = 10; goto _again;
				_ctr14: ( savedCs_) = 11; goto _again;
				_ctr15: ( savedCs_) = 12; goto _again;
				_ctr16: ( savedCs_) = 13; goto _again;
				( savedCs_) = 14; goto _again;
				_ctr17: ( savedCs_) = 14; goto f0;
				_ctr22: ( savedCs_) = 14; goto f3;
				_ctr25: ( savedCs_) = 15; goto _again;
				_ctr19: ( savedCs_) = 15; goto f2;
				_ctr24: ( savedCs_) = 15; goto f5;
				_ctr53: ( savedCs_) = 15; goto f12;
				_ctr58: ( savedCs_) = 15; goto f14;
				( savedCs_) = 16; goto _again;
				_ctr20: ( savedCs_) = 16; goto f0;
				( savedCs_) = 17; goto _again;
				_ctr28: ( savedCs_) = 17; goto f7;
				_ctr31: ( savedCs_) = 17; goto f9;
				( savedCs_) = 18; goto _again;
				_ctr30: ( savedCs_) = 18; goto f8;
				( savedCs_) = 19; goto _again;
				_ctr33: ( savedCs_) = 19; goto f0;
				_ctr3: ( savedCs_) = 20; goto _again;
				_ctr35: ( savedCs_) = 21; goto _again;
				_ctr36: ( savedCs_) = 22; goto _again;
				_ctr37: ( savedCs_) = 23; goto _again;
				( savedCs_) = 24; goto _again;
				_ctr38: ( savedCs_) = 24; goto f10;
				_ctr4: ( savedCs_) = 25; goto _again;
				_ctr40: ( savedCs_) = 26; goto _again;
				_ctr41: ( savedCs_) = 27; goto _again;
				_ctr42: ( savedCs_) = 28; goto _again;
				_ctr43: ( savedCs_) = 29; goto _again;
				_ctr44: ( savedCs_) = 30; goto _again;
				_ctr45: ( savedCs_) = 31; goto _again;
				_ctr46: ( savedCs_) = 32; goto _again;
				_ctr47: ( savedCs_) = 33; goto _again;
				_ctr48: ( savedCs_) = 34; goto _again;
				_ctr49: ( savedCs_) = 35; goto _again;
				_ctr50: ( savedCs_) = 36; goto _again;
				( savedCs_) = 37; goto _again;
				_ctr51: ( savedCs_) = 37; goto f0;
				_ctr56: ( savedCs_) = 37; goto f3;
				( savedCs_) = 38; goto _again;
				_ctr54: ( savedCs_) = 38; goto f0;
				( savedCs_) = 39; goto _again;
				_ctr60: ( savedCs_) = 39; goto f7;
				_ctr63: ( savedCs_) = 39; goto f9;
				( savedCs_) = 40; goto _again;
				_ctr62: ( savedCs_) = 40; goto f8;
				( savedCs_) = 41; goto _again;
				_ctr65: ( savedCs_) = 41; goto f0;
				_ctr5: ( savedCs_) = 42; goto _again;
				_ctr67: ( savedCs_) = 43; goto _again;
				_ctr68: ( savedCs_) = 44; goto _again;
				_ctr69: ( savedCs_) = 45; goto _again;
				_ctr70: ( savedCs_) = 46; goto _again;
				_ctr71: ( savedCs_) = 47; goto _again;
				_ctr72: ( savedCs_) = 48; goto _again;
				( savedCs_) = 49; goto _again;
				_ctr73: ( savedCs_) = 49; goto f15;
				_ctr75: ( savedCs_) = 49; goto f16;
				( savedCs_) = 50; goto _again;
				_ctr18: ( savedCs_) = 50; goto f1;
				_ctr23: ( savedCs_) = 50; goto f4;
				_ctr26: ( savedCs_) = 50; goto f6;
				_ctr52: ( savedCs_) = 50; goto f11;
				_ctr57: ( savedCs_) = 50; goto f13;
				
				f6:
					{
#line 74 "lib/network/McAsciiParser.rl"
					
					// Message is complete, so exit the state machine and return to the caller.
					state_ = State::COMPLETE;
					{( p_) += 1; goto _out; }
				}
				
#line 6947 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f10:
					{
#line 176 "lib/network/McAsciiParser.rl"
					
					// This is unexpected error reply, just put ourself into error state.
					state_ = State::ERROR;
					currentErrorDescription_ = "ERROR reply received from server.";
					{( p_) += 1; goto _out; }
				}
				
#line 6958 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f3:
					{
#line 183 "lib/network/McAsciiParser.rl"
					
					using MsgT = typename std::decay<decltype(message)>::type;
					consumeErrorMessage<MsgT>(buffer);
				}
				
#line 6967 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f14:
					{
#line 189 "lib/network/McAsciiParser.rl"
					
					uint32_t errorCode = currentUInt_;
					if (errorCode == SERVER_ERROR_BUSY) {
						message.result_ref() = carbon::Result::BUSY;
					} else {
						message.result_ref() = carbon::Result::REMOTE_ERROR;
					}
				}
				
#line 6980 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f5:
					{
#line 199 "lib/network/McAsciiParser.rl"
					message.result_ref() = carbon::Result::CLIENT_ERROR; }
				
#line 6986 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f15:
					{
#line 363 "lib/network/McAsciiParser.rl"
					message.result_ref() = carbon::Result::OK; }
				
#line 6992 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f16:
					{
#line 364 "lib/network/McAsciiParser.rl"
					
					using MsgT = std::decay<decltype(message)>::type;
					consumeVersion<MsgT>(buffer);
				}
				
#line 7001 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f0:
					{
#line 54 "lib/network/McAsciiParser.rl"
					
					using MsgT = typename std::decay<decltype(message)>::type;
					resetErrorMessage<MsgT>(message);
				}
				
#line 7010 "lib/network/McAsciiParser-gen.cpp"
	{
#line 183 "lib/network/McAsciiParser.rl"
					
					using MsgT = typename std::decay<decltype(message)>::type;
					consumeErrorMessage<MsgT>(buffer);
				}
				
#line 7017 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f12:
					{
#line 54 "lib/network/McAsciiParser.rl"
					
					using MsgT = typename std::decay<decltype(message)>::type;
					resetErrorMessage<MsgT>(message);
				}
				
#line 7026 "lib/network/McAsciiParser-gen.cpp"
	{
#line 189 "lib/network/McAsciiParser.rl"
					
					uint32_t errorCode = currentUInt_;
					if (errorCode == SERVER_ERROR_BUSY) {
						message.result_ref() = carbon::Result::BUSY;
					} else {
						message.result_ref() = carbon::Result::REMOTE_ERROR;
					}
				}
				
#line 7037 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f2:
					{
#line 54 "lib/network/McAsciiParser.rl"
					
					using MsgT = typename std::decay<decltype(message)>::type;
					resetErrorMessage<MsgT>(message);
				}
				
#line 7046 "lib/network/McAsciiParser-gen.cpp"
	{
#line 199 "lib/network/McAsciiParser.rl"
					message.result_ref() = carbon::Result::CLIENT_ERROR; }
				
#line 7050 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f9:
					{
#line 111 "lib/network/McAsciiParser.rl"
					
					currentUInt_ = currentUInt_ * 10 + ((( (*( ( p_))))) - '0');
				}
				
#line 7058 "lib/network/McAsciiParser-gen.cpp"
	{
#line 183 "lib/network/McAsciiParser.rl"
					
					using MsgT = typename std::decay<decltype(message)>::type;
					consumeErrorMessage<MsgT>(buffer);
				}
				
#line 7065 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f8:
					{
#line 159 "lib/network/McAsciiParser.rl"
					
					message.appSpecificErrorCode_ref() = static_cast<uint16_t>(currentUInt_);
				}
				
#line 7073 "lib/network/McAsciiParser-gen.cpp"
	{
#line 183 "lib/network/McAsciiParser.rl"
					
					using MsgT = typename std::decay<decltype(message)>::type;
					consumeErrorMessage<MsgT>(buffer);
				}
				
#line 7080 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f13:
					{
#line 189 "lib/network/McAsciiParser.rl"
					
					uint32_t errorCode = currentUInt_;
					if (errorCode == SERVER_ERROR_BUSY) {
						message.result_ref() = carbon::Result::BUSY;
					} else {
						message.result_ref() = carbon::Result::REMOTE_ERROR;
					}
				}
				
#line 7093 "lib/network/McAsciiParser-gen.cpp"
	{
#line 74 "lib/network/McAsciiParser.rl"
					
					// Message is complete, so exit the state machine and return to the caller.
					state_ = State::COMPLETE;
					{( p_) += 1; goto _out; }
				}
				
#line 7101 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f4:
					{
#line 199 "lib/network/McAsciiParser.rl"
					message.result_ref() = carbon::Result::CLIENT_ERROR; }
				
#line 7107 "lib/network/McAsciiParser-gen.cpp"
	{
#line 74 "lib/network/McAsciiParser.rl"
					
					// Message is complete, so exit the state machine and return to the caller.
					state_ = State::COMPLETE;
					{( p_) += 1; goto _out; }
				}
				
#line 7115 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f11:
					{
#line 54 "lib/network/McAsciiParser.rl"
					
					using MsgT = typename std::decay<decltype(message)>::type;
					resetErrorMessage<MsgT>(message);
				}
				
#line 7124 "lib/network/McAsciiParser-gen.cpp"
	{
#line 189 "lib/network/McAsciiParser.rl"
					
					uint32_t errorCode = currentUInt_;
					if (errorCode == SERVER_ERROR_BUSY) {
						message.result_ref() = carbon::Result::BUSY;
					} else {
						message.result_ref() = carbon::Result::REMOTE_ERROR;
					}
				}
				
#line 7135 "lib/network/McAsciiParser-gen.cpp"
	{
#line 74 "lib/network/McAsciiParser.rl"
					
					// Message is complete, so exit the state machine and return to the caller.
					state_ = State::COMPLETE;
					{( p_) += 1; goto _out; }
				}
				
#line 7143 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f1:
					{
#line 54 "lib/network/McAsciiParser.rl"
					
					using MsgT = typename std::decay<decltype(message)>::type;
					resetErrorMessage<MsgT>(message);
				}
				
#line 7152 "lib/network/McAsciiParser-gen.cpp"
	{
#line 199 "lib/network/McAsciiParser.rl"
					message.result_ref() = carbon::Result::CLIENT_ERROR; }
				
#line 7156 "lib/network/McAsciiParser-gen.cpp"
	{
#line 74 "lib/network/McAsciiParser.rl"
					
					// Message is complete, so exit the state machine and return to the caller.
					state_ = State::COMPLETE;
					{( p_) += 1; goto _out; }
				}
				
#line 7164 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f7:
					{
#line 111 "lib/network/McAsciiParser.rl"
					currentUInt_ = 0; }
				
#line 7170 "lib/network/McAsciiParser-gen.cpp"
	{
#line 111 "lib/network/McAsciiParser.rl"
					
					currentUInt_ = currentUInt_ * 10 + ((( (*( ( p_))))) - '0');
				}
				
#line 7176 "lib/network/McAsciiParser-gen.cpp"
	{
#line 54 "lib/network/McAsciiParser.rl"
					
					using MsgT = typename std::decay<decltype(message)>::type;
					resetErrorMessage<MsgT>(message);
				}
				
#line 7183 "lib/network/McAsciiParser-gen.cpp"
	{
#line 183 "lib/network/McAsciiParser.rl"
					
					using MsgT = typename std::decay<decltype(message)>::type;
					consumeErrorMessage<MsgT>(buffer);
				}
				
#line 7190 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				
				_again: {}
				if ( ( savedCs_) != 0 ) {
					( p_) += 1;
					goto _resume;
				}
				_out: {}
			}
			
#line 381 "lib/network/McAsciiParser.rl"

		}
		
		// McDelete reply.

#line 7204 "lib/network/McAsciiParser-gen.cpp"
static const int mc_ascii_delete_reply_start = 1;
		static const int mc_ascii_delete_reply_first_final = 56;
		static const int mc_ascii_delete_reply_error = 0;
		
		static const int mc_ascii_delete_reply_en_delete_reply = 1;
		
		
#line 393 "lib/network/McAsciiParser.rl"

		
		template <>
		void McClientAsciiParser::consumeMessage<McDeleteRequest>(
		folly::IOBuf& buffer) {
			auto& message = currentMessage_.get<McDeleteReply>();

#line 7217 "lib/network/McAsciiParser-gen.cpp"
	{
			}

#line 7219 "lib/network/McAsciiParser-gen.cpp"
{
				
				_resume: {}
				if ( ( p_) == ( pe_) )
					goto _out;
				switch ( ( savedCs_) ) {
					case 1:
					switch( ( (*( ( p_)))) ) {
						case 67: {
							goto _ctr2;
						}
						case 68: {
							goto _ctr3;
						}
						case 69: {
							goto _ctr4;
						}
						case 78: {
							goto _ctr5;
						}
						case 83: {
							goto _ctr6;
						}
					}
					goto _ctr0;
					case 0:
					goto _again;
					case 2:
					if ( ( (*( ( p_)))) == 76 ) {
						goto _ctr7;
					}
					goto _ctr0;
					case 3:
					if ( ( (*( ( p_)))) == 73 ) {
						goto _ctr8;
					}
					goto _ctr0;
					case 4:
					if ( ( (*( ( p_)))) == 69 ) {
						goto _ctr9;
					}
					goto _ctr0;
					case 5:
					if ( ( (*( ( p_)))) == 78 ) {
						goto _ctr10;
					}
					goto _ctr0;
					case 6:
					if ( ( (*( ( p_)))) == 84 ) {
						goto _ctr11;
					}
					goto _ctr0;
					case 7:
					if ( ( (*( ( p_)))) == 95 ) {
						goto _ctr12;
					}
					goto _ctr0;
					case 8:
					if ( ( (*( ( p_)))) == 69 ) {
						goto _ctr13;
					}
					goto _ctr0;
					case 9:
					if ( ( (*( ( p_)))) == 82 ) {
						goto _ctr14;
					}
					goto _ctr0;
					case 10:
					if ( ( (*( ( p_)))) == 82 ) {
						goto _ctr15;
					}
					goto _ctr0;
					case 11:
					if ( ( (*( ( p_)))) == 79 ) {
						goto _ctr16;
					}
					goto _ctr0;
					case 12:
					if ( ( (*( ( p_)))) == 82 ) {
						goto _ctr17;
					}
					goto _ctr0;
					case 13:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr19;
						}
						case 13: {
							goto _ctr20;
						}
						case 32: {
							goto _ctr21;
						}
					}
					goto _ctr18;
					case 14:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr24;
						}
						case 13: {
							goto _ctr25;
						}
					}
					goto _ctr23;
					case 56:
					goto _ctr0;
					case 15:
					if ( ( (*( ( p_)))) == 10 ) {
						goto _ctr27;
					}
					goto _ctr0;
					case 16:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr19;
						}
						case 13: {
							goto _ctr20;
						}
					}
					if ( 48 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 57 ) {
						goto _ctr29;
					}
					goto _ctr18;
					case 17:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr24;
						}
						case 13: {
							goto _ctr25;
						}
						case 32: {
							goto _ctr31;
						}
					}
					if ( 48 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 57 ) {
						goto _ctr32;
					}
					goto _ctr23;
					case 18:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr19;
						}
						case 13: {
							goto _ctr20;
						}
						case 32: {
							goto _ctr34;
						}
					}
					goto _ctr18;
					case 19:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr19;
						}
						case 13: {
							goto _ctr20;
						}
					}
					goto _ctr18;
					case 20:
					if ( ( (*( ( p_)))) == 69 ) {
						goto _ctr36;
					}
					goto _ctr0;
					case 21:
					if ( ( (*( ( p_)))) == 76 ) {
						goto _ctr37;
					}
					goto _ctr0;
					case 22:
					if ( ( (*( ( p_)))) == 69 ) {
						goto _ctr38;
					}
					goto _ctr0;
					case 23:
					if ( ( (*( ( p_)))) == 84 ) {
						goto _ctr39;
					}
					goto _ctr0;
					case 24:
					if ( ( (*( ( p_)))) == 69 ) {
						goto _ctr40;
					}
					goto _ctr0;
					case 25:
					if ( ( (*( ( p_)))) == 68 ) {
						goto _ctr41;
					}
					goto _ctr0;
					case 26:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr27;
						}
						case 13: {
							goto _ctr26;
						}
					}
					goto _ctr0;
					case 27:
					if ( ( (*( ( p_)))) == 82 ) {
						goto _ctr43;
					}
					goto _ctr0;
					case 28:
					if ( ( (*( ( p_)))) == 82 ) {
						goto _ctr44;
					}
					goto _ctr0;
					case 29:
					if ( ( (*( ( p_)))) == 79 ) {
						goto _ctr45;
					}
					goto _ctr0;
					case 30:
					if ( ( (*( ( p_)))) == 82 ) {
						goto _ctr46;
					}
					goto _ctr0;
					case 31:
					if ( ( (*( ( p_)))) == 79 ) {
						goto _ctr47;
					}
					goto _ctr0;
					case 32:
					if ( ( (*( ( p_)))) == 84 ) {
						goto _ctr48;
					}
					goto _ctr0;
					case 33:
					if ( ( (*( ( p_)))) == 95 ) {
						goto _ctr49;
					}
					goto _ctr0;
					case 34:
					if ( ( (*( ( p_)))) == 70 ) {
						goto _ctr50;
					}
					goto _ctr0;
					case 35:
					if ( ( (*( ( p_)))) == 79 ) {
						goto _ctr51;
					}
					goto _ctr0;
					case 36:
					if ( ( (*( ( p_)))) == 85 ) {
						goto _ctr52;
					}
					goto _ctr0;
					case 37:
					if ( ( (*( ( p_)))) == 78 ) {
						goto _ctr53;
					}
					goto _ctr0;
					case 38:
					if ( ( (*( ( p_)))) == 68 ) {
						goto _ctr54;
					}
					goto _ctr0;
					case 39:
					if ( ( (*( ( p_)))) == 69 ) {
						goto _ctr55;
					}
					goto _ctr0;
					case 40:
					if ( ( (*( ( p_)))) == 82 ) {
						goto _ctr56;
					}
					goto _ctr0;
					case 41:
					if ( ( (*( ( p_)))) == 86 ) {
						goto _ctr57;
					}
					goto _ctr0;
					case 42:
					if ( ( (*( ( p_)))) == 69 ) {
						goto _ctr58;
					}
					goto _ctr0;
					case 43:
					if ( ( (*( ( p_)))) == 82 ) {
						goto _ctr59;
					}
					goto _ctr0;
					case 44:
					if ( ( (*( ( p_)))) == 95 ) {
						goto _ctr60;
					}
					goto _ctr0;
					case 45:
					if ( ( (*( ( p_)))) == 69 ) {
						goto _ctr61;
					}
					goto _ctr0;
					case 46:
					if ( ( (*( ( p_)))) == 82 ) {
						goto _ctr62;
					}
					goto _ctr0;
					case 47:
					if ( ( (*( ( p_)))) == 82 ) {
						goto _ctr63;
					}
					goto _ctr0;
					case 48:
					if ( ( (*( ( p_)))) == 79 ) {
						goto _ctr64;
					}
					goto _ctr0;
					case 49:
					if ( ( (*( ( p_)))) == 82 ) {
						goto _ctr65;
					}
					goto _ctr0;
					case 50:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr67;
						}
						case 13: {
							goto _ctr68;
						}
						case 32: {
							goto _ctr69;
						}
					}
					goto _ctr66;
					case 51:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr72;
						}
						case 13: {
							goto _ctr73;
						}
					}
					goto _ctr71;
					case 52:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr67;
						}
						case 13: {
							goto _ctr68;
						}
					}
					if ( 48 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 57 ) {
						goto _ctr75;
					}
					goto _ctr66;
					case 53:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr72;
						}
						case 13: {
							goto _ctr73;
						}
						case 32: {
							goto _ctr77;
						}
					}
					if ( 48 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 57 ) {
						goto _ctr78;
					}
					goto _ctr71;
					case 54:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr67;
						}
						case 13: {
							goto _ctr68;
						}
						case 32: {
							goto _ctr80;
						}
					}
					goto _ctr66;
					case 55:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr67;
						}
						case 13: {
							goto _ctr68;
						}
					}
					goto _ctr66;
				}
				
				_ctr0: ( savedCs_) = 0; goto _again;
				( savedCs_) = 1; goto _again;
				_ctr2: ( savedCs_) = 2; goto _again;
				_ctr7: ( savedCs_) = 3; goto _again;
				_ctr8: ( savedCs_) = 4; goto _again;
				_ctr9: ( savedCs_) = 5; goto _again;
				_ctr10: ( savedCs_) = 6; goto _again;
				_ctr11: ( savedCs_) = 7; goto _again;
				_ctr12: ( savedCs_) = 8; goto _again;
				_ctr13: ( savedCs_) = 9; goto _again;
				_ctr14: ( savedCs_) = 10; goto _again;
				_ctr15: ( savedCs_) = 11; goto _again;
				_ctr16: ( savedCs_) = 12; goto _again;
				_ctr17: ( savedCs_) = 13; goto _again;
				( savedCs_) = 14; goto _again;
				_ctr18: ( savedCs_) = 14; goto f0;
				_ctr23: ( savedCs_) = 14; goto f3;
				_ctr26: ( savedCs_) = 15; goto _again;
				_ctr20: ( savedCs_) = 15; goto f2;
				_ctr25: ( savedCs_) = 15; goto f5;
				_ctr68: ( savedCs_) = 15; goto f14;
				_ctr73: ( savedCs_) = 15; goto f16;
				( savedCs_) = 16; goto _again;
				_ctr21: ( savedCs_) = 16; goto f0;
				( savedCs_) = 17; goto _again;
				_ctr29: ( savedCs_) = 17; goto f7;
				_ctr32: ( savedCs_) = 17; goto f9;
				( savedCs_) = 18; goto _again;
				_ctr31: ( savedCs_) = 18; goto f8;
				( savedCs_) = 19; goto _again;
				_ctr34: ( savedCs_) = 19; goto f0;
				_ctr3: ( savedCs_) = 20; goto _again;
				_ctr36: ( savedCs_) = 21; goto _again;
				_ctr37: ( savedCs_) = 22; goto _again;
				_ctr38: ( savedCs_) = 23; goto _again;
				_ctr39: ( savedCs_) = 24; goto _again;
				_ctr40: ( savedCs_) = 25; goto _again;
				( savedCs_) = 26; goto _again;
				_ctr41: ( savedCs_) = 26; goto f10;
				_ctr46: ( savedCs_) = 26; goto f11;
				_ctr54: ( savedCs_) = 26; goto f12;
				_ctr4: ( savedCs_) = 27; goto _again;
				_ctr43: ( savedCs_) = 28; goto _again;
				_ctr44: ( savedCs_) = 29; goto _again;
				_ctr45: ( savedCs_) = 30; goto _again;
				_ctr5: ( savedCs_) = 31; goto _again;
				_ctr47: ( savedCs_) = 32; goto _again;
				_ctr48: ( savedCs_) = 33; goto _again;
				_ctr49: ( savedCs_) = 34; goto _again;
				_ctr50: ( savedCs_) = 35; goto _again;
				_ctr51: ( savedCs_) = 36; goto _again;
				_ctr52: ( savedCs_) = 37; goto _again;
				_ctr53: ( savedCs_) = 38; goto _again;
				_ctr6: ( savedCs_) = 39; goto _again;
				_ctr55: ( savedCs_) = 40; goto _again;
				_ctr56: ( savedCs_) = 41; goto _again;
				_ctr57: ( savedCs_) = 42; goto _again;
				_ctr58: ( savedCs_) = 43; goto _again;
				_ctr59: ( savedCs_) = 44; goto _again;
				_ctr60: ( savedCs_) = 45; goto _again;
				_ctr61: ( savedCs_) = 46; goto _again;
				_ctr62: ( savedCs_) = 47; goto _again;
				_ctr63: ( savedCs_) = 48; goto _again;
				_ctr64: ( savedCs_) = 49; goto _again;
				_ctr65: ( savedCs_) = 50; goto _again;
				( savedCs_) = 51; goto _again;
				_ctr66: ( savedCs_) = 51; goto f0;
				_ctr71: ( savedCs_) = 51; goto f3;
				( savedCs_) = 52; goto _again;
				_ctr69: ( savedCs_) = 52; goto f0;
				( savedCs_) = 53; goto _again;
				_ctr75: ( savedCs_) = 53; goto f7;
				_ctr78: ( savedCs_) = 53; goto f9;
				( savedCs_) = 54; goto _again;
				_ctr77: ( savedCs_) = 54; goto f8;
				( savedCs_) = 55; goto _again;
				_ctr80: ( savedCs_) = 55; goto f0;
				( savedCs_) = 56; goto _again;
				_ctr19: ( savedCs_) = 56; goto f1;
				_ctr24: ( savedCs_) = 56; goto f4;
				_ctr27: ( savedCs_) = 56; goto f6;
				_ctr67: ( savedCs_) = 56; goto f13;
				_ctr72: ( savedCs_) = 56; goto f15;
				
				f6:
					{
#line 74 "lib/network/McAsciiParser.rl"
					
					// Message is complete, so exit the state machine and return to the caller.
					state_ = State::COMPLETE;
					{( p_) += 1; goto _out; }
				}
				
#line 7708 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f12:
					{
#line 164 "lib/network/McAsciiParser.rl"
					message.result_ref() = carbon::Result::NOTFOUND; }
				
#line 7714 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f10:
					{
#line 165 "lib/network/McAsciiParser.rl"
					message.result_ref() = carbon::Result::DELETED; }
				
#line 7720 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f11:
					{
#line 176 "lib/network/McAsciiParser.rl"
					
					// This is unexpected error reply, just put ourself into error state.
					state_ = State::ERROR;
					currentErrorDescription_ = "ERROR reply received from server.";
					{( p_) += 1; goto _out; }
				}
				
#line 7731 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f3:
					{
#line 183 "lib/network/McAsciiParser.rl"
					
					using MsgT = typename std::decay<decltype(message)>::type;
					consumeErrorMessage<MsgT>(buffer);
				}
				
#line 7740 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f16:
					{
#line 189 "lib/network/McAsciiParser.rl"
					
					uint32_t errorCode = currentUInt_;
					if (errorCode == SERVER_ERROR_BUSY) {
						message.result_ref() = carbon::Result::BUSY;
					} else {
						message.result_ref() = carbon::Result::REMOTE_ERROR;
					}
				}
				
#line 7753 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f5:
					{
#line 199 "lib/network/McAsciiParser.rl"
					message.result_ref() = carbon::Result::CLIENT_ERROR; }
				
#line 7759 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f0:
					{
#line 54 "lib/network/McAsciiParser.rl"
					
					using MsgT = typename std::decay<decltype(message)>::type;
					resetErrorMessage<MsgT>(message);
				}
				
#line 7768 "lib/network/McAsciiParser-gen.cpp"
	{
#line 183 "lib/network/McAsciiParser.rl"
					
					using MsgT = typename std::decay<decltype(message)>::type;
					consumeErrorMessage<MsgT>(buffer);
				}
				
#line 7775 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f14:
					{
#line 54 "lib/network/McAsciiParser.rl"
					
					using MsgT = typename std::decay<decltype(message)>::type;
					resetErrorMessage<MsgT>(message);
				}
				
#line 7784 "lib/network/McAsciiParser-gen.cpp"
	{
#line 189 "lib/network/McAsciiParser.rl"
					
					uint32_t errorCode = currentUInt_;
					if (errorCode == SERVER_ERROR_BUSY) {
						message.result_ref() = carbon::Result::BUSY;
					} else {
						message.result_ref() = carbon::Result::REMOTE_ERROR;
					}
				}
				
#line 7795 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f2:
					{
#line 54 "lib/network/McAsciiParser.rl"
					
					using MsgT = typename std::decay<decltype(message)>::type;
					resetErrorMessage<MsgT>(message);
				}
				
#line 7804 "lib/network/McAsciiParser-gen.cpp"
	{
#line 199 "lib/network/McAsciiParser.rl"
					message.result_ref() = carbon::Result::CLIENT_ERROR; }
				
#line 7808 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f9:
					{
#line 111 "lib/network/McAsciiParser.rl"
					
					currentUInt_ = currentUInt_ * 10 + ((( (*( ( p_))))) - '0');
				}
				
#line 7816 "lib/network/McAsciiParser-gen.cpp"
	{
#line 183 "lib/network/McAsciiParser.rl"
					
					using MsgT = typename std::decay<decltype(message)>::type;
					consumeErrorMessage<MsgT>(buffer);
				}
				
#line 7823 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f8:
					{
#line 159 "lib/network/McAsciiParser.rl"
					
					message.appSpecificErrorCode_ref() = static_cast<uint16_t>(currentUInt_);
				}
				
#line 7831 "lib/network/McAsciiParser-gen.cpp"
	{
#line 183 "lib/network/McAsciiParser.rl"
					
					using MsgT = typename std::decay<decltype(message)>::type;
					consumeErrorMessage<MsgT>(buffer);
				}
				
#line 7838 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f15:
					{
#line 189 "lib/network/McAsciiParser.rl"
					
					uint32_t errorCode = currentUInt_;
					if (errorCode == SERVER_ERROR_BUSY) {
						message.result_ref() = carbon::Result::BUSY;
					} else {
						message.result_ref() = carbon::Result::REMOTE_ERROR;
					}
				}
				
#line 7851 "lib/network/McAsciiParser-gen.cpp"
	{
#line 74 "lib/network/McAsciiParser.rl"
					
					// Message is complete, so exit the state machine and return to the caller.
					state_ = State::COMPLETE;
					{( p_) += 1; goto _out; }
				}
				
#line 7859 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f4:
					{
#line 199 "lib/network/McAsciiParser.rl"
					message.result_ref() = carbon::Result::CLIENT_ERROR; }
				
#line 7865 "lib/network/McAsciiParser-gen.cpp"
	{
#line 74 "lib/network/McAsciiParser.rl"
					
					// Message is complete, so exit the state machine and return to the caller.
					state_ = State::COMPLETE;
					{( p_) += 1; goto _out; }
				}
				
#line 7873 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f13:
					{
#line 54 "lib/network/McAsciiParser.rl"
					
					using MsgT = typename std::decay<decltype(message)>::type;
					resetErrorMessage<MsgT>(message);
				}
				
#line 7882 "lib/network/McAsciiParser-gen.cpp"
	{
#line 189 "lib/network/McAsciiParser.rl"
					
					uint32_t errorCode = currentUInt_;
					if (errorCode == SERVER_ERROR_BUSY) {
						message.result_ref() = carbon::Result::BUSY;
					} else {
						message.result_ref() = carbon::Result::REMOTE_ERROR;
					}
				}
				
#line 7893 "lib/network/McAsciiParser-gen.cpp"
	{
#line 74 "lib/network/McAsciiParser.rl"
					
					// Message is complete, so exit the state machine and return to the caller.
					state_ = State::COMPLETE;
					{( p_) += 1; goto _out; }
				}
				
#line 7901 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f1:
					{
#line 54 "lib/network/McAsciiParser.rl"
					
					using MsgT = typename std::decay<decltype(message)>::type;
					resetErrorMessage<MsgT>(message);
				}
				
#line 7910 "lib/network/McAsciiParser-gen.cpp"
	{
#line 199 "lib/network/McAsciiParser.rl"
					message.result_ref() = carbon::Result::CLIENT_ERROR; }
				
#line 7914 "lib/network/McAsciiParser-gen.cpp"
	{
#line 74 "lib/network/McAsciiParser.rl"
					
					// Message is complete, so exit the state machine and return to the caller.
					state_ = State::COMPLETE;
					{( p_) += 1; goto _out; }
				}
				
#line 7922 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f7:
					{
#line 111 "lib/network/McAsciiParser.rl"
					currentUInt_ = 0; }
				
#line 7928 "lib/network/McAsciiParser-gen.cpp"
	{
#line 111 "lib/network/McAsciiParser.rl"
					
					currentUInt_ = currentUInt_ * 10 + ((( (*( ( p_))))) - '0');
				}
				
#line 7934 "lib/network/McAsciiParser-gen.cpp"
	{
#line 54 "lib/network/McAsciiParser.rl"
					
					using MsgT = typename std::decay<decltype(message)>::type;
					resetErrorMessage<MsgT>(message);
				}
				
#line 7941 "lib/network/McAsciiParser-gen.cpp"
	{
#line 183 "lib/network/McAsciiParser.rl"
					
					using MsgT = typename std::decay<decltype(message)>::type;
					consumeErrorMessage<MsgT>(buffer);
				}
				
#line 7948 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				
				_again: {}
				if ( ( savedCs_) != 0 ) {
					( p_) += 1;
					goto _resume;
				}
				_out: {}
			}
			
#line 403 "lib/network/McAsciiParser.rl"

		}
		
		// McTouch reply.

#line 7962 "lib/network/McAsciiParser-gen.cpp"
static const int mc_ascii_touch_reply_start = 1;
		static const int mc_ascii_touch_reply_first_final = 56;
		static const int mc_ascii_touch_reply_error = 0;
		
		static const int mc_ascii_touch_reply_en_touch_reply = 1;
		
		
#line 415 "lib/network/McAsciiParser.rl"

		
		template <>
		void McClientAsciiParser::consumeMessage<McTouchRequest>(
		folly::IOBuf& buffer) {
			auto& message = currentMessage_.get<McTouchReply>();

#line 7975 "lib/network/McAsciiParser-gen.cpp"
	{
			}

#line 7977 "lib/network/McAsciiParser-gen.cpp"
{
				
				_resume: {}
				if ( ( p_) == ( pe_) )
					goto _out;
				switch ( ( savedCs_) ) {
					case 1:
					switch( ( (*( ( p_)))) ) {
						case 67: {
							goto _ctr2;
						}
						case 69: {
							goto _ctr3;
						}
						case 78: {
							goto _ctr4;
						}
						case 83: {
							goto _ctr5;
						}
						case 84: {
							goto _ctr6;
						}
					}
					goto _ctr0;
					case 0:
					goto _again;
					case 2:
					if ( ( (*( ( p_)))) == 76 ) {
						goto _ctr7;
					}
					goto _ctr0;
					case 3:
					if ( ( (*( ( p_)))) == 73 ) {
						goto _ctr8;
					}
					goto _ctr0;
					case 4:
					if ( ( (*( ( p_)))) == 69 ) {
						goto _ctr9;
					}
					goto _ctr0;
					case 5:
					if ( ( (*( ( p_)))) == 78 ) {
						goto _ctr10;
					}
					goto _ctr0;
					case 6:
					if ( ( (*( ( p_)))) == 84 ) {
						goto _ctr11;
					}
					goto _ctr0;
					case 7:
					if ( ( (*( ( p_)))) == 95 ) {
						goto _ctr12;
					}
					goto _ctr0;
					case 8:
					if ( ( (*( ( p_)))) == 69 ) {
						goto _ctr13;
					}
					goto _ctr0;
					case 9:
					if ( ( (*( ( p_)))) == 82 ) {
						goto _ctr14;
					}
					goto _ctr0;
					case 10:
					if ( ( (*( ( p_)))) == 82 ) {
						goto _ctr15;
					}
					goto _ctr0;
					case 11:
					if ( ( (*( ( p_)))) == 79 ) {
						goto _ctr16;
					}
					goto _ctr0;
					case 12:
					if ( ( (*( ( p_)))) == 82 ) {
						goto _ctr17;
					}
					goto _ctr0;
					case 13:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr19;
						}
						case 13: {
							goto _ctr20;
						}
						case 32: {
							goto _ctr21;
						}
					}
					goto _ctr18;
					case 14:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr24;
						}
						case 13: {
							goto _ctr25;
						}
					}
					goto _ctr23;
					case 56:
					goto _ctr0;
					case 15:
					if ( ( (*( ( p_)))) == 10 ) {
						goto _ctr27;
					}
					goto _ctr0;
					case 16:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr19;
						}
						case 13: {
							goto _ctr20;
						}
					}
					if ( 48 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 57 ) {
						goto _ctr29;
					}
					goto _ctr18;
					case 17:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr24;
						}
						case 13: {
							goto _ctr25;
						}
						case 32: {
							goto _ctr31;
						}
					}
					if ( 48 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 57 ) {
						goto _ctr32;
					}
					goto _ctr23;
					case 18:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr19;
						}
						case 13: {
							goto _ctr20;
						}
						case 32: {
							goto _ctr34;
						}
					}
					goto _ctr18;
					case 19:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr19;
						}
						case 13: {
							goto _ctr20;
						}
					}
					goto _ctr18;
					case 20:
					if ( ( (*( ( p_)))) == 82 ) {
						goto _ctr36;
					}
					goto _ctr0;
					case 21:
					if ( ( (*( ( p_)))) == 82 ) {
						goto _ctr37;
					}
					goto _ctr0;
					case 22:
					if ( ( (*( ( p_)))) == 79 ) {
						goto _ctr38;
					}
					goto _ctr0;
					case 23:
					if ( ( (*( ( p_)))) == 82 ) {
						goto _ctr39;
					}
					goto _ctr0;
					case 24:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr27;
						}
						case 13: {
							goto _ctr26;
						}
					}
					goto _ctr0;
					case 25:
					if ( ( (*( ( p_)))) == 79 ) {
						goto _ctr41;
					}
					goto _ctr0;
					case 26:
					if ( ( (*( ( p_)))) == 84 ) {
						goto _ctr42;
					}
					goto _ctr0;
					case 27:
					if ( ( (*( ( p_)))) == 95 ) {
						goto _ctr43;
					}
					goto _ctr0;
					case 28:
					if ( ( (*( ( p_)))) == 70 ) {
						goto _ctr44;
					}
					goto _ctr0;
					case 29:
					if ( ( (*( ( p_)))) == 79 ) {
						goto _ctr45;
					}
					goto _ctr0;
					case 30:
					if ( ( (*( ( p_)))) == 85 ) {
						goto _ctr46;
					}
					goto _ctr0;
					case 31:
					if ( ( (*( ( p_)))) == 78 ) {
						goto _ctr47;
					}
					goto _ctr0;
					case 32:
					if ( ( (*( ( p_)))) == 68 ) {
						goto _ctr48;
					}
					goto _ctr0;
					case 33:
					if ( ( (*( ( p_)))) == 69 ) {
						goto _ctr49;
					}
					goto _ctr0;
					case 34:
					if ( ( (*( ( p_)))) == 82 ) {
						goto _ctr50;
					}
					goto _ctr0;
					case 35:
					if ( ( (*( ( p_)))) == 86 ) {
						goto _ctr51;
					}
					goto _ctr0;
					case 36:
					if ( ( (*( ( p_)))) == 69 ) {
						goto _ctr52;
					}
					goto _ctr0;
					case 37:
					if ( ( (*( ( p_)))) == 82 ) {
						goto _ctr53;
					}
					goto _ctr0;
					case 38:
					if ( ( (*( ( p_)))) == 95 ) {
						goto _ctr54;
					}
					goto _ctr0;
					case 39:
					if ( ( (*( ( p_)))) == 69 ) {
						goto _ctr55;
					}
					goto _ctr0;
					case 40:
					if ( ( (*( ( p_)))) == 82 ) {
						goto _ctr56;
					}
					goto _ctr0;
					case 41:
					if ( ( (*( ( p_)))) == 82 ) {
						goto _ctr57;
					}
					goto _ctr0;
					case 42:
					if ( ( (*( ( p_)))) == 79 ) {
						goto _ctr58;
					}
					goto _ctr0;
					case 43:
					if ( ( (*( ( p_)))) == 82 ) {
						goto _ctr59;
					}
					goto _ctr0;
					case 44:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr61;
						}
						case 13: {
							goto _ctr62;
						}
						case 32: {
							goto _ctr63;
						}
					}
					goto _ctr60;
					case 45:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr66;
						}
						case 13: {
							goto _ctr67;
						}
					}
					goto _ctr65;
					case 46:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr61;
						}
						case 13: {
							goto _ctr62;
						}
					}
					if ( 48 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 57 ) {
						goto _ctr69;
					}
					goto _ctr60;
					case 47:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr66;
						}
						case 13: {
							goto _ctr67;
						}
						case 32: {
							goto _ctr71;
						}
					}
					if ( 48 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 57 ) {
						goto _ctr72;
					}
					goto _ctr65;
					case 48:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr61;
						}
						case 13: {
							goto _ctr62;
						}
						case 32: {
							goto _ctr74;
						}
					}
					goto _ctr60;
					case 49:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr61;
						}
						case 13: {
							goto _ctr62;
						}
					}
					goto _ctr60;
					case 50:
					if ( ( (*( ( p_)))) == 79 ) {
						goto _ctr76;
					}
					goto _ctr0;
					case 51:
					if ( ( (*( ( p_)))) == 85 ) {
						goto _ctr77;
					}
					goto _ctr0;
					case 52:
					if ( ( (*( ( p_)))) == 67 ) {
						goto _ctr78;
					}
					goto _ctr0;
					case 53:
					if ( ( (*( ( p_)))) == 72 ) {
						goto _ctr79;
					}
					goto _ctr0;
					case 54:
					if ( ( (*( ( p_)))) == 69 ) {
						goto _ctr80;
					}
					goto _ctr0;
					case 55:
					if ( ( (*( ( p_)))) == 68 ) {
						goto _ctr81;
					}
					goto _ctr0;
				}
				
				_ctr0: ( savedCs_) = 0; goto _again;
				( savedCs_) = 1; goto _again;
				_ctr2: ( savedCs_) = 2; goto _again;
				_ctr7: ( savedCs_) = 3; goto _again;
				_ctr8: ( savedCs_) = 4; goto _again;
				_ctr9: ( savedCs_) = 5; goto _again;
				_ctr10: ( savedCs_) = 6; goto _again;
				_ctr11: ( savedCs_) = 7; goto _again;
				_ctr12: ( savedCs_) = 8; goto _again;
				_ctr13: ( savedCs_) = 9; goto _again;
				_ctr14: ( savedCs_) = 10; goto _again;
				_ctr15: ( savedCs_) = 11; goto _again;
				_ctr16: ( savedCs_) = 12; goto _again;
				_ctr17: ( savedCs_) = 13; goto _again;
				( savedCs_) = 14; goto _again;
				_ctr18: ( savedCs_) = 14; goto f0;
				_ctr23: ( savedCs_) = 14; goto f3;
				_ctr26: ( savedCs_) = 15; goto _again;
				_ctr20: ( savedCs_) = 15; goto f2;
				_ctr25: ( savedCs_) = 15; goto f5;
				_ctr62: ( savedCs_) = 15; goto f13;
				_ctr67: ( savedCs_) = 15; goto f15;
				( savedCs_) = 16; goto _again;
				_ctr21: ( savedCs_) = 16; goto f0;
				( savedCs_) = 17; goto _again;
				_ctr29: ( savedCs_) = 17; goto f7;
				_ctr32: ( savedCs_) = 17; goto f9;
				( savedCs_) = 18; goto _again;
				_ctr31: ( savedCs_) = 18; goto f8;
				( savedCs_) = 19; goto _again;
				_ctr34: ( savedCs_) = 19; goto f0;
				_ctr3: ( savedCs_) = 20; goto _again;
				_ctr36: ( savedCs_) = 21; goto _again;
				_ctr37: ( savedCs_) = 22; goto _again;
				_ctr38: ( savedCs_) = 23; goto _again;
				( savedCs_) = 24; goto _again;
				_ctr39: ( savedCs_) = 24; goto f10;
				_ctr48: ( savedCs_) = 24; goto f11;
				_ctr81: ( savedCs_) = 24; goto f16;
				_ctr4: ( savedCs_) = 25; goto _again;
				_ctr41: ( savedCs_) = 26; goto _again;
				_ctr42: ( savedCs_) = 27; goto _again;
				_ctr43: ( savedCs_) = 28; goto _again;
				_ctr44: ( savedCs_) = 29; goto _again;
				_ctr45: ( savedCs_) = 30; goto _again;
				_ctr46: ( savedCs_) = 31; goto _again;
				_ctr47: ( savedCs_) = 32; goto _again;
				_ctr5: ( savedCs_) = 33; goto _again;
				_ctr49: ( savedCs_) = 34; goto _again;
				_ctr50: ( savedCs_) = 35; goto _again;
				_ctr51: ( savedCs_) = 36; goto _again;
				_ctr52: ( savedCs_) = 37; goto _again;
				_ctr53: ( savedCs_) = 38; goto _again;
				_ctr54: ( savedCs_) = 39; goto _again;
				_ctr55: ( savedCs_) = 40; goto _again;
				_ctr56: ( savedCs_) = 41; goto _again;
				_ctr57: ( savedCs_) = 42; goto _again;
				_ctr58: ( savedCs_) = 43; goto _again;
				_ctr59: ( savedCs_) = 44; goto _again;
				( savedCs_) = 45; goto _again;
				_ctr60: ( savedCs_) = 45; goto f0;
				_ctr65: ( savedCs_) = 45; goto f3;
				( savedCs_) = 46; goto _again;
				_ctr63: ( savedCs_) = 46; goto f0;
				( savedCs_) = 47; goto _again;
				_ctr69: ( savedCs_) = 47; goto f7;
				_ctr72: ( savedCs_) = 47; goto f9;
				( savedCs_) = 48; goto _again;
				_ctr71: ( savedCs_) = 48; goto f8;
				( savedCs_) = 49; goto _again;
				_ctr74: ( savedCs_) = 49; goto f0;
				_ctr6: ( savedCs_) = 50; goto _again;
				_ctr76: ( savedCs_) = 51; goto _again;
				_ctr77: ( savedCs_) = 52; goto _again;
				_ctr78: ( savedCs_) = 53; goto _again;
				_ctr79: ( savedCs_) = 54; goto _again;
				_ctr80: ( savedCs_) = 55; goto _again;
				( savedCs_) = 56; goto _again;
				_ctr19: ( savedCs_) = 56; goto f1;
				_ctr24: ( savedCs_) = 56; goto f4;
				_ctr27: ( savedCs_) = 56; goto f6;
				_ctr61: ( savedCs_) = 56; goto f12;
				_ctr66: ( savedCs_) = 56; goto f14;
				
				f6:
					{
#line 74 "lib/network/McAsciiParser.rl"
					
					// Message is complete, so exit the state machine and return to the caller.
					state_ = State::COMPLETE;
					{( p_) += 1; goto _out; }
				}
				
#line 8466 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f11:
					{
#line 164 "lib/network/McAsciiParser.rl"
					message.result_ref() = carbon::Result::NOTFOUND; }
				
#line 8472 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f16:
					{
#line 166 "lib/network/McAsciiParser.rl"
					message.result_ref() = carbon::Result::TOUCHED; }
				
#line 8478 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f10:
					{
#line 176 "lib/network/McAsciiParser.rl"
					
					// This is unexpected error reply, just put ourself into error state.
					state_ = State::ERROR;
					currentErrorDescription_ = "ERROR reply received from server.";
					{( p_) += 1; goto _out; }
				}
				
#line 8489 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f3:
					{
#line 183 "lib/network/McAsciiParser.rl"
					
					using MsgT = typename std::decay<decltype(message)>::type;
					consumeErrorMessage<MsgT>(buffer);
				}
				
#line 8498 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f15:
					{
#line 189 "lib/network/McAsciiParser.rl"
					
					uint32_t errorCode = currentUInt_;
					if (errorCode == SERVER_ERROR_BUSY) {
						message.result_ref() = carbon::Result::BUSY;
					} else {
						message.result_ref() = carbon::Result::REMOTE_ERROR;
					}
				}
				
#line 8511 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f5:
					{
#line 199 "lib/network/McAsciiParser.rl"
					message.result_ref() = carbon::Result::CLIENT_ERROR; }
				
#line 8517 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f0:
					{
#line 54 "lib/network/McAsciiParser.rl"
					
					using MsgT = typename std::decay<decltype(message)>::type;
					resetErrorMessage<MsgT>(message);
				}
				
#line 8526 "lib/network/McAsciiParser-gen.cpp"
	{
#line 183 "lib/network/McAsciiParser.rl"
					
					using MsgT = typename std::decay<decltype(message)>::type;
					consumeErrorMessage<MsgT>(buffer);
				}
				
#line 8533 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f13:
					{
#line 54 "lib/network/McAsciiParser.rl"
					
					using MsgT = typename std::decay<decltype(message)>::type;
					resetErrorMessage<MsgT>(message);
				}
				
#line 8542 "lib/network/McAsciiParser-gen.cpp"
	{
#line 189 "lib/network/McAsciiParser.rl"
					
					uint32_t errorCode = currentUInt_;
					if (errorCode == SERVER_ERROR_BUSY) {
						message.result_ref() = carbon::Result::BUSY;
					} else {
						message.result_ref() = carbon::Result::REMOTE_ERROR;
					}
				}
				
#line 8553 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f2:
					{
#line 54 "lib/network/McAsciiParser.rl"
					
					using MsgT = typename std::decay<decltype(message)>::type;
					resetErrorMessage<MsgT>(message);
				}
				
#line 8562 "lib/network/McAsciiParser-gen.cpp"
	{
#line 199 "lib/network/McAsciiParser.rl"
					message.result_ref() = carbon::Result::CLIENT_ERROR; }
				
#line 8566 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f9:
					{
#line 111 "lib/network/McAsciiParser.rl"
					
					currentUInt_ = currentUInt_ * 10 + ((( (*( ( p_))))) - '0');
				}
				
#line 8574 "lib/network/McAsciiParser-gen.cpp"
	{
#line 183 "lib/network/McAsciiParser.rl"
					
					using MsgT = typename std::decay<decltype(message)>::type;
					consumeErrorMessage<MsgT>(buffer);
				}
				
#line 8581 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f8:
					{
#line 159 "lib/network/McAsciiParser.rl"
					
					message.appSpecificErrorCode_ref() = static_cast<uint16_t>(currentUInt_);
				}
				
#line 8589 "lib/network/McAsciiParser-gen.cpp"
	{
#line 183 "lib/network/McAsciiParser.rl"
					
					using MsgT = typename std::decay<decltype(message)>::type;
					consumeErrorMessage<MsgT>(buffer);
				}
				
#line 8596 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f14:
					{
#line 189 "lib/network/McAsciiParser.rl"
					
					uint32_t errorCode = currentUInt_;
					if (errorCode == SERVER_ERROR_BUSY) {
						message.result_ref() = carbon::Result::BUSY;
					} else {
						message.result_ref() = carbon::Result::REMOTE_ERROR;
					}
				}
				
#line 8609 "lib/network/McAsciiParser-gen.cpp"
	{
#line 74 "lib/network/McAsciiParser.rl"
					
					// Message is complete, so exit the state machine and return to the caller.
					state_ = State::COMPLETE;
					{( p_) += 1; goto _out; }
				}
				
#line 8617 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f4:
					{
#line 199 "lib/network/McAsciiParser.rl"
					message.result_ref() = carbon::Result::CLIENT_ERROR; }
				
#line 8623 "lib/network/McAsciiParser-gen.cpp"
	{
#line 74 "lib/network/McAsciiParser.rl"
					
					// Message is complete, so exit the state machine and return to the caller.
					state_ = State::COMPLETE;
					{( p_) += 1; goto _out; }
				}
				
#line 8631 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f12:
					{
#line 54 "lib/network/McAsciiParser.rl"
					
					using MsgT = typename std::decay<decltype(message)>::type;
					resetErrorMessage<MsgT>(message);
				}
				
#line 8640 "lib/network/McAsciiParser-gen.cpp"
	{
#line 189 "lib/network/McAsciiParser.rl"
					
					uint32_t errorCode = currentUInt_;
					if (errorCode == SERVER_ERROR_BUSY) {
						message.result_ref() = carbon::Result::BUSY;
					} else {
						message.result_ref() = carbon::Result::REMOTE_ERROR;
					}
				}
				
#line 8651 "lib/network/McAsciiParser-gen.cpp"
	{
#line 74 "lib/network/McAsciiParser.rl"
					
					// Message is complete, so exit the state machine and return to the caller.
					state_ = State::COMPLETE;
					{( p_) += 1; goto _out; }
				}
				
#line 8659 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f1:
					{
#line 54 "lib/network/McAsciiParser.rl"
					
					using MsgT = typename std::decay<decltype(message)>::type;
					resetErrorMessage<MsgT>(message);
				}
				
#line 8668 "lib/network/McAsciiParser-gen.cpp"
	{
#line 199 "lib/network/McAsciiParser.rl"
					message.result_ref() = carbon::Result::CLIENT_ERROR; }
				
#line 8672 "lib/network/McAsciiParser-gen.cpp"
	{
#line 74 "lib/network/McAsciiParser.rl"
					
					// Message is complete, so exit the state machine and return to the caller.
					state_ = State::COMPLETE;
					{( p_) += 1; goto _out; }
				}
				
#line 8680 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f7:
					{
#line 111 "lib/network/McAsciiParser.rl"
					currentUInt_ = 0; }
				
#line 8686 "lib/network/McAsciiParser-gen.cpp"
	{
#line 111 "lib/network/McAsciiParser.rl"
					
					currentUInt_ = currentUInt_ * 10 + ((( (*( ( p_))))) - '0');
				}
				
#line 8692 "lib/network/McAsciiParser-gen.cpp"
	{
#line 54 "lib/network/McAsciiParser.rl"
					
					using MsgT = typename std::decay<decltype(message)>::type;
					resetErrorMessage<MsgT>(message);
				}
				
#line 8699 "lib/network/McAsciiParser-gen.cpp"
	{
#line 183 "lib/network/McAsciiParser.rl"
					
					using MsgT = typename std::decay<decltype(message)>::type;
					consumeErrorMessage<MsgT>(buffer);
				}
				
#line 8706 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				
				_again: {}
				if ( ( savedCs_) != 0 ) {
					( p_) += 1;
					goto _resume;
				}
				_out: {}
			}
			
#line 425 "lib/network/McAsciiParser.rl"

		}
		
		//McMetaget reply.

#line 8720 "lib/network/McAsciiParser-gen.cpp"
static const int mc_ascii_metaget_reply_start = 1;
		static const int mc_ascii_metaget_reply_first_final = 108;
		static const int mc_ascii_metaget_reply_error = 0;
		
		static const int mc_ascii_metaget_reply_en_metaget_reply = 1;
		
		
#line 463 "lib/network/McAsciiParser.rl"

		
		template <>
		void McClientAsciiParser::consumeMessage<McMetagetRequest>(
		folly::IOBuf& buffer) {
			auto& message = currentMessage_.get<McMetagetReply>();

#line 8733 "lib/network/McAsciiParser-gen.cpp"
	{
			}

#line 8735 "lib/network/McAsciiParser-gen.cpp"
{
				
				_resume: {}
				if ( ( p_) == ( pe_) )
					goto _out;
				switch ( ( savedCs_) ) {
					case 1:
					switch( ( (*( ( p_)))) ) {
						case 67: {
							goto _ctr2;
						}
						case 69: {
							goto _ctr3;
						}
						case 77: {
							goto _ctr4;
						}
						case 83: {
							goto _ctr5;
						}
					}
					goto _ctr0;
					case 0:
					goto _again;
					case 2:
					if ( ( (*( ( p_)))) == 76 ) {
						goto _ctr6;
					}
					goto _ctr0;
					case 3:
					if ( ( (*( ( p_)))) == 73 ) {
						goto _ctr7;
					}
					goto _ctr0;
					case 4:
					if ( ( (*( ( p_)))) == 69 ) {
						goto _ctr8;
					}
					goto _ctr0;
					case 5:
					if ( ( (*( ( p_)))) == 78 ) {
						goto _ctr9;
					}
					goto _ctr0;
					case 6:
					if ( ( (*( ( p_)))) == 84 ) {
						goto _ctr10;
					}
					goto _ctr0;
					case 7:
					if ( ( (*( ( p_)))) == 95 ) {
						goto _ctr11;
					}
					goto _ctr0;
					case 8:
					if ( ( (*( ( p_)))) == 69 ) {
						goto _ctr12;
					}
					goto _ctr0;
					case 9:
					if ( ( (*( ( p_)))) == 82 ) {
						goto _ctr13;
					}
					goto _ctr0;
					case 10:
					if ( ( (*( ( p_)))) == 82 ) {
						goto _ctr14;
					}
					goto _ctr0;
					case 11:
					if ( ( (*( ( p_)))) == 79 ) {
						goto _ctr15;
					}
					goto _ctr0;
					case 12:
					if ( ( (*( ( p_)))) == 82 ) {
						goto _ctr16;
					}
					goto _ctr0;
					case 13:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr18;
						}
						case 13: {
							goto _ctr19;
						}
						case 32: {
							goto _ctr20;
						}
					}
					goto _ctr17;
					case 14:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr23;
						}
						case 13: {
							goto _ctr24;
						}
					}
					goto _ctr22;
					case 108:
					goto _ctr0;
					case 15:
					if ( ( (*( ( p_)))) == 10 ) {
						goto _ctr26;
					}
					goto _ctr0;
					case 16:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr18;
						}
						case 13: {
							goto _ctr19;
						}
					}
					if ( 48 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 57 ) {
						goto _ctr28;
					}
					goto _ctr17;
					case 17:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr23;
						}
						case 13: {
							goto _ctr24;
						}
						case 32: {
							goto _ctr30;
						}
					}
					if ( 48 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 57 ) {
						goto _ctr31;
					}
					goto _ctr22;
					case 18:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr18;
						}
						case 13: {
							goto _ctr19;
						}
						case 32: {
							goto _ctr33;
						}
					}
					goto _ctr17;
					case 19:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr18;
						}
						case 13: {
							goto _ctr19;
						}
					}
					goto _ctr17;
					case 20:
					switch( ( (*( ( p_)))) ) {
						case 78: {
							goto _ctr36;
						}
						case 82: {
							goto _ctr37;
						}
					}
					goto _ctr0;
					case 21:
					if ( ( (*( ( p_)))) == 68 ) {
						goto _ctr38;
					}
					goto _ctr0;
					case 22:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr39;
						}
						case 13: {
							goto _ctr40;
						}
					}
					goto _ctr0;
					case 23:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr26;
						}
						case 13: {
							goto _ctr25;
						}
					}
					goto _ctr0;
					case 24:
					if ( ( (*( ( p_)))) == 10 ) {
						goto _ctr39;
					}
					goto _ctr0;
					case 25:
					if ( ( (*( ( p_)))) == 82 ) {
						goto _ctr42;
					}
					goto _ctr0;
					case 26:
					if ( ( (*( ( p_)))) == 79 ) {
						goto _ctr43;
					}
					goto _ctr0;
					case 27:
					if ( ( (*( ( p_)))) == 82 ) {
						goto _ctr44;
					}
					goto _ctr0;
					case 28:
					if ( ( (*( ( p_)))) == 69 ) {
						goto _ctr46;
					}
					goto _ctr0;
					case 29:
					if ( ( (*( ( p_)))) == 84 ) {
						goto _ctr47;
					}
					goto _ctr0;
					case 30:
					if ( ( (*( ( p_)))) == 65 ) {
						goto _ctr48;
					}
					goto _ctr0;
					case 31:
					if ( ( (*( ( p_)))) == 32 ) {
						goto _ctr49;
					}
					goto _ctr0;
					case 32:
					switch( ( (*( ( p_)))) ) {
						case 32: {
							goto _ctr50;
						}
						case 127: {
							goto _ctr0;
						}
					}
					if ( 0 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 31 ) {
						goto _ctr0;
					}
					goto _ctr51;
					case 33:
					switch( ( (*( ( p_)))) ) {
						case 32: {
							goto _ctr52;
						}
						case 127: {
							goto _ctr0;
						}
					}
					if ( 0 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 31 ) {
						goto _ctr0;
					}
					goto _ctr51;
					case 34:
					switch( ( (*( ( p_)))) ) {
						case 32: {
							goto _ctr52;
						}
						case 97: {
							goto _ctr53;
						}
					}
					goto _ctr0;
					case 35:
					if ( ( (*( ( p_)))) == 103 ) {
						goto _ctr54;
					}
					goto _ctr0;
					case 36:
					if ( ( (*( ( p_)))) == 101 ) {
						goto _ctr55;
					}
					goto _ctr0;
					case 37:
					if ( ( (*( ( p_)))) == 58 ) {
						goto _ctr56;
					}
					goto _ctr0;
					case 38:
					switch( ( (*( ( p_)))) ) {
						case 32: {
							goto _ctr56;
						}
						case 45: {
							goto _ctr57;
						}
						case 117: {
							goto _ctr59;
						}
					}
					if ( 48 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 57 ) {
						goto _ctr58;
					}
					goto _ctr0;
					case 39:
					if ( 48 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 57 ) {
						goto _ctr58;
					}
					goto _ctr0;
					case 40:
					if ( ( (*( ( p_)))) == 59 ) {
						goto _ctr63;
					}
					if ( 48 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 57 ) {
						goto _ctr62;
					}
					goto _ctr0;
					case 41:
					switch( ( (*( ( p_)))) ) {
						case 32: {
							goto _ctr64;
						}
						case 101: {
							goto _ctr65;
						}
					}
					goto _ctr0;
					case 42:
					if ( ( (*( ( p_)))) == 120 ) {
						goto _ctr66;
					}
					goto _ctr0;
					case 43:
					if ( ( (*( ( p_)))) == 112 ) {
						goto _ctr67;
					}
					goto _ctr0;
					case 44:
					if ( ( (*( ( p_)))) == 116 ) {
						goto _ctr68;
					}
					goto _ctr0;
					case 45:
					if ( ( (*( ( p_)))) == 105 ) {
						goto _ctr69;
					}
					goto _ctr0;
					case 46:
					if ( ( (*( ( p_)))) == 109 ) {
						goto _ctr70;
					}
					goto _ctr0;
					case 47:
					if ( ( (*( ( p_)))) == 101 ) {
						goto _ctr71;
					}
					goto _ctr0;
					case 48:
					if ( ( (*( ( p_)))) == 58 ) {
						goto _ctr72;
					}
					goto _ctr0;
					case 49:
					if ( ( (*( ( p_)))) == 32 ) {
						goto _ctr72;
					}
					if ( 48 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 57 ) {
						goto _ctr73;
					}
					goto _ctr0;
					case 50:
					if ( ( (*( ( p_)))) == 59 ) {
						goto _ctr76;
					}
					if ( 48 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 57 ) {
						goto _ctr75;
					}
					goto _ctr0;
					case 51:
					switch( ( (*( ( p_)))) ) {
						case 32: {
							goto _ctr77;
						}
						case 102: {
							goto _ctr78;
						}
					}
					goto _ctr0;
					case 52:
					if ( ( (*( ( p_)))) == 114 ) {
						goto _ctr79;
					}
					goto _ctr0;
					case 53:
					if ( ( (*( ( p_)))) == 111 ) {
						goto _ctr80;
					}
					goto _ctr0;
					case 54:
					if ( ( (*( ( p_)))) == 109 ) {
						goto _ctr81;
					}
					goto _ctr0;
					case 55:
					if ( ( (*( ( p_)))) == 58 ) {
						goto _ctr82;
					}
					goto _ctr0;
					case 56:
					switch( ( (*( ( p_)))) ) {
						case 32: {
							goto _ctr82;
						}
						case 46: {
							goto _ctr83;
						}
						case 117: {
							goto _ctr84;
						}
					}
					if ( ( (*( ( p_)))) < 65 ) {
						if ( 48 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 58 ) {
							goto _ctr83;
						}
					} else if ( ( (*( ( p_)))) > 70 ) {
						if ( 97 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 102 ) {
							goto _ctr83;
						}
					} else {
						goto _ctr83;
					}
					goto _ctr0;
					case 57:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr86;
						}
						case 13: {
							goto _ctr87;
						}
						case 46: {
							goto _ctr83;
						}
						case 59: {
							goto _ctr88;
						}
					}
					if ( ( (*( ( p_)))) < 65 ) {
						if ( 48 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 58 ) {
							goto _ctr83;
						}
					} else if ( ( (*( ( p_)))) > 70 ) {
						if ( 97 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 102 ) {
							goto _ctr83;
						}
					} else {
						goto _ctr83;
					}
					goto _ctr0;
					case 58:
					if ( ( (*( ( p_)))) == 69 ) {
						goto _ctr90;
					}
					goto _ctr0;
					case 59:
					if ( ( (*( ( p_)))) == 78 ) {
						goto _ctr36;
					}
					goto _ctr0;
					case 60:
					if ( ( (*( ( p_)))) == 10 ) {
						goto _ctr89;
					}
					goto _ctr0;
					case 61:
					switch( ( (*( ( p_)))) ) {
						case 32: {
							goto _ctr92;
						}
						case 105: {
							goto _ctr93;
						}
					}
					goto _ctr0;
					case 62:
					if ( ( (*( ( p_)))) == 115 ) {
						goto _ctr94;
					}
					goto _ctr0;
					case 63:
					if ( ( (*( ( p_)))) == 95 ) {
						goto _ctr95;
					}
					goto _ctr0;
					case 64:
					if ( ( (*( ( p_)))) == 116 ) {
						goto _ctr96;
					}
					goto _ctr0;
					case 65:
					if ( ( (*( ( p_)))) == 114 ) {
						goto _ctr97;
					}
					goto _ctr0;
					case 66:
					if ( ( (*( ( p_)))) == 97 ) {
						goto _ctr98;
					}
					goto _ctr0;
					case 67:
					if ( ( (*( ( p_)))) == 110 ) {
						goto _ctr99;
					}
					goto _ctr0;
					case 68:
					if ( ( (*( ( p_)))) == 115 ) {
						goto _ctr100;
					}
					goto _ctr0;
					case 69:
					if ( ( (*( ( p_)))) == 105 ) {
						goto _ctr101;
					}
					goto _ctr0;
					case 70:
					if ( ( (*( ( p_)))) == 101 ) {
						goto _ctr102;
					}
					goto _ctr0;
					case 71:
					if ( ( (*( ( p_)))) == 110 ) {
						goto _ctr103;
					}
					goto _ctr0;
					case 72:
					if ( ( (*( ( p_)))) == 116 ) {
						goto _ctr104;
					}
					goto _ctr0;
					case 73:
					if ( ( (*( ( p_)))) == 58 ) {
						goto _ctr105;
					}
					goto _ctr0;
					case 74:
					if ( ( (*( ( p_)))) == 32 ) {
						goto _ctr105;
					}
					if ( 48 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 57 ) {
						goto _ctr106;
					}
					goto _ctr0;
					case 75:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr108;
						}
						case 13: {
							goto _ctr109;
						}
						case 32: {
							goto _ctr110;
						}
					}
					if ( 48 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 57 ) {
						goto _ctr111;
					}
					goto _ctr0;
					case 76:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr89;
						}
						case 13: {
							goto _ctr91;
						}
						case 32: {
							goto _ctr112;
						}
					}
					goto _ctr0;
					case 77:
					if ( ( (*( ( p_)))) == 110 ) {
						goto _ctr113;
					}
					goto _ctr0;
					case 78:
					if ( ( (*( ( p_)))) == 107 ) {
						goto _ctr114;
					}
					goto _ctr0;
					case 79:
					if ( ( (*( ( p_)))) == 110 ) {
						goto _ctr115;
					}
					goto _ctr0;
					case 80:
					if ( ( (*( ( p_)))) == 111 ) {
						goto _ctr116;
					}
					goto _ctr0;
					case 81:
					if ( ( (*( ( p_)))) == 119 ) {
						goto _ctr117;
					}
					goto _ctr0;
					case 82:
					if ( ( (*( ( p_)))) == 110 ) {
						goto _ctr118;
					}
					goto _ctr0;
					case 83:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr89;
						}
						case 13: {
							goto _ctr91;
						}
						case 59: {
							goto _ctr92;
						}
					}
					goto _ctr0;
					case 84:
					if ( ( (*( ( p_)))) == 110 ) {
						goto _ctr119;
					}
					goto _ctr0;
					case 85:
					if ( ( (*( ( p_)))) == 107 ) {
						goto _ctr120;
					}
					goto _ctr0;
					case 86:
					if ( ( (*( ( p_)))) == 110 ) {
						goto _ctr121;
					}
					goto _ctr0;
					case 87:
					if ( ( (*( ( p_)))) == 111 ) {
						goto _ctr122;
					}
					goto _ctr0;
					case 88:
					if ( ( (*( ( p_)))) == 119 ) {
						goto _ctr123;
					}
					goto _ctr0;
					case 89:
					if ( ( (*( ( p_)))) == 110 ) {
						goto _ctr124;
					}
					goto _ctr0;
					case 90:
					if ( ( (*( ( p_)))) == 59 ) {
						goto _ctr125;
					}
					goto _ctr0;
					case 91:
					if ( ( (*( ( p_)))) == 69 ) {
						goto _ctr126;
					}
					goto _ctr0;
					case 92:
					if ( ( (*( ( p_)))) == 82 ) {
						goto _ctr127;
					}
					goto _ctr0;
					case 93:
					if ( ( (*( ( p_)))) == 86 ) {
						goto _ctr128;
					}
					goto _ctr0;
					case 94:
					if ( ( (*( ( p_)))) == 69 ) {
						goto _ctr129;
					}
					goto _ctr0;
					case 95:
					if ( ( (*( ( p_)))) == 82 ) {
						goto _ctr130;
					}
					goto _ctr0;
					case 96:
					if ( ( (*( ( p_)))) == 95 ) {
						goto _ctr131;
					}
					goto _ctr0;
					case 97:
					if ( ( (*( ( p_)))) == 69 ) {
						goto _ctr132;
					}
					goto _ctr0;
					case 98:
					if ( ( (*( ( p_)))) == 82 ) {
						goto _ctr133;
					}
					goto _ctr0;
					case 99:
					if ( ( (*( ( p_)))) == 82 ) {
						goto _ctr134;
					}
					goto _ctr0;
					case 100:
					if ( ( (*( ( p_)))) == 79 ) {
						goto _ctr135;
					}
					goto _ctr0;
					case 101:
					if ( ( (*( ( p_)))) == 82 ) {
						goto _ctr136;
					}
					goto _ctr0;
					case 102:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr138;
						}
						case 13: {
							goto _ctr139;
						}
						case 32: {
							goto _ctr140;
						}
					}
					goto _ctr137;
					case 103:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr143;
						}
						case 13: {
							goto _ctr144;
						}
					}
					goto _ctr142;
					case 104:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr138;
						}
						case 13: {
							goto _ctr139;
						}
					}
					if ( 48 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 57 ) {
						goto _ctr146;
					}
					goto _ctr137;
					case 105:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr143;
						}
						case 13: {
							goto _ctr144;
						}
						case 32: {
							goto _ctr148;
						}
					}
					if ( 48 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 57 ) {
						goto _ctr149;
					}
					goto _ctr142;
					case 106:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr138;
						}
						case 13: {
							goto _ctr139;
						}
						case 32: {
							goto _ctr151;
						}
					}
					goto _ctr137;
					case 107:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr138;
						}
						case 13: {
							goto _ctr139;
						}
					}
					goto _ctr137;
				}
				
				_ctr0: ( savedCs_) = 0; goto _again;
				( savedCs_) = 1; goto _again;
				_ctr2: ( savedCs_) = 2; goto _again;
				_ctr6: ( savedCs_) = 3; goto _again;
				_ctr7: ( savedCs_) = 4; goto _again;
				_ctr8: ( savedCs_) = 5; goto _again;
				_ctr9: ( savedCs_) = 6; goto _again;
				_ctr10: ( savedCs_) = 7; goto _again;
				_ctr11: ( savedCs_) = 8; goto _again;
				_ctr12: ( savedCs_) = 9; goto _again;
				_ctr13: ( savedCs_) = 10; goto _again;
				_ctr14: ( savedCs_) = 11; goto _again;
				_ctr15: ( savedCs_) = 12; goto _again;
				_ctr16: ( savedCs_) = 13; goto _again;
				( savedCs_) = 14; goto _again;
				_ctr17: ( savedCs_) = 14; goto f1;
				_ctr22: ( savedCs_) = 14; goto f4;
				_ctr25: ( savedCs_) = 15; goto _again;
				_ctr19: ( savedCs_) = 15; goto f3;
				_ctr24: ( savedCs_) = 15; goto f6;
				_ctr139: ( savedCs_) = 15; goto f23;
				_ctr144: ( savedCs_) = 15; goto f25;
				( savedCs_) = 16; goto _again;
				_ctr20: ( savedCs_) = 16; goto f1;
				( savedCs_) = 17; goto _again;
				_ctr28: ( savedCs_) = 17; goto f8;
				_ctr31: ( savedCs_) = 17; goto f10;
				( savedCs_) = 18; goto _again;
				_ctr30: ( savedCs_) = 18; goto f9;
				( savedCs_) = 19; goto _again;
				_ctr33: ( savedCs_) = 19; goto f1;
				( savedCs_) = 20; goto _again;
				_ctr3: ( savedCs_) = 20; goto f0;
				_ctr36: ( savedCs_) = 21; goto _again;
				_ctr38: ( savedCs_) = 22; goto _again;
				( savedCs_) = 23; goto _again;
				_ctr39: ( savedCs_) = 23; goto f7;
				_ctr44: ( savedCs_) = 23; goto f11;
				_ctr40: ( savedCs_) = 24; goto _again;
				_ctr37: ( savedCs_) = 25; goto _again;
				_ctr42: ( savedCs_) = 26; goto _again;
				_ctr43: ( savedCs_) = 27; goto _again;
				( savedCs_) = 28; goto _again;
				_ctr4: ( savedCs_) = 28; goto f0;
				_ctr46: ( savedCs_) = 29; goto _again;
				_ctr47: ( savedCs_) = 30; goto _again;
				_ctr48: ( savedCs_) = 31; goto _again;
				_ctr50: ( savedCs_) = 32; goto _again;
				_ctr49: ( savedCs_) = 32; goto f12;
				_ctr51: ( savedCs_) = 33; goto _again;
				_ctr52: ( savedCs_) = 34; goto _again;
				_ctr53: ( savedCs_) = 35; goto _again;
				_ctr54: ( savedCs_) = 36; goto _again;
				_ctr55: ( savedCs_) = 37; goto _again;
				_ctr56: ( savedCs_) = 38; goto _again;
				( savedCs_) = 39; goto _again;
				_ctr57: ( savedCs_) = 39; goto f13;
				( savedCs_) = 40; goto _again;
				_ctr58: ( savedCs_) = 40; goto f14;
				_ctr62: ( savedCs_) = 40; goto f15;
				_ctr64: ( savedCs_) = 41; goto _again;
				_ctr63: ( savedCs_) = 41; goto f16;
				_ctr125: ( savedCs_) = 41; goto f21;
				_ctr65: ( savedCs_) = 42; goto _again;
				_ctr66: ( savedCs_) = 43; goto _again;
				_ctr67: ( savedCs_) = 44; goto _again;
				_ctr68: ( savedCs_) = 45; goto _again;
				_ctr69: ( savedCs_) = 46; goto _again;
				_ctr70: ( savedCs_) = 47; goto _again;
				_ctr71: ( savedCs_) = 48; goto _again;
				_ctr72: ( savedCs_) = 49; goto _again;
				( savedCs_) = 50; goto _again;
				_ctr73: ( savedCs_) = 50; goto f14;
				_ctr75: ( savedCs_) = 50; goto f15;
				_ctr77: ( savedCs_) = 51; goto _again;
				_ctr76: ( savedCs_) = 51; goto f17;
				_ctr78: ( savedCs_) = 52; goto _again;
				_ctr79: ( savedCs_) = 53; goto _again;
				_ctr80: ( savedCs_) = 54; goto _again;
				_ctr81: ( savedCs_) = 55; goto _again;
				_ctr82: ( savedCs_) = 56; goto _again;
				( savedCs_) = 57; goto _again;
				_ctr83: ( savedCs_) = 57; goto f18;
				_ctr89: ( savedCs_) = 58; goto _again;
				_ctr86: ( savedCs_) = 58; goto f19;
				_ctr108: ( savedCs_) = 58; goto f20;
				_ctr90: ( savedCs_) = 59; goto _again;
				_ctr91: ( savedCs_) = 60; goto _again;
				_ctr87: ( savedCs_) = 60; goto f19;
				_ctr109: ( savedCs_) = 60; goto f20;
				_ctr92: ( savedCs_) = 61; goto _again;
				_ctr88: ( savedCs_) = 61; goto f19;
				_ctr93: ( savedCs_) = 62; goto _again;
				_ctr94: ( savedCs_) = 63; goto _again;
				_ctr95: ( savedCs_) = 64; goto _again;
				_ctr96: ( savedCs_) = 65; goto _again;
				_ctr97: ( savedCs_) = 66; goto _again;
				_ctr98: ( savedCs_) = 67; goto _again;
				_ctr99: ( savedCs_) = 68; goto _again;
				_ctr100: ( savedCs_) = 69; goto _again;
				_ctr101: ( savedCs_) = 70; goto _again;
				_ctr102: ( savedCs_) = 71; goto _again;
				_ctr103: ( savedCs_) = 72; goto _again;
				_ctr104: ( savedCs_) = 73; goto _again;
				_ctr105: ( savedCs_) = 74; goto _again;
				( savedCs_) = 75; goto _again;
				_ctr106: ( savedCs_) = 75; goto f14;
				_ctr111: ( savedCs_) = 75; goto f15;
				_ctr112: ( savedCs_) = 76; goto _again;
				_ctr110: ( savedCs_) = 76; goto f20;
				_ctr84: ( savedCs_) = 77; goto _again;
				_ctr113: ( savedCs_) = 78; goto _again;
				_ctr114: ( savedCs_) = 79; goto _again;
				_ctr115: ( savedCs_) = 80; goto _again;
				_ctr116: ( savedCs_) = 81; goto _again;
				_ctr117: ( savedCs_) = 82; goto _again;
				_ctr118: ( savedCs_) = 83; goto _again;
				_ctr59: ( savedCs_) = 84; goto _again;
				_ctr119: ( savedCs_) = 85; goto _again;
				_ctr120: ( savedCs_) = 86; goto _again;
				_ctr121: ( savedCs_) = 87; goto _again;
				_ctr122: ( savedCs_) = 88; goto _again;
				_ctr123: ( savedCs_) = 89; goto _again;
				_ctr124: ( savedCs_) = 90; goto _again;
				_ctr5: ( savedCs_) = 91; goto _again;
				_ctr126: ( savedCs_) = 92; goto _again;
				_ctr127: ( savedCs_) = 93; goto _again;
				_ctr128: ( savedCs_) = 94; goto _again;
				_ctr129: ( savedCs_) = 95; goto _again;
				_ctr130: ( savedCs_) = 96; goto _again;
				_ctr131: ( savedCs_) = 97; goto _again;
				_ctr132: ( savedCs_) = 98; goto _again;
				_ctr133: ( savedCs_) = 99; goto _again;
				_ctr134: ( savedCs_) = 100; goto _again;
				_ctr135: ( savedCs_) = 101; goto _again;
				_ctr136: ( savedCs_) = 102; goto _again;
				( savedCs_) = 103; goto _again;
				_ctr137: ( savedCs_) = 103; goto f1;
				_ctr142: ( savedCs_) = 103; goto f4;
				( savedCs_) = 104; goto _again;
				_ctr140: ( savedCs_) = 104; goto f1;
				( savedCs_) = 105; goto _again;
				_ctr146: ( savedCs_) = 105; goto f8;
				_ctr149: ( savedCs_) = 105; goto f10;
				( savedCs_) = 106; goto _again;
				_ctr148: ( savedCs_) = 106; goto f9;
				( savedCs_) = 107; goto _again;
				_ctr151: ( savedCs_) = 107; goto f1;
				( savedCs_) = 108; goto _again;
				_ctr18: ( savedCs_) = 108; goto f2;
				_ctr23: ( savedCs_) = 108; goto f5;
				_ctr26: ( savedCs_) = 108; goto f7;
				_ctr138: ( savedCs_) = 108; goto f22;
				_ctr143: ( savedCs_) = 108; goto f24;
				
				f7:
					{
#line 74 "lib/network/McAsciiParser.rl"
					
					// Message is complete, so exit the state machine and return to the caller.
					state_ = State::COMPLETE;
					{( p_) += 1; goto _out; }
				}
				
#line 9689 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f15:
					{
#line 111 "lib/network/McAsciiParser.rl"
					
					currentUInt_ = currentUInt_ * 10 + ((( (*( ( p_))))) - '0');
				}
				
#line 9697 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f13:
					{
#line 115 "lib/network/McAsciiParser.rl"
					
					negative_ = true;
				}
				
#line 9705 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f17:
					{
#line 128 "lib/network/McAsciiParser.rl"
					
					message.exptime_ref() = static_cast<int32_t>(currentUInt_);
				}
				
#line 9713 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f11:
					{
#line 176 "lib/network/McAsciiParser.rl"
					
					// This is unexpected error reply, just put ourself into error state.
					state_ = State::ERROR;
					currentErrorDescription_ = "ERROR reply received from server.";
					{( p_) += 1; goto _out; }
				}
				
#line 9724 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f4:
					{
#line 183 "lib/network/McAsciiParser.rl"
					
					using MsgT = typename std::decay<decltype(message)>::type;
					consumeErrorMessage<MsgT>(buffer);
				}
				
#line 9733 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f25:
					{
#line 189 "lib/network/McAsciiParser.rl"
					
					uint32_t errorCode = currentUInt_;
					if (errorCode == SERVER_ERROR_BUSY) {
						message.result_ref() = carbon::Result::BUSY;
					} else {
						message.result_ref() = carbon::Result::REMOTE_ERROR;
					}
				}
				
#line 9746 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f6:
					{
#line 199 "lib/network/McAsciiParser.rl"
					message.result_ref() = carbon::Result::CLIENT_ERROR; }
				
#line 9752 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f16:
					{
#line 433 "lib/network/McAsciiParser.rl"
					
					auto value = static_cast<int32_t>(currentUInt_);
					message.age_ref() = negative_ ? -value : value;
					negative_ = false;
				}
				
#line 9762 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f21:
					{
#line 438 "lib/network/McAsciiParser.rl"
					
					message.age_ref() = -1;
				}
				
#line 9770 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f18:
					{
#line 442 "lib/network/McAsciiParser.rl"
					
					using MsgT = std::decay<decltype(message)>::type;
					consumeIpAddrHelper<MsgT>(buffer);
				}
				
#line 9779 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f19:
					{
#line 445 "lib/network/McAsciiParser.rl"
					
					using MsgT = std::decay<decltype(message)>::type;
					consumeIpAddr<MsgT>(buffer);
				}
				
#line 9788 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f20:
					{
#line 450 "lib/network/McAsciiParser.rl"
					
					// We no longer support is_transient with typed requests.
				}
				
#line 9796 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f12:
					{
#line 455 "lib/network/McAsciiParser.rl"
					message.result_ref() = carbon::Result::FOUND; }
				
#line 9802 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f0:
					{
#line 459 "lib/network/McAsciiParser.rl"
					message.result_ref() = carbon::Result::NOTFOUND; }
				
#line 9808 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f1:
					{
#line 54 "lib/network/McAsciiParser.rl"
					
					using MsgT = typename std::decay<decltype(message)>::type;
					resetErrorMessage<MsgT>(message);
				}
				
#line 9817 "lib/network/McAsciiParser-gen.cpp"
	{
#line 183 "lib/network/McAsciiParser.rl"
					
					using MsgT = typename std::decay<decltype(message)>::type;
					consumeErrorMessage<MsgT>(buffer);
				}
				
#line 9824 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f23:
					{
#line 54 "lib/network/McAsciiParser.rl"
					
					using MsgT = typename std::decay<decltype(message)>::type;
					resetErrorMessage<MsgT>(message);
				}
				
#line 9833 "lib/network/McAsciiParser-gen.cpp"
	{
#line 189 "lib/network/McAsciiParser.rl"
					
					uint32_t errorCode = currentUInt_;
					if (errorCode == SERVER_ERROR_BUSY) {
						message.result_ref() = carbon::Result::BUSY;
					} else {
						message.result_ref() = carbon::Result::REMOTE_ERROR;
					}
				}
				
#line 9844 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f3:
					{
#line 54 "lib/network/McAsciiParser.rl"
					
					using MsgT = typename std::decay<decltype(message)>::type;
					resetErrorMessage<MsgT>(message);
				}
				
#line 9853 "lib/network/McAsciiParser-gen.cpp"
	{
#line 199 "lib/network/McAsciiParser.rl"
					message.result_ref() = carbon::Result::CLIENT_ERROR; }
				
#line 9857 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f14:
					{
#line 111 "lib/network/McAsciiParser.rl"
					currentUInt_ = 0; }
				
#line 9863 "lib/network/McAsciiParser-gen.cpp"
	{
#line 111 "lib/network/McAsciiParser.rl"
					
					currentUInt_ = currentUInt_ * 10 + ((( (*( ( p_))))) - '0');
				}
				
#line 9869 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f10:
					{
#line 111 "lib/network/McAsciiParser.rl"
					
					currentUInt_ = currentUInt_ * 10 + ((( (*( ( p_))))) - '0');
				}
				
#line 9877 "lib/network/McAsciiParser-gen.cpp"
	{
#line 183 "lib/network/McAsciiParser.rl"
					
					using MsgT = typename std::decay<decltype(message)>::type;
					consumeErrorMessage<MsgT>(buffer);
				}
				
#line 9884 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f9:
					{
#line 159 "lib/network/McAsciiParser.rl"
					
					message.appSpecificErrorCode_ref() = static_cast<uint16_t>(currentUInt_);
				}
				
#line 9892 "lib/network/McAsciiParser-gen.cpp"
	{
#line 183 "lib/network/McAsciiParser.rl"
					
					using MsgT = typename std::decay<decltype(message)>::type;
					consumeErrorMessage<MsgT>(buffer);
				}
				
#line 9899 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f24:
					{
#line 189 "lib/network/McAsciiParser.rl"
					
					uint32_t errorCode = currentUInt_;
					if (errorCode == SERVER_ERROR_BUSY) {
						message.result_ref() = carbon::Result::BUSY;
					} else {
						message.result_ref() = carbon::Result::REMOTE_ERROR;
					}
				}
				
#line 9912 "lib/network/McAsciiParser-gen.cpp"
	{
#line 74 "lib/network/McAsciiParser.rl"
					
					// Message is complete, so exit the state machine and return to the caller.
					state_ = State::COMPLETE;
					{( p_) += 1; goto _out; }
				}
				
#line 9920 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f5:
					{
#line 199 "lib/network/McAsciiParser.rl"
					message.result_ref() = carbon::Result::CLIENT_ERROR; }
				
#line 9926 "lib/network/McAsciiParser-gen.cpp"
	{
#line 74 "lib/network/McAsciiParser.rl"
					
					// Message is complete, so exit the state machine and return to the caller.
					state_ = State::COMPLETE;
					{( p_) += 1; goto _out; }
				}
				
#line 9934 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f22:
					{
#line 54 "lib/network/McAsciiParser.rl"
					
					using MsgT = typename std::decay<decltype(message)>::type;
					resetErrorMessage<MsgT>(message);
				}
				
#line 9943 "lib/network/McAsciiParser-gen.cpp"
	{
#line 189 "lib/network/McAsciiParser.rl"
					
					uint32_t errorCode = currentUInt_;
					if (errorCode == SERVER_ERROR_BUSY) {
						message.result_ref() = carbon::Result::BUSY;
					} else {
						message.result_ref() = carbon::Result::REMOTE_ERROR;
					}
				}
				
#line 9954 "lib/network/McAsciiParser-gen.cpp"
	{
#line 74 "lib/network/McAsciiParser.rl"
					
					// Message is complete, so exit the state machine and return to the caller.
					state_ = State::COMPLETE;
					{( p_) += 1; goto _out; }
				}
				
#line 9962 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f2:
					{
#line 54 "lib/network/McAsciiParser.rl"
					
					using MsgT = typename std::decay<decltype(message)>::type;
					resetErrorMessage<MsgT>(message);
				}
				
#line 9971 "lib/network/McAsciiParser-gen.cpp"
	{
#line 199 "lib/network/McAsciiParser.rl"
					message.result_ref() = carbon::Result::CLIENT_ERROR; }
				
#line 9975 "lib/network/McAsciiParser-gen.cpp"
	{
#line 74 "lib/network/McAsciiParser.rl"
					
					// Message is complete, so exit the state machine and return to the caller.
					state_ = State::COMPLETE;
					{( p_) += 1; goto _out; }
				}
				
#line 9983 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f8:
					{
#line 111 "lib/network/McAsciiParser.rl"
					currentUInt_ = 0; }
				
#line 9989 "lib/network/McAsciiParser-gen.cpp"
	{
#line 111 "lib/network/McAsciiParser.rl"
					
					currentUInt_ = currentUInt_ * 10 + ((( (*( ( p_))))) - '0');
				}
				
#line 9995 "lib/network/McAsciiParser-gen.cpp"
	{
#line 54 "lib/network/McAsciiParser.rl"
					
					using MsgT = typename std::decay<decltype(message)>::type;
					resetErrorMessage<MsgT>(message);
				}
				
#line 10002 "lib/network/McAsciiParser-gen.cpp"
	{
#line 183 "lib/network/McAsciiParser.rl"
					
					using MsgT = typename std::decay<decltype(message)>::type;
					consumeErrorMessage<MsgT>(buffer);
				}
				
#line 10009 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				
				_again: {}
				if ( ( savedCs_) != 0 ) {
					( p_) += 1;
					goto _resume;
				}
				_out: {}
			}
			
#line 473 "lib/network/McAsciiParser.rl"

		}
		
		// McFlushAll reply.

#line 10023 "lib/network/McAsciiParser-gen.cpp"
static const int mc_ascii_flushall_reply_start = 1;
		static const int mc_ascii_flushall_reply_first_final = 43;
		static const int mc_ascii_flushall_reply_error = 0;
		
		static const int mc_ascii_flushall_reply_en_flushall_reply = 1;
		
		
#line 485 "lib/network/McAsciiParser.rl"

		
		template <>
		void McClientAsciiParser::consumeMessage<McFlushAllRequest>(
		folly::IOBuf& buffer) {
			auto& message = currentMessage_.get<McFlushAllReply>();

#line 10036 "lib/network/McAsciiParser-gen.cpp"
	{
			}

#line 10038 "lib/network/McAsciiParser-gen.cpp"
{
				
				_resume: {}
				if ( ( p_) == ( pe_) )
					goto _out;
				switch ( ( savedCs_) ) {
					case 1:
					switch( ( (*( ( p_)))) ) {
						case 67: {
							goto _ctr2;
						}
						case 69: {
							goto _ctr3;
						}
						case 79: {
							goto _ctr4;
						}
						case 83: {
							goto _ctr5;
						}
					}
					goto _ctr0;
					case 0:
					goto _again;
					case 2:
					if ( ( (*( ( p_)))) == 76 ) {
						goto _ctr6;
					}
					goto _ctr0;
					case 3:
					if ( ( (*( ( p_)))) == 73 ) {
						goto _ctr7;
					}
					goto _ctr0;
					case 4:
					if ( ( (*( ( p_)))) == 69 ) {
						goto _ctr8;
					}
					goto _ctr0;
					case 5:
					if ( ( (*( ( p_)))) == 78 ) {
						goto _ctr9;
					}
					goto _ctr0;
					case 6:
					if ( ( (*( ( p_)))) == 84 ) {
						goto _ctr10;
					}
					goto _ctr0;
					case 7:
					if ( ( (*( ( p_)))) == 95 ) {
						goto _ctr11;
					}
					goto _ctr0;
					case 8:
					if ( ( (*( ( p_)))) == 69 ) {
						goto _ctr12;
					}
					goto _ctr0;
					case 9:
					if ( ( (*( ( p_)))) == 82 ) {
						goto _ctr13;
					}
					goto _ctr0;
					case 10:
					if ( ( (*( ( p_)))) == 82 ) {
						goto _ctr14;
					}
					goto _ctr0;
					case 11:
					if ( ( (*( ( p_)))) == 79 ) {
						goto _ctr15;
					}
					goto _ctr0;
					case 12:
					if ( ( (*( ( p_)))) == 82 ) {
						goto _ctr16;
					}
					goto _ctr0;
					case 13:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr18;
						}
						case 13: {
							goto _ctr19;
						}
						case 32: {
							goto _ctr20;
						}
					}
					goto _ctr17;
					case 14:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr23;
						}
						case 13: {
							goto _ctr24;
						}
					}
					goto _ctr22;
					case 43:
					goto _ctr0;
					case 15:
					if ( ( (*( ( p_)))) == 10 ) {
						goto _ctr26;
					}
					goto _ctr0;
					case 16:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr18;
						}
						case 13: {
							goto _ctr19;
						}
					}
					if ( 48 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 57 ) {
						goto _ctr28;
					}
					goto _ctr17;
					case 17:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr23;
						}
						case 13: {
							goto _ctr24;
						}
						case 32: {
							goto _ctr30;
						}
					}
					if ( 48 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 57 ) {
						goto _ctr31;
					}
					goto _ctr22;
					case 18:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr18;
						}
						case 13: {
							goto _ctr19;
						}
						case 32: {
							goto _ctr33;
						}
					}
					goto _ctr17;
					case 19:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr18;
						}
						case 13: {
							goto _ctr19;
						}
					}
					goto _ctr17;
					case 20:
					if ( ( (*( ( p_)))) == 82 ) {
						goto _ctr35;
					}
					goto _ctr0;
					case 21:
					if ( ( (*( ( p_)))) == 82 ) {
						goto _ctr36;
					}
					goto _ctr0;
					case 22:
					if ( ( (*( ( p_)))) == 79 ) {
						goto _ctr37;
					}
					goto _ctr0;
					case 23:
					if ( ( (*( ( p_)))) == 82 ) {
						goto _ctr38;
					}
					goto _ctr0;
					case 24:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr26;
						}
						case 13: {
							goto _ctr25;
						}
					}
					goto _ctr0;
					case 25:
					if ( ( (*( ( p_)))) == 75 ) {
						goto _ctr41;
					}
					goto _ctr0;
					case 26:
					if ( ( (*( ( p_)))) == 69 ) {
						goto _ctr42;
					}
					goto _ctr0;
					case 27:
					if ( ( (*( ( p_)))) == 82 ) {
						goto _ctr43;
					}
					goto _ctr0;
					case 28:
					if ( ( (*( ( p_)))) == 86 ) {
						goto _ctr44;
					}
					goto _ctr0;
					case 29:
					if ( ( (*( ( p_)))) == 69 ) {
						goto _ctr45;
					}
					goto _ctr0;
					case 30:
					if ( ( (*( ( p_)))) == 82 ) {
						goto _ctr46;
					}
					goto _ctr0;
					case 31:
					if ( ( (*( ( p_)))) == 95 ) {
						goto _ctr47;
					}
					goto _ctr0;
					case 32:
					if ( ( (*( ( p_)))) == 69 ) {
						goto _ctr48;
					}
					goto _ctr0;
					case 33:
					if ( ( (*( ( p_)))) == 82 ) {
						goto _ctr49;
					}
					goto _ctr0;
					case 34:
					if ( ( (*( ( p_)))) == 82 ) {
						goto _ctr50;
					}
					goto _ctr0;
					case 35:
					if ( ( (*( ( p_)))) == 79 ) {
						goto _ctr51;
					}
					goto _ctr0;
					case 36:
					if ( ( (*( ( p_)))) == 82 ) {
						goto _ctr52;
					}
					goto _ctr0;
					case 37:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr54;
						}
						case 13: {
							goto _ctr55;
						}
						case 32: {
							goto _ctr56;
						}
					}
					goto _ctr53;
					case 38:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr59;
						}
						case 13: {
							goto _ctr60;
						}
					}
					goto _ctr58;
					case 39:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr54;
						}
						case 13: {
							goto _ctr55;
						}
					}
					if ( 48 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 57 ) {
						goto _ctr62;
					}
					goto _ctr53;
					case 40:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr59;
						}
						case 13: {
							goto _ctr60;
						}
						case 32: {
							goto _ctr64;
						}
					}
					if ( 48 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 57 ) {
						goto _ctr65;
					}
					goto _ctr58;
					case 41:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr54;
						}
						case 13: {
							goto _ctr55;
						}
						case 32: {
							goto _ctr67;
						}
					}
					goto _ctr53;
					case 42:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr54;
						}
						case 13: {
							goto _ctr55;
						}
					}
					goto _ctr53;
				}
				
				_ctr0: ( savedCs_) = 0; goto _again;
				( savedCs_) = 1; goto _again;
				_ctr2: ( savedCs_) = 2; goto _again;
				_ctr6: ( savedCs_) = 3; goto _again;
				_ctr7: ( savedCs_) = 4; goto _again;
				_ctr8: ( savedCs_) = 5; goto _again;
				_ctr9: ( savedCs_) = 6; goto _again;
				_ctr10: ( savedCs_) = 7; goto _again;
				_ctr11: ( savedCs_) = 8; goto _again;
				_ctr12: ( savedCs_) = 9; goto _again;
				_ctr13: ( savedCs_) = 10; goto _again;
				_ctr14: ( savedCs_) = 11; goto _again;
				_ctr15: ( savedCs_) = 12; goto _again;
				_ctr16: ( savedCs_) = 13; goto _again;
				( savedCs_) = 14; goto _again;
				_ctr17: ( savedCs_) = 14; goto f1;
				_ctr22: ( savedCs_) = 14; goto f4;
				_ctr25: ( savedCs_) = 15; goto _again;
				_ctr19: ( savedCs_) = 15; goto f3;
				_ctr24: ( savedCs_) = 15; goto f6;
				_ctr55: ( savedCs_) = 15; goto f13;
				_ctr60: ( savedCs_) = 15; goto f15;
				( savedCs_) = 16; goto _again;
				_ctr20: ( savedCs_) = 16; goto f1;
				( savedCs_) = 17; goto _again;
				_ctr28: ( savedCs_) = 17; goto f8;
				_ctr31: ( savedCs_) = 17; goto f10;
				( savedCs_) = 18; goto _again;
				_ctr30: ( savedCs_) = 18; goto f9;
				( savedCs_) = 19; goto _again;
				_ctr33: ( savedCs_) = 19; goto f1;
				_ctr3: ( savedCs_) = 20; goto _again;
				_ctr35: ( savedCs_) = 21; goto _again;
				_ctr36: ( savedCs_) = 22; goto _again;
				_ctr37: ( savedCs_) = 23; goto _again;
				( savedCs_) = 24; goto _again;
				_ctr41: ( savedCs_) = 24; goto f0;
				_ctr38: ( savedCs_) = 24; goto f11;
				( savedCs_) = 25; goto _again;
				_ctr4: ( savedCs_) = 25; goto f0;
				_ctr5: ( savedCs_) = 26; goto _again;
				_ctr42: ( savedCs_) = 27; goto _again;
				_ctr43: ( savedCs_) = 28; goto _again;
				_ctr44: ( savedCs_) = 29; goto _again;
				_ctr45: ( savedCs_) = 30; goto _again;
				_ctr46: ( savedCs_) = 31; goto _again;
				_ctr47: ( savedCs_) = 32; goto _again;
				_ctr48: ( savedCs_) = 33; goto _again;
				_ctr49: ( savedCs_) = 34; goto _again;
				_ctr50: ( savedCs_) = 35; goto _again;
				_ctr51: ( savedCs_) = 36; goto _again;
				_ctr52: ( savedCs_) = 37; goto _again;
				( savedCs_) = 38; goto _again;
				_ctr53: ( savedCs_) = 38; goto f1;
				_ctr58: ( savedCs_) = 38; goto f4;
				( savedCs_) = 39; goto _again;
				_ctr56: ( savedCs_) = 39; goto f1;
				( savedCs_) = 40; goto _again;
				_ctr62: ( savedCs_) = 40; goto f8;
				_ctr65: ( savedCs_) = 40; goto f10;
				( savedCs_) = 41; goto _again;
				_ctr64: ( savedCs_) = 41; goto f9;
				( savedCs_) = 42; goto _again;
				_ctr67: ( savedCs_) = 42; goto f1;
				( savedCs_) = 43; goto _again;
				_ctr18: ( savedCs_) = 43; goto f2;
				_ctr23: ( savedCs_) = 43; goto f5;
				_ctr26: ( savedCs_) = 43; goto f7;
				_ctr54: ( savedCs_) = 43; goto f12;
				_ctr59: ( savedCs_) = 43; goto f14;
				
				f7:
					{
#line 74 "lib/network/McAsciiParser.rl"
					
					// Message is complete, so exit the state machine and return to the caller.
					state_ = State::COMPLETE;
					{( p_) += 1; goto _out; }
				}
				
#line 10446 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f11:
					{
#line 176 "lib/network/McAsciiParser.rl"
					
					// This is unexpected error reply, just put ourself into error state.
					state_ = State::ERROR;
					currentErrorDescription_ = "ERROR reply received from server.";
					{( p_) += 1; goto _out; }
				}
				
#line 10457 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f4:
					{
#line 183 "lib/network/McAsciiParser.rl"
					
					using MsgT = typename std::decay<decltype(message)>::type;
					consumeErrorMessage<MsgT>(buffer);
				}
				
#line 10466 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f15:
					{
#line 189 "lib/network/McAsciiParser.rl"
					
					uint32_t errorCode = currentUInt_;
					if (errorCode == SERVER_ERROR_BUSY) {
						message.result_ref() = carbon::Result::BUSY;
					} else {
						message.result_ref() = carbon::Result::REMOTE_ERROR;
					}
				}
				
#line 10479 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f6:
					{
#line 199 "lib/network/McAsciiParser.rl"
					message.result_ref() = carbon::Result::CLIENT_ERROR; }
				
#line 10485 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f0:
					{
#line 481 "lib/network/McAsciiParser.rl"
					message.result_ref() = carbon::Result::OK; }
				
#line 10491 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f1:
					{
#line 54 "lib/network/McAsciiParser.rl"
					
					using MsgT = typename std::decay<decltype(message)>::type;
					resetErrorMessage<MsgT>(message);
				}
				
#line 10500 "lib/network/McAsciiParser-gen.cpp"
	{
#line 183 "lib/network/McAsciiParser.rl"
					
					using MsgT = typename std::decay<decltype(message)>::type;
					consumeErrorMessage<MsgT>(buffer);
				}
				
#line 10507 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f13:
					{
#line 54 "lib/network/McAsciiParser.rl"
					
					using MsgT = typename std::decay<decltype(message)>::type;
					resetErrorMessage<MsgT>(message);
				}
				
#line 10516 "lib/network/McAsciiParser-gen.cpp"
	{
#line 189 "lib/network/McAsciiParser.rl"
					
					uint32_t errorCode = currentUInt_;
					if (errorCode == SERVER_ERROR_BUSY) {
						message.result_ref() = carbon::Result::BUSY;
					} else {
						message.result_ref() = carbon::Result::REMOTE_ERROR;
					}
				}
				
#line 10527 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f3:
					{
#line 54 "lib/network/McAsciiParser.rl"
					
					using MsgT = typename std::decay<decltype(message)>::type;
					resetErrorMessage<MsgT>(message);
				}
				
#line 10536 "lib/network/McAsciiParser-gen.cpp"
	{
#line 199 "lib/network/McAsciiParser.rl"
					message.result_ref() = carbon::Result::CLIENT_ERROR; }
				
#line 10540 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f10:
					{
#line 111 "lib/network/McAsciiParser.rl"
					
					currentUInt_ = currentUInt_ * 10 + ((( (*( ( p_))))) - '0');
				}
				
#line 10548 "lib/network/McAsciiParser-gen.cpp"
	{
#line 183 "lib/network/McAsciiParser.rl"
					
					using MsgT = typename std::decay<decltype(message)>::type;
					consumeErrorMessage<MsgT>(buffer);
				}
				
#line 10555 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f9:
					{
#line 159 "lib/network/McAsciiParser.rl"
					
					message.appSpecificErrorCode_ref() = static_cast<uint16_t>(currentUInt_);
				}
				
#line 10563 "lib/network/McAsciiParser-gen.cpp"
	{
#line 183 "lib/network/McAsciiParser.rl"
					
					using MsgT = typename std::decay<decltype(message)>::type;
					consumeErrorMessage<MsgT>(buffer);
				}
				
#line 10570 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f14:
					{
#line 189 "lib/network/McAsciiParser.rl"
					
					uint32_t errorCode = currentUInt_;
					if (errorCode == SERVER_ERROR_BUSY) {
						message.result_ref() = carbon::Result::BUSY;
					} else {
						message.result_ref() = carbon::Result::REMOTE_ERROR;
					}
				}
				
#line 10583 "lib/network/McAsciiParser-gen.cpp"
	{
#line 74 "lib/network/McAsciiParser.rl"
					
					// Message is complete, so exit the state machine and return to the caller.
					state_ = State::COMPLETE;
					{( p_) += 1; goto _out; }
				}
				
#line 10591 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f5:
					{
#line 199 "lib/network/McAsciiParser.rl"
					message.result_ref() = carbon::Result::CLIENT_ERROR; }
				
#line 10597 "lib/network/McAsciiParser-gen.cpp"
	{
#line 74 "lib/network/McAsciiParser.rl"
					
					// Message is complete, so exit the state machine and return to the caller.
					state_ = State::COMPLETE;
					{( p_) += 1; goto _out; }
				}
				
#line 10605 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f12:
					{
#line 54 "lib/network/McAsciiParser.rl"
					
					using MsgT = typename std::decay<decltype(message)>::type;
					resetErrorMessage<MsgT>(message);
				}
				
#line 10614 "lib/network/McAsciiParser-gen.cpp"
	{
#line 189 "lib/network/McAsciiParser.rl"
					
					uint32_t errorCode = currentUInt_;
					if (errorCode == SERVER_ERROR_BUSY) {
						message.result_ref() = carbon::Result::BUSY;
					} else {
						message.result_ref() = carbon::Result::REMOTE_ERROR;
					}
				}
				
#line 10625 "lib/network/McAsciiParser-gen.cpp"
	{
#line 74 "lib/network/McAsciiParser.rl"
					
					// Message is complete, so exit the state machine and return to the caller.
					state_ = State::COMPLETE;
					{( p_) += 1; goto _out; }
				}
				
#line 10633 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f2:
					{
#line 54 "lib/network/McAsciiParser.rl"
					
					using MsgT = typename std::decay<decltype(message)>::type;
					resetErrorMessage<MsgT>(message);
				}
				
#line 10642 "lib/network/McAsciiParser-gen.cpp"
	{
#line 199 "lib/network/McAsciiParser.rl"
					message.result_ref() = carbon::Result::CLIENT_ERROR; }
				
#line 10646 "lib/network/McAsciiParser-gen.cpp"
	{
#line 74 "lib/network/McAsciiParser.rl"
					
					// Message is complete, so exit the state machine and return to the caller.
					state_ = State::COMPLETE;
					{( p_) += 1; goto _out; }
				}
				
#line 10654 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f8:
					{
#line 111 "lib/network/McAsciiParser.rl"
					currentUInt_ = 0; }
				
#line 10660 "lib/network/McAsciiParser-gen.cpp"
	{
#line 111 "lib/network/McAsciiParser.rl"
					
					currentUInt_ = currentUInt_ * 10 + ((( (*( ( p_))))) - '0');
				}
				
#line 10666 "lib/network/McAsciiParser-gen.cpp"
	{
#line 54 "lib/network/McAsciiParser.rl"
					
					using MsgT = typename std::decay<decltype(message)>::type;
					resetErrorMessage<MsgT>(message);
				}
				
#line 10673 "lib/network/McAsciiParser-gen.cpp"
	{
#line 183 "lib/network/McAsciiParser.rl"
					
					using MsgT = typename std::decay<decltype(message)>::type;
					consumeErrorMessage<MsgT>(buffer);
				}
				
#line 10680 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				
				_again: {}
				if ( ( savedCs_) != 0 ) {
					( p_) += 1;
					goto _resume;
				}
				_out: {}
			}
			
#line 495 "lib/network/McAsciiParser.rl"

		}
		
		template <>
		void McClientAsciiParser::initializeReplyParser<McGetRequest>() {
			initializeCommon<McGetReply>();
			savedCs_ = mc_ascii_get_reply_en_get_reply;
			errorCs_ = mc_ascii_get_reply_error;
			consumer_ = &McClientAsciiParser::consumeMessage<McGetRequest>;
		}
		
		template <>
		void McClientAsciiParser::initializeReplyParser<McGetsRequest>() {
			initializeCommon<McGetsReply>();
			savedCs_ = mc_ascii_gets_reply_en_gets_reply;
			errorCs_ = mc_ascii_gets_reply_error;
			consumer_ = &McClientAsciiParser::consumeMessage<McGetsRequest>;
		}
		
		template <>
		void McClientAsciiParser::initializeReplyParser<McGatRequest>() {
			initializeCommon<McGatReply>();
			savedCs_ = mc_ascii_gat_reply_en_gat_reply;
			errorCs_ = mc_ascii_gat_reply_error;
			consumer_ = &McClientAsciiParser::consumeMessage<McGatRequest>;
		}
		
		template <>
		void McClientAsciiParser::initializeReplyParser<McGatsRequest>() {
			initializeCommon<McGatsReply>();
			savedCs_ = mc_ascii_gats_reply_en_gats_reply;
			errorCs_ = mc_ascii_gats_reply_error;
			consumer_ = &McClientAsciiParser::consumeMessage<McGatsRequest>;
		}
		
		template <>
		void McClientAsciiParser::initializeReplyParser<McLeaseGetRequest>() {
			initializeCommon<McLeaseGetReply>();
			savedCs_ = mc_ascii_lease_get_reply_en_lease_get_reply;
			errorCs_ = mc_ascii_lease_get_reply_error;
			consumer_ = &McClientAsciiParser::consumeMessage<McLeaseGetRequest>;
		}
		
		template <>
		void McClientAsciiParser::initializeReplyParser<McSetRequest>() {
			initializeStorageReplyCommon<McSetReply>();
		}
		
		template <>
		void McClientAsciiParser::initializeReplyParser<McAddRequest>() {
			initializeStorageReplyCommon<McAddReply>();
		}
		
		template <>
		void McClientAsciiParser::initializeReplyParser<McReplaceRequest>() {
			initializeStorageReplyCommon<McReplaceReply>();
		}
		
		template <>
		void McClientAsciiParser::initializeReplyParser<McLeaseSetRequest>() {
			initializeStorageReplyCommon<McLeaseSetReply>();
		}
		
		template <>
		void McClientAsciiParser::initializeReplyParser<McCasRequest>() {
			initializeStorageReplyCommon<McCasReply>();
		}
		
		template <>
		void McClientAsciiParser::initializeReplyParser<McAppendRequest>() {
			initializeStorageReplyCommon<McAppendReply>();
		}
		
		template <>
		void McClientAsciiParser::initializeReplyParser<McPrependRequest>() {
			initializeStorageReplyCommon<McPrependReply>();
		}
		
		template <>
		void McClientAsciiParser::initializeReplyParser<McIncrRequest>() {
			initializeArithmReplyCommon<McIncrReply>();
		}
		
		template <>
		void McClientAsciiParser::initializeReplyParser<McDecrRequest>() {
			initializeArithmReplyCommon<McDecrReply>();
		}
		
		template <>
		void McClientAsciiParser::initializeReplyParser<McVersionRequest>() {
			initializeCommon<McVersionReply>();
			savedCs_ = mc_ascii_version_reply_en_version_reply;
			errorCs_ = mc_ascii_version_reply_error;
			consumer_ = &McClientAsciiParser::consumeMessage<McVersionRequest>;
		}
		
		template <>
		void McClientAsciiParser::initializeReplyParser<McDeleteRequest>() {
			initializeCommon<McDeleteReply>();
			savedCs_ = mc_ascii_delete_reply_en_delete_reply;
			errorCs_ = mc_ascii_delete_reply_error;
			consumer_ = &McClientAsciiParser::consumeMessage<McDeleteRequest>;
		}
		
		template <>
		void McClientAsciiParser::initializeReplyParser<McTouchRequest>() {
			initializeCommon<McTouchReply>();
			savedCs_ = mc_ascii_touch_reply_en_touch_reply;
			errorCs_ = mc_ascii_touch_reply_error;
			consumer_ = &McClientAsciiParser::consumeMessage<McTouchRequest>;
		}
		
		template <>
		void McClientAsciiParser::initializeReplyParser<McMetagetRequest>() {
			initializeCommon<McMetagetReply>();
			savedCs_ = mc_ascii_metaget_reply_en_metaget_reply;
			errorCs_ = mc_ascii_metaget_reply_error;
			consumer_ = &McClientAsciiParser::consumeMessage<McMetagetRequest>;
		}
		
		template <>
		void McClientAsciiParser::initializeReplyParser<McFlushAllRequest>() {
			initializeCommon<McFlushAllReply>();
			savedCs_ = mc_ascii_flushall_reply_en_flushall_reply;
			errorCs_ = mc_ascii_flushall_reply_error;
			consumer_ = &McClientAsciiParser::consumeMessage<McFlushAllRequest>;
		}
		
		
		template <class Reply>
		void McClientAsciiParser::initializeArithmReplyCommon() {
			initializeCommon<Reply>();
			savedCs_ = mc_ascii_arithm_reply_en_arithm_reply;
			errorCs_ = mc_ascii_arithm_reply_error;
			consumer_ = &McClientAsciiParser::consumeArithmReplyCommon<Reply>;
		}
		
		template <class Reply>
		void McClientAsciiParser::initializeStorageReplyCommon() {
			initializeCommon<Reply>();
			savedCs_ = mc_ascii_storage_reply_en_storage_reply;
			errorCs_ = mc_ascii_storage_reply_error;
			consumer_ = &McClientAsciiParser::consumeStorageReplyCommon<Reply>;
		}
		
		template <class Reply>
		void McClientAsciiParser::initializeCommon() {
			assert(state_ == State::UNINIT);
			
			currentUInt_ = 0;
			currentIOBuf_ = nullptr;
			remainingIOBufLength_ = 0;
			state_ = State::PARTIAL;
			
			currentMessage_.emplace<Reply>();
		}
		
		// Server parser.
		
		// Get-like requests (get, gets, lease-get, metaget).
		

#line 10851 "lib/network/McAsciiParser-gen.cpp"
static const int mc_ascii_get_like_req_body_start = 1;
		static const int mc_ascii_get_like_req_body_first_final = 5;
		static const int mc_ascii_get_like_req_body_error = 0;
		
		static const int mc_ascii_get_like_req_body_en_req_body = 1;
		
		
#line 667 "lib/network/McAsciiParser.rl"

		
		template <class Request>
		void McServerAsciiParser::consumeGetLike(folly::IOBuf& buffer) {
			auto& message = currentMessage_.get<Request>();

#line 10863 "lib/network/McAsciiParser-gen.cpp"
	{
			}

#line 10865 "lib/network/McAsciiParser-gen.cpp"
{
				
				_resume: {}
				if ( ( p_) == ( pe_) )
					goto _out;
				switch ( ( savedCs_) ) {
					case 1:
					switch( ( (*( ( p_)))) ) {
						case 32: {
							goto _ctr1;
						}
						case 127: {
							goto _ctr0;
						}
					}
					if ( 0 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 31 ) {
						goto _ctr0;
					}
					goto _ctr2;
					case 2:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr4;
						}
						case 13: {
							goto _ctr5;
						}
						case 32: {
							goto _ctr6;
						}
						case 127: {
							goto _ctr0;
						}
					}
					if ( 0 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 31 ) {
						goto _ctr0;
					}
					goto _ctr3;
					case 0:
					goto _again;
					case 5:
					goto _ctr0;
					case 3:
					if ( ( (*( ( p_)))) == 10 ) {
						goto _ctr8;
					}
					goto _ctr0;
					case 4:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr8;
						}
						case 13: {
							goto _ctr7;
						}
						case 32: {
							goto _ctr9;
						}
						case 127: {
							goto _ctr0;
						}
					}
					if ( 0 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 31 ) {
						goto _ctr0;
					}
					goto _ctr2;
				}
				
				_ctr0: ( savedCs_) = 0; goto _again;
				_ctr1: ( savedCs_) = 1; goto _again;
				_ctr3: ( savedCs_) = 2; goto _again;
				_ctr2: ( savedCs_) = 2; goto f0;
				_ctr7: ( savedCs_) = 3; goto _again;
				_ctr5: ( savedCs_) = 3; goto f2;
				_ctr9: ( savedCs_) = 4; goto _again;
				_ctr6: ( savedCs_) = 4; goto f2;
				( savedCs_) = 5; goto _again;
				_ctr4: ( savedCs_) = 5; goto f1;
				_ctr8: ( savedCs_) = 5; goto f3;
				
				f3:
					{
#line 67 "lib/network/McAsciiParser.rl"
					
					callback_->multiOpEnd();
					finishReq();
					{( p_) += 1; goto _out; }
				}
				
#line 10954 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f0:
					{
#line 83 "lib/network/McAsciiParser.rl"
					
					currentKey_.clear();
					keyPieceStart_ = p_;
				}
				
#line 10963 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f2:
					{
#line 88 "lib/network/McAsciiParser.rl"
					
					appendKeyPiece(buffer, currentKey_, keyPieceStart_, p_);
					keyPieceStart_ = nullptr;
					currentKey_.coalesce();
				}
				
#line 10973 "lib/network/McAsciiParser-gen.cpp"
	{
#line 95 "lib/network/McAsciiParser.rl"
					
					message.key_ref() = std::move(currentKey_);
				}
				
#line 10979 "lib/network/McAsciiParser-gen.cpp"
	{
#line 660 "lib/network/McAsciiParser.rl"
					
					callback_->onRequest(std::move(message));
				}
				
#line 10985 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f1:
					{
#line 88 "lib/network/McAsciiParser.rl"
					
					appendKeyPiece(buffer, currentKey_, keyPieceStart_, p_);
					keyPieceStart_ = nullptr;
					currentKey_.coalesce();
				}
				
#line 10995 "lib/network/McAsciiParser-gen.cpp"
	{
#line 95 "lib/network/McAsciiParser.rl"
					
					message.key_ref() = std::move(currentKey_);
				}
				
#line 11001 "lib/network/McAsciiParser-gen.cpp"
	{
#line 660 "lib/network/McAsciiParser.rl"
					
					callback_->onRequest(std::move(message));
				}
				
#line 11007 "lib/network/McAsciiParser-gen.cpp"
	{
#line 67 "lib/network/McAsciiParser.rl"
					
					callback_->multiOpEnd();
					finishReq();
					{( p_) += 1; goto _out; }
				}
				
#line 11015 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				
				_again: {}
				if ( ( savedCs_) != 0 ) {
					( p_) += 1;
					goto _resume;
				}
				_out: {}
			}
			
#line 676 "lib/network/McAsciiParser.rl"

		}
		
		template <class Request>
		void McServerAsciiParser::initGetLike() {
			savedCs_ = mc_ascii_get_like_req_body_en_req_body;
			errorCs_ = mc_ascii_get_like_req_body_error;
			state_ = State::PARTIAL;
			currentMessage_.emplace<Request>();
			consumer_ = &McServerAsciiParser::consumeGetLike<Request>;
		}
		
		// Gat-like requests (gat, gats).
		

#line 11039 "lib/network/McAsciiParser-gen.cpp"
static const int mc_ascii_gat_like_req_body_start = 1;
		static const int mc_ascii_gat_like_req_body_first_final = 8;
		static const int mc_ascii_gat_like_req_body_error = 0;
		
		static const int mc_ascii_gat_like_req_body_en_req_body = 1;
		
		
#line 701 "lib/network/McAsciiParser.rl"

		
		template <class Request>
		void McServerAsciiParser::consumeGatLike(folly::IOBuf& buffer) {
			auto& message = currentMessage_.get<Request>();

#line 11051 "lib/network/McAsciiParser-gen.cpp"
	{
			}

#line 11053 "lib/network/McAsciiParser-gen.cpp"
{
				
				_resume: {}
				if ( ( p_) == ( pe_) )
					goto _out;
				switch ( ( savedCs_) ) {
					case 1:
					switch( ( (*( ( p_)))) ) {
						case 32: {
							goto _ctr1;
						}
						case 45: {
							goto _ctr2;
						}
					}
					if ( 48 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 57 ) {
						goto _ctr3;
					}
					goto _ctr0;
					case 0:
					goto _again;
					case 2:
					if ( 48 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 57 ) {
						goto _ctr3;
					}
					goto _ctr0;
					case 3:
					if ( ( (*( ( p_)))) == 32 ) {
						goto _ctr6;
					}
					if ( 48 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 57 ) {
						goto _ctr7;
					}
					goto _ctr0;
					case 4:
					switch( ( (*( ( p_)))) ) {
						case 32: {
							goto _ctr8;
						}
						case 127: {
							goto _ctr0;
						}
					}
					if ( 0 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 31 ) {
						goto _ctr0;
					}
					goto _ctr9;
					case 5:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr11;
						}
						case 13: {
							goto _ctr12;
						}
						case 32: {
							goto _ctr13;
						}
						case 127: {
							goto _ctr0;
						}
					}
					if ( 0 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 31 ) {
						goto _ctr0;
					}
					goto _ctr10;
					case 8:
					goto _ctr0;
					case 6:
					if ( ( (*( ( p_)))) == 10 ) {
						goto _ctr15;
					}
					goto _ctr0;
					case 7:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr15;
						}
						case 13: {
							goto _ctr14;
						}
						case 32: {
							goto _ctr16;
						}
						case 127: {
							goto _ctr0;
						}
					}
					if ( 0 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 31 ) {
						goto _ctr0;
					}
					goto _ctr9;
				}
				
				_ctr0: ( savedCs_) = 0; goto _again;
				_ctr1: ( savedCs_) = 1; goto _again;
				( savedCs_) = 2; goto _again;
				_ctr2: ( savedCs_) = 2; goto f0;
				( savedCs_) = 3; goto _again;
				_ctr3: ( savedCs_) = 3; goto f1;
				_ctr7: ( savedCs_) = 3; goto f3;
				_ctr8: ( savedCs_) = 4; goto _again;
				_ctr6: ( savedCs_) = 4; goto f2;
				_ctr10: ( savedCs_) = 5; goto _again;
				_ctr9: ( savedCs_) = 5; goto f4;
				_ctr14: ( savedCs_) = 6; goto _again;
				_ctr12: ( savedCs_) = 6; goto f6;
				_ctr16: ( savedCs_) = 7; goto _again;
				_ctr13: ( savedCs_) = 7; goto f6;
				( savedCs_) = 8; goto _again;
				_ctr11: ( savedCs_) = 8; goto f5;
				_ctr15: ( savedCs_) = 8; goto f7;
				
				f7:
					{
#line 67 "lib/network/McAsciiParser.rl"
					
					callback_->multiOpEnd();
					finishReq();
					{( p_) += 1; goto _out; }
				}
				
#line 11175 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f4:
					{
#line 83 "lib/network/McAsciiParser.rl"
					
					currentKey_.clear();
					keyPieceStart_ = p_;
				}
				
#line 11184 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f3:
					{
#line 111 "lib/network/McAsciiParser.rl"
					
					currentUInt_ = currentUInt_ * 10 + ((( (*( ( p_))))) - '0');
				}
				
#line 11192 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f0:
					{
#line 115 "lib/network/McAsciiParser.rl"
					
					negative_ = true;
				}
				
#line 11200 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f2:
					{
#line 132 "lib/network/McAsciiParser.rl"
					
					auto value = static_cast<int32_t>(currentUInt_);
					message.exptime_ref() = negative_ ? -value : value;
					negative_ = false;
				}
				
#line 11210 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f1:
					{
#line 111 "lib/network/McAsciiParser.rl"
					currentUInt_ = 0; }
				
#line 11216 "lib/network/McAsciiParser-gen.cpp"
	{
#line 111 "lib/network/McAsciiParser.rl"
					
					currentUInt_ = currentUInt_ * 10 + ((( (*( ( p_))))) - '0');
				}
				
#line 11222 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f6:
					{
#line 88 "lib/network/McAsciiParser.rl"
					
					appendKeyPiece(buffer, currentKey_, keyPieceStart_, p_);
					keyPieceStart_ = nullptr;
					currentKey_.coalesce();
				}
				
#line 11232 "lib/network/McAsciiParser-gen.cpp"
	{
#line 95 "lib/network/McAsciiParser.rl"
					
					message.key_ref() = std::move(currentKey_);
				}
				
#line 11238 "lib/network/McAsciiParser-gen.cpp"
	{
#line 694 "lib/network/McAsciiParser.rl"
					
					callback_->onRequest(std::move(message));
				}
				
#line 11244 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f5:
					{
#line 88 "lib/network/McAsciiParser.rl"
					
					appendKeyPiece(buffer, currentKey_, keyPieceStart_, p_);
					keyPieceStart_ = nullptr;
					currentKey_.coalesce();
				}
				
#line 11254 "lib/network/McAsciiParser-gen.cpp"
	{
#line 95 "lib/network/McAsciiParser.rl"
					
					message.key_ref() = std::move(currentKey_);
				}
				
#line 11260 "lib/network/McAsciiParser-gen.cpp"
	{
#line 694 "lib/network/McAsciiParser.rl"
					
					callback_->onRequest(std::move(message));
				}
				
#line 11266 "lib/network/McAsciiParser-gen.cpp"
	{
#line 67 "lib/network/McAsciiParser.rl"
					
					callback_->multiOpEnd();
					finishReq();
					{( p_) += 1; goto _out; }
				}
				
#line 11274 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				
				_again: {}
				if ( ( savedCs_) != 0 ) {
					( p_) += 1;
					goto _resume;
				}
				_out: {}
			}
			
#line 710 "lib/network/McAsciiParser.rl"

		}
		
		template <class Request>
		void McServerAsciiParser::initGatLike() {
			savedCs_ = mc_ascii_gat_like_req_body_en_req_body;
			errorCs_ = mc_ascii_gat_like_req_body_error;
			state_ = State::PARTIAL;
			currentMessage_.emplace<Request>();
			consumer_ = &McServerAsciiParser::consumeGatLike<Request>;
		}
		
		// Set-like requests (set, add, replace, append, prepend).
		

#line 11298 "lib/network/McAsciiParser-gen.cpp"
static const int mc_ascii_set_like_req_body_start = 1;
		static const int mc_ascii_set_like_req_body_first_final = 22;
		static const int mc_ascii_set_like_req_body_error = 0;
		
		static const int mc_ascii_set_like_req_body_en_req_body = 1;
		
		
#line 736 "lib/network/McAsciiParser.rl"

		
		template <class Request>
		void McServerAsciiParser::consumeSetLike(folly::IOBuf& buffer) {
			auto& message = currentMessage_.get<Request>();

#line 11310 "lib/network/McAsciiParser-gen.cpp"
	{
			}

#line 11312 "lib/network/McAsciiParser-gen.cpp"
{
				
				_resume: {}
				if ( ( p_) == ( pe_) )
					goto _out;
				switch ( ( savedCs_) ) {
					case 1:
					switch( ( (*( ( p_)))) ) {
						case 32: {
							goto _ctr1;
						}
						case 127: {
							goto _ctr0;
						}
					}
					if ( 0 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 31 ) {
						goto _ctr0;
					}
					goto _ctr2;
					case 2:
					switch( ( (*( ( p_)))) ) {
						case 32: {
							goto _ctr4;
						}
						case 127: {
							goto _ctr0;
						}
					}
					if ( 0 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 31 ) {
						goto _ctr0;
					}
					goto _ctr3;
					case 0:
					goto _again;
					case 3:
					if ( ( (*( ( p_)))) == 32 ) {
						goto _ctr5;
					}
					if ( 48 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 57 ) {
						goto _ctr6;
					}
					goto _ctr0;
					case 4:
					if ( ( (*( ( p_)))) == 32 ) {
						goto _ctr8;
					}
					if ( 48 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 57 ) {
						goto _ctr9;
					}
					goto _ctr0;
					case 5:
					switch( ( (*( ( p_)))) ) {
						case 32: {
							goto _ctr10;
						}
						case 45: {
							goto _ctr11;
						}
					}
					if ( 48 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 57 ) {
						goto _ctr12;
					}
					goto _ctr0;
					case 6:
					if ( 48 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 57 ) {
						goto _ctr12;
					}
					goto _ctr0;
					case 7:
					if ( ( (*( ( p_)))) == 32 ) {
						goto _ctr15;
					}
					if ( 48 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 57 ) {
						goto _ctr16;
					}
					goto _ctr0;
					case 8:
					if ( ( (*( ( p_)))) == 32 ) {
						goto _ctr17;
					}
					if ( 48 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 57 ) {
						goto _ctr18;
					}
					goto _ctr0;
					case 9:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr20;
						}
						case 13: {
							goto _ctr21;
						}
						case 32: {
							goto _ctr22;
						}
					}
					if ( 48 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 57 ) {
						goto _ctr23;
					}
					goto _ctr0;
					case 10:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr25;
						}
						case 13: {
							goto _ctr26;
						}
					}
					goto _ctr0;
					case 22:
					goto _ctr0;
					case 11:
					if ( ( (*( ( p_)))) == 10 ) {
						goto _ctr25;
					}
					goto _ctr0;
					case 12:
					if ( ( (*( ( p_)))) == 10 ) {
						goto _ctr28;
					}
					goto _ctr0;
					case 13:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr28;
						}
						case 13: {
							goto _ctr27;
						}
						case 32: {
							goto _ctr29;
						}
						case 110: {
							goto _ctr30;
						}
					}
					goto _ctr0;
					case 14:
					if ( ( (*( ( p_)))) == 111 ) {
						goto _ctr31;
					}
					goto _ctr0;
					case 15:
					if ( ( (*( ( p_)))) == 114 ) {
						goto _ctr32;
					}
					goto _ctr0;
					case 16:
					if ( ( (*( ( p_)))) == 101 ) {
						goto _ctr33;
					}
					goto _ctr0;
					case 17:
					if ( ( (*( ( p_)))) == 112 ) {
						goto _ctr34;
					}
					goto _ctr0;
					case 18:
					if ( ( (*( ( p_)))) == 108 ) {
						goto _ctr35;
					}
					goto _ctr0;
					case 19:
					if ( ( (*( ( p_)))) == 121 ) {
						goto _ctr36;
					}
					goto _ctr0;
					case 20:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr37;
						}
						case 13: {
							goto _ctr38;
						}
						case 32: {
							goto _ctr39;
						}
					}
					goto _ctr0;
					case 21:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr28;
						}
						case 13: {
							goto _ctr27;
						}
						case 32: {
							goto _ctr40;
						}
					}
					goto _ctr0;
				}
				
				_ctr0: ( savedCs_) = 0; goto _again;
				_ctr1: ( savedCs_) = 1; goto _again;
				_ctr3: ( savedCs_) = 2; goto _again;
				_ctr2: ( savedCs_) = 2; goto f0;
				_ctr5: ( savedCs_) = 3; goto _again;
				_ctr4: ( savedCs_) = 3; goto f1;
				( savedCs_) = 4; goto _again;
				_ctr6: ( savedCs_) = 4; goto f2;
				_ctr9: ( savedCs_) = 4; goto f4;
				_ctr10: ( savedCs_) = 5; goto _again;
				_ctr8: ( savedCs_) = 5; goto f3;
				( savedCs_) = 6; goto _again;
				_ctr11: ( savedCs_) = 6; goto f5;
				( savedCs_) = 7; goto _again;
				_ctr12: ( savedCs_) = 7; goto f2;
				_ctr16: ( savedCs_) = 7; goto f4;
				_ctr17: ( savedCs_) = 8; goto _again;
				_ctr15: ( savedCs_) = 8; goto f6;
				( savedCs_) = 9; goto _again;
				_ctr18: ( savedCs_) = 9; goto f2;
				_ctr23: ( savedCs_) = 9; goto f4;
				( savedCs_) = 10; goto _again;
				_ctr20: ( savedCs_) = 10; goto f7;
				_ctr28: ( savedCs_) = 10; goto f10;
				_ctr37: ( savedCs_) = 10; goto f11;
				_ctr26: ( savedCs_) = 11; goto _again;
				_ctr27: ( savedCs_) = 12; goto _again;
				_ctr21: ( savedCs_) = 12; goto f8;
				_ctr38: ( savedCs_) = 12; goto f12;
				_ctr29: ( savedCs_) = 13; goto _again;
				_ctr22: ( savedCs_) = 13; goto f8;
				_ctr30: ( savedCs_) = 14; goto _again;
				_ctr31: ( savedCs_) = 15; goto _again;
				_ctr32: ( savedCs_) = 16; goto _again;
				_ctr33: ( savedCs_) = 17; goto _again;
				_ctr34: ( savedCs_) = 18; goto _again;
				_ctr35: ( savedCs_) = 19; goto _again;
				_ctr36: ( savedCs_) = 20; goto _again;
				_ctr40: ( savedCs_) = 21; goto _again;
				_ctr39: ( savedCs_) = 21; goto f12;
				( savedCs_) = 22; goto _again;
				_ctr25: ( savedCs_) = 22; goto f9;
				
				f10:
					{
#line 47 "lib/network/McAsciiParser.rl"
					
					if (!readValue(buffer, *message.value_ref())) {
						{( p_) += 1; goto _out; }
					}
				}
				
#line 11560 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f12:
					{
#line 60 "lib/network/McAsciiParser.rl"
					
					noreply_ = true;
				}
				
#line 11568 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f0:
					{
#line 83 "lib/network/McAsciiParser.rl"
					
					currentKey_.clear();
					keyPieceStart_ = p_;
				}
				
#line 11577 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f4:
					{
#line 111 "lib/network/McAsciiParser.rl"
					
					currentUInt_ = currentUInt_ * 10 + ((( (*( ( p_))))) - '0');
				}
				
#line 11585 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f5:
					{
#line 115 "lib/network/McAsciiParser.rl"
					
					negative_ = true;
				}
				
#line 11593 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f3:
					{
#line 120 "lib/network/McAsciiParser.rl"
					
					message.flags_ref() = currentUInt_;
				}
				
#line 11601 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f6:
					{
#line 132 "lib/network/McAsciiParser.rl"
					
					auto value = static_cast<int32_t>(currentUInt_);
					message.exptime_ref() = negative_ ? -value : value;
					negative_ = false;
				}
				
#line 11611 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f8:
					{
#line 138 "lib/network/McAsciiParser.rl"
					
					remainingIOBufLength_ = static_cast<size_t>(currentUInt_);
					// Enforce maximum on value size obtained from parser                       
					if (remainingIOBufLength_ > maxValueBytes) {
						remainingIOBufLength_ = maxValueBytes;                                    
					}
				}
				
#line 11623 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f9:
					{
#line 729 "lib/network/McAsciiParser.rl"
					
					callback_->onRequest(std::move(message), noreply_);
					finishReq();
					{( p_) += 1; goto _out; }
				}
				
#line 11633 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f11:
					{
#line 60 "lib/network/McAsciiParser.rl"
					
					noreply_ = true;
				}
				
#line 11641 "lib/network/McAsciiParser-gen.cpp"
	{
#line 47 "lib/network/McAsciiParser.rl"
					
					if (!readValue(buffer, *message.value_ref())) {
						{( p_) += 1; goto _out; }
					}
				}
				
#line 11649 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f1:
					{
#line 88 "lib/network/McAsciiParser.rl"
					
					appendKeyPiece(buffer, currentKey_, keyPieceStart_, p_);
					keyPieceStart_ = nullptr;
					currentKey_.coalesce();
				}
				
#line 11659 "lib/network/McAsciiParser-gen.cpp"
	{
#line 95 "lib/network/McAsciiParser.rl"
					
					message.key_ref() = std::move(currentKey_);
				}
				
#line 11665 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f2:
					{
#line 111 "lib/network/McAsciiParser.rl"
					currentUInt_ = 0; }
				
#line 11671 "lib/network/McAsciiParser-gen.cpp"
	{
#line 111 "lib/network/McAsciiParser.rl"
					
					currentUInt_ = currentUInt_ * 10 + ((( (*( ( p_))))) - '0');
				}
				
#line 11677 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f7:
					{
#line 138 "lib/network/McAsciiParser.rl"
					
					remainingIOBufLength_ = static_cast<size_t>(currentUInt_);
					// Enforce maximum on value size obtained from parser                       
					if (remainingIOBufLength_ > maxValueBytes) {
						remainingIOBufLength_ = maxValueBytes;                                    
					}
				}
				
#line 11689 "lib/network/McAsciiParser-gen.cpp"
	{
#line 47 "lib/network/McAsciiParser.rl"
					
					if (!readValue(buffer, *message.value_ref())) {
						{( p_) += 1; goto _out; }
					}
				}
				
#line 11697 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				
				_again: {}
				if ( ( savedCs_) != 0 ) {
					( p_) += 1;
					goto _resume;
				}
				_out: {}
			}
			
#line 745 "lib/network/McAsciiParser.rl"

		}
		
		template <class Request>
		void McServerAsciiParser::initSetLike() {
			savedCs_ = mc_ascii_set_like_req_body_en_req_body;
			errorCs_ = mc_ascii_set_like_req_body_error;
			state_ = State::PARTIAL;
			currentMessage_.emplace<Request>();
			consumer_ = &McServerAsciiParser::consumeSetLike<Request>;
		}
		
		// Cas request.
		

#line 11721 "lib/network/McAsciiParser-gen.cpp"
static const int mc_ascii_cas_req_body_start = 1;
		static const int mc_ascii_cas_req_body_first_final = 24;
		static const int mc_ascii_cas_req_body_error = 0;
		
		static const int mc_ascii_cas_req_body_en_req_body = 1;
		
		
#line 771 "lib/network/McAsciiParser.rl"

		
		void McServerAsciiParser::consumeCas(folly::IOBuf& buffer) {
			auto& message = currentMessage_.get<McCasRequest>();

#line 11732 "lib/network/McAsciiParser-gen.cpp"
	{
			}

#line 11734 "lib/network/McAsciiParser-gen.cpp"
{
				
				_resume: {}
				if ( ( p_) == ( pe_) )
					goto _out;
				switch ( ( savedCs_) ) {
					case 1:
					switch( ( (*( ( p_)))) ) {
						case 32: {
							goto _ctr1;
						}
						case 127: {
							goto _ctr0;
						}
					}
					if ( 0 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 31 ) {
						goto _ctr0;
					}
					goto _ctr2;
					case 2:
					switch( ( (*( ( p_)))) ) {
						case 32: {
							goto _ctr4;
						}
						case 127: {
							goto _ctr0;
						}
					}
					if ( 0 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 31 ) {
						goto _ctr0;
					}
					goto _ctr3;
					case 0:
					goto _again;
					case 3:
					if ( ( (*( ( p_)))) == 32 ) {
						goto _ctr5;
					}
					if ( 48 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 57 ) {
						goto _ctr6;
					}
					goto _ctr0;
					case 4:
					if ( ( (*( ( p_)))) == 32 ) {
						goto _ctr8;
					}
					if ( 48 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 57 ) {
						goto _ctr9;
					}
					goto _ctr0;
					case 5:
					switch( ( (*( ( p_)))) ) {
						case 32: {
							goto _ctr10;
						}
						case 45: {
							goto _ctr11;
						}
					}
					if ( 48 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 57 ) {
						goto _ctr12;
					}
					goto _ctr0;
					case 6:
					if ( 48 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 57 ) {
						goto _ctr12;
					}
					goto _ctr0;
					case 7:
					if ( ( (*( ( p_)))) == 32 ) {
						goto _ctr15;
					}
					if ( 48 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 57 ) {
						goto _ctr16;
					}
					goto _ctr0;
					case 8:
					if ( ( (*( ( p_)))) == 32 ) {
						goto _ctr17;
					}
					if ( 48 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 57 ) {
						goto _ctr18;
					}
					goto _ctr0;
					case 9:
					if ( ( (*( ( p_)))) == 32 ) {
						goto _ctr20;
					}
					if ( 48 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 57 ) {
						goto _ctr21;
					}
					goto _ctr0;
					case 10:
					if ( ( (*( ( p_)))) == 32 ) {
						goto _ctr22;
					}
					if ( 48 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 57 ) {
						goto _ctr23;
					}
					goto _ctr0;
					case 11:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr25;
						}
						case 13: {
							goto _ctr26;
						}
						case 32: {
							goto _ctr27;
						}
					}
					if ( 48 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 57 ) {
						goto _ctr28;
					}
					goto _ctr0;
					case 12:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr30;
						}
						case 13: {
							goto _ctr31;
						}
					}
					goto _ctr0;
					case 24:
					goto _ctr0;
					case 13:
					if ( ( (*( ( p_)))) == 10 ) {
						goto _ctr30;
					}
					goto _ctr0;
					case 14:
					if ( ( (*( ( p_)))) == 10 ) {
						goto _ctr33;
					}
					goto _ctr0;
					case 15:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr33;
						}
						case 13: {
							goto _ctr32;
						}
						case 32: {
							goto _ctr34;
						}
						case 110: {
							goto _ctr35;
						}
					}
					goto _ctr0;
					case 16:
					if ( ( (*( ( p_)))) == 111 ) {
						goto _ctr36;
					}
					goto _ctr0;
					case 17:
					if ( ( (*( ( p_)))) == 114 ) {
						goto _ctr37;
					}
					goto _ctr0;
					case 18:
					if ( ( (*( ( p_)))) == 101 ) {
						goto _ctr38;
					}
					goto _ctr0;
					case 19:
					if ( ( (*( ( p_)))) == 112 ) {
						goto _ctr39;
					}
					goto _ctr0;
					case 20:
					if ( ( (*( ( p_)))) == 108 ) {
						goto _ctr40;
					}
					goto _ctr0;
					case 21:
					if ( ( (*( ( p_)))) == 121 ) {
						goto _ctr41;
					}
					goto _ctr0;
					case 22:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr42;
						}
						case 13: {
							goto _ctr43;
						}
						case 32: {
							goto _ctr44;
						}
					}
					goto _ctr0;
					case 23:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr33;
						}
						case 13: {
							goto _ctr32;
						}
						case 32: {
							goto _ctr45;
						}
					}
					goto _ctr0;
				}
				
				_ctr0: ( savedCs_) = 0; goto _again;
				_ctr1: ( savedCs_) = 1; goto _again;
				_ctr3: ( savedCs_) = 2; goto _again;
				_ctr2: ( savedCs_) = 2; goto f0;
				_ctr5: ( savedCs_) = 3; goto _again;
				_ctr4: ( savedCs_) = 3; goto f1;
				( savedCs_) = 4; goto _again;
				_ctr6: ( savedCs_) = 4; goto f2;
				_ctr9: ( savedCs_) = 4; goto f4;
				_ctr10: ( savedCs_) = 5; goto _again;
				_ctr8: ( savedCs_) = 5; goto f3;
				( savedCs_) = 6; goto _again;
				_ctr11: ( savedCs_) = 6; goto f5;
				( savedCs_) = 7; goto _again;
				_ctr12: ( savedCs_) = 7; goto f2;
				_ctr16: ( savedCs_) = 7; goto f4;
				_ctr17: ( savedCs_) = 8; goto _again;
				_ctr15: ( savedCs_) = 8; goto f6;
				( savedCs_) = 9; goto _again;
				_ctr18: ( savedCs_) = 9; goto f2;
				_ctr21: ( savedCs_) = 9; goto f4;
				_ctr22: ( savedCs_) = 10; goto _again;
				_ctr20: ( savedCs_) = 10; goto f7;
				( savedCs_) = 11; goto _again;
				_ctr23: ( savedCs_) = 11; goto f2;
				_ctr28: ( savedCs_) = 11; goto f4;
				( savedCs_) = 12; goto _again;
				_ctr25: ( savedCs_) = 12; goto f8;
				_ctr33: ( savedCs_) = 12; goto f11;
				_ctr42: ( savedCs_) = 12; goto f12;
				_ctr31: ( savedCs_) = 13; goto _again;
				_ctr32: ( savedCs_) = 14; goto _again;
				_ctr26: ( savedCs_) = 14; goto f9;
				_ctr43: ( savedCs_) = 14; goto f13;
				_ctr34: ( savedCs_) = 15; goto _again;
				_ctr27: ( savedCs_) = 15; goto f9;
				_ctr35: ( savedCs_) = 16; goto _again;
				_ctr36: ( savedCs_) = 17; goto _again;
				_ctr37: ( savedCs_) = 18; goto _again;
				_ctr38: ( savedCs_) = 19; goto _again;
				_ctr39: ( savedCs_) = 20; goto _again;
				_ctr40: ( savedCs_) = 21; goto _again;
				_ctr41: ( savedCs_) = 22; goto _again;
				_ctr45: ( savedCs_) = 23; goto _again;
				_ctr44: ( savedCs_) = 23; goto f13;
				( savedCs_) = 24; goto _again;
				_ctr30: ( savedCs_) = 24; goto f10;
				
				f11:
					{
#line 47 "lib/network/McAsciiParser.rl"
					
					if (!readValue(buffer, *message.value_ref())) {
						{( p_) += 1; goto _out; }
					}
				}
				
#line 12003 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f13:
					{
#line 60 "lib/network/McAsciiParser.rl"
					
					noreply_ = true;
				}
				
#line 12011 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f0:
					{
#line 83 "lib/network/McAsciiParser.rl"
					
					currentKey_.clear();
					keyPieceStart_ = p_;
				}
				
#line 12020 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f4:
					{
#line 111 "lib/network/McAsciiParser.rl"
					
					currentUInt_ = currentUInt_ * 10 + ((( (*( ( p_))))) - '0');
				}
				
#line 12028 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f5:
					{
#line 115 "lib/network/McAsciiParser.rl"
					
					negative_ = true;
				}
				
#line 12036 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f3:
					{
#line 120 "lib/network/McAsciiParser.rl"
					
					message.flags_ref() = currentUInt_;
				}
				
#line 12044 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f6:
					{
#line 132 "lib/network/McAsciiParser.rl"
					
					auto value = static_cast<int32_t>(currentUInt_);
					message.exptime_ref() = negative_ ? -value : value;
					negative_ = false;
				}
				
#line 12054 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f7:
					{
#line 138 "lib/network/McAsciiParser.rl"
					
					remainingIOBufLength_ = static_cast<size_t>(currentUInt_);
					// Enforce maximum on value size obtained from parser                       
					if (remainingIOBufLength_ > maxValueBytes) {
						remainingIOBufLength_ = maxValueBytes;                                    
					}
				}
				
#line 12066 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f9:
					{
#line 146 "lib/network/McAsciiParser.rl"
					
					message.casToken_ref() = currentUInt_;
				}
				
#line 12074 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f10:
					{
#line 764 "lib/network/McAsciiParser.rl"
					
					callback_->onRequest(std::move(message), noreply_);
					finishReq();
					{( p_) += 1; goto _out; }
				}
				
#line 12084 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f12:
					{
#line 60 "lib/network/McAsciiParser.rl"
					
					noreply_ = true;
				}
				
#line 12092 "lib/network/McAsciiParser-gen.cpp"
	{
#line 47 "lib/network/McAsciiParser.rl"
					
					if (!readValue(buffer, *message.value_ref())) {
						{( p_) += 1; goto _out; }
					}
				}
				
#line 12100 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f1:
					{
#line 88 "lib/network/McAsciiParser.rl"
					
					appendKeyPiece(buffer, currentKey_, keyPieceStart_, p_);
					keyPieceStart_ = nullptr;
					currentKey_.coalesce();
				}
				
#line 12110 "lib/network/McAsciiParser-gen.cpp"
	{
#line 95 "lib/network/McAsciiParser.rl"
					
					message.key_ref() = std::move(currentKey_);
				}
				
#line 12116 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f2:
					{
#line 111 "lib/network/McAsciiParser.rl"
					currentUInt_ = 0; }
				
#line 12122 "lib/network/McAsciiParser-gen.cpp"
	{
#line 111 "lib/network/McAsciiParser.rl"
					
					currentUInt_ = currentUInt_ * 10 + ((( (*( ( p_))))) - '0');
				}
				
#line 12128 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f8:
					{
#line 146 "lib/network/McAsciiParser.rl"
					
					message.casToken_ref() = currentUInt_;
				}
				
#line 12136 "lib/network/McAsciiParser-gen.cpp"
	{
#line 47 "lib/network/McAsciiParser.rl"
					
					if (!readValue(buffer, *message.value_ref())) {
						{( p_) += 1; goto _out; }
					}
				}
				
#line 12144 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				
				_again: {}
				if ( ( savedCs_) != 0 ) {
					( p_) += 1;
					goto _resume;
				}
				_out: {}
			}
			
#line 779 "lib/network/McAsciiParser.rl"

		}
		
		// Lease-set request.
		

#line 12159 "lib/network/McAsciiParser-gen.cpp"
static const int mc_ascii_lease_set_req_body_start = 1;
		static const int mc_ascii_lease_set_req_body_first_final = 24;
		static const int mc_ascii_lease_set_req_body_error = 0;
		
		static const int mc_ascii_lease_set_req_body_en_req_body = 1;
		
		
#line 797 "lib/network/McAsciiParser.rl"

		
		void McServerAsciiParser::consumeLeaseSet(folly::IOBuf& buffer) {
			auto& message =
			currentMessage_.get<McLeaseSetRequest>();

#line 12171 "lib/network/McAsciiParser-gen.cpp"
	{
			}

#line 12173 "lib/network/McAsciiParser-gen.cpp"
{
				
				_resume: {}
				if ( ( p_) == ( pe_) )
					goto _out;
				switch ( ( savedCs_) ) {
					case 1:
					switch( ( (*( ( p_)))) ) {
						case 32: {
							goto _ctr1;
						}
						case 127: {
							goto _ctr0;
						}
					}
					if ( 0 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 31 ) {
						goto _ctr0;
					}
					goto _ctr2;
					case 2:
					switch( ( (*( ( p_)))) ) {
						case 32: {
							goto _ctr4;
						}
						case 127: {
							goto _ctr0;
						}
					}
					if ( 0 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 31 ) {
						goto _ctr0;
					}
					goto _ctr3;
					case 0:
					goto _again;
					case 3:
					if ( ( (*( ( p_)))) == 32 ) {
						goto _ctr5;
					}
					if ( 48 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 57 ) {
						goto _ctr6;
					}
					goto _ctr0;
					case 4:
					if ( ( (*( ( p_)))) == 32 ) {
						goto _ctr8;
					}
					if ( 48 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 57 ) {
						goto _ctr9;
					}
					goto _ctr0;
					case 5:
					if ( ( (*( ( p_)))) == 32 ) {
						goto _ctr10;
					}
					if ( 48 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 57 ) {
						goto _ctr11;
					}
					goto _ctr0;
					case 6:
					if ( ( (*( ( p_)))) == 32 ) {
						goto _ctr13;
					}
					if ( 48 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 57 ) {
						goto _ctr14;
					}
					goto _ctr0;
					case 7:
					switch( ( (*( ( p_)))) ) {
						case 32: {
							goto _ctr15;
						}
						case 45: {
							goto _ctr16;
						}
					}
					if ( 48 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 57 ) {
						goto _ctr17;
					}
					goto _ctr0;
					case 8:
					if ( 48 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 57 ) {
						goto _ctr17;
					}
					goto _ctr0;
					case 9:
					if ( ( (*( ( p_)))) == 32 ) {
						goto _ctr20;
					}
					if ( 48 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 57 ) {
						goto _ctr21;
					}
					goto _ctr0;
					case 10:
					if ( ( (*( ( p_)))) == 32 ) {
						goto _ctr22;
					}
					if ( 48 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 57 ) {
						goto _ctr23;
					}
					goto _ctr0;
					case 11:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr25;
						}
						case 13: {
							goto _ctr26;
						}
						case 32: {
							goto _ctr27;
						}
					}
					if ( 48 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 57 ) {
						goto _ctr28;
					}
					goto _ctr0;
					case 12:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr30;
						}
						case 13: {
							goto _ctr31;
						}
					}
					goto _ctr0;
					case 24:
					goto _ctr0;
					case 13:
					if ( ( (*( ( p_)))) == 10 ) {
						goto _ctr30;
					}
					goto _ctr0;
					case 14:
					if ( ( (*( ( p_)))) == 10 ) {
						goto _ctr33;
					}
					goto _ctr0;
					case 15:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr33;
						}
						case 13: {
							goto _ctr32;
						}
						case 32: {
							goto _ctr34;
						}
						case 110: {
							goto _ctr35;
						}
					}
					goto _ctr0;
					case 16:
					if ( ( (*( ( p_)))) == 111 ) {
						goto _ctr36;
					}
					goto _ctr0;
					case 17:
					if ( ( (*( ( p_)))) == 114 ) {
						goto _ctr37;
					}
					goto _ctr0;
					case 18:
					if ( ( (*( ( p_)))) == 101 ) {
						goto _ctr38;
					}
					goto _ctr0;
					case 19:
					if ( ( (*( ( p_)))) == 112 ) {
						goto _ctr39;
					}
					goto _ctr0;
					case 20:
					if ( ( (*( ( p_)))) == 108 ) {
						goto _ctr40;
					}
					goto _ctr0;
					case 21:
					if ( ( (*( ( p_)))) == 121 ) {
						goto _ctr41;
					}
					goto _ctr0;
					case 22:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr42;
						}
						case 13: {
							goto _ctr43;
						}
						case 32: {
							goto _ctr44;
						}
					}
					goto _ctr0;
					case 23:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr33;
						}
						case 13: {
							goto _ctr32;
						}
						case 32: {
							goto _ctr45;
						}
					}
					goto _ctr0;
				}
				
				_ctr0: ( savedCs_) = 0; goto _again;
				_ctr1: ( savedCs_) = 1; goto _again;
				_ctr3: ( savedCs_) = 2; goto _again;
				_ctr2: ( savedCs_) = 2; goto f0;
				_ctr5: ( savedCs_) = 3; goto _again;
				_ctr4: ( savedCs_) = 3; goto f1;
				( savedCs_) = 4; goto _again;
				_ctr6: ( savedCs_) = 4; goto f2;
				_ctr9: ( savedCs_) = 4; goto f4;
				_ctr10: ( savedCs_) = 5; goto _again;
				_ctr8: ( savedCs_) = 5; goto f3;
				( savedCs_) = 6; goto _again;
				_ctr11: ( savedCs_) = 6; goto f2;
				_ctr14: ( savedCs_) = 6; goto f4;
				_ctr15: ( savedCs_) = 7; goto _again;
				_ctr13: ( savedCs_) = 7; goto f5;
				( savedCs_) = 8; goto _again;
				_ctr16: ( savedCs_) = 8; goto f6;
				( savedCs_) = 9; goto _again;
				_ctr17: ( savedCs_) = 9; goto f2;
				_ctr21: ( savedCs_) = 9; goto f4;
				_ctr22: ( savedCs_) = 10; goto _again;
				_ctr20: ( savedCs_) = 10; goto f7;
				( savedCs_) = 11; goto _again;
				_ctr23: ( savedCs_) = 11; goto f2;
				_ctr28: ( savedCs_) = 11; goto f4;
				( savedCs_) = 12; goto _again;
				_ctr25: ( savedCs_) = 12; goto f8;
				_ctr33: ( savedCs_) = 12; goto f11;
				_ctr42: ( savedCs_) = 12; goto f12;
				_ctr31: ( savedCs_) = 13; goto _again;
				_ctr32: ( savedCs_) = 14; goto _again;
				_ctr26: ( savedCs_) = 14; goto f9;
				_ctr43: ( savedCs_) = 14; goto f13;
				_ctr34: ( savedCs_) = 15; goto _again;
				_ctr27: ( savedCs_) = 15; goto f9;
				_ctr35: ( savedCs_) = 16; goto _again;
				_ctr36: ( savedCs_) = 17; goto _again;
				_ctr37: ( savedCs_) = 18; goto _again;
				_ctr38: ( savedCs_) = 19; goto _again;
				_ctr39: ( savedCs_) = 20; goto _again;
				_ctr40: ( savedCs_) = 21; goto _again;
				_ctr41: ( savedCs_) = 22; goto _again;
				_ctr45: ( savedCs_) = 23; goto _again;
				_ctr44: ( savedCs_) = 23; goto f13;
				( savedCs_) = 24; goto _again;
				_ctr30: ( savedCs_) = 24; goto f10;
				
				f11:
					{
#line 47 "lib/network/McAsciiParser.rl"
					
					if (!readValue(buffer, *message.value_ref())) {
						{( p_) += 1; goto _out; }
					}
				}
				
#line 12442 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f13:
					{
#line 60 "lib/network/McAsciiParser.rl"
					
					noreply_ = true;
				}
				
#line 12450 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f0:
					{
#line 83 "lib/network/McAsciiParser.rl"
					
					currentKey_.clear();
					keyPieceStart_ = p_;
				}
				
#line 12459 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f4:
					{
#line 111 "lib/network/McAsciiParser.rl"
					
					currentUInt_ = currentUInt_ * 10 + ((( (*( ( p_))))) - '0');
				}
				
#line 12467 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f6:
					{
#line 115 "lib/network/McAsciiParser.rl"
					
					negative_ = true;
				}
				
#line 12475 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f5:
					{
#line 120 "lib/network/McAsciiParser.rl"
					
					message.flags_ref() = currentUInt_;
				}
				
#line 12483 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f7:
					{
#line 132 "lib/network/McAsciiParser.rl"
					
					auto value = static_cast<int32_t>(currentUInt_);
					message.exptime_ref() = negative_ ? -value : value;
					negative_ = false;
				}
				
#line 12493 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f9:
					{
#line 138 "lib/network/McAsciiParser.rl"
					
					remainingIOBufLength_ = static_cast<size_t>(currentUInt_);
					// Enforce maximum on value size obtained from parser                       
					if (remainingIOBufLength_ > maxValueBytes) {
						remainingIOBufLength_ = maxValueBytes;                                    
					}
				}
				
#line 12505 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f3:
					{
#line 154 "lib/network/McAsciiParser.rl"
					
					// NOTE: we don't support -1 lease token.
					message.leaseToken_ref() = currentUInt_;
				}
				
#line 12514 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f10:
					{
#line 790 "lib/network/McAsciiParser.rl"
					
					callback_->onRequest(std::move(message), noreply_);
					finishReq();
					{( p_) += 1; goto _out; }
				}
				
#line 12524 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f12:
					{
#line 60 "lib/network/McAsciiParser.rl"
					
					noreply_ = true;
				}
				
#line 12532 "lib/network/McAsciiParser-gen.cpp"
	{
#line 47 "lib/network/McAsciiParser.rl"
					
					if (!readValue(buffer, *message.value_ref())) {
						{( p_) += 1; goto _out; }
					}
				}
				
#line 12540 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f1:
					{
#line 88 "lib/network/McAsciiParser.rl"
					
					appendKeyPiece(buffer, currentKey_, keyPieceStart_, p_);
					keyPieceStart_ = nullptr;
					currentKey_.coalesce();
				}
				
#line 12550 "lib/network/McAsciiParser-gen.cpp"
	{
#line 95 "lib/network/McAsciiParser.rl"
					
					message.key_ref() = std::move(currentKey_);
				}
				
#line 12556 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f2:
					{
#line 111 "lib/network/McAsciiParser.rl"
					currentUInt_ = 0; }
				
#line 12562 "lib/network/McAsciiParser-gen.cpp"
	{
#line 111 "lib/network/McAsciiParser.rl"
					
					currentUInt_ = currentUInt_ * 10 + ((( (*( ( p_))))) - '0');
				}
				
#line 12568 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f8:
					{
#line 138 "lib/network/McAsciiParser.rl"
					
					remainingIOBufLength_ = static_cast<size_t>(currentUInt_);
					// Enforce maximum on value size obtained from parser                       
					if (remainingIOBufLength_ > maxValueBytes) {
						remainingIOBufLength_ = maxValueBytes;                                    
					}
				}
				
#line 12580 "lib/network/McAsciiParser-gen.cpp"
	{
#line 47 "lib/network/McAsciiParser.rl"
					
					if (!readValue(buffer, *message.value_ref())) {
						{( p_) += 1; goto _out; }
					}
				}
				
#line 12588 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				
				_again: {}
				if ( ( savedCs_) != 0 ) {
					( p_) += 1;
					goto _resume;
				}
				_out: {}
			}
			
#line 806 "lib/network/McAsciiParser.rl"

		}
		
		// Delete request.
		

#line 12603 "lib/network/McAsciiParser-gen.cpp"
static const int mc_ascii_delete_req_body_start = 1;
		static const int mc_ascii_delete_req_body_first_final = 16;
		static const int mc_ascii_delete_req_body_error = 0;
		
		static const int mc_ascii_delete_req_body_en_req_body = 1;
		
		
#line 822 "lib/network/McAsciiParser.rl"

		
		void McServerAsciiParser::consumeDelete(folly::IOBuf& buffer) {
			auto& message =
			currentMessage_.get<McDeleteRequest>();

#line 12615 "lib/network/McAsciiParser-gen.cpp"
	{
			}

#line 12617 "lib/network/McAsciiParser-gen.cpp"
{
				
				_resume: {}
				if ( ( p_) == ( pe_) )
					goto _out;
				switch ( ( savedCs_) ) {
					case 1:
					switch( ( (*( ( p_)))) ) {
						case 32: {
							goto _ctr1;
						}
						case 127: {
							goto _ctr0;
						}
					}
					if ( 0 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 31 ) {
						goto _ctr0;
					}
					goto _ctr2;
					case 2:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr4;
						}
						case 13: {
							goto _ctr5;
						}
						case 32: {
							goto _ctr6;
						}
						case 127: {
							goto _ctr0;
						}
					}
					if ( 0 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 31 ) {
						goto _ctr0;
					}
					goto _ctr3;
					case 0:
					goto _again;
					case 16:
					goto _ctr0;
					case 3:
					if ( ( (*( ( p_)))) == 10 ) {
						goto _ctr8;
					}
					goto _ctr0;
					case 4:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr8;
						}
						case 13: {
							goto _ctr7;
						}
						case 32: {
							goto _ctr9;
						}
						case 45: {
							goto _ctr10;
						}
						case 110: {
							goto _ctr12;
						}
					}
					if ( 48 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 57 ) {
						goto _ctr11;
					}
					goto _ctr0;
					case 5:
					if ( 48 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 57 ) {
						goto _ctr11;
					}
					goto _ctr0;
					case 6:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr15;
						}
						case 13: {
							goto _ctr16;
						}
						case 32: {
							goto _ctr17;
						}
					}
					if ( 48 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 57 ) {
						goto _ctr18;
					}
					goto _ctr0;
					case 7:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr8;
						}
						case 13: {
							goto _ctr7;
						}
						case 32: {
							goto _ctr19;
						}
						case 110: {
							goto _ctr12;
						}
					}
					goto _ctr0;
					case 8:
					if ( ( (*( ( p_)))) == 111 ) {
						goto _ctr20;
					}
					goto _ctr0;
					case 9:
					if ( ( (*( ( p_)))) == 114 ) {
						goto _ctr21;
					}
					goto _ctr0;
					case 10:
					if ( ( (*( ( p_)))) == 101 ) {
						goto _ctr22;
					}
					goto _ctr0;
					case 11:
					if ( ( (*( ( p_)))) == 112 ) {
						goto _ctr23;
					}
					goto _ctr0;
					case 12:
					if ( ( (*( ( p_)))) == 108 ) {
						goto _ctr24;
					}
					goto _ctr0;
					case 13:
					if ( ( (*( ( p_)))) == 121 ) {
						goto _ctr25;
					}
					goto _ctr0;
					case 14:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr26;
						}
						case 13: {
							goto _ctr27;
						}
						case 32: {
							goto _ctr28;
						}
					}
					goto _ctr0;
					case 15:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr8;
						}
						case 13: {
							goto _ctr7;
						}
						case 32: {
							goto _ctr29;
						}
					}
					goto _ctr0;
				}
				
				_ctr0: ( savedCs_) = 0; goto _again;
				_ctr1: ( savedCs_) = 1; goto _again;
				_ctr3: ( savedCs_) = 2; goto _again;
				_ctr2: ( savedCs_) = 2; goto f0;
				_ctr7: ( savedCs_) = 3; goto _again;
				_ctr5: ( savedCs_) = 3; goto f2;
				_ctr16: ( savedCs_) = 3; goto f7;
				_ctr27: ( savedCs_) = 3; goto f10;
				_ctr9: ( savedCs_) = 4; goto _again;
				_ctr6: ( savedCs_) = 4; goto f2;
				( savedCs_) = 5; goto _again;
				_ctr10: ( savedCs_) = 5; goto f4;
				( savedCs_) = 6; goto _again;
				_ctr11: ( savedCs_) = 6; goto f5;
				_ctr18: ( savedCs_) = 6; goto f8;
				_ctr19: ( savedCs_) = 7; goto _again;
				_ctr17: ( savedCs_) = 7; goto f7;
				_ctr12: ( savedCs_) = 8; goto _again;
				_ctr20: ( savedCs_) = 9; goto _again;
				_ctr21: ( savedCs_) = 10; goto _again;
				_ctr22: ( savedCs_) = 11; goto _again;
				_ctr23: ( savedCs_) = 12; goto _again;
				_ctr24: ( savedCs_) = 13; goto _again;
				_ctr25: ( savedCs_) = 14; goto _again;
				_ctr29: ( savedCs_) = 15; goto _again;
				_ctr28: ( savedCs_) = 15; goto f10;
				( savedCs_) = 16; goto _again;
				_ctr4: ( savedCs_) = 16; goto f1;
				_ctr8: ( savedCs_) = 16; goto f3;
				_ctr15: ( savedCs_) = 16; goto f6;
				_ctr26: ( savedCs_) = 16; goto f9;
				
				f10:
					{
#line 60 "lib/network/McAsciiParser.rl"
					
					noreply_ = true;
				}
				
#line 12820 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f0:
					{
#line 83 "lib/network/McAsciiParser.rl"
					
					currentKey_.clear();
					keyPieceStart_ = p_;
				}
				
#line 12829 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f8:
					{
#line 111 "lib/network/McAsciiParser.rl"
					
					currentUInt_ = currentUInt_ * 10 + ((( (*( ( p_))))) - '0');
				}
				
#line 12837 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f4:
					{
#line 115 "lib/network/McAsciiParser.rl"
					
					negative_ = true;
				}
				
#line 12845 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f7:
					{
#line 132 "lib/network/McAsciiParser.rl"
					
					auto value = static_cast<int32_t>(currentUInt_);
					message.exptime_ref() = negative_ ? -value : value;
					negative_ = false;
				}
				
#line 12855 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f3:
					{
#line 815 "lib/network/McAsciiParser.rl"
					
					callback_->onRequest(std::move(message), noreply_);
					finishReq();
					{( p_) += 1; goto _out; }
				}
				
#line 12865 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f9:
					{
#line 60 "lib/network/McAsciiParser.rl"
					
					noreply_ = true;
				}
				
#line 12873 "lib/network/McAsciiParser-gen.cpp"
	{
#line 815 "lib/network/McAsciiParser.rl"
					
					callback_->onRequest(std::move(message), noreply_);
					finishReq();
					{( p_) += 1; goto _out; }
				}
				
#line 12881 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f2:
					{
#line 88 "lib/network/McAsciiParser.rl"
					
					appendKeyPiece(buffer, currentKey_, keyPieceStart_, p_);
					keyPieceStart_ = nullptr;
					currentKey_.coalesce();
				}
				
#line 12891 "lib/network/McAsciiParser-gen.cpp"
	{
#line 95 "lib/network/McAsciiParser.rl"
					
					message.key_ref() = std::move(currentKey_);
				}
				
#line 12897 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f5:
					{
#line 111 "lib/network/McAsciiParser.rl"
					currentUInt_ = 0; }
				
#line 12903 "lib/network/McAsciiParser-gen.cpp"
	{
#line 111 "lib/network/McAsciiParser.rl"
					
					currentUInt_ = currentUInt_ * 10 + ((( (*( ( p_))))) - '0');
				}
				
#line 12909 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f6:
					{
#line 132 "lib/network/McAsciiParser.rl"
					
					auto value = static_cast<int32_t>(currentUInt_);
					message.exptime_ref() = negative_ ? -value : value;
					negative_ = false;
				}
				
#line 12919 "lib/network/McAsciiParser-gen.cpp"
	{
#line 815 "lib/network/McAsciiParser.rl"
					
					callback_->onRequest(std::move(message), noreply_);
					finishReq();
					{( p_) += 1; goto _out; }
				}
				
#line 12927 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f1:
					{
#line 88 "lib/network/McAsciiParser.rl"
					
					appendKeyPiece(buffer, currentKey_, keyPieceStart_, p_);
					keyPieceStart_ = nullptr;
					currentKey_.coalesce();
				}
				
#line 12937 "lib/network/McAsciiParser-gen.cpp"
	{
#line 95 "lib/network/McAsciiParser.rl"
					
					message.key_ref() = std::move(currentKey_);
				}
				
#line 12943 "lib/network/McAsciiParser-gen.cpp"
	{
#line 815 "lib/network/McAsciiParser.rl"
					
					callback_->onRequest(std::move(message), noreply_);
					finishReq();
					{( p_) += 1; goto _out; }
				}
				
#line 12951 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				
				_again: {}
				if ( ( savedCs_) != 0 ) {
					( p_) += 1;
					goto _resume;
				}
				_out: {}
			}
			
#line 831 "lib/network/McAsciiParser.rl"

		}
		
		// Touch request.
		

#line 12966 "lib/network/McAsciiParser-gen.cpp"
static const int mc_ascii_touch_req_body_start = 1;
		static const int mc_ascii_touch_req_body_first_final = 16;
		static const int mc_ascii_touch_req_body_error = 0;
		
		static const int mc_ascii_touch_req_body_en_req_body = 1;
		
		
#line 847 "lib/network/McAsciiParser.rl"

		
		void McServerAsciiParser::consumeTouch(folly::IOBuf& buffer) {
			auto& message =
			currentMessage_.get<McTouchRequest>();

#line 12978 "lib/network/McAsciiParser-gen.cpp"
	{
			}

#line 12980 "lib/network/McAsciiParser-gen.cpp"
{
				
				_resume: {}
				if ( ( p_) == ( pe_) )
					goto _out;
				switch ( ( savedCs_) ) {
					case 1:
					switch( ( (*( ( p_)))) ) {
						case 32: {
							goto _ctr1;
						}
						case 127: {
							goto _ctr0;
						}
					}
					if ( 0 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 31 ) {
						goto _ctr0;
					}
					goto _ctr2;
					case 2:
					switch( ( (*( ( p_)))) ) {
						case 32: {
							goto _ctr4;
						}
						case 127: {
							goto _ctr0;
						}
					}
					if ( 0 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 31 ) {
						goto _ctr0;
					}
					goto _ctr3;
					case 0:
					goto _again;
					case 3:
					switch( ( (*( ( p_)))) ) {
						case 32: {
							goto _ctr5;
						}
						case 45: {
							goto _ctr6;
						}
					}
					if ( 48 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 57 ) {
						goto _ctr7;
					}
					goto _ctr0;
					case 4:
					if ( 48 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 57 ) {
						goto _ctr7;
					}
					goto _ctr0;
					case 5:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr10;
						}
						case 13: {
							goto _ctr11;
						}
						case 32: {
							goto _ctr12;
						}
					}
					if ( 48 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 57 ) {
						goto _ctr13;
					}
					goto _ctr0;
					case 16:
					goto _ctr0;
					case 6:
					if ( ( (*( ( p_)))) == 10 ) {
						goto _ctr15;
					}
					goto _ctr0;
					case 7:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr15;
						}
						case 13: {
							goto _ctr14;
						}
						case 32: {
							goto _ctr16;
						}
						case 110: {
							goto _ctr17;
						}
					}
					goto _ctr0;
					case 8:
					if ( ( (*( ( p_)))) == 111 ) {
						goto _ctr18;
					}
					goto _ctr0;
					case 9:
					if ( ( (*( ( p_)))) == 114 ) {
						goto _ctr19;
					}
					goto _ctr0;
					case 10:
					if ( ( (*( ( p_)))) == 101 ) {
						goto _ctr20;
					}
					goto _ctr0;
					case 11:
					if ( ( (*( ( p_)))) == 112 ) {
						goto _ctr21;
					}
					goto _ctr0;
					case 12:
					if ( ( (*( ( p_)))) == 108 ) {
						goto _ctr22;
					}
					goto _ctr0;
					case 13:
					if ( ( (*( ( p_)))) == 121 ) {
						goto _ctr23;
					}
					goto _ctr0;
					case 14:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr24;
						}
						case 13: {
							goto _ctr25;
						}
						case 32: {
							goto _ctr26;
						}
					}
					goto _ctr0;
					case 15:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr15;
						}
						case 13: {
							goto _ctr14;
						}
						case 32: {
							goto _ctr27;
						}
					}
					goto _ctr0;
				}
				
				_ctr0: ( savedCs_) = 0; goto _again;
				_ctr1: ( savedCs_) = 1; goto _again;
				_ctr3: ( savedCs_) = 2; goto _again;
				_ctr2: ( savedCs_) = 2; goto f0;
				_ctr5: ( savedCs_) = 3; goto _again;
				_ctr4: ( savedCs_) = 3; goto f1;
				( savedCs_) = 4; goto _again;
				_ctr6: ( savedCs_) = 4; goto f2;
				( savedCs_) = 5; goto _again;
				_ctr7: ( savedCs_) = 5; goto f3;
				_ctr13: ( savedCs_) = 5; goto f6;
				_ctr14: ( savedCs_) = 6; goto _again;
				_ctr11: ( savedCs_) = 6; goto f5;
				_ctr25: ( savedCs_) = 6; goto f9;
				_ctr16: ( savedCs_) = 7; goto _again;
				_ctr12: ( savedCs_) = 7; goto f5;
				_ctr17: ( savedCs_) = 8; goto _again;
				_ctr18: ( savedCs_) = 9; goto _again;
				_ctr19: ( savedCs_) = 10; goto _again;
				_ctr20: ( savedCs_) = 11; goto _again;
				_ctr21: ( savedCs_) = 12; goto _again;
				_ctr22: ( savedCs_) = 13; goto _again;
				_ctr23: ( savedCs_) = 14; goto _again;
				_ctr27: ( savedCs_) = 15; goto _again;
				_ctr26: ( savedCs_) = 15; goto f9;
				( savedCs_) = 16; goto _again;
				_ctr10: ( savedCs_) = 16; goto f4;
				_ctr15: ( savedCs_) = 16; goto f7;
				_ctr24: ( savedCs_) = 16; goto f8;
				
				f9:
					{
#line 60 "lib/network/McAsciiParser.rl"
					
					noreply_ = true;
				}
				
#line 13166 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f0:
					{
#line 83 "lib/network/McAsciiParser.rl"
					
					currentKey_.clear();
					keyPieceStart_ = p_;
				}
				
#line 13175 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f6:
					{
#line 111 "lib/network/McAsciiParser.rl"
					
					currentUInt_ = currentUInt_ * 10 + ((( (*( ( p_))))) - '0');
				}
				
#line 13183 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f2:
					{
#line 115 "lib/network/McAsciiParser.rl"
					
					negative_ = true;
				}
				
#line 13191 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f5:
					{
#line 132 "lib/network/McAsciiParser.rl"
					
					auto value = static_cast<int32_t>(currentUInt_);
					message.exptime_ref() = negative_ ? -value : value;
					negative_ = false;
				}
				
#line 13201 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f7:
					{
#line 840 "lib/network/McAsciiParser.rl"
					
					callback_->onRequest(std::move(message), noreply_);
					finishReq();
					{( p_) += 1; goto _out; }
				}
				
#line 13211 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f8:
					{
#line 60 "lib/network/McAsciiParser.rl"
					
					noreply_ = true;
				}
				
#line 13219 "lib/network/McAsciiParser-gen.cpp"
	{
#line 840 "lib/network/McAsciiParser.rl"
					
					callback_->onRequest(std::move(message), noreply_);
					finishReq();
					{( p_) += 1; goto _out; }
				}
				
#line 13227 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f1:
					{
#line 88 "lib/network/McAsciiParser.rl"
					
					appendKeyPiece(buffer, currentKey_, keyPieceStart_, p_);
					keyPieceStart_ = nullptr;
					currentKey_.coalesce();
				}
				
#line 13237 "lib/network/McAsciiParser-gen.cpp"
	{
#line 95 "lib/network/McAsciiParser.rl"
					
					message.key_ref() = std::move(currentKey_);
				}
				
#line 13243 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f3:
					{
#line 111 "lib/network/McAsciiParser.rl"
					currentUInt_ = 0; }
				
#line 13249 "lib/network/McAsciiParser-gen.cpp"
	{
#line 111 "lib/network/McAsciiParser.rl"
					
					currentUInt_ = currentUInt_ * 10 + ((( (*( ( p_))))) - '0');
				}
				
#line 13255 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f4:
					{
#line 132 "lib/network/McAsciiParser.rl"
					
					auto value = static_cast<int32_t>(currentUInt_);
					message.exptime_ref() = negative_ ? -value : value;
					negative_ = false;
				}
				
#line 13265 "lib/network/McAsciiParser-gen.cpp"
	{
#line 840 "lib/network/McAsciiParser.rl"
					
					callback_->onRequest(std::move(message), noreply_);
					finishReq();
					{( p_) += 1; goto _out; }
				}
				
#line 13273 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				
				_again: {}
				if ( ( savedCs_) != 0 ) {
					( p_) += 1;
					goto _resume;
				}
				_out: {}
			}
			
#line 856 "lib/network/McAsciiParser.rl"

		}
		
		// Shutdown request.
		

#line 13288 "lib/network/McAsciiParser-gen.cpp"
static const int mc_ascii_shutdown_req_body_start = 1;
		static const int mc_ascii_shutdown_req_body_first_final = 6;
		static const int mc_ascii_shutdown_req_body_error = 0;
		
		static const int mc_ascii_shutdown_req_body_en_req_body = 1;
		
		
#line 873 "lib/network/McAsciiParser.rl"

		
		void McServerAsciiParser::consumeShutdown(folly::IOBuf&) {
			auto& message =
			currentMessage_.get<McShutdownRequest>();

#line 13300 "lib/network/McAsciiParser-gen.cpp"
	{
			}

#line 13302 "lib/network/McAsciiParser-gen.cpp"
{
				
				_resume: {}
				if ( ( p_) == ( pe_) )
					goto _out;
				switch ( ( savedCs_) ) {
					case 1:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr2;
						}
						case 13: {
							goto _ctr3;
						}
						case 32: {
							goto _ctr4;
						}
					}
					goto _ctr0;
					case 0:
					goto _again;
					case 6:
					goto _ctr0;
					case 2:
					if ( ( (*( ( p_)))) == 10 ) {
						goto _ctr2;
					}
					goto _ctr0;
					case 3:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr2;
						}
						case 13: {
							goto _ctr3;
						}
						case 32: {
							goto _ctr4;
						}
					}
					if ( 48 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 57 ) {
						goto _ctr5;
					}
					goto _ctr0;
					case 4:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr2;
						}
						case 13: {
							goto _ctr3;
						}
						case 32: {
							goto _ctr6;
						}
					}
					if ( 48 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 57 ) {
						goto _ctr5;
					}
					goto _ctr0;
					case 5:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr2;
						}
						case 13: {
							goto _ctr3;
						}
						case 32: {
							goto _ctr6;
						}
					}
					goto _ctr0;
				}
				
				_ctr0: ( savedCs_) = 0; goto _again;
				( savedCs_) = 1; goto _again;
				_ctr3: ( savedCs_) = 2; goto _again;
				_ctr4: ( savedCs_) = 3; goto _again;
				_ctr5: ( savedCs_) = 4; goto _again;
				_ctr6: ( savedCs_) = 5; goto _again;
				( savedCs_) = 6; goto _again;
				_ctr2: ( savedCs_) = 6; goto f0;
				
				f0:
					{
#line 866 "lib/network/McAsciiParser.rl"
					
					callback_->onRequest(std::move(message), noreply_);
					finishReq();
					{( p_) += 1; goto _out; }
				}
				
#line 13395 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				
				_again: {}
				if ( ( savedCs_) != 0 ) {
					( p_) += 1;
					goto _resume;
				}
				_out: {}
			}
			
#line 882 "lib/network/McAsciiParser.rl"

		}
		
		// Arithmetic request.
		

#line 13410 "lib/network/McAsciiParser-gen.cpp"
static const int mc_ascii_arithmetic_req_body_start = 1;
		static const int mc_ascii_arithmetic_req_body_first_final = 15;
		static const int mc_ascii_arithmetic_req_body_error = 0;
		
		static const int mc_ascii_arithmetic_req_body_en_req_body = 1;
		
		
#line 898 "lib/network/McAsciiParser.rl"

		
		template <class Request>
		void McServerAsciiParser::consumeArithmetic(folly::IOBuf& buffer) {
			auto& message = currentMessage_.get<Request>();

#line 13422 "lib/network/McAsciiParser-gen.cpp"
	{
			}

#line 13424 "lib/network/McAsciiParser-gen.cpp"
{
				
				_resume: {}
				if ( ( p_) == ( pe_) )
					goto _out;
				switch ( ( savedCs_) ) {
					case 1:
					switch( ( (*( ( p_)))) ) {
						case 32: {
							goto _ctr1;
						}
						case 127: {
							goto _ctr0;
						}
					}
					if ( 0 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 31 ) {
						goto _ctr0;
					}
					goto _ctr2;
					case 2:
					switch( ( (*( ( p_)))) ) {
						case 32: {
							goto _ctr4;
						}
						case 127: {
							goto _ctr0;
						}
					}
					if ( 0 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 31 ) {
						goto _ctr0;
					}
					goto _ctr3;
					case 0:
					goto _again;
					case 3:
					if ( ( (*( ( p_)))) == 32 ) {
						goto _ctr5;
					}
					if ( 48 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 57 ) {
						goto _ctr6;
					}
					goto _ctr0;
					case 4:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr8;
						}
						case 13: {
							goto _ctr9;
						}
						case 32: {
							goto _ctr10;
						}
						case 110: {
							goto _ctr12;
						}
					}
					if ( 48 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 57 ) {
						goto _ctr11;
					}
					goto _ctr0;
					case 15:
					goto _ctr0;
					case 5:
					if ( ( (*( ( p_)))) == 10 ) {
						goto _ctr14;
					}
					goto _ctr0;
					case 6:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr14;
						}
						case 13: {
							goto _ctr13;
						}
						case 32: {
							goto _ctr15;
						}
						case 110: {
							goto _ctr16;
						}
					}
					goto _ctr0;
					case 7:
					if ( ( (*( ( p_)))) == 111 ) {
						goto _ctr17;
					}
					goto _ctr0;
					case 8:
					if ( ( (*( ( p_)))) == 114 ) {
						goto _ctr18;
					}
					goto _ctr0;
					case 9:
					if ( ( (*( ( p_)))) == 101 ) {
						goto _ctr19;
					}
					goto _ctr0;
					case 10:
					if ( ( (*( ( p_)))) == 112 ) {
						goto _ctr20;
					}
					goto _ctr0;
					case 11:
					if ( ( (*( ( p_)))) == 108 ) {
						goto _ctr21;
					}
					goto _ctr0;
					case 12:
					if ( ( (*( ( p_)))) == 121 ) {
						goto _ctr22;
					}
					goto _ctr0;
					case 13:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr23;
						}
						case 13: {
							goto _ctr24;
						}
						case 32: {
							goto _ctr25;
						}
					}
					goto _ctr0;
					case 14:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr14;
						}
						case 13: {
							goto _ctr13;
						}
						case 32: {
							goto _ctr26;
						}
					}
					goto _ctr0;
				}
				
				_ctr0: ( savedCs_) = 0; goto _again;
				_ctr1: ( savedCs_) = 1; goto _again;
				_ctr3: ( savedCs_) = 2; goto _again;
				_ctr2: ( savedCs_) = 2; goto f0;
				_ctr5: ( savedCs_) = 3; goto _again;
				_ctr4: ( savedCs_) = 3; goto f1;
				( savedCs_) = 4; goto _again;
				_ctr6: ( savedCs_) = 4; goto f2;
				_ctr11: ( savedCs_) = 4; goto f5;
				_ctr13: ( savedCs_) = 5; goto _again;
				_ctr9: ( savedCs_) = 5; goto f4;
				_ctr24: ( savedCs_) = 5; goto f8;
				_ctr15: ( savedCs_) = 6; goto _again;
				_ctr10: ( savedCs_) = 6; goto f4;
				_ctr16: ( savedCs_) = 7; goto _again;
				_ctr12: ( savedCs_) = 7; goto f4;
				_ctr17: ( savedCs_) = 8; goto _again;
				_ctr18: ( savedCs_) = 9; goto _again;
				_ctr19: ( savedCs_) = 10; goto _again;
				_ctr20: ( savedCs_) = 11; goto _again;
				_ctr21: ( savedCs_) = 12; goto _again;
				_ctr22: ( savedCs_) = 13; goto _again;
				_ctr26: ( savedCs_) = 14; goto _again;
				_ctr25: ( savedCs_) = 14; goto f8;
				( savedCs_) = 15; goto _again;
				_ctr8: ( savedCs_) = 15; goto f3;
				_ctr14: ( savedCs_) = 15; goto f6;
				_ctr23: ( savedCs_) = 15; goto f7;
				
				f8:
					{
#line 60 "lib/network/McAsciiParser.rl"
					
					noreply_ = true;
				}
				
#line 13602 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f0:
					{
#line 83 "lib/network/McAsciiParser.rl"
					
					currentKey_.clear();
					keyPieceStart_ = p_;
				}
				
#line 13611 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f5:
					{
#line 111 "lib/network/McAsciiParser.rl"
					
					currentUInt_ = currentUInt_ * 10 + ((( (*( ( p_))))) - '0');
				}
				
#line 13619 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f4:
					{
#line 150 "lib/network/McAsciiParser.rl"
					
					message.delta_ref() = currentUInt_;
				}
				
#line 13627 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f6:
					{
#line 891 "lib/network/McAsciiParser.rl"
					
					callback_->onRequest(std::move(message), noreply_);
					finishReq();
					{( p_) += 1; goto _out; }
				}
				
#line 13637 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f7:
					{
#line 60 "lib/network/McAsciiParser.rl"
					
					noreply_ = true;
				}
				
#line 13645 "lib/network/McAsciiParser-gen.cpp"
	{
#line 891 "lib/network/McAsciiParser.rl"
					
					callback_->onRequest(std::move(message), noreply_);
					finishReq();
					{( p_) += 1; goto _out; }
				}
				
#line 13653 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f1:
					{
#line 88 "lib/network/McAsciiParser.rl"
					
					appendKeyPiece(buffer, currentKey_, keyPieceStart_, p_);
					keyPieceStart_ = nullptr;
					currentKey_.coalesce();
				}
				
#line 13663 "lib/network/McAsciiParser-gen.cpp"
	{
#line 95 "lib/network/McAsciiParser.rl"
					
					message.key_ref() = std::move(currentKey_);
				}
				
#line 13669 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f2:
					{
#line 111 "lib/network/McAsciiParser.rl"
					currentUInt_ = 0; }
				
#line 13675 "lib/network/McAsciiParser-gen.cpp"
	{
#line 111 "lib/network/McAsciiParser.rl"
					
					currentUInt_ = currentUInt_ * 10 + ((( (*( ( p_))))) - '0');
				}
				
#line 13681 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f3:
					{
#line 150 "lib/network/McAsciiParser.rl"
					
					message.delta_ref() = currentUInt_;
				}
				
#line 13689 "lib/network/McAsciiParser-gen.cpp"
	{
#line 891 "lib/network/McAsciiParser.rl"
					
					callback_->onRequest(std::move(message), noreply_);
					finishReq();
					{( p_) += 1; goto _out; }
				}
				
#line 13697 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				
				_again: {}
				if ( ( savedCs_) != 0 ) {
					( p_) += 1;
					goto _resume;
				}
				_out: {}
			}
			
#line 907 "lib/network/McAsciiParser.rl"

		}
		
		template <class Request>
		void McServerAsciiParser::initArithmetic() {
			savedCs_ = mc_ascii_arithmetic_req_body_en_req_body;
			errorCs_ = mc_ascii_arithmetic_req_body_error;
			state_ = State::PARTIAL;
			currentMessage_.emplace<Request>();
			consumer_ = &McServerAsciiParser::consumeArithmetic<Request>;
		}
		
		// Stats request.
		

#line 13721 "lib/network/McAsciiParser-gen.cpp"
static const int mc_ascii_stats_req_body_start = 1;
		static const int mc_ascii_stats_req_body_first_final = 6;
		static const int mc_ascii_stats_req_body_error = 0;
		
		static const int mc_ascii_stats_req_body_en_req_body = 1;
		
		
#line 932 "lib/network/McAsciiParser.rl"

		
		void McServerAsciiParser::consumeStats(folly::IOBuf& buffer) {
			auto& message =
			currentMessage_.get<McStatsRequest>();

#line 13733 "lib/network/McAsciiParser-gen.cpp"
	{
			}

#line 13735 "lib/network/McAsciiParser-gen.cpp"
{
				
				_resume: {}
				if ( ( p_) == ( pe_) )
					goto _out;
				switch ( ( savedCs_) ) {
					case 1:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr2;
						}
						case 13: {
							goto _ctr3;
						}
						case 32: {
							goto _ctr4;
						}
					}
					goto _ctr0;
					case 0:
					goto _again;
					case 6:
					goto _ctr0;
					case 2:
					if ( ( (*( ( p_)))) == 10 ) {
						goto _ctr2;
					}
					goto _ctr0;
					case 3:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr2;
						}
						case 13: {
							goto _ctr3;
						}
						case 32: {
							goto _ctr5;
						}
					}
					if ( 33 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 126 ) {
						goto _ctr6;
					}
					goto _ctr0;
					case 4:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr8;
						}
						case 13: {
							goto _ctr9;
						}
						case 32: {
							goto _ctr5;
						}
					}
					if ( 33 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 126 ) {
						goto _ctr6;
					}
					goto _ctr0;
					case 5:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr8;
						}
						case 13: {
							goto _ctr9;
						}
					}
					if ( 32 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 126 ) {
						goto _ctr10;
					}
					goto _ctr0;
				}
				
				_ctr0: ( savedCs_) = 0; goto _again;
				( savedCs_) = 1; goto _again;
				_ctr3: ( savedCs_) = 2; goto _again;
				_ctr9: ( savedCs_) = 2; goto f3;
				_ctr4: ( savedCs_) = 3; goto _again;
				( savedCs_) = 4; goto _again;
				_ctr5: ( savedCs_) = 4; goto f1;
				_ctr10: ( savedCs_) = 5; goto _again;
				_ctr6: ( savedCs_) = 5; goto f1;
				( savedCs_) = 6; goto _again;
				_ctr2: ( savedCs_) = 6; goto f0;
				_ctr8: ( savedCs_) = 6; goto f2;
				
				f1:
					{
#line 83 "lib/network/McAsciiParser.rl"
					
					currentKey_.clear();
					keyPieceStart_ = p_;
				}
				
#line 13831 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f0:
					{
#line 925 "lib/network/McAsciiParser.rl"
					
					callback_->onRequest(std::move(message), noreply_);
					finishReq();
					{( p_) += 1; goto _out; }
				}
				
#line 13841 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f3:
					{
#line 88 "lib/network/McAsciiParser.rl"
					
					appendKeyPiece(buffer, currentKey_, keyPieceStart_, p_);
					keyPieceStart_ = nullptr;
					currentKey_.coalesce();
				}
				
#line 13851 "lib/network/McAsciiParser-gen.cpp"
	{
#line 99 "lib/network/McAsciiParser.rl"
					
					// Trim string.
					while (currentKey_.length() > 0 && isspace(*currentKey_.data())) {
						currentKey_.trimStart(1);
					}
					while (currentKey_.length() > 0 && isspace(*(currentKey_.tail() - 1))) {
						currentKey_.trimEnd(1);
					}
					message.key_ref() = std::move(currentKey_);
				}
				
#line 13864 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f2:
					{
#line 88 "lib/network/McAsciiParser.rl"
					
					appendKeyPiece(buffer, currentKey_, keyPieceStart_, p_);
					keyPieceStart_ = nullptr;
					currentKey_.coalesce();
				}
				
#line 13874 "lib/network/McAsciiParser-gen.cpp"
	{
#line 99 "lib/network/McAsciiParser.rl"
					
					// Trim string.
					while (currentKey_.length() > 0 && isspace(*currentKey_.data())) {
						currentKey_.trimStart(1);
					}
					while (currentKey_.length() > 0 && isspace(*(currentKey_.tail() - 1))) {
						currentKey_.trimEnd(1);
					}
					message.key_ref() = std::move(currentKey_);
				}
				
#line 13887 "lib/network/McAsciiParser-gen.cpp"
	{
#line 925 "lib/network/McAsciiParser.rl"
					
					callback_->onRequest(std::move(message), noreply_);
					finishReq();
					{( p_) += 1; goto _out; }
				}
				
#line 13895 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				
				_again: {}
				if ( ( savedCs_) != 0 ) {
					( p_) += 1;
					goto _resume;
				}
				_out: {}
			}
			
#line 941 "lib/network/McAsciiParser.rl"

		}
		
		// Exec request.
		

#line 13910 "lib/network/McAsciiParser-gen.cpp"
static const int mc_ascii_exec_req_body_start = 1;
		static const int mc_ascii_exec_req_body_first_final = 4;
		static const int mc_ascii_exec_req_body_error = 0;
		
		static const int mc_ascii_exec_req_body_en_req_body = 1;
		
		
#line 957 "lib/network/McAsciiParser.rl"

		
		void McServerAsciiParser::consumeExec(folly::IOBuf& buffer) {
			auto& message =
			currentMessage_.get<McExecRequest>();

#line 13922 "lib/network/McAsciiParser-gen.cpp"
	{
			}

#line 13924 "lib/network/McAsciiParser-gen.cpp"
{
				
				_resume: {}
				if ( ( p_) == ( pe_) )
					goto _out;
				switch ( ( savedCs_) ) {
					case 1:
					if ( 32 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 126 ) {
						goto _ctr2;
					}
					goto _ctr0;
					case 0:
					goto _again;
					case 2:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr4;
						}
						case 13: {
							goto _ctr5;
						}
					}
					if ( 32 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 126 ) {
						goto _ctr3;
					}
					goto _ctr0;
					case 4:
					goto _ctr0;
					case 3:
					if ( ( (*( ( p_)))) == 10 ) {
						goto _ctr7;
					}
					goto _ctr0;
				}
				
				_ctr0: ( savedCs_) = 0; goto _again;
				( savedCs_) = 1; goto _again;
				_ctr3: ( savedCs_) = 2; goto _again;
				_ctr2: ( savedCs_) = 2; goto f0;
				( savedCs_) = 3; goto _again;
				_ctr5: ( savedCs_) = 3; goto f2;
				( savedCs_) = 4; goto _again;
				_ctr4: ( savedCs_) = 4; goto f1;
				_ctr7: ( savedCs_) = 4; goto f3;
				
				f0:
					{
#line 83 "lib/network/McAsciiParser.rl"
					
					currentKey_.clear();
					keyPieceStart_ = p_;
				}
				
#line 13977 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f3:
					{
#line 950 "lib/network/McAsciiParser.rl"
					
					callback_->onRequest(std::move(message), noreply_);
					finishReq();
					{( p_) += 1; goto _out; }
				}
				
#line 13987 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f2:
					{
#line 88 "lib/network/McAsciiParser.rl"
					
					appendKeyPiece(buffer, currentKey_, keyPieceStart_, p_);
					keyPieceStart_ = nullptr;
					currentKey_.coalesce();
				}
				
#line 13997 "lib/network/McAsciiParser-gen.cpp"
	{
#line 99 "lib/network/McAsciiParser.rl"
					
					// Trim string.
					while (currentKey_.length() > 0 && isspace(*currentKey_.data())) {
						currentKey_.trimStart(1);
					}
					while (currentKey_.length() > 0 && isspace(*(currentKey_.tail() - 1))) {
						currentKey_.trimEnd(1);
					}
					message.key_ref() = std::move(currentKey_);
				}
				
#line 14010 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f1:
					{
#line 88 "lib/network/McAsciiParser.rl"
					
					appendKeyPiece(buffer, currentKey_, keyPieceStart_, p_);
					keyPieceStart_ = nullptr;
					currentKey_.coalesce();
				}
				
#line 14020 "lib/network/McAsciiParser-gen.cpp"
	{
#line 99 "lib/network/McAsciiParser.rl"
					
					// Trim string.
					while (currentKey_.length() > 0 && isspace(*currentKey_.data())) {
						currentKey_.trimStart(1);
					}
					while (currentKey_.length() > 0 && isspace(*(currentKey_.tail() - 1))) {
						currentKey_.trimEnd(1);
					}
					message.key_ref() = std::move(currentKey_);
				}
				
#line 14033 "lib/network/McAsciiParser-gen.cpp"
	{
#line 950 "lib/network/McAsciiParser.rl"
					
					callback_->onRequest(std::move(message), noreply_);
					finishReq();
					{( p_) += 1; goto _out; }
				}
				
#line 14041 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				
				_again: {}
				if ( ( savedCs_) != 0 ) {
					( p_) += 1;
					goto _resume;
				}
				_out: {}
			}
			
#line 966 "lib/network/McAsciiParser.rl"

		}
		
		// Flush_regex request.
		

#line 14056 "lib/network/McAsciiParser-gen.cpp"
static const int mc_ascii_flush_re_req_body_start = 1;
		static const int mc_ascii_flush_re_req_body_first_final = 5;
		static const int mc_ascii_flush_re_req_body_error = 0;
		
		static const int mc_ascii_flush_re_req_body_en_req_body = 1;
		
		
#line 982 "lib/network/McAsciiParser.rl"

		
		void McServerAsciiParser::consumeFlushRe(folly::IOBuf& buffer) {
			auto& message =
			currentMessage_.get<McFlushReRequest>();

#line 14068 "lib/network/McAsciiParser-gen.cpp"
	{
			}

#line 14070 "lib/network/McAsciiParser-gen.cpp"
{
				
				_resume: {}
				if ( ( p_) == ( pe_) )
					goto _out;
				switch ( ( savedCs_) ) {
					case 1:
					switch( ( (*( ( p_)))) ) {
						case 32: {
							goto _ctr1;
						}
						case 127: {
							goto _ctr0;
						}
					}
					if ( 0 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 31 ) {
						goto _ctr0;
					}
					goto _ctr2;
					case 2:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr4;
						}
						case 13: {
							goto _ctr5;
						}
						case 32: {
							goto _ctr6;
						}
						case 127: {
							goto _ctr0;
						}
					}
					if ( 0 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 31 ) {
						goto _ctr0;
					}
					goto _ctr3;
					case 0:
					goto _again;
					case 5:
					goto _ctr0;
					case 3:
					if ( ( (*( ( p_)))) == 10 ) {
						goto _ctr8;
					}
					goto _ctr0;
					case 4:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr8;
						}
						case 13: {
							goto _ctr7;
						}
						case 32: {
							goto _ctr9;
						}
					}
					goto _ctr0;
				}
				
				_ctr0: ( savedCs_) = 0; goto _again;
				_ctr1: ( savedCs_) = 1; goto _again;
				_ctr3: ( savedCs_) = 2; goto _again;
				_ctr2: ( savedCs_) = 2; goto f0;
				_ctr7: ( savedCs_) = 3; goto _again;
				_ctr5: ( savedCs_) = 3; goto f2;
				_ctr9: ( savedCs_) = 4; goto _again;
				_ctr6: ( savedCs_) = 4; goto f2;
				( savedCs_) = 5; goto _again;
				_ctr4: ( savedCs_) = 5; goto f1;
				_ctr8: ( savedCs_) = 5; goto f3;
				
				f0:
					{
#line 83 "lib/network/McAsciiParser.rl"
					
					currentKey_.clear();
					keyPieceStart_ = p_;
				}
				
#line 14152 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f3:
					{
#line 975 "lib/network/McAsciiParser.rl"
					
					callback_->onRequest(std::move(message), noreply_);
					finishReq();
					{( p_) += 1; goto _out; }
				}
				
#line 14162 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f2:
					{
#line 88 "lib/network/McAsciiParser.rl"
					
					appendKeyPiece(buffer, currentKey_, keyPieceStart_, p_);
					keyPieceStart_ = nullptr;
					currentKey_.coalesce();
				}
				
#line 14172 "lib/network/McAsciiParser-gen.cpp"
	{
#line 95 "lib/network/McAsciiParser.rl"
					
					message.key_ref() = std::move(currentKey_);
				}
				
#line 14178 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f1:
					{
#line 88 "lib/network/McAsciiParser.rl"
					
					appendKeyPiece(buffer, currentKey_, keyPieceStart_, p_);
					keyPieceStart_ = nullptr;
					currentKey_.coalesce();
				}
				
#line 14188 "lib/network/McAsciiParser-gen.cpp"
	{
#line 95 "lib/network/McAsciiParser.rl"
					
					message.key_ref() = std::move(currentKey_);
				}
				
#line 14194 "lib/network/McAsciiParser-gen.cpp"
	{
#line 975 "lib/network/McAsciiParser.rl"
					
					callback_->onRequest(std::move(message), noreply_);
					finishReq();
					{( p_) += 1; goto _out; }
				}
				
#line 14202 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				
				_again: {}
				if ( ( savedCs_) != 0 ) {
					( p_) += 1;
					goto _resume;
				}
				_out: {}
			}
			
#line 991 "lib/network/McAsciiParser.rl"

		}
		
		// Flush_all request.
		

#line 14217 "lib/network/McAsciiParser-gen.cpp"
static const int mc_ascii_flush_all_req_body_start = 1;
		static const int mc_ascii_flush_all_req_body_first_final = 5;
		static const int mc_ascii_flush_all_req_body_error = 0;
		
		static const int mc_ascii_flush_all_req_body_en_req_body = 1;
		
		
#line 1007 "lib/network/McAsciiParser.rl"

		
		void McServerAsciiParser::consumeFlushAll(folly::IOBuf&) {
			auto& message =
			currentMessage_.get<McFlushAllRequest>();

#line 14229 "lib/network/McAsciiParser-gen.cpp"
	{
			}

#line 14231 "lib/network/McAsciiParser-gen.cpp"
{
				
				_resume: {}
				if ( ( p_) == ( pe_) )
					goto _out;
				switch ( ( savedCs_) ) {
					case 1:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr2;
						}
						case 13: {
							goto _ctr3;
						}
						case 32: {
							goto _ctr1;
						}
					}
					if ( 48 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 57 ) {
						goto _ctr4;
					}
					goto _ctr0;
					case 0:
					goto _again;
					case 5:
					goto _ctr0;
					case 2:
					if ( ( (*( ( p_)))) == 10 ) {
						goto _ctr2;
					}
					goto _ctr0;
					case 3:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr6;
						}
						case 13: {
							goto _ctr7;
						}
						case 32: {
							goto _ctr8;
						}
					}
					if ( 48 <= ( (*( ( p_)))) && ( (*( ( p_)))) <= 57 ) {
						goto _ctr9;
					}
					goto _ctr0;
					case 4:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr2;
						}
						case 13: {
							goto _ctr3;
						}
						case 32: {
							goto _ctr10;
						}
					}
					goto _ctr0;
				}
				
				_ctr0: ( savedCs_) = 0; goto _again;
				_ctr1: ( savedCs_) = 1; goto _again;
				_ctr3: ( savedCs_) = 2; goto _again;
				_ctr7: ( savedCs_) = 2; goto f3;
				( savedCs_) = 3; goto _again;
				_ctr4: ( savedCs_) = 3; goto f1;
				_ctr9: ( savedCs_) = 3; goto f4;
				_ctr10: ( savedCs_) = 4; goto _again;
				_ctr8: ( savedCs_) = 4; goto f3;
				( savedCs_) = 5; goto _again;
				_ctr2: ( savedCs_) = 5; goto f0;
				_ctr6: ( savedCs_) = 5; goto f2;
				
				f4:
					{
#line 111 "lib/network/McAsciiParser.rl"
					
					currentUInt_ = currentUInt_ * 10 + ((( (*( ( p_))))) - '0');
				}
				
#line 14313 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f3:
					{
#line 124 "lib/network/McAsciiParser.rl"
					
					message.delay_ref() = currentUInt_;
				}
				
#line 14321 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f0:
					{
#line 1000 "lib/network/McAsciiParser.rl"
					
					callback_->onRequest(std::move(message), noreply_);
					finishReq();
					{( p_) += 1; goto _out; }
				}
				
#line 14331 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f1:
					{
#line 111 "lib/network/McAsciiParser.rl"
					currentUInt_ = 0; }
				
#line 14337 "lib/network/McAsciiParser-gen.cpp"
	{
#line 111 "lib/network/McAsciiParser.rl"
					
					currentUInt_ = currentUInt_ * 10 + ((( (*( ( p_))))) - '0');
				}
				
#line 14343 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f2:
					{
#line 124 "lib/network/McAsciiParser.rl"
					
					message.delay_ref() = currentUInt_;
				}
				
#line 14351 "lib/network/McAsciiParser-gen.cpp"
	{
#line 1000 "lib/network/McAsciiParser.rl"
					
					callback_->onRequest(std::move(message), noreply_);
					finishReq();
					{( p_) += 1; goto _out; }
				}
				
#line 14359 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				
				_again: {}
				if ( ( savedCs_) != 0 ) {
					( p_) += 1;
					goto _resume;
				}
				_out: {}
			}
			
#line 1016 "lib/network/McAsciiParser.rl"

		}
		
		// Operation keyword parser.
		

#line 14374 "lib/network/McAsciiParser-gen.cpp"
static const int mc_ascii_req_type_start = 1;
		static const int mc_ascii_req_type_first_final = 114;
		static const int mc_ascii_req_type_error = 0;
		
		static const int mc_ascii_req_type_en_command = 1;
		
		
#line 1195 "lib/network/McAsciiParser.rl"

		
		void McServerAsciiParser::opTypeConsumer(folly::IOBuf&) {

#line 14384 "lib/network/McAsciiParser-gen.cpp"
	{
			}

#line 14386 "lib/network/McAsciiParser-gen.cpp"
{
				
				_resume: {}
				if ( ( p_) == ( pe_) )
					goto _out;
				switch ( ( savedCs_) ) {
					case 1:
					switch( ( (*( ( p_)))) ) {
						case 97: {
							goto _ctr2;
						}
						case 99: {
							goto _ctr3;
						}
						case 100: {
							goto _ctr4;
						}
						case 101: {
							goto _ctr5;
						}
						case 102: {
							goto _ctr6;
						}
						case 103: {
							goto _ctr7;
						}
						case 105: {
							goto _ctr8;
						}
						case 108: {
							goto _ctr9;
						}
						case 109: {
							goto _ctr10;
						}
						case 112: {
							goto _ctr11;
						}
						case 113: {
							goto _ctr12;
						}
						case 114: {
							goto _ctr13;
						}
						case 115: {
							goto _ctr14;
						}
						case 116: {
							goto _ctr15;
						}
						case 118: {
							goto _ctr16;
						}
					}
					goto _ctr0;
					case 0:
					goto _again;
					case 2:
					switch( ( (*( ( p_)))) ) {
						case 100: {
							goto _ctr17;
						}
						case 112: {
							goto _ctr18;
						}
					}
					goto _ctr0;
					case 3:
					switch( ( (*( ( p_)))) ) {
						case 100: {
							goto _ctr19;
						}
						case 109: {
							goto _ctr20;
						}
					}
					goto _ctr0;
					case 4:
					if ( ( (*( ( p_)))) == 32 ) {
						goto _ctr21;
					}
					goto _ctr0;
					case 114:
					goto _ctr0;
					case 5:
					if ( ( (*( ( p_)))) == 105 ) {
						goto _ctr22;
					}
					goto _ctr0;
					case 6:
					if ( ( (*( ( p_)))) == 110 ) {
						goto _ctr23;
					}
					goto _ctr0;
					case 7:
					if ( ( (*( ( p_)))) == 32 ) {
						goto _ctr24;
					}
					goto _ctr0;
					case 8:
					if ( ( (*( ( p_)))) == 112 ) {
						goto _ctr25;
					}
					goto _ctr0;
					case 9:
					if ( ( (*( ( p_)))) == 101 ) {
						goto _ctr26;
					}
					goto _ctr0;
					case 10:
					if ( ( (*( ( p_)))) == 110 ) {
						goto _ctr27;
					}
					goto _ctr0;
					case 11:
					if ( ( (*( ( p_)))) == 100 ) {
						goto _ctr28;
					}
					goto _ctr0;
					case 12:
					if ( ( (*( ( p_)))) == 32 ) {
						goto _ctr29;
					}
					goto _ctr0;
					case 13:
					if ( ( (*( ( p_)))) == 97 ) {
						goto _ctr30;
					}
					goto _ctr0;
					case 14:
					if ( ( (*( ( p_)))) == 115 ) {
						goto _ctr31;
					}
					goto _ctr0;
					case 15:
					if ( ( (*( ( p_)))) == 32 ) {
						goto _ctr32;
					}
					goto _ctr0;
					case 16:
					if ( ( (*( ( p_)))) == 101 ) {
						goto _ctr33;
					}
					goto _ctr0;
					case 17:
					switch( ( (*( ( p_)))) ) {
						case 99: {
							goto _ctr34;
						}
						case 108: {
							goto _ctr35;
						}
					}
					goto _ctr0;
					case 18:
					if ( ( (*( ( p_)))) == 114 ) {
						goto _ctr36;
					}
					goto _ctr0;
					case 19:
					if ( ( (*( ( p_)))) == 32 ) {
						goto _ctr37;
					}
					goto _ctr0;
					case 20:
					if ( ( (*( ( p_)))) == 101 ) {
						goto _ctr38;
					}
					goto _ctr0;
					case 21:
					if ( ( (*( ( p_)))) == 116 ) {
						goto _ctr39;
					}
					goto _ctr0;
					case 22:
					if ( ( (*( ( p_)))) == 101 ) {
						goto _ctr40;
					}
					goto _ctr0;
					case 23:
					if ( ( (*( ( p_)))) == 32 ) {
						goto _ctr41;
					}
					goto _ctr0;
					case 24:
					if ( ( (*( ( p_)))) == 120 ) {
						goto _ctr42;
					}
					goto _ctr0;
					case 25:
					if ( ( (*( ( p_)))) == 101 ) {
						goto _ctr43;
					}
					goto _ctr0;
					case 26:
					if ( ( (*( ( p_)))) == 99 ) {
						goto _ctr23;
					}
					goto _ctr0;
					case 27:
					if ( ( (*( ( p_)))) == 108 ) {
						goto _ctr44;
					}
					goto _ctr0;
					case 28:
					if ( ( (*( ( p_)))) == 117 ) {
						goto _ctr45;
					}
					goto _ctr0;
					case 29:
					if ( ( (*( ( p_)))) == 115 ) {
						goto _ctr46;
					}
					goto _ctr0;
					case 30:
					if ( ( (*( ( p_)))) == 104 ) {
						goto _ctr47;
					}
					goto _ctr0;
					case 31:
					if ( ( (*( ( p_)))) == 95 ) {
						goto _ctr48;
					}
					goto _ctr0;
					case 32:
					switch( ( (*( ( p_)))) ) {
						case 97: {
							goto _ctr49;
						}
						case 114: {
							goto _ctr50;
						}
					}
					goto _ctr0;
					case 33:
					if ( ( (*( ( p_)))) == 108 ) {
						goto _ctr51;
					}
					goto _ctr0;
					case 34:
					if ( ( (*( ( p_)))) == 108 ) {
						goto _ctr52;
					}
					goto _ctr0;
					case 35:
					if ( ( (*( ( p_)))) == 101 ) {
						goto _ctr53;
					}
					goto _ctr0;
					case 36:
					if ( ( (*( ( p_)))) == 103 ) {
						goto _ctr54;
					}
					goto _ctr0;
					case 37:
					if ( ( (*( ( p_)))) == 101 ) {
						goto _ctr55;
					}
					goto _ctr0;
					case 38:
					if ( ( (*( ( p_)))) == 120 ) {
						goto _ctr56;
					}
					goto _ctr0;
					case 39:
					if ( ( (*( ( p_)))) == 32 ) {
						goto _ctr57;
					}
					goto _ctr0;
					case 40:
					switch( ( (*( ( p_)))) ) {
						case 97: {
							goto _ctr58;
						}
						case 101: {
							goto _ctr59;
						}
					}
					goto _ctr0;
					case 41:
					if ( ( (*( ( p_)))) == 116 ) {
						goto _ctr60;
					}
					goto _ctr0;
					case 42:
					switch( ( (*( ( p_)))) ) {
						case 32: {
							goto _ctr61;
						}
						case 115: {
							goto _ctr62;
						}
					}
					goto _ctr0;
					case 43:
					if ( ( (*( ( p_)))) == 32 ) {
						goto _ctr63;
					}
					goto _ctr0;
					case 44:
					if ( ( (*( ( p_)))) == 116 ) {
						goto _ctr64;
					}
					goto _ctr0;
					case 45:
					switch( ( (*( ( p_)))) ) {
						case 32: {
							goto _ctr65;
						}
						case 115: {
							goto _ctr66;
						}
					}
					goto _ctr0;
					case 46:
					if ( ( (*( ( p_)))) == 32 ) {
						goto _ctr67;
					}
					goto _ctr0;
					case 47:
					if ( ( (*( ( p_)))) == 110 ) {
						goto _ctr68;
					}
					goto _ctr0;
					case 48:
					if ( ( (*( ( p_)))) == 99 ) {
						goto _ctr69;
					}
					goto _ctr0;
					case 49:
					if ( ( (*( ( p_)))) == 114 ) {
						goto _ctr70;
					}
					goto _ctr0;
					case 50:
					if ( ( (*( ( p_)))) == 32 ) {
						goto _ctr71;
					}
					goto _ctr0;
					case 51:
					if ( ( (*( ( p_)))) == 101 ) {
						goto _ctr72;
					}
					goto _ctr0;
					case 52:
					if ( ( (*( ( p_)))) == 97 ) {
						goto _ctr73;
					}
					goto _ctr0;
					case 53:
					if ( ( (*( ( p_)))) == 115 ) {
						goto _ctr74;
					}
					goto _ctr0;
					case 54:
					if ( ( (*( ( p_)))) == 101 ) {
						goto _ctr75;
					}
					goto _ctr0;
					case 55:
					if ( ( (*( ( p_)))) == 45 ) {
						goto _ctr76;
					}
					goto _ctr0;
					case 56:
					switch( ( (*( ( p_)))) ) {
						case 103: {
							goto _ctr77;
						}
						case 115: {
							goto _ctr78;
						}
					}
					goto _ctr0;
					case 57:
					if ( ( (*( ( p_)))) == 101 ) {
						goto _ctr79;
					}
					goto _ctr0;
					case 58:
					if ( ( (*( ( p_)))) == 116 ) {
						goto _ctr80;
					}
					goto _ctr0;
					case 59:
					if ( ( (*( ( p_)))) == 32 ) {
						goto _ctr81;
					}
					goto _ctr0;
					case 60:
					if ( ( (*( ( p_)))) == 101 ) {
						goto _ctr82;
					}
					goto _ctr0;
					case 61:
					if ( ( (*( ( p_)))) == 116 ) {
						goto _ctr83;
					}
					goto _ctr0;
					case 62:
					if ( ( (*( ( p_)))) == 32 ) {
						goto _ctr84;
					}
					goto _ctr0;
					case 63:
					if ( ( (*( ( p_)))) == 101 ) {
						goto _ctr85;
					}
					goto _ctr0;
					case 64:
					if ( ( (*( ( p_)))) == 116 ) {
						goto _ctr86;
					}
					goto _ctr0;
					case 65:
					if ( ( (*( ( p_)))) == 97 ) {
						goto _ctr87;
					}
					goto _ctr0;
					case 66:
					if ( ( (*( ( p_)))) == 103 ) {
						goto _ctr88;
					}
					goto _ctr0;
					case 67:
					if ( ( (*( ( p_)))) == 101 ) {
						goto _ctr89;
					}
					goto _ctr0;
					case 68:
					if ( ( (*( ( p_)))) == 116 ) {
						goto _ctr90;
					}
					goto _ctr0;
					case 69:
					if ( ( (*( ( p_)))) == 32 ) {
						goto _ctr91;
					}
					goto _ctr0;
					case 70:
					if ( ( (*( ( p_)))) == 114 ) {
						goto _ctr92;
					}
					goto _ctr0;
					case 71:
					if ( ( (*( ( p_)))) == 101 ) {
						goto _ctr93;
					}
					goto _ctr0;
					case 72:
					if ( ( (*( ( p_)))) == 112 ) {
						goto _ctr94;
					}
					goto _ctr0;
					case 73:
					if ( ( (*( ( p_)))) == 101 ) {
						goto _ctr95;
					}
					goto _ctr0;
					case 74:
					if ( ( (*( ( p_)))) == 110 ) {
						goto _ctr96;
					}
					goto _ctr0;
					case 75:
					if ( ( (*( ( p_)))) == 100 ) {
						goto _ctr97;
					}
					goto _ctr0;
					case 76:
					if ( ( (*( ( p_)))) == 32 ) {
						goto _ctr98;
					}
					goto _ctr0;
					case 77:
					if ( ( (*( ( p_)))) == 117 ) {
						goto _ctr99;
					}
					goto _ctr0;
					case 78:
					if ( ( (*( ( p_)))) == 105 ) {
						goto _ctr100;
					}
					goto _ctr0;
					case 79:
					if ( ( (*( ( p_)))) == 116 ) {
						goto _ctr101;
					}
					goto _ctr0;
					case 80:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr102;
						}
						case 13: {
							goto _ctr103;
						}
						case 32: {
							goto _ctr101;
						}
					}
					goto _ctr0;
					case 81:
					if ( ( (*( ( p_)))) == 10 ) {
						goto _ctr102;
					}
					goto _ctr0;
					case 82:
					if ( ( (*( ( p_)))) == 101 ) {
						goto _ctr104;
					}
					goto _ctr0;
					case 83:
					if ( ( (*( ( p_)))) == 112 ) {
						goto _ctr105;
					}
					goto _ctr0;
					case 84:
					if ( ( (*( ( p_)))) == 108 ) {
						goto _ctr106;
					}
					goto _ctr0;
					case 85:
					if ( ( (*( ( p_)))) == 97 ) {
						goto _ctr107;
					}
					goto _ctr0;
					case 86:
					if ( ( (*( ( p_)))) == 99 ) {
						goto _ctr108;
					}
					goto _ctr0;
					case 87:
					if ( ( (*( ( p_)))) == 101 ) {
						goto _ctr109;
					}
					goto _ctr0;
					case 88:
					if ( ( (*( ( p_)))) == 32 ) {
						goto _ctr110;
					}
					goto _ctr0;
					case 89:
					switch( ( (*( ( p_)))) ) {
						case 101: {
							goto _ctr111;
						}
						case 104: {
							goto _ctr112;
						}
						case 116: {
							goto _ctr113;
						}
					}
					goto _ctr0;
					case 90:
					if ( ( (*( ( p_)))) == 116 ) {
						goto _ctr114;
					}
					goto _ctr0;
					case 91:
					if ( ( (*( ( p_)))) == 32 ) {
						goto _ctr115;
					}
					goto _ctr0;
					case 92:
					if ( ( (*( ( p_)))) == 117 ) {
						goto _ctr116;
					}
					goto _ctr0;
					case 93:
					if ( ( (*( ( p_)))) == 116 ) {
						goto _ctr117;
					}
					goto _ctr0;
					case 94:
					if ( ( (*( ( p_)))) == 100 ) {
						goto _ctr118;
					}
					goto _ctr0;
					case 95:
					if ( ( (*( ( p_)))) == 111 ) {
						goto _ctr119;
					}
					goto _ctr0;
					case 96:
					if ( ( (*( ( p_)))) == 119 ) {
						goto _ctr120;
					}
					goto _ctr0;
					case 97:
					if ( ( (*( ( p_)))) == 110 ) {
						goto _ctr121;
					}
					goto _ctr0;
					case 98:
					if ( ( (*( ( p_)))) == 97 ) {
						goto _ctr122;
					}
					goto _ctr0;
					case 99:
					if ( ( (*( ( p_)))) == 116 ) {
						goto _ctr123;
					}
					goto _ctr0;
					case 100:
					if ( ( (*( ( p_)))) == 115 ) {
						goto _ctr124;
					}
					goto _ctr0;
					case 101:
					if ( ( (*( ( p_)))) == 111 ) {
						goto _ctr125;
					}
					goto _ctr0;
					case 102:
					if ( ( (*( ( p_)))) == 117 ) {
						goto _ctr126;
					}
					goto _ctr0;
					case 103:
					if ( ( (*( ( p_)))) == 99 ) {
						goto _ctr127;
					}
					goto _ctr0;
					case 104:
					if ( ( (*( ( p_)))) == 104 ) {
						goto _ctr128;
					}
					goto _ctr0;
					case 105:
					if ( ( (*( ( p_)))) == 32 ) {
						goto _ctr129;
					}
					goto _ctr0;
					case 106:
					if ( ( (*( ( p_)))) == 101 ) {
						goto _ctr130;
					}
					goto _ctr0;
					case 107:
					if ( ( (*( ( p_)))) == 114 ) {
						goto _ctr131;
					}
					goto _ctr0;
					case 108:
					if ( ( (*( ( p_)))) == 115 ) {
						goto _ctr132;
					}
					goto _ctr0;
					case 109:
					if ( ( (*( ( p_)))) == 105 ) {
						goto _ctr133;
					}
					goto _ctr0;
					case 110:
					if ( ( (*( ( p_)))) == 111 ) {
						goto _ctr134;
					}
					goto _ctr0;
					case 111:
					if ( ( (*( ( p_)))) == 110 ) {
						goto _ctr135;
					}
					goto _ctr0;
					case 112:
					switch( ( (*( ( p_)))) ) {
						case 10: {
							goto _ctr136;
						}
						case 13: {
							goto _ctr137;
						}
						case 32: {
							goto _ctr135;
						}
					}
					goto _ctr0;
					case 113:
					if ( ( (*( ( p_)))) == 10 ) {
						goto _ctr136;
					}
					goto _ctr0;
				}
				
				_ctr0: ( savedCs_) = 0; goto _again;
				( savedCs_) = 1; goto _again;
				_ctr2: ( savedCs_) = 2; goto _again;
				_ctr17: ( savedCs_) = 3; goto _again;
				_ctr19: ( savedCs_) = 4; goto _again;
				_ctr20: ( savedCs_) = 5; goto _again;
				_ctr22: ( savedCs_) = 6; goto _again;
				_ctr23: ( savedCs_) = 7; goto _again;
				_ctr18: ( savedCs_) = 8; goto _again;
				_ctr25: ( savedCs_) = 9; goto _again;
				_ctr26: ( savedCs_) = 10; goto _again;
				_ctr27: ( savedCs_) = 11; goto _again;
				_ctr28: ( savedCs_) = 12; goto _again;
				_ctr3: ( savedCs_) = 13; goto _again;
				_ctr30: ( savedCs_) = 14; goto _again;
				_ctr31: ( savedCs_) = 15; goto _again;
				_ctr4: ( savedCs_) = 16; goto _again;
				_ctr33: ( savedCs_) = 17; goto _again;
				_ctr34: ( savedCs_) = 18; goto _again;
				_ctr36: ( savedCs_) = 19; goto _again;
				_ctr35: ( savedCs_) = 20; goto _again;
				_ctr38: ( savedCs_) = 21; goto _again;
				_ctr39: ( savedCs_) = 22; goto _again;
				_ctr40: ( savedCs_) = 23; goto _again;
				_ctr5: ( savedCs_) = 24; goto _again;
				_ctr42: ( savedCs_) = 25; goto _again;
				_ctr43: ( savedCs_) = 26; goto _again;
				_ctr6: ( savedCs_) = 27; goto _again;
				_ctr44: ( savedCs_) = 28; goto _again;
				_ctr45: ( savedCs_) = 29; goto _again;
				_ctr46: ( savedCs_) = 30; goto _again;
				_ctr47: ( savedCs_) = 31; goto _again;
				_ctr48: ( savedCs_) = 32; goto _again;
				_ctr49: ( savedCs_) = 33; goto _again;
				_ctr51: ( savedCs_) = 34; goto _again;
				_ctr50: ( savedCs_) = 35; goto _again;
				_ctr53: ( savedCs_) = 36; goto _again;
				_ctr54: ( savedCs_) = 37; goto _again;
				_ctr55: ( savedCs_) = 38; goto _again;
				_ctr56: ( savedCs_) = 39; goto _again;
				_ctr7: ( savedCs_) = 40; goto _again;
				_ctr58: ( savedCs_) = 41; goto _again;
				_ctr60: ( savedCs_) = 42; goto _again;
				_ctr62: ( savedCs_) = 43; goto _again;
				_ctr59: ( savedCs_) = 44; goto _again;
				_ctr64: ( savedCs_) = 45; goto _again;
				_ctr66: ( savedCs_) = 46; goto _again;
				_ctr8: ( savedCs_) = 47; goto _again;
				_ctr68: ( savedCs_) = 48; goto _again;
				_ctr69: ( savedCs_) = 49; goto _again;
				_ctr70: ( savedCs_) = 50; goto _again;
				_ctr9: ( savedCs_) = 51; goto _again;
				_ctr72: ( savedCs_) = 52; goto _again;
				_ctr73: ( savedCs_) = 53; goto _again;
				_ctr74: ( savedCs_) = 54; goto _again;
				_ctr75: ( savedCs_) = 55; goto _again;
				_ctr76: ( savedCs_) = 56; goto _again;
				_ctr77: ( savedCs_) = 57; goto _again;
				_ctr79: ( savedCs_) = 58; goto _again;
				_ctr80: ( savedCs_) = 59; goto _again;
				_ctr78: ( savedCs_) = 60; goto _again;
				_ctr82: ( savedCs_) = 61; goto _again;
				_ctr83: ( savedCs_) = 62; goto _again;
				_ctr10: ( savedCs_) = 63; goto _again;
				_ctr85: ( savedCs_) = 64; goto _again;
				_ctr86: ( savedCs_) = 65; goto _again;
				_ctr87: ( savedCs_) = 66; goto _again;
				_ctr88: ( savedCs_) = 67; goto _again;
				_ctr89: ( savedCs_) = 68; goto _again;
				_ctr90: ( savedCs_) = 69; goto _again;
				_ctr11: ( savedCs_) = 70; goto _again;
				_ctr92: ( savedCs_) = 71; goto _again;
				_ctr93: ( savedCs_) = 72; goto _again;
				_ctr94: ( savedCs_) = 73; goto _again;
				_ctr95: ( savedCs_) = 74; goto _again;
				_ctr96: ( savedCs_) = 75; goto _again;
				_ctr97: ( savedCs_) = 76; goto _again;
				_ctr12: ( savedCs_) = 77; goto _again;
				_ctr99: ( savedCs_) = 78; goto _again;
				_ctr100: ( savedCs_) = 79; goto _again;
				_ctr101: ( savedCs_) = 80; goto _again;
				_ctr103: ( savedCs_) = 81; goto _again;
				_ctr13: ( savedCs_) = 82; goto _again;
				_ctr104: ( savedCs_) = 83; goto _again;
				_ctr105: ( savedCs_) = 84; goto _again;
				_ctr106: ( savedCs_) = 85; goto _again;
				_ctr107: ( savedCs_) = 86; goto _again;
				_ctr108: ( savedCs_) = 87; goto _again;
				_ctr109: ( savedCs_) = 88; goto _again;
				_ctr14: ( savedCs_) = 89; goto _again;
				_ctr111: ( savedCs_) = 90; goto _again;
				_ctr114: ( savedCs_) = 91; goto _again;
				_ctr112: ( savedCs_) = 92; goto _again;
				_ctr116: ( savedCs_) = 93; goto _again;
				_ctr117: ( savedCs_) = 94; goto _again;
				_ctr118: ( savedCs_) = 95; goto _again;
				_ctr119: ( savedCs_) = 96; goto _again;
				_ctr120: ( savedCs_) = 97; goto _again;
				_ctr113: ( savedCs_) = 98; goto _again;
				_ctr122: ( savedCs_) = 99; goto _again;
				_ctr123: ( savedCs_) = 100; goto _again;
				_ctr15: ( savedCs_) = 101; goto _again;
				_ctr125: ( savedCs_) = 102; goto _again;
				_ctr126: ( savedCs_) = 103; goto _again;
				_ctr127: ( savedCs_) = 104; goto _again;
				_ctr128: ( savedCs_) = 105; goto _again;
				_ctr16: ( savedCs_) = 106; goto _again;
				_ctr130: ( savedCs_) = 107; goto _again;
				_ctr131: ( savedCs_) = 108; goto _again;
				_ctr132: ( savedCs_) = 109; goto _again;
				_ctr133: ( savedCs_) = 110; goto _again;
				_ctr134: ( savedCs_) = 111; goto _again;
				_ctr135: ( savedCs_) = 112; goto _again;
				_ctr137: ( savedCs_) = 113; goto _again;
				( savedCs_) = 114; goto _again;
				_ctr21: ( savedCs_) = 114; goto f0;
				_ctr24: ( savedCs_) = 114; goto f1;
				_ctr29: ( savedCs_) = 114; goto f2;
				_ctr32: ( savedCs_) = 114; goto f3;
				_ctr37: ( savedCs_) = 114; goto f4;
				_ctr41: ( savedCs_) = 114; goto f5;
				_ctr52: ( savedCs_) = 114; goto f6;
				_ctr57: ( savedCs_) = 114; goto f7;
				_ctr61: ( savedCs_) = 114; goto f8;
				_ctr63: ( savedCs_) = 114; goto f9;
				_ctr65: ( savedCs_) = 114; goto f10;
				_ctr67: ( savedCs_) = 114; goto f11;
				_ctr71: ( savedCs_) = 114; goto f12;
				_ctr81: ( savedCs_) = 114; goto f13;
				_ctr84: ( savedCs_) = 114; goto f14;
				_ctr91: ( savedCs_) = 114; goto f15;
				_ctr98: ( savedCs_) = 114; goto f16;
				_ctr102: ( savedCs_) = 114; goto f17;
				_ctr110: ( savedCs_) = 114; goto f18;
				_ctr115: ( savedCs_) = 114; goto f19;
				_ctr121: ( savedCs_) = 114; goto f20;
				_ctr124: ( savedCs_) = 114; goto f21;
				_ctr129: ( savedCs_) = 114; goto f22;
				_ctr136: ( savedCs_) = 114; goto f23;
				
				f10:
					{
#line 1031 "lib/network/McAsciiParser.rl"
					
					initGetLike<McGetRequest>();
					{( p_) += 1; goto _out; }
				}
				
#line 15219 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f11:
					{
#line 1036 "lib/network/McAsciiParser.rl"
					
					initGetLike<McGetsRequest>();
					{( p_) += 1; goto _out; }
				}
				
#line 15228 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f13:
					{
#line 1041 "lib/network/McAsciiParser.rl"
					
					initGetLike<McLeaseGetRequest>();
					{( p_) += 1; goto _out; }
				}
				
#line 15237 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f15:
					{
#line 1046 "lib/network/McAsciiParser.rl"
					
					initGetLike<McMetagetRequest>();
					{( p_) += 1; goto _out; }
				}
				
#line 15246 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f8:
					{
#line 1051 "lib/network/McAsciiParser.rl"
					
					initGatLike<McGatRequest>();
					{( p_) += 1; goto _out; }
				}
				
#line 15255 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f9:
					{
#line 1056 "lib/network/McAsciiParser.rl"
					
					initGatLike<McGatsRequest>();
					{( p_) += 1; goto _out; }
				}
				
#line 15264 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f19:
					{
#line 1061 "lib/network/McAsciiParser.rl"
					
					initSetLike<McSetRequest>();
					{( p_) += 1; goto _out; }
				}
				
#line 15273 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f0:
					{
#line 1066 "lib/network/McAsciiParser.rl"
					
					initSetLike<McAddRequest>();
					{( p_) += 1; goto _out; }
				}
				
#line 15282 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f18:
					{
#line 1071 "lib/network/McAsciiParser.rl"
					
					initSetLike<McReplaceRequest>();
					{( p_) += 1; goto _out; }
				}
				
#line 15291 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f2:
					{
#line 1076 "lib/network/McAsciiParser.rl"
					
					initSetLike<McAppendRequest>();
					{( p_) += 1; goto _out; }
				}
				
#line 15300 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f16:
					{
#line 1081 "lib/network/McAsciiParser.rl"
					
					initSetLike<McPrependRequest>();
					{( p_) += 1; goto _out; }
				}
				
#line 15309 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f3:
					{
#line 1086 "lib/network/McAsciiParser.rl"
					
					savedCs_ = mc_ascii_cas_req_body_en_req_body;
					errorCs_ = mc_ascii_cas_req_body_error;
					state_ = State::PARTIAL;
					currentMessage_.emplace<McCasRequest>();
					consumer_ = &McServerAsciiParser::consumeCas;
					{( p_) += 1; goto _out; }
				}
				
#line 15322 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f14:
					{
#line 1095 "lib/network/McAsciiParser.rl"
					
					savedCs_ = mc_ascii_lease_set_req_body_en_req_body;
					errorCs_ = mc_ascii_lease_set_req_body_error;
					state_ = State::PARTIAL;
					currentMessage_.emplace<McLeaseSetRequest>();
					consumer_ = &McServerAsciiParser::consumeLeaseSet;
					{( p_) += 1; goto _out; }
				}
				
#line 15335 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f5:
					{
#line 1104 "lib/network/McAsciiParser.rl"
					
					savedCs_ = mc_ascii_delete_req_body_en_req_body;
					errorCs_ = mc_ascii_delete_req_body_error;
					state_ = State::PARTIAL;
					currentMessage_.emplace<McDeleteRequest>();
					consumer_ = &McServerAsciiParser::consumeDelete;
					{( p_) += 1; goto _out; }
				}
				
#line 15348 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f22:
					{
#line 1113 "lib/network/McAsciiParser.rl"
					
					savedCs_ = mc_ascii_touch_req_body_en_req_body;
					errorCs_ = mc_ascii_touch_req_body_error;
					state_ = State::PARTIAL;
					currentMessage_.emplace<McTouchRequest>();
					consumer_ = &McServerAsciiParser::consumeTouch;
					{( p_) += 1; goto _out; }
				}
				
#line 15361 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f20:
					{
#line 1122 "lib/network/McAsciiParser.rl"
					
					savedCs_ = mc_ascii_shutdown_req_body_en_req_body;
					errorCs_ = mc_ascii_shutdown_req_body_error;
					state_ = State::PARTIAL;
					currentMessage_.emplace<McShutdownRequest>();
					consumer_ = &McServerAsciiParser::consumeShutdown;
					{( p_) += 1; goto _out; }
				}
				
#line 15374 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f12:
					{
#line 1131 "lib/network/McAsciiParser.rl"
					
					initArithmetic<McIncrRequest>();
					{( p_) += 1; goto _out; }
				}
				
#line 15383 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f4:
					{
#line 1136 "lib/network/McAsciiParser.rl"
					
					initArithmetic<McDecrRequest>();
					{( p_) += 1; goto _out; }
				}
				
#line 15392 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f23:
					{
#line 1141 "lib/network/McAsciiParser.rl"
					
					callback_->onRequest(McVersionRequest());
					finishReq();
					{( p_) += 1; goto _out; }
				}
				
#line 15402 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f17:
					{
#line 1147 "lib/network/McAsciiParser.rl"
					
					callback_->onRequest(McQuitRequest(),
					true /* noReply */);
					finishReq();
					{( p_) += 1; goto _out; }
				}
				
#line 15413 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f21:
					{
#line 1154 "lib/network/McAsciiParser.rl"
					
					savedCs_ = mc_ascii_stats_req_body_en_req_body;
					errorCs_ = mc_ascii_stats_req_body_error;
					state_ = State::PARTIAL;
					currentMessage_.emplace<McStatsRequest>();
					consumer_ = &McServerAsciiParser::consumeStats;
					{( p_) += 1; goto _out; }
				}
				
#line 15426 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f1:
					{
#line 1163 "lib/network/McAsciiParser.rl"
					
					savedCs_ = mc_ascii_exec_req_body_en_req_body;
					errorCs_ = mc_ascii_exec_req_body_error;
					state_ = State::PARTIAL;
					currentMessage_.emplace<McExecRequest>();
					consumer_ = &McServerAsciiParser::consumeExec;
					{( p_) += 1; goto _out; }
				}
				
#line 15439 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f7:
					{
#line 1172 "lib/network/McAsciiParser.rl"
					
					savedCs_ = mc_ascii_flush_re_req_body_en_req_body;
					errorCs_ = mc_ascii_flush_re_req_body_error;
					state_ = State::PARTIAL;
					currentMessage_.emplace<McFlushReRequest>();
					consumer_ = &McServerAsciiParser::consumeFlushRe;
					{( p_) += 1; goto _out; }
				}
				
#line 15452 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				f6:
					{
#line 1181 "lib/network/McAsciiParser.rl"
					
					savedCs_ = mc_ascii_flush_all_req_body_en_req_body;
					errorCs_ = mc_ascii_flush_all_req_body_error;
					state_ = State::PARTIAL;
					currentMessage_.emplace<McFlushAllRequest>();
					consumer_ = &McServerAsciiParser::consumeFlushAll;
					{( p_) += 1; goto _out; }
				}
				
#line 15465 "lib/network/McAsciiParser-gen.cpp"
goto _again;
				
				_again: {}
				if ( ( savedCs_) != 0 ) {
					( p_) += 1;
					goto _resume;
				}
				_out: {}
			}
			
#line 1202 "lib/network/McAsciiParser.rl"

		}
		
		void McServerAsciiParser::finishReq() {
			state_ = State::UNINIT;
		}
		
		McAsciiParserBase::State McServerAsciiParser::consume(folly::IOBuf& buffer) {
			assert(state_ != State::ERROR);
			assert(state_ != State::COMPLETE);
			assert(!hasReadBuffer());
			p_ = reinterpret_cast<const char*>(buffer.data());
			pe_ = p_ + buffer.length();
			
			while (p_ != pe_) {
				// Initialize operation parser.
				if (state_ == State::UNINIT) {
					savedCs_ = mc_ascii_req_type_en_command;
					errorCs_ = mc_ascii_req_type_error;
					
					// Reset all fields.
					currentUInt_ = 0;
					currentIOBuf_ = nullptr;
					remainingIOBufLength_ = 0;
					currentKey_.clear();
					noreply_ = false;
					negative_ = false;
					
					state_ = State::PARTIAL;
					
					consumer_ = &McServerAsciiParser::opTypeConsumer;
				} else {
					// In case we're currently parsing a key, set keyPieceStart_ to the
					// beginning of the current buffer.
					if (keyPieceStart_ != nullptr) {
						keyPieceStart_ = p_;
					}
				}
				
				(this->*consumer_)(buffer);
				
				// If we're parsing a key, append current piece of buffer to it.
				if (keyPieceStart_ != nullptr) {
					appendKeyPiece(buffer, currentKey_, keyPieceStart_, p_);
				}
				
				if (savedCs_ == errorCs_) {
					handleError(buffer);
					break;
				}
				
				buffer.trimStart(p_ - reinterpret_cast<const char*>(buffer.data()));
			}
			
			return state_;
		}
		
	}}  // facebook::memcache
